#include <qttest_includes.h>

#include <smoke.h>
#include <qttest_smoke.h>

namespace __smokeqttest {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QByteArray
      switch(to) {
        case 2: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 3:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 3: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 18: return (void*)(QTestEventLoop*)(QObject*)xptr;
        case 10: return (void*)(QSignalSpy*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QPoint
      switch(to) {
        case 8: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 9:   //QRegExp
      switch(to) {
        case 9: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 10:   //QSignalSpy
      switch(to) {
        case 7: return (void*)(QObject*)(QSignalSpy*)xptr;
        case 10: return (void*)(QSignalSpy*)xptr;
        default: return xptr;
      }
    case 12:   //QTestAccessibility
      switch(to) {
        case 12: return (void*)(QTestAccessibility*)xptr;
        default: return xptr;
      }
    case 13:   //QTestAccessibilityEvent
      switch(to) {
        case 13: return (void*)(QTestAccessibilityEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QTestData
      switch(to) {
        case 14: return (void*)(QTestData*)xptr;
        default: return xptr;
      }
    case 15:   //QTestDelayEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestDelayEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QTestEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)(QTestEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)(QTestEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)(QTestEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)(QTestEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QTestEventList
      switch(to) {
        case 17: return (void*)(QTestEventList*)xptr;
        default: return xptr;
      }
    case 18:   //QTestEventLoop
      switch(to) {
        case 7: return (void*)(QObject*)(QTestEventLoop*)xptr;
        case 18: return (void*)(QTestEventLoop*)xptr;
        default: return xptr;
      }
    case 19:   //QTestKeyClicksEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyClicksEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QTestKeyEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QTestMouseEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestMouseEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QTestTable
      switch(to) {
        case 22: return (void*)(QTestTable*)xptr;
        default: return xptr;
      }
    case 23:   //QTimerEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 23: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QWidget
      switch(to) {
        case 7: return (void*)(QObject*)(QWidget*)xptr;
        case 24: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    7, 0, 0,	// 1: QObject, QList
    16, 0,	// 4: QTestEvent
    0, 0,	// 6: QList
    7, 0,	// 8: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTest(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSignalSpy(Smoke::Index, void*, Smoke::Stack);
void xcall_QTest(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibility(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibilityEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestData(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestDelayEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventList(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventLoop(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyClicksEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestMouseEvent(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//2
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QPoint", true, 0, 0, 0, 0, 0 },	//8
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//9
    { "QSignalSpy", false, 1, xcall_QSignalSpy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSignalSpy) },	//10
    { "QTest", false, 0, xcall_QTest, xenum_QTest, Smoke::cf_namespace, 0 },	//11
    { "QTestAccessibility", false, 0, xcall_QTestAccessibility, 0, Smoke::cf_deepcopy, sizeof(QTestAccessibility) },	//12
    { "QTestAccessibilityEvent", false, 0, xcall_QTestAccessibilityEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestAccessibilityEvent) },	//13
    { "QTestData", false, 0, xcall_QTestData, 0, 0, sizeof(QTestData) },	//14
    { "QTestDelayEvent", false, 4, xcall_QTestDelayEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestDelayEvent) },	//15
    { "QTestEvent", false, 0, xcall_QTestEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestEvent) },	//16
    { "QTestEventList", false, 6, xcall_QTestEventList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestEventList) },	//17
    { "QTestEventLoop", false, 8, xcall_QTestEventLoop, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTestEventLoop) },	//18
    { "QTestKeyClicksEvent", false, 4, xcall_QTestKeyClicksEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyClicksEvent) },	//19
    { "QTestKeyEvent", false, 4, xcall_QTestKeyEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyEvent) },	//20
    { "QTestMouseEvent", false, 4, xcall_QTestMouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestMouseEvent) },	//21
    { "QTestTable", true, 0, 0, 0, 0, 0 },	//22
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QWidget", true, 0, 0, 0, 0, 0 },	//24
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 2, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QList<QTestAccessibilityEvent>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QPoint", 8, Smoke::t_class|Smoke::tf_stack },	//10
    { "QRegExp&", 9, Smoke::t_class|Smoke::tf_ref },	//11
    { "QSignalSpy*", 10, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//15
    { "QTest::KeyAction", 11, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QTest::MouseAction", 11, Smoke::t_enum|Smoke::tf_stack },	//17
    { "QTest::QBenchmarkMetric", 11, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QTest::SkipMode", 11, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QTest::TestFailMode", 11, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QTestAccessibilityEvent", 13, Smoke::t_class|Smoke::tf_stack },	//21
    { "QTestAccessibilityEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QTestData&", 14, Smoke::t_class|Smoke::tf_ref },	//23
    { "QTestDelayEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QTestEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QTestEventList*", 17, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QTestEventLoop&", 18, Smoke::t_class|Smoke::tf_ref },	//27
    { "QTestEventLoop*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QTestKeyClicksEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QTestKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QTestMouseEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QTestTable*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QTimerEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QWidget*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForActiveQtModule", 5, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QtValidLicenseForCoreModule", 5, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QtValidLicenseForDBusModule", 5, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QtValidLicenseForDeclarativeModule", 5, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QtValidLicenseForGuiModule", 5, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QtValidLicenseForHelpModule", 5, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QtValidLicenseForMultimediaModule", 5, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QtValidLicenseForNetworkModule", 5, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QtValidLicenseForOpenGLModule", 5, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QtValidLicenseForOpenVGModule", 5, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QtValidLicenseForQt3SupportLightModule", 5, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QtValidLicenseForQt3SupportModule", 5, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QtValidLicenseForScriptModule", 5, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QtValidLicenseForScriptToolsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QtValidLicenseForSqlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QtValidLicenseForSvgModule", 5, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QtValidLicenseForTestModule", 5, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QtValidLicenseForXmlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QtValidLicenseForXmlPatternsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//126
    { "__codecvt_result", 5, Smoke::t_enum|Smoke::tf_stack },	//127
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//128
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//129
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//130
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//131
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//132
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//133
    { "const QRegExp&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//135
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//137
    { "const QTestAccessibilityEvent&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//138
    { "const QTestDelayEvent&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const QTestEvent&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const QTestEventList&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//141
    { "const QTestKeyClicksEvent&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const QTestKeyEvent&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//143
    { "const QTestMouseEvent&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//144
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//145
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//146
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//147
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//148
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//149
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//150
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//151
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//152
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    145, 0,	//1  const char*
    5, 0,	//3  QEvent*
    9, 5, 0,	//5  QObject*, QEvent*
    33, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    9, 145, 0,	//12  QObject*, const char*
    8, 148, 151, 0,	//15  QMetaObject::Call, int, void**
    34, 10, 148, 0,	//19  QWidget*, QPoint, int
    34, 0,	//23  QWidget*
    34, 10, 0,	//25  QWidget*, QPoint
    145, 145, 20, 145, 148, 0,	//28  const char*, const char*, QTest::TestFailMode, const char*, int
    34, 79, 6, 10, 148, 0,	//34  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    34, 79, 0,	//40  QWidget*, Qt::MouseButton
    34, 79, 6, 0,	//43  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    34, 79, 6, 10, 0,	//47  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    9, 136, 0,	//52  QObject*, const QStringList&
    34, 128, 148, 6, 13, 128, 148, 0,	//55  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int
    34, 128, 148, 6, 13, 128, 0,	//63  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool
    34, 73, 6, 148, 0,	//70  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    34, 73, 0,	//75  QWidget*, Qt::Key
    34, 73, 6, 0,	//78  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    145, 19, 145, 148, 0,	//82  const char*, QTest::SkipMode, const char*, int
    128, 145, 145, 145, 148, 0,	//87  bool, const char*, const char*, const char*, int
    145, 145, 148, 0,	//93  const char*, const char*, int
    73, 0,	//97  Qt::Key
    148, 0,	//99  int
    16, 34, 73, 129, 6, 148, 0,	//101  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int
    16, 34, 73, 129, 6, 0,	//108  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>
    34, 129, 6, 148, 0,	//114  QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    34, 129, 0,	//119  QWidget*, char
    34, 129, 6, 0,	//122  QWidget*, char, QFlags<Qt::KeyboardModifier>
    145, 148, 0,	//126  const char*, int
    16, 34, 129, 6, 148, 0,	//129  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    16, 34, 129, 0,	//135  QTest::KeyAction, QWidget*, char
    16, 34, 129, 6, 0,	//139  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>
    146, 146, 145, 145, 145, 148, 0,	//144  const void*, const void*, const char*, const char*, const char*, int
    9, 148, 131, 0,	//151  QObject*, int, char**
    9, 0,	//155  QObject*
    9, 148, 0,	//157  QObject*, int
    147, 18, 0,	//160  float, QTest::QBenchmarkMetric
    128, 145, 130, 130, 145, 145, 145, 148, 0,	//163  bool, const char*, char*, char*, const char*, const char*, const char*, int
    17, 34, 79, 6, 10, 148, 0,	//172  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    17, 34, 79, 6, 10, 0,	//179  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    146, 0,	//185  const void*
    129, 0,	//187  char
    148, 145, 0,	//189  int, const char*
    145, 145, 145, 145, 145, 148, 0,	//192  const char*, const char*, const char*, const char*, const char*, int
    128, 145, 145, 148, 0,	//199  bool, const char*, const char*, int
    16, 34, 73, 13, 6, 148, 0,	//204  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int
    16, 34, 73, 13, 6, 0,	//211  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>
    16, 34, 73, 6, 148, 0,	//217  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    16, 34, 73, 0,	//223  QTest::KeyAction, QWidget*, Qt::Key
    16, 34, 73, 6, 0,	//227  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    107, 145, 0,	//232  QtMsgType, const char*
    34, 135, 6, 148, 0,	//235  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int
    34, 135, 0,	//240  QWidget*, const QString&
    34, 135, 6, 0,	//243  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>
    138, 0,	//247  const QTestAccessibilityEvent&
    9, 148, 148, 0,	//249  QObject*, int, int
    148, 146, 0,	//253  int, const void*
    139, 0,	//256  const QTestDelayEvent&
    140, 0,	//258  const QTestEvent&
    141, 0,	//260  const QTestEventList&
    73, 6, 148, 0,	//262  Qt::Key, QFlags<Qt::KeyboardModifier>, int
    16, 73, 6, 148, 0,	//266  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    129, 6, 148, 0,	//271  char, QFlags<Qt::KeyboardModifier>, int
    135, 6, 148, 0,	//275  const QString&, QFlags<Qt::KeyboardModifier>, int
    16, 129, 6, 148, 0,	//279  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int
    79, 6, 10, 148, 0,	//284  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    10, 148, 0,	//289  QPoint, int
    73, 6, 0,	//292  Qt::Key, QFlags<Qt::KeyboardModifier>
    16, 73, 0,	//295  QTest::KeyAction, Qt::Key
    16, 73, 6, 0,	//298  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>
    129, 6, 0,	//302  char, QFlags<Qt::KeyboardModifier>
    135, 0,	//305  const QString&
    135, 6, 0,	//307  const QString&, QFlags<Qt::KeyboardModifier>
    16, 129, 0,	//310  QTest::KeyAction, char
    16, 129, 6, 0,	//313  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>
    79, 0,	//317  Qt::MouseButton
    79, 6, 0,	//319  Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    79, 6, 10, 0,	//322  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    10, 0,	//326  QPoint
    145, 145, 0,	//328  const char*, const char*
    142, 0,	//331  const QTestKeyClicksEvent&
    143, 0,	//333  const QTestKeyEvent&
    16, 0,	//335  QTest::KeyAction
    6, 0,	//337  QFlags<Qt::KeyboardModifier>
    17, 79, 6, 10, 148, 0,	//339  QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    144, 0,	//345  const QTestMouseEvent&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Abort",	//1
    "BitsPerSecond",	//2
    "BytesPerSecond",	//3
    "CPUTicks",	//4
    "Click",	//5
    "Continue",	//6
    "Events",	//7
    "FramesPerSecond",	//8
    "InstructionReads",	//9
    "LicensedActiveQt",	//10
    "LicensedCore",	//11
    "LicensedDBus",	//12
    "LicensedDeclarative",	//13
    "LicensedGui",	//14
    "LicensedHelp",	//15
    "LicensedMultimedia",	//16
    "LicensedNetwork",	//17
    "LicensedOpenGL",	//18
    "LicensedOpenVG",	//19
    "LicensedQt3Support",	//20
    "LicensedQt3SupportLight",	//21
    "LicensedScript",	//22
    "LicensedScriptTools",	//23
    "LicensedSql",	//24
    "LicensedSvg",	//25
    "LicensedTest",	//26
    "LicensedXml",	//27
    "LicensedXmlPatterns",	//28
    "MouseClick",	//29
    "MouseDClick",	//30
    "MouseMove",	//31
    "MousePress",	//32
    "MouseRelease",	//33
    "Press",	//34
    "QSignalSpy",	//35
    "QSignalSpy#$",	//36
    "QTestAccessibilityEvent",	//37
    "QTestAccessibilityEvent#",	//38
    "QTestAccessibilityEvent#$",	//39
    "QTestAccessibilityEvent#$$",	//40
    "QTestDelayEvent",	//41
    "QTestDelayEvent#",	//42
    "QTestDelayEvent$",	//43
    "QTestEvent",	//44
    "QTestEvent#",	//45
    "QTestEventList",	//46
    "QTestEventList#",	//47
    "QTestEventLoop",	//48
    "QTestEventLoop#",	//49
    "QTestKeyClicksEvent",	//50
    "QTestKeyClicksEvent#",	//51
    "QTestKeyClicksEvent$$$",	//52
    "QTestKeyEvent",	//53
    "QTestKeyEvent#",	//54
    "QTestKeyEvent$$$$",	//55
    "QTestMouseEvent",	//56
    "QTestMouseEvent#",	//57
    "QTestMouseEvent$$$#$",	//58
    "Q_COMPLEX_TYPE",	//59
    "Q_DUMMY_TYPE",	//60
    "Q_MOVABLE_TYPE",	//61
    "Q_PRIMITIVE_TYPE",	//62
    "Q_STATIC_TYPE",	//63
    "QtCriticalMsg",	//64
    "QtDebugMsg",	//65
    "QtFatalMsg",	//66
    "QtSystemMsg",	//67
    "QtWarningMsg",	//68
    "Release",	//69
    "SkipAll",	//70
    "SkipSingle",	//71
    "WalltimeMilliseconds",	//72
    "__codecvt_error",	//73
    "__codecvt_noconv",	//74
    "__codecvt_ok",	//75
    "__codecvt_partial",	//76
    "_action",	//77
    "_ascii",	//78
    "_delay",	//79
    "_key",	//80
    "_modifiers",	//81
    "addColumnInternal",	//82
    "addColumnInternal$$",	//83
    "addDelay",	//84
    "addDelay$",	//85
    "addKeyClick",	//86
    "addKeyClick$",	//87
    "addKeyClick$$",	//88
    "addKeyClick$$$",	//89
    "addKeyClicks",	//90
    "addKeyClicks$",	//91
    "addKeyClicks$$",	//92
    "addKeyClicks$$$",	//93
    "addKeyEvent",	//94
    "addKeyEvent$$",	//95
    "addKeyEvent$$$",	//96
    "addKeyEvent$$$$",	//97
    "addKeyPress",	//98
    "addKeyPress$",	//99
    "addKeyPress$$",	//100
    "addKeyPress$$$",	//101
    "addKeyRelease",	//102
    "addKeyRelease$",	//103
    "addKeyRelease$$",	//104
    "addKeyRelease$$$",	//105
    "addMouseClick",	//106
    "addMouseClick$",	//107
    "addMouseClick$$",	//108
    "addMouseClick$$#",	//109
    "addMouseClick$$#$",	//110
    "addMouseDClick",	//111
    "addMouseDClick$",	//112
    "addMouseDClick$$",	//113
    "addMouseDClick$$#",	//114
    "addMouseDClick$$#$",	//115
    "addMouseMove",	//116
    "addMouseMove#",	//117
    "addMouseMove#$",	//118
    "addMousePress",	//119
    "addMousePress$",	//120
    "addMousePress$$",	//121
    "addMousePress$$#",	//122
    "addMousePress$$#$",	//123
    "addMouseRelease",	//124
    "addMouseRelease$",	//125
    "addMouseRelease$$",	//126
    "addMouseRelease$$#",	//127
    "addMouseRelease$$#$",	//128
    "append",	//129
    "append$$",	//130
    "asciiToKey",	//131
    "asciiToKey$",	//132
    "changeInterval",	//133
    "changeInterval$",	//134
    "child",	//135
    "childEvent",	//136
    "cleanup",	//137
    "clear",	//138
    "clearEvents",	//139
    "clone",	//140
    "compare_helper",	//141
    "compare_helper$$$$",	//142
    "compare_helper$$$$$$$$",	//143
    "compare_ptr_helper",	//144
    "compare_ptr_helper$$$$$$",	//145
    "compare_string_helper",	//146
    "compare_string_helper$$$$$$",	//147
    "connectNotify",	//148
    "currentDataTag",	//149
    "currentTestFailed",	//150
    "currentTestFunction",	//151
    "customEvent",	//152
    "data",	//153
    "data$",	//154
    "dataCount",	//155
    "dataTag",	//156
    "disconnectNotify",	//157
    "enterLoop",	//158
    "enterLoop$",	//159
    "event",	//160
    "eventFilter",	//161
    "events",	//162
    "exitLoop",	//163
    "ignoreMessage",	//164
    "ignoreMessage$$",	//165
    "initialize",	//166
    "instance",	//167
    "isValid",	//168
    "keyClick",	//169
    "keyClick#$",	//170
    "keyClick#$$",	//171
    "keyClick#$$$",	//172
    "keyClicks",	//173
    "keyClicks#$",	//174
    "keyClicks#$$",	//175
    "keyClicks#$$$",	//176
    "keyEvent",	//177
    "keyEvent$#$",	//178
    "keyEvent$#$$",	//179
    "keyEvent$#$$$",	//180
    "keyPress",	//181
    "keyPress#$",	//182
    "keyPress#$$",	//183
    "keyPress#$$$",	//184
    "keyRelease",	//185
    "keyRelease#$",	//186
    "keyRelease#$$",	//187
    "keyRelease#$$$",	//188
    "keyToAscii",	//189
    "keyToAscii$",	//190
    "metaObject",	//191
    "mouseClick",	//192
    "mouseClick#$",	//193
    "mouseClick#$$",	//194
    "mouseClick#$$#",	//195
    "mouseClick#$$#$",	//196
    "mouseDClick",	//197
    "mouseDClick#$",	//198
    "mouseDClick#$$",	//199
    "mouseDClick#$$#",	//200
    "mouseDClick#$$#$",	//201
    "mouseEvent",	//202
    "mouseEvent$#$$#",	//203
    "mouseEvent$#$$#$",	//204
    "mouseMove",	//205
    "mouseMove#",	//206
    "mouseMove##",	//207
    "mouseMove##$",	//208
    "mousePress",	//209
    "mousePress#$",	//210
    "mousePress#$$",	//211
    "mousePress#$$#",	//212
    "mousePress#$$#$",	//213
    "mouseRelease",	//214
    "mouseRelease#$",	//215
    "mouseRelease#$$",	//216
    "mouseRelease#$$#",	//217
    "mouseRelease#$$#$",	//218
    "newRow",	//219
    "newRow$",	//220
    "object",	//221
    "operator==",	//222
    "operator==#",	//223
    "parent",	//224
    "qData",	//225
    "qData$$",	//226
    "qElementData",	//227
    "qElementData$$",	//228
    "qExec",	//229
    "qExec#",	//230
    "qExec#$",	//231
    "qExec#$?",	//232
    "qExec#?",	//233
    "qExpectFail",	//234
    "qExpectFail$$$$$",	//235
    "qFail",	//236
    "qFail$$$",	//237
    "qGlobalData",	//238
    "qGlobalData$$",	//239
    "qSkip",	//240
    "qSkip$$$$",	//241
    "qSleep",	//242
    "qSleep$",	//243
    "qVerify",	//244
    "qVerify$$$$$",	//245
    "qWait",	//246
    "qWait$",	//247
    "qWaitForWindowShown",	//248
    "qWaitForWindowShown#",	//249
    "qWarn",	//250
    "qWarn$",	//251
    "qt_metacall",	//252
    "qt_metacall$$?",	//253
    "qt_metacast",	//254
    "qt_metacast$",	//255
    "sendKeyEvent",	//256
    "sendKeyEvent$#$$$",	//257
    "sendKeyEvent$#$$$$",	//258
    "setBenchmarkResult",	//259
    "setBenchmarkResult$$",	//260
    "setChild",	//261
    "setChild$",	//262
    "setEvent",	//263
    "setEvent$",	//264
    "setObject",	//265
    "setObject#",	//266
    "set_action",	//267
    "set_action$",	//268
    "set_ascii",	//269
    "set_ascii$",	//270
    "set_delay",	//271
    "set_delay$",	//272
    "set_key",	//273
    "set_key$",	//274
    "set_modifiers",	//275
    "set_modifiers$",	//276
    "signal",	//277
    "simulate",	//278
    "simulate#",	//279
    "simulateEvent",	//280
    "simulateEvent#$$$$$",	//281
    "simulateEvent#$$$$$$",	//282
    "staticMetaObject",	//283
    "testObject",	//284
    "timeout",	//285
    "timerEvent",	//286
    "timerEvent#",	//287
    "toHexRepresentation",	//288
    "toHexRepresentation$$",	//289
    "toString",	//290
    "toString$",	//291
    "tr",	//292
    "tr$",	//293
    "tr$$",	//294
    "tr$$$",	//295
    "trUtf8",	//296
    "trUtf8$",	//297
    "trUtf8$$",	//298
    "trUtf8$$$",	//299
    "verifyEvent",	//300
    "verifyEvent#",	//301
    "verifyEvent#$$",	//302
    "~QSignalSpy",	//303
    "~QTestAccessibilityEvent",	//304
    "~QTestData",	//305
    "~QTestDelayEvent",	//306
    "~QTestEvent",	//307
    "~QTestEventList",	//308
    "~QTestEventLoop",	//309
    "~QTestKeyClicksEvent",	//310
    "~QTestKeyEvent",	//311
    "~QTestMouseEvent",	//312
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {5, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {5, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {5, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {5, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {5, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {5, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {5, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {5, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {5, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {5, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {5, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {5, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {5, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {5, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {5, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {5, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {5, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {5, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {5, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {5, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {5, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {5, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {5, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {5, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {5, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 30},	//30 QGlobalSpace::__codecvt_ok (enum)
    {5, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 31},	//31 QGlobalSpace::__codecvt_partial (enum)
    {5, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 32},	//32 QGlobalSpace::__codecvt_error (enum)
    {5, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 33},	//33 QGlobalSpace::__codecvt_noconv (enum)
    {7, 191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 133, 0},	//34 QObject::metaObject() const
    {7, 254, 1, 1, Smoke::mf_virtual, 150, 0},	//35 QObject::qt_metacast(const char*)
    {7, 160, 3, 1, Smoke::mf_virtual, 128, 0},	//36 QObject::event(QEvent*)
    {7, 161, 5, 2, Smoke::mf_virtual, 128, 0},	//37 QObject::eventFilter(QObject*, QEvent*)
    {7, 286, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::timerEvent(QTimerEvent*)
    {7, 136, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::childEvent(QChildEvent*)
    {7, 152, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::customEvent(QEvent*)
    {7, 148, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QObject::connectNotify(const char*)
    {7, 157, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QObject::disconnectNotify(const char*)
    {10, 35, 12, 2, Smoke::mf_ctor, 12, 1},	//43 QSignalSpy::QSignalSpy(QObject*, const char*)
    {10, 168, 0, 0, Smoke::mf_const, 128, 2},	//44 QSignalSpy::isValid() const
    {10, 277, 0, 0, Smoke::mf_const, 3, 3},	//45 QSignalSpy::signal() const
    {10, 252, 15, 3, Smoke::mf_virtual, 148, 4},	//46 QSignalSpy::qt_metacall(QMetaObject::Call, int, void**)
    {10, 303, 0, 0, Smoke::mf_dtor, 0, 5 },	//47 QSignalSpy::~QSignalSpy()
    {11, 205, 19, 3, Smoke::mf_static, 0, 1},	//48 QTest::mouseMove(QWidget*, QPoint, int)
    {11, 205, 23, 1, Smoke::mf_static, 0, 2},	//49 QTest::mouseMove(QWidget*)
    {11, 205, 25, 2, Smoke::mf_static, 0, 3},	//50 QTest::mouseMove(QWidget*, QPoint)
    {11, 234, 28, 5, Smoke::mf_static, 128, 4},	//51 QTest::qExpectFail(const char*, const char*, QTest::TestFailMode, const char*, int)
    {11, 209, 34, 5, Smoke::mf_static, 0, 5},	//52 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 209, 40, 2, Smoke::mf_static, 0, 6},	//53 QTest::mousePress(QWidget*, Qt::MouseButton)
    {11, 209, 43, 3, Smoke::mf_static, 0, 7},	//54 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 209, 47, 4, Smoke::mf_static, 0, 8},	//55 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 151, 0, 0, Smoke::mf_static, 145, 9},	//56 QTest::currentTestFunction()
    {11, 229, 52, 2, Smoke::mf_static, 148, 10},	//57 QTest::qExec(QObject*, const QStringList&)
    {11, 284, 0, 0, Smoke::mf_static, 9, 11},	//58 QTest::testObject()
    {11, 280, 55, 7, Smoke::mf_static, 0, 12},	//59 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int)
    {11, 280, 63, 6, Smoke::mf_static, 0, 13},	//60 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool)
    {11, 181, 70, 4, Smoke::mf_static, 0, 14},	//61 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 181, 75, 2, Smoke::mf_static, 0, 15},	//62 QTest::keyPress(QWidget*, Qt::Key)
    {11, 181, 78, 3, Smoke::mf_static, 0, 16},	//63 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 197, 34, 5, Smoke::mf_static, 0, 17},	//64 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 197, 40, 2, Smoke::mf_static, 0, 18},	//65 QTest::mouseDClick(QWidget*, Qt::MouseButton)
    {11, 197, 43, 3, Smoke::mf_static, 0, 19},	//66 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 197, 47, 4, Smoke::mf_static, 0, 20},	//67 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 240, 82, 4, Smoke::mf_static, 0, 21},	//68 QTest::qSkip(const char*, QTest::SkipMode, const char*, int)
    {11, 244, 87, 5, Smoke::mf_static, 128, 22},	//69 QTest::qVerify(bool, const char*, const char*, const char*, int)
    {11, 236, 93, 3, Smoke::mf_static, 0, 23},	//70 QTest::qFail(const char*, const char*, int)
    {11, 189, 97, 1, Smoke::mf_static, 129, 24},	//71 QTest::keyToAscii(Qt::Key)
    {11, 246, 99, 1, Smoke::mf_static, 0, 25},	//72 QTest::qWait(int)
    {11, 256, 101, 6, Smoke::mf_static, 0, 26},	//73 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 256, 108, 5, Smoke::mf_static, 0, 27},	//74 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    {11, 250, 1, 1, Smoke::mf_static, 0, 28},	//75 QTest::qWarn(const char*)
    {11, 181, 114, 4, Smoke::mf_static, 0, 29},	//76 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 181, 119, 2, Smoke::mf_static, 0, 30},	//77 QTest::keyPress(QWidget*, char)
    {11, 181, 122, 3, Smoke::mf_static, 0, 31},	//78 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 149, 0, 0, Smoke::mf_static, 145, 32},	//79 QTest::currentDataTag()
    {11, 169, 114, 4, Smoke::mf_static, 0, 33},	//80 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 169, 119, 2, Smoke::mf_static, 0, 34},	//81 QTest::keyClick(QWidget*, char)
    {11, 169, 122, 3, Smoke::mf_static, 0, 35},	//82 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 150, 0, 0, Smoke::mf_static, 128, 36},	//83 QTest::currentTestFailed()
    {11, 238, 126, 2, Smoke::mf_static, 150, 37},	//84 QTest::qGlobalData(const char*, int)
    {11, 248, 23, 1, Smoke::mf_static, 128, 38},	//85 QTest::qWaitForWindowShown(QWidget*)
    {11, 219, 1, 1, Smoke::mf_static, 23, 39},	//86 QTest::newRow(const char*)
    {11, 177, 129, 5, Smoke::mf_static, 0, 40},	//87 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 177, 135, 3, Smoke::mf_static, 0, 41},	//88 QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    {11, 177, 139, 4, Smoke::mf_static, 0, 42},	//89 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 169, 70, 4, Smoke::mf_static, 0, 43},	//90 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 169, 75, 2, Smoke::mf_static, 0, 44},	//91 QTest::keyClick(QWidget*, Qt::Key)
    {11, 169, 78, 3, Smoke::mf_static, 0, 45},	//92 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 227, 126, 2, Smoke::mf_static, 150, 46},	//93 QTest::qElementData(const char*, int)
    {11, 144, 144, 6, Smoke::mf_static, 128, 47},	//94 QTest::compare_ptr_helper(const void*, const void*, const char*, const char*, const char*, int)
    {11, 229, 151, 3, Smoke::mf_static, 148, 48},	//95 QTest::qExec(QObject*, int, char**)
    {11, 229, 155, 1, Smoke::mf_static, 148, 49},	//96 QTest::qExec(QObject*)
    {11, 229, 157, 2, Smoke::mf_static, 148, 50},	//97 QTest::qExec(QObject*, int)
    {11, 185, 70, 4, Smoke::mf_static, 0, 51},	//98 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 185, 75, 2, Smoke::mf_static, 0, 52},	//99 QTest::keyRelease(QWidget*, Qt::Key)
    {11, 185, 78, 3, Smoke::mf_static, 0, 53},	//100 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 259, 160, 2, Smoke::mf_static, 0, 54},	//101 QTest::setBenchmarkResult(float, QTest::QBenchmarkMetric)
    {11, 141, 163, 8, Smoke::mf_static, 128, 55},	//102 QTest::compare_helper(bool, const char*, char*, char*, const char*, const char*, const char*, int)
    {11, 290, 1, 1, Smoke::mf_static, 130, 56},	//103 QTest::toString(const char*)
    {11, 202, 172, 6, Smoke::mf_static, 0, 57},	//104 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 202, 179, 5, Smoke::mf_static, 0, 58},	//105 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 290, 185, 1, Smoke::mf_static, 130, 59},	//106 QTest::toString(const void*)
    {11, 131, 187, 1, Smoke::mf_static, 73, 60},	//107 QTest::asciiToKey(char)
    {11, 82, 189, 2, Smoke::mf_static, 0, 61},	//108 QTest::addColumnInternal(int, const char*)
    {11, 185, 114, 4, Smoke::mf_static, 0, 62},	//109 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 185, 119, 2, Smoke::mf_static, 0, 63},	//110 QTest::keyRelease(QWidget*, char)
    {11, 185, 122, 3, Smoke::mf_static, 0, 64},	//111 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 288, 126, 2, Smoke::mf_static, 130, 65},	//112 QTest::toHexRepresentation(const char*, int)
    {11, 192, 34, 5, Smoke::mf_static, 0, 66},	//113 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 192, 40, 2, Smoke::mf_static, 0, 67},	//114 QTest::mouseClick(QWidget*, Qt::MouseButton)
    {11, 192, 43, 3, Smoke::mf_static, 0, 68},	//115 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 192, 47, 4, Smoke::mf_static, 0, 69},	//116 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 242, 99, 1, Smoke::mf_static, 0, 70},	//117 QTest::qSleep(int)
    {11, 146, 192, 6, Smoke::mf_static, 128, 71},	//118 QTest::compare_string_helper(const char*, const char*, const char*, const char*, const char*, int)
    {11, 141, 199, 4, Smoke::mf_static, 128, 72},	//119 QTest::compare_helper(bool, const char*, const char*, int)
    {11, 256, 204, 6, Smoke::mf_static, 0, 73},	//120 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    {11, 256, 211, 5, Smoke::mf_static, 0, 74},	//121 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    {11, 225, 126, 2, Smoke::mf_static, 150, 75},	//122 QTest::qData(const char*, int)
    {11, 177, 217, 5, Smoke::mf_static, 0, 76},	//123 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 177, 223, 3, Smoke::mf_static, 0, 77},	//124 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    {11, 177, 227, 4, Smoke::mf_static, 0, 78},	//125 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 164, 232, 2, Smoke::mf_static, 0, 79},	//126 QTest::ignoreMessage(QtMsgType, const char*)
    {11, 214, 34, 5, Smoke::mf_static, 0, 80},	//127 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 214, 40, 2, Smoke::mf_static, 0, 81},	//128 QTest::mouseRelease(QWidget*, Qt::MouseButton)
    {11, 214, 43, 3, Smoke::mf_static, 0, 82},	//129 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 214, 47, 4, Smoke::mf_static, 0, 83},	//130 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 173, 235, 4, Smoke::mf_static, 0, 84},	//131 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int)
    {11, 173, 240, 2, Smoke::mf_static, 0, 85},	//132 QTest::keyClicks(QWidget*, const QString&)
    {11, 173, 243, 3, Smoke::mf_static, 0, 86},	//133 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>)
    {11, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 87},	//134 QTest::Abort (enum)
    {11, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 88},	//135 QTest::Continue (enum)
    {11, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 89},	//136 QTest::MousePress (enum)
    {11, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 90},	//137 QTest::MouseRelease (enum)
    {11, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 91},	//138 QTest::MouseClick (enum)
    {11, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 92},	//139 QTest::MouseDClick (enum)
    {11, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 93},	//140 QTest::MouseMove (enum)
    {11, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 94},	//141 QTest::Press (enum)
    {11, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 95},	//142 QTest::Release (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 96},	//143 QTest::Click (enum)
    {11, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 97},	//144 QTest::SkipSingle (enum)
    {11, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 98},	//145 QTest::SkipAll (enum)
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 99},	//146 QTest::FramesPerSecond (enum)
    {11, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 100},	//147 QTest::BitsPerSecond (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 101},	//148 QTest::BytesPerSecond (enum)
    {11, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 102},	//149 QTest::WalltimeMilliseconds (enum)
    {11, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 103},	//150 QTest::CPUTicks (enum)
    {11, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 104},	//151 QTest::InstructionReads (enum)
    {11, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 105},	//152 QTest::Events (enum)
    {12, 166, 0, 0, Smoke::mf_static, 0, 1},	//153 QTestAccessibility::initialize()
    {12, 137, 0, 0, Smoke::mf_static, 0, 2},	//154 QTestAccessibility::cleanup()
    {12, 139, 0, 0, Smoke::mf_static, 0, 3},	//155 QTestAccessibility::clearEvents()
    {12, 162, 0, 0, Smoke::mf_static, 7, 4},	//156 QTestAccessibility::events()
    {12, 300, 247, 1, Smoke::mf_static, 128, 5},	//157 QTestAccessibility::verifyEvent(const QTestAccessibilityEvent&)
    {12, 300, 249, 3, Smoke::mf_static, 128, 6},	//158 QTestAccessibility::verifyEvent(QObject*, int, int)
    {13, 37, 249, 3, Smoke::mf_ctor, 22, 1},	//159 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int, int)
    {13, 222, 247, 1, Smoke::mf_const, 128, 2},	//160 QTestAccessibilityEvent::operator==(const QTestAccessibilityEvent&) const
    {13, 37, 247, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 3},	//161 QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    {13, 37, 0, 0, Smoke::mf_ctor, 22, 4},	//162 QTestAccessibilityEvent::QTestAccessibilityEvent()
    {13, 37, 155, 1, Smoke::mf_ctor, 22, 5},	//163 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    {13, 37, 157, 2, Smoke::mf_ctor, 22, 6},	//164 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int)
    {13, 221, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 9, 7},	//165 QTestAccessibilityEvent::object() const
    {13, 265, 155, 1, Smoke::mf_attribute, 0, 8},	//166 QTestAccessibilityEvent::setObject(QObject*)
    {13, 135, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 148, 9},	//167 QTestAccessibilityEvent::child() const
    {13, 261, 99, 1, Smoke::mf_attribute, 0, 10},	//168 QTestAccessibilityEvent::setChild(int)
    {13, 160, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 148, 11},	//169 QTestAccessibilityEvent::event() const
    {13, 263, 99, 1, Smoke::mf_attribute, 0, 12},	//170 QTestAccessibilityEvent::setEvent(int)
    {13, 304, 0, 0, Smoke::mf_dtor, 0, 13 },	//171 QTestAccessibilityEvent::~QTestAccessibilityEvent()
    {14, 129, 253, 2, 0, 0, 1},	//172 QTestData::append(int, const void*)
    {14, 153, 99, 1, Smoke::mf_const, 150, 2},	//173 QTestData::data(int) const
    {14, 156, 0, 0, Smoke::mf_const, 145, 3},	//174 QTestData::dataTag() const
    {14, 224, 0, 0, Smoke::mf_const, 32, 4},	//175 QTestData::parent() const
    {14, 155, 0, 0, Smoke::mf_const, 148, 5},	//176 QTestData::dataCount() const
    {14, 305, 0, 0, Smoke::mf_dtor, 0, 6 },	//177 QTestData::~QTestData()
    {15, 41, 99, 1, Smoke::mf_ctor, 24, 1},	//178 QTestDelayEvent::QTestDelayEvent(int)
    {15, 140, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//179 QTestDelayEvent::clone() const
    {15, 278, 23, 1, Smoke::mf_virtual, 0, 3},	//180 QTestDelayEvent::simulate(QWidget*)
    {15, 41, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 4},	//181 QTestDelayEvent::QTestDelayEvent(const QTestDelayEvent&)
    {15, 306, 0, 0, Smoke::mf_dtor, 0, 5 },	//182 QTestDelayEvent::~QTestDelayEvent()
    {16, 278, 23, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//183 QTestEvent::simulate(QWidget*) [pure virtual]
    {16, 140, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 25, 2},	//184 QTestEvent::clone() const [pure virtual]
    {16, 44, 0, 0, Smoke::mf_ctor, 25, 3},	//185 QTestEvent::QTestEvent()
    {16, 44, 258, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 4},	//186 QTestEvent::QTestEvent(const QTestEvent&)
    {16, 307, 0, 0, Smoke::mf_dtor, 0, 5 },	//187 QTestEvent::~QTestEvent()
    {17, 46, 0, 0, Smoke::mf_ctor, 26, 1},	//188 QTestEventList::QTestEventList()
    {17, 46, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//189 QTestEventList::QTestEventList(const QTestEventList&)
    {17, 138, 0, 0, 0, 0, 3},	//190 QTestEventList::clear()
    {17, 86, 262, 3, 0, 0, 4},	//191 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 98, 262, 3, 0, 0, 5},	//192 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 102, 262, 3, 0, 0, 6},	//193 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 94, 266, 4, 0, 0, 7},	//194 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 86, 271, 3, 0, 0, 8},	//195 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 98, 271, 3, 0, 0, 9},	//196 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 102, 271, 3, 0, 0, 10},	//197 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 90, 275, 3, 0, 0, 11},	//198 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {17, 94, 279, 4, 0, 0, 12},	//199 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {17, 119, 284, 4, 0, 0, 13},	//200 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 124, 284, 4, 0, 0, 14},	//201 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 106, 284, 4, 0, 0, 15},	//202 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 111, 284, 4, 0, 0, 16},	//203 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 116, 289, 2, 0, 0, 17},	//204 QTestEventList::addMouseMove(QPoint, int)
    {17, 84, 99, 1, 0, 0, 18},	//205 QTestEventList::addDelay(int)
    {17, 278, 23, 1, 0, 0, 19},	//206 QTestEventList::simulate(QWidget*)
    {17, 86, 97, 1, 0, 0, 20},	//207 QTestEventList::addKeyClick(Qt::Key)
    {17, 86, 292, 2, 0, 0, 21},	//208 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 98, 97, 1, 0, 0, 22},	//209 QTestEventList::addKeyPress(Qt::Key)
    {17, 98, 292, 2, 0, 0, 23},	//210 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 102, 97, 1, 0, 0, 24},	//211 QTestEventList::addKeyRelease(Qt::Key)
    {17, 102, 292, 2, 0, 0, 25},	//212 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 94, 295, 2, 0, 0, 26},	//213 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    {17, 94, 298, 3, 0, 0, 27},	//214 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 86, 187, 1, 0, 0, 28},	//215 QTestEventList::addKeyClick(char)
    {17, 86, 302, 2, 0, 0, 29},	//216 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    {17, 98, 187, 1, 0, 0, 30},	//217 QTestEventList::addKeyPress(char)
    {17, 98, 302, 2, 0, 0, 31},	//218 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    {17, 102, 187, 1, 0, 0, 32},	//219 QTestEventList::addKeyRelease(char)
    {17, 102, 302, 2, 0, 0, 33},	//220 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    {17, 90, 305, 1, 0, 0, 34},	//221 QTestEventList::addKeyClicks(const QString&)
    {17, 90, 307, 2, 0, 0, 35},	//222 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>)
    {17, 94, 310, 2, 0, 0, 36},	//223 QTestEventList::addKeyEvent(QTest::KeyAction, char)
    {17, 94, 313, 3, 0, 0, 37},	//224 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    {17, 119, 317, 1, 0, 0, 38},	//225 QTestEventList::addMousePress(Qt::MouseButton)
    {17, 119, 319, 2, 0, 0, 39},	//226 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 119, 322, 3, 0, 0, 40},	//227 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 124, 317, 1, 0, 0, 41},	//228 QTestEventList::addMouseRelease(Qt::MouseButton)
    {17, 124, 319, 2, 0, 0, 42},	//229 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 124, 322, 3, 0, 0, 43},	//230 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 106, 317, 1, 0, 0, 44},	//231 QTestEventList::addMouseClick(Qt::MouseButton)
    {17, 106, 319, 2, 0, 0, 45},	//232 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 106, 322, 3, 0, 0, 46},	//233 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 111, 317, 1, 0, 0, 47},	//234 QTestEventList::addMouseDClick(Qt::MouseButton)
    {17, 111, 319, 2, 0, 0, 48},	//235 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 111, 322, 3, 0, 0, 49},	//236 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 116, 0, 0, 0, 0, 50},	//237 QTestEventList::addMouseMove()
    {17, 116, 326, 1, 0, 0, 51},	//238 QTestEventList::addMouseMove(QPoint)
    {17, 308, 0, 0, Smoke::mf_dtor, 0, 52 },	//239 QTestEventList::~QTestEventList()
    {18, 191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 133, 1},	//240 QTestEventLoop::metaObject() const
    {18, 254, 1, 1, Smoke::mf_virtual, 150, 2},	//241 QTestEventLoop::qt_metacast(const char*)
    {18, 292, 328, 2, Smoke::mf_static, 13, 3},	//242 QTestEventLoop::tr(const char*, const char*)
    {18, 296, 328, 2, Smoke::mf_static, 13, 4},	//243 QTestEventLoop::trUtf8(const char*, const char*)
    {18, 292, 93, 3, Smoke::mf_static, 13, 5},	//244 QTestEventLoop::tr(const char*, const char*, int)
    {18, 296, 93, 3, Smoke::mf_static, 13, 6},	//245 QTestEventLoop::trUtf8(const char*, const char*, int)
    {18, 252, 15, 3, Smoke::mf_virtual, 148, 7},	//246 QTestEventLoop::qt_metacall(QMetaObject::Call, int, void**)
    {18, 48, 155, 1, Smoke::mf_ctor, 28, 8},	//247 QTestEventLoop::QTestEventLoop(QObject*)
    {18, 158, 99, 1, 0, 0, 9},	//248 QTestEventLoop::enterLoop(int)
    {18, 133, 99, 1, 0, 0, 10},	//249 QTestEventLoop::changeInterval(int)
    {18, 285, 0, 0, Smoke::mf_const, 128, 11},	//250 QTestEventLoop::timeout() const
    {18, 167, 0, 0, Smoke::mf_static, 27, 12},	//251 QTestEventLoop::instance()
    {18, 163, 0, 0, Smoke::mf_slot, 0, 13},	//252 QTestEventLoop::exitLoop()
    {18, 286, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//253 QTestEventLoop::timerEvent(QTimerEvent*)
    {18, 292, 1, 1, Smoke::mf_static, 13, 15},	//254 QTestEventLoop::tr(const char*)
    {18, 296, 1, 1, Smoke::mf_static, 13, 16},	//255 QTestEventLoop::trUtf8(const char*)
    {18, 48, 0, 0, Smoke::mf_ctor, 28, 17},	//256 QTestEventLoop::QTestEventLoop()
    {18, 283, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 132, 18},	//257 QTestEventLoop::staticMetaObject() const
    {18, 309, 0, 0, Smoke::mf_dtor, 0, 19 },	//258 QTestEventLoop::~QTestEventLoop()
    {19, 50, 275, 3, Smoke::mf_ctor, 29, 1},	//259 QTestKeyClicksEvent::QTestKeyClicksEvent(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {19, 140, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//260 QTestKeyClicksEvent::clone() const
    {19, 278, 23, 1, Smoke::mf_virtual, 0, 3},	//261 QTestKeyClicksEvent::simulate(QWidget*)
    {19, 50, 331, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 4},	//262 QTestKeyClicksEvent::QTestKeyClicksEvent(const QTestKeyClicksEvent&)
    {19, 310, 0, 0, Smoke::mf_dtor, 0, 5 },	//263 QTestKeyClicksEvent::~QTestKeyClicksEvent()
    {20, 53, 266, 4, Smoke::mf_ctor, 30, 1},	//264 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {20, 53, 279, 4, Smoke::mf_ctor, 30, 2},	//265 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {20, 140, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 3},	//266 QTestKeyEvent::clone() const
    {20, 278, 23, 1, Smoke::mf_virtual, 0, 4},	//267 QTestKeyEvent::simulate(QWidget*)
    {20, 53, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 5},	//268 QTestKeyEvent::QTestKeyEvent(const QTestKeyEvent&)
    {20, 77, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 16, 6},	//269 QTestKeyEvent::_action() const
    {20, 267, 335, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 7},	//270 QTestKeyEvent::set_action(QTest::KeyAction)
    {20, 79, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 148, 8},	//271 QTestKeyEvent::_delay() const
    {20, 271, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 9},	//272 QTestKeyEvent::set_delay(int)
    {20, 81, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 6, 10},	//273 QTestKeyEvent::_modifiers() const
    {20, 275, 337, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 11},	//274 QTestKeyEvent::set_modifiers(QFlags<Qt::KeyboardModifier>)
    {20, 78, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 129, 12},	//275 QTestKeyEvent::_ascii() const
    {20, 269, 187, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//276 QTestKeyEvent::set_ascii(char)
    {20, 80, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 73, 14},	//277 QTestKeyEvent::_key() const
    {20, 273, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//278 QTestKeyEvent::set_key(Qt::Key)
    {20, 311, 0, 0, Smoke::mf_dtor, 0, 16 },	//279 QTestKeyEvent::~QTestKeyEvent()
    {21, 56, 339, 5, Smoke::mf_ctor, 31, 1},	//280 QTestMouseEvent::QTestMouseEvent(QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {21, 140, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//281 QTestMouseEvent::clone() const
    {21, 278, 23, 1, Smoke::mf_virtual, 0, 3},	//282 QTestMouseEvent::simulate(QWidget*)
    {21, 56, 345, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//283 QTestMouseEvent::QTestMouseEvent(const QTestMouseEvent&)
    {21, 312, 0, 0, Smoke::mf_dtor, 0, 5 },	//284 QTestMouseEvent::~QTestMouseEvent()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    81,  // QTest::keyClick(QWidget*, char)
    91,  // QTest::keyClick(QWidget*, Qt::Key)
    0,
    82,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    92,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    80,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    90,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    88,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    124,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    0,
    89,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    125,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    87,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    123,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    62,  // QTest::keyPress(QWidget*, Qt::Key)
    77,  // QTest::keyPress(QWidget*, char)
    0,
    63,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    78,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    61,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    76,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    99,  // QTest::keyRelease(QWidget*, Qt::Key)
    110,  // QTest::keyRelease(QWidget*, char)
    0,
    100,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    111,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    98,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    109,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    74,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    121,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    0,
    73,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    120,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    0,
    103,  // QTest::toString(const char*)
    106,  // QTest::toString(const void*)
    0,
    161,  // QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    163,  // QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    0,
    264,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    265,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    207,  // QTestEventList::addKeyClick(Qt::Key)
    215,  // QTestEventList::addKeyClick(char)
    0,
    208,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    216,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    0,
    191,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    195,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    213,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    223,  // QTestEventList::addKeyEvent(QTest::KeyAction, char)
    0,
    214,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    224,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    0,
    194,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    199,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    209,  // QTestEventList::addKeyPress(Qt::Key)
    217,  // QTestEventList::addKeyPress(char)
    0,
    210,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    218,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    0,
    192,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    196,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    211,  // QTestEventList::addKeyRelease(Qt::Key)
    219,  // QTestEventList::addKeyRelease(char)
    0,
    212,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    220,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    0,
    193,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    197,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 10, 13},	// QGlobalSpace::LicensedActiveQt
    {5, 11, 19},	// QGlobalSpace::LicensedCore
    {5, 12, 11},	// QGlobalSpace::LicensedDBus
    {5, 13, 16},	// QGlobalSpace::LicensedDeclarative
    {5, 14, 6},	// QGlobalSpace::LicensedGui
    {5, 15, 25},	// QGlobalSpace::LicensedHelp
    {5, 16, 26},	// QGlobalSpace::LicensedMultimedia
    {5, 17, 29},	// QGlobalSpace::LicensedNetwork
    {5, 18, 18},	// QGlobalSpace::LicensedOpenGL
    {5, 19, 10},	// QGlobalSpace::LicensedOpenVG
    {5, 20, 27},	// QGlobalSpace::LicensedQt3Support
    {5, 21, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {5, 22, 9},	// QGlobalSpace::LicensedScript
    {5, 23, 14},	// QGlobalSpace::LicensedScriptTools
    {5, 24, 17},	// QGlobalSpace::LicensedSql
    {5, 25, 15},	// QGlobalSpace::LicensedSvg
    {5, 26, 12},	// QGlobalSpace::LicensedTest
    {5, 27, 7},	// QGlobalSpace::LicensedXml
    {5, 28, 28},	// QGlobalSpace::LicensedXmlPatterns
    {5, 59, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 60, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 61, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 62, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 63, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {5, 64, 22},	// QGlobalSpace::QtCriticalMsg
    {5, 65, 20},	// QGlobalSpace::QtDebugMsg
    {5, 66, 23},	// QGlobalSpace::QtFatalMsg
    {5, 67, 24},	// QGlobalSpace::QtSystemMsg
    {5, 68, 21},	// QGlobalSpace::QtWarningMsg
    {5, 73, 32},	// QGlobalSpace::__codecvt_error
    {5, 74, 33},	// QGlobalSpace::__codecvt_noconv
    {5, 75, 30},	// QGlobalSpace::__codecvt_ok
    {5, 76, 31},	// QGlobalSpace::__codecvt_partial
    {10, 36, 43},	// QSignalSpy::QSignalSpy#$
    {10, 168, 44},	// QSignalSpy::isValid
    {10, 253, 46},	// QSignalSpy::qt_metacall$$?
    {10, 277, 45},	// QSignalSpy::signal
    {10, 303, 47},	// QSignalSpy::~QSignalSpy
    {11, 1, 134},	// QTest::Abort
    {11, 2, 147},	// QTest::BitsPerSecond
    {11, 3, 148},	// QTest::BytesPerSecond
    {11, 4, 150},	// QTest::CPUTicks
    {11, 5, 143},	// QTest::Click
    {11, 6, 135},	// QTest::Continue
    {11, 7, 152},	// QTest::Events
    {11, 8, 146},	// QTest::FramesPerSecond
    {11, 9, 151},	// QTest::InstructionReads
    {11, 29, 138},	// QTest::MouseClick
    {11, 30, 139},	// QTest::MouseDClick
    {11, 31, 140},	// QTest::MouseMove
    {11, 32, 136},	// QTest::MousePress
    {11, 33, 137},	// QTest::MouseRelease
    {11, 34, 141},	// QTest::Press
    {11, 69, 142},	// QTest::Release
    {11, 70, 145},	// QTest::SkipAll
    {11, 71, 144},	// QTest::SkipSingle
    {11, 72, 149},	// QTest::WalltimeMilliseconds
    {11, 83, 108},	// QTest::addColumnInternal$$
    {11, 132, 107},	// QTest::asciiToKey$
    {11, 142, 119},	// QTest::compare_helper$$$$
    {11, 143, 102},	// QTest::compare_helper$$$$$$$$
    {11, 145, 94},	// QTest::compare_ptr_helper$$$$$$
    {11, 147, 118},	// QTest::compare_string_helper$$$$$$
    {11, 149, 79},	// QTest::currentDataTag
    {11, 150, 83},	// QTest::currentTestFailed
    {11, 151, 56},	// QTest::currentTestFunction
    {11, 165, 126},	// QTest::ignoreMessage$$
    {11, 170, -1},	// QTest::keyClick#$
    {11, 171, -4},	// QTest::keyClick#$$
    {11, 172, -7},	// QTest::keyClick#$$$
    {11, 174, 132},	// QTest::keyClicks#$
    {11, 175, 133},	// QTest::keyClicks#$$
    {11, 176, 131},	// QTest::keyClicks#$$$
    {11, 178, -10},	// QTest::keyEvent$#$
    {11, 179, -13},	// QTest::keyEvent$#$$
    {11, 180, -16},	// QTest::keyEvent$#$$$
    {11, 182, -19},	// QTest::keyPress#$
    {11, 183, -22},	// QTest::keyPress#$$
    {11, 184, -25},	// QTest::keyPress#$$$
    {11, 186, -28},	// QTest::keyRelease#$
    {11, 187, -31},	// QTest::keyRelease#$$
    {11, 188, -34},	// QTest::keyRelease#$$$
    {11, 190, 71},	// QTest::keyToAscii$
    {11, 193, 114},	// QTest::mouseClick#$
    {11, 194, 115},	// QTest::mouseClick#$$
    {11, 195, 116},	// QTest::mouseClick#$$#
    {11, 196, 113},	// QTest::mouseClick#$$#$
    {11, 198, 65},	// QTest::mouseDClick#$
    {11, 199, 66},	// QTest::mouseDClick#$$
    {11, 200, 67},	// QTest::mouseDClick#$$#
    {11, 201, 64},	// QTest::mouseDClick#$$#$
    {11, 203, 105},	// QTest::mouseEvent$#$$#
    {11, 204, 104},	// QTest::mouseEvent$#$$#$
    {11, 206, 49},	// QTest::mouseMove#
    {11, 207, 50},	// QTest::mouseMove##
    {11, 208, 48},	// QTest::mouseMove##$
    {11, 210, 53},	// QTest::mousePress#$
    {11, 211, 54},	// QTest::mousePress#$$
    {11, 212, 55},	// QTest::mousePress#$$#
    {11, 213, 52},	// QTest::mousePress#$$#$
    {11, 215, 128},	// QTest::mouseRelease#$
    {11, 216, 129},	// QTest::mouseRelease#$$
    {11, 217, 130},	// QTest::mouseRelease#$$#
    {11, 218, 127},	// QTest::mouseRelease#$$#$
    {11, 220, 86},	// QTest::newRow$
    {11, 226, 122},	// QTest::qData$$
    {11, 228, 93},	// QTest::qElementData$$
    {11, 230, 96},	// QTest::qExec#
    {11, 231, 97},	// QTest::qExec#$
    {11, 232, 95},	// QTest::qExec#$?
    {11, 233, 57},	// QTest::qExec#?
    {11, 235, 51},	// QTest::qExpectFail$$$$$
    {11, 237, 70},	// QTest::qFail$$$
    {11, 239, 84},	// QTest::qGlobalData$$
    {11, 241, 68},	// QTest::qSkip$$$$
    {11, 243, 117},	// QTest::qSleep$
    {11, 245, 69},	// QTest::qVerify$$$$$
    {11, 247, 72},	// QTest::qWait$
    {11, 249, 85},	// QTest::qWaitForWindowShown#
    {11, 251, 75},	// QTest::qWarn$
    {11, 257, -37},	// QTest::sendKeyEvent$#$$$
    {11, 258, -40},	// QTest::sendKeyEvent$#$$$$
    {11, 260, 101},	// QTest::setBenchmarkResult$$
    {11, 281, 60},	// QTest::simulateEvent#$$$$$
    {11, 282, 59},	// QTest::simulateEvent#$$$$$$
    {11, 284, 58},	// QTest::testObject
    {11, 289, 112},	// QTest::toHexRepresentation$$
    {11, 291, -43},	// QTest::toString$
    {12, 137, 154},	// QTestAccessibility::cleanup
    {12, 139, 155},	// QTestAccessibility::clearEvents
    {12, 162, 156},	// QTestAccessibility::events
    {12, 166, 153},	// QTestAccessibility::initialize
    {12, 301, 157},	// QTestAccessibility::verifyEvent#
    {12, 302, 158},	// QTestAccessibility::verifyEvent#$$
    {13, 37, 162},	// QTestAccessibilityEvent::QTestAccessibilityEvent
    {13, 38, -46},	// QTestAccessibilityEvent::QTestAccessibilityEvent#
    {13, 39, 164},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$
    {13, 40, 159},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$$
    {13, 135, 167},	// QTestAccessibilityEvent::child
    {13, 160, 169},	// QTestAccessibilityEvent::event
    {13, 221, 165},	// QTestAccessibilityEvent::object
    {13, 223, 160},	// QTestAccessibilityEvent::operator==#
    {13, 262, 168},	// QTestAccessibilityEvent::setChild$
    {13, 264, 170},	// QTestAccessibilityEvent::setEvent$
    {13, 266, 166},	// QTestAccessibilityEvent::setObject#
    {13, 304, 171},	// QTestAccessibilityEvent::~QTestAccessibilityEvent
    {14, 130, 172},	// QTestData::append$$
    {14, 154, 173},	// QTestData::data$
    {14, 155, 176},	// QTestData::dataCount
    {14, 156, 174},	// QTestData::dataTag
    {14, 224, 175},	// QTestData::parent
    {14, 305, 177},	// QTestData::~QTestData
    {15, 42, 181},	// QTestDelayEvent::QTestDelayEvent#
    {15, 43, 178},	// QTestDelayEvent::QTestDelayEvent$
    {15, 140, 179},	// QTestDelayEvent::clone
    {15, 279, 180},	// QTestDelayEvent::simulate#
    {15, 306, 182},	// QTestDelayEvent::~QTestDelayEvent
    {16, 44, 185},	// QTestEvent::QTestEvent
    {16, 45, 186},	// QTestEvent::QTestEvent#
    {16, 140, 184},	// QTestEvent::clone
    {16, 279, 183},	// QTestEvent::simulate#
    {16, 307, 187},	// QTestEvent::~QTestEvent
    {17, 46, 188},	// QTestEventList::QTestEventList
    {17, 47, 189},	// QTestEventList::QTestEventList#
    {17, 85, 205},	// QTestEventList::addDelay$
    {17, 87, -52},	// QTestEventList::addKeyClick$
    {17, 88, -55},	// QTestEventList::addKeyClick$$
    {17, 89, -58},	// QTestEventList::addKeyClick$$$
    {17, 91, 221},	// QTestEventList::addKeyClicks$
    {17, 92, 222},	// QTestEventList::addKeyClicks$$
    {17, 93, 198},	// QTestEventList::addKeyClicks$$$
    {17, 95, -61},	// QTestEventList::addKeyEvent$$
    {17, 96, -64},	// QTestEventList::addKeyEvent$$$
    {17, 97, -67},	// QTestEventList::addKeyEvent$$$$
    {17, 99, -70},	// QTestEventList::addKeyPress$
    {17, 100, -73},	// QTestEventList::addKeyPress$$
    {17, 101, -76},	// QTestEventList::addKeyPress$$$
    {17, 103, -79},	// QTestEventList::addKeyRelease$
    {17, 104, -82},	// QTestEventList::addKeyRelease$$
    {17, 105, -85},	// QTestEventList::addKeyRelease$$$
    {17, 107, 231},	// QTestEventList::addMouseClick$
    {17, 108, 232},	// QTestEventList::addMouseClick$$
    {17, 109, 233},	// QTestEventList::addMouseClick$$#
    {17, 110, 202},	// QTestEventList::addMouseClick$$#$
    {17, 112, 234},	// QTestEventList::addMouseDClick$
    {17, 113, 235},	// QTestEventList::addMouseDClick$$
    {17, 114, 236},	// QTestEventList::addMouseDClick$$#
    {17, 115, 203},	// QTestEventList::addMouseDClick$$#$
    {17, 116, 237},	// QTestEventList::addMouseMove
    {17, 117, 238},	// QTestEventList::addMouseMove#
    {17, 118, 204},	// QTestEventList::addMouseMove#$
    {17, 120, 225},	// QTestEventList::addMousePress$
    {17, 121, 226},	// QTestEventList::addMousePress$$
    {17, 122, 227},	// QTestEventList::addMousePress$$#
    {17, 123, 200},	// QTestEventList::addMousePress$$#$
    {17, 125, 228},	// QTestEventList::addMouseRelease$
    {17, 126, 229},	// QTestEventList::addMouseRelease$$
    {17, 127, 230},	// QTestEventList::addMouseRelease$$#
    {17, 128, 201},	// QTestEventList::addMouseRelease$$#$
    {17, 138, 190},	// QTestEventList::clear
    {17, 279, 206},	// QTestEventList::simulate#
    {17, 308, 239},	// QTestEventList::~QTestEventList
    {18, 48, 256},	// QTestEventLoop::QTestEventLoop
    {18, 49, 247},	// QTestEventLoop::QTestEventLoop#
    {18, 134, 249},	// QTestEventLoop::changeInterval$
    {18, 159, 248},	// QTestEventLoop::enterLoop$
    {18, 163, 252},	// QTestEventLoop::exitLoop
    {18, 167, 251},	// QTestEventLoop::instance
    {18, 191, 240},	// QTestEventLoop::metaObject
    {18, 253, 246},	// QTestEventLoop::qt_metacall$$?
    {18, 255, 241},	// QTestEventLoop::qt_metacast$
    {18, 283, 257},	// QTestEventLoop::staticMetaObject
    {18, 285, 250},	// QTestEventLoop::timeout
    {18, 287, 253},	// QTestEventLoop::timerEvent#
    {18, 293, 254},	// QTestEventLoop::tr$
    {18, 294, 242},	// QTestEventLoop::tr$$
    {18, 295, 244},	// QTestEventLoop::tr$$$
    {18, 297, 255},	// QTestEventLoop::trUtf8$
    {18, 298, 243},	// QTestEventLoop::trUtf8$$
    {18, 299, 245},	// QTestEventLoop::trUtf8$$$
    {18, 309, 258},	// QTestEventLoop::~QTestEventLoop
    {19, 51, 262},	// QTestKeyClicksEvent::QTestKeyClicksEvent#
    {19, 52, 259},	// QTestKeyClicksEvent::QTestKeyClicksEvent$$$
    {19, 140, 260},	// QTestKeyClicksEvent::clone
    {19, 279, 261},	// QTestKeyClicksEvent::simulate#
    {19, 310, 263},	// QTestKeyClicksEvent::~QTestKeyClicksEvent
    {20, 54, 268},	// QTestKeyEvent::QTestKeyEvent#
    {20, 55, -49},	// QTestKeyEvent::QTestKeyEvent$$$$
    {20, 77, 269},	// QTestKeyEvent::_action
    {20, 78, 275},	// QTestKeyEvent::_ascii
    {20, 79, 271},	// QTestKeyEvent::_delay
    {20, 80, 277},	// QTestKeyEvent::_key
    {20, 81, 273},	// QTestKeyEvent::_modifiers
    {20, 140, 266},	// QTestKeyEvent::clone
    {20, 268, 270},	// QTestKeyEvent::set_action$
    {20, 270, 276},	// QTestKeyEvent::set_ascii$
    {20, 272, 272},	// QTestKeyEvent::set_delay$
    {20, 274, 278},	// QTestKeyEvent::set_key$
    {20, 276, 274},	// QTestKeyEvent::set_modifiers$
    {20, 279, 267},	// QTestKeyEvent::simulate#
    {20, 311, 279},	// QTestKeyEvent::~QTestKeyEvent
    {21, 57, 283},	// QTestMouseEvent::QTestMouseEvent#
    {21, 58, 280},	// QTestMouseEvent::QTestMouseEvent$$$#$
    {21, 140, 281},	// QTestMouseEvent::clone
    {21, 279, 282},	// QTestMouseEvent::simulate#
    {21, 312, 284},	// QTestMouseEvent::~QTestMouseEvent
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qttest_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qttest_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qttest_Smoke = new Smoke(
        "qttest",
        __smokeqttest::classes, 24,
        __smokeqttest::methods, 285,
        __smokeqttest::methodMaps, 247,
        __smokeqttest::methodNames, 312,
        __smokeqttest::types, 152,
        __smokeqttest::inheritanceList,
        __smokeqttest::argumentList,
        __smokeqttest::ambiguousMethodList,
        __smokeqttest::cast );
    initialized = true;
}

void delete_qttest_Smoke() { delete qttest_Smoke; }

}
