#include <qtdbus_includes.h>

#include <smoke.h>
#include <qtdbus_smoke.h>

namespace __smokeqtdbus {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //DBusError
      switch(to) {
        case 1: return (void*)(DBusError*)xptr;
        default: return xptr;
      }
    case 2:   //QBitArray
      switch(to) {
        case 2: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QChildEvent
      switch(to) {
        case 32: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 6: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDBusAbstractAdaptor
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusAbstractAdaptor*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)xptr;
        default: return xptr;
      }
    case 9:   //QDBusAbstractInterface
      switch(to) {
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusAbstractInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 10:   //QDBusAbstractInterfaceBase
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusAbstractInterfaceBase*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterfaceBase*)xptr;
        default: return xptr;
      }
    case 11:   //QDBusArgument
      switch(to) {
        case 11: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 12:   //QDBusConnection
      switch(to) {
        case 12: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 13:   //QDBusConnectionInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusConnectionInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusConnectionInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusConnectionInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)xptr;
        default: return xptr;
      }
    case 14:   //QDBusContext
      switch(to) {
        case 14: return (void*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 15:   //QDBusError
      switch(to) {
        case 15: return (void*)(QDBusError*)xptr;
        default: return xptr;
      }
    case 16:   //QDBusInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QDBusMessage
      switch(to) {
        case 17: return (void*)(QDBusMessage*)xptr;
        default: return xptr;
      }
    case 18:   //QDBusMetaType
      switch(to) {
        case 18: return (void*)(QDBusMetaType*)xptr;
        default: return xptr;
      }
    case 19:   //QDBusPendingCall
      switch(to) {
        case 19: return (void*)(QDBusPendingCall*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QDBusPendingCall*)xptr;
        default: return xptr;
      }
    case 20:   //QDBusPendingCallWatcher
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusPendingCallWatcher*)xptr;
        case 19: return (void*)(QDBusPendingCall*)(QDBusPendingCallWatcher*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)xptr;
        default: return xptr;
      }
    case 21:   //QDBusServer
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusServer*)xptr;
        case 21: return (void*)(QDBusServer*)xptr;
        default: return xptr;
      }
    case 22:   //QDBusServiceWatcher
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusServiceWatcher*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)xptr;
        default: return xptr;
      }
    case 23:   //QDBusUnixFileDescriptor
      switch(to) {
        case 23: return (void*)(QDBusUnixFileDescriptor*)xptr;
        default: return xptr;
      }
    case 24:   //QDBusVariant
      switch(to) {
        case 60: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 24: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 25:   //QDBusVirtualObject
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusVirtualObject*)xptr;
        case 25: return (void*)(QDBusVirtualObject*)xptr;
        default: return xptr;
      }
    case 26:   //QDataStream
      switch(to) {
        case 26: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 27:   //QDate
      switch(to) {
        case 27: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 28:   //QDateTime
      switch(to) {
        case 28: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 29:   //QDebug
      switch(to) {
        case 29: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 30:   //QDir
      switch(to) {
        case 30: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 31:   //QEasingCurve
      switch(to) {
        case 31: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QHashDummyValue
      switch(to) {
        case 34: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 35:   //QIncompatibleFlag
      switch(to) {
        case 35: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 36:   //QLatin1String
      switch(to) {
        case 36: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 37:   //QLine
      switch(to) {
        case 37: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 38:   //QLineF
      switch(to) {
        case 38: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 39:   //QLocale
      switch(to) {
        case 39: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 40:   //QMargins
      switch(to) {
        case 40: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 41:   //QMetaObject
      switch(to) {
        case 41: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 42:   //QModelIndex
      switch(to) {
        case 42: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QObject
      switch(to) {
        case 43: return (void*)(QObject*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)(QObject*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QObject*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QObject*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QObject*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)(QObject*)xptr;
        case 16: return (void*)(QDBusInterface*)(QObject*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QObject*)xptr;
        case 21: return (void*)(QDBusServer*)(QObject*)xptr;
        case 25: return (void*)(QDBusVirtualObject*)(QObject*)xptr;
        default: return xptr;
      }
    case 44:   //QPersistentModelIndex
      switch(to) {
        case 44: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 45:   //QPoint
      switch(to) {
        case 45: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 46:   //QPointF
      switch(to) {
        case 46: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 47:   //QRect
      switch(to) {
        case 47: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 48:   //QRectF
      switch(to) {
        case 48: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 49:   //QRegExp
      switch(to) {
        case 49: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 50:   //QSize
      switch(to) {
        case 50: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 51:   //QSizeF
      switch(to) {
        case 51: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 52:   //QString::Null
      switch(to) {
        case 52: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 53:   //QStringRef
      switch(to) {
        case 53: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 54:   //QTextStream
      switch(to) {
        case 54: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 55:   //QTextStreamManipulator
      switch(to) {
        case 55: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 56:   //QTime
      switch(to) {
        case 56: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 57:   //QTimerEvent
      switch(to) {
        case 32: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 57: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QUrl
      switch(to) {
        case 58: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 59:   //QUuid
      switch(to) {
        case 59: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QVariantComparisonHelper
      switch(to) {
        case 61: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    43, 0,	// 1: QObject
    10, 0,	// 3: QDBusAbstractInterfaceBase
    9, 0,	// 5: QDBusAbstractInterface
    43, 19, 0,	// 7: QObject, QDBusPendingCall
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBus(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusArgument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDBus(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractAdaptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterfaceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusArgument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnectionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusError(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMetaType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCall(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCallWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServiceWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusUnixFileDescriptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusVirtualObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DBusError", true, 0, 0, 0, 0, 0 },	//1
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QDBus", false, 0, xcall_QDBus, xenum_QDBus, Smoke::cf_namespace, 0 },	//7
    { "QDBusAbstractAdaptor", false, 1, xcall_QDBusAbstractAdaptor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractAdaptor) },	//8
    { "QDBusAbstractInterface", false, 3, xcall_QDBusAbstractInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterface) },	//9
    { "QDBusAbstractInterfaceBase", false, 1, xcall_QDBusAbstractInterfaceBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterfaceBase) },	//10
    { "QDBusArgument", false, 0, xcall_QDBusArgument, xenum_QDBusArgument, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusArgument) },	//11
    { "QDBusConnection", false, 0, xcall_QDBusConnection, xenum_QDBusConnection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusConnection) },	//12
    { "QDBusConnectionInterface", false, 5, xcall_QDBusConnectionInterface, xenum_QDBusConnectionInterface, Smoke::cf_virtual, sizeof(QDBusConnectionInterface) },	//13
    { "QDBusContext", false, 0, xcall_QDBusContext, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusContext) },	//14
    { "QDBusError", false, 0, xcall_QDBusError, xenum_QDBusError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusError) },	//15
    { "QDBusInterface", false, 5, xcall_QDBusInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusInterface) },	//16
    { "QDBusMessage", false, 0, xcall_QDBusMessage, xenum_QDBusMessage, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMessage) },	//17
    { "QDBusMetaType", false, 0, xcall_QDBusMetaType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMetaType) },	//18
    { "QDBusPendingCall", false, 0, xcall_QDBusPendingCall, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusPendingCall) },	//19
    { "QDBusPendingCallWatcher", false, 7, xcall_QDBusPendingCallWatcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusPendingCallWatcher) },	//20
    { "QDBusServer", false, 1, xcall_QDBusServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServer) },	//21
    { "QDBusServiceWatcher", false, 1, xcall_QDBusServiceWatcher, xenum_QDBusServiceWatcher, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServiceWatcher) },	//22
    { "QDBusUnixFileDescriptor", false, 0, xcall_QDBusUnixFileDescriptor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusUnixFileDescriptor) },	//23
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//24
    { "QDBusVirtualObject", false, 1, xcall_QDBusVirtualObject, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusVirtualObject) },	//25
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//26
    { "QDate", true, 0, 0, 0, 0, 0 },	//27
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//28
    { "QDebug", true, 0, 0, 0, 0, 0 },	//29
    { "QDir", true, 0, 0, 0, 0, 0 },	//30
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//33
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//34
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//35
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//36
    { "QLine", true, 0, 0, 0, 0, 0 },	//37
    { "QLineF", true, 0, 0, 0, 0, 0 },	//38
    { "QLocale", true, 0, 0, 0, 0, 0 },	//39
    { "QMargins", true, 0, 0, 0, 0, 0 },	//40
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//41
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QObject", true, 0, 0, 0, 0, 0 },	//43
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//44
    { "QPoint", true, 0, 0, 0, 0, 0 },	//45
    { "QPointF", true, 0, 0, 0, 0, 0 },	//46
    { "QRect", true, 0, 0, 0, 0, 0 },	//47
    { "QRectF", true, 0, 0, 0, 0, 0 },	//48
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//49
    { "QSize", true, 0, 0, 0, 0, 0 },	//50
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//51
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//52
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//53
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//54
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//55
    { "QTime", true, 0, 0, 0, 0, 0 },	//56
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QUrl", true, 0, 0, 0, 0, 0 },	//58
    { "QUuid", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//61
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDBus::CallMode", 7, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QDBusAbstractAdaptor*", 8, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDBusAbstractInterface*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDBusArgument*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDBusArgument::ElementType", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDBusConnection", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDBusConnection*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDBusConnection::BusType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDBusConnection::ConnectionCapability", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDBusConnection::RegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDBusConnection::UnregisterMode", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QDBusConnection::VirtualObjectRegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QDBusConnectionInterface*", 13, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QDBusConnectionInterface::RegisterServiceReply", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDBusConnectionInterface::ServiceQueueOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDBusConnectionInterface::ServiceReplacementOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QDBusContext*", 14, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDBusError", 15, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDBusError&", 15, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDBusError*", 15, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDBusError::ErrorType", 15, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDBusInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QDBusMessage", 17, Smoke::t_class|Smoke::tf_stack },	//34
    { "QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref },	//35
    { "QDBusMessage*", 17, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDBusMessage::MessageType", 17, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QDBusMetaType*", 18, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref },	//39
    { "QDBusPendingCall", 19, Smoke::t_class|Smoke::tf_stack },	//40
    { "QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref },	//41
    { "QDBusPendingCall*", 19, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDBusPendingCallWatcher*", 20, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDBusReply<QDBusConnectionInterface::RegisterServiceReply>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QDBusReply<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QDBusReply<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QDBusReply<uint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QDBusServer*", 21, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDBusServiceWatcher*", 22, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QDBusServiceWatcher::WatchModeFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref },	//53
    { "QDBusUnixFileDescriptor&", 23, Smoke::t_class|Smoke::tf_ref },	//54
    { "QDBusUnixFileDescriptor*", 23, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QDBusVariant&", 24, Smoke::t_class|Smoke::tf_ref },	//56
    { "QDBusVirtualObject*", 25, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDataStream&", 26, Smoke::t_class|Smoke::tf_ref },	//58
    { "QDate&", 27, Smoke::t_class|Smoke::tf_ref },	//59
    { "QDateTime&", 28, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDebug", 29, Smoke::t_class|Smoke::tf_stack },	//61
    { "QDir::Filter", 30, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QDir::SortFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//63
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "QEasingCurve&", 31, Smoke::t_class|Smoke::tf_ref },	//65
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QDBusConnection::ConnectionCapability>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QDBusConnection::VirtualObjectRegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QIncompatibleFlag", 35, Smoke::t_class|Smoke::tf_stack },	//103
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QLine&", 37, Smoke::t_class|Smoke::tf_ref },	//105
    { "QLineF&", 38, Smoke::t_class|Smoke::tf_ref },	//106
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//108
    { "QLocale&", 39, Smoke::t_class|Smoke::tf_ref },	//109
    { "QLocale::NumberOption", 39, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QMetaObject::Call", 41, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QObject*", 43, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QObject*(*)()", 43, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QPoint&", 45, Smoke::t_class|Smoke::tf_ref },	//114
    { "QPointF&", 46, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRect&", 47, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRectF&", 48, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRegExp&", 49, Smoke::t_class|Smoke::tf_ref },	//118
    { "QSize&", 50, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSizeF&", 51, Smoke::t_class|Smoke::tf_ref },	//120
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//121
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//122
    { "QString::Null", 52, Smoke::t_class|Smoke::tf_stack },	//123
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//125
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//126
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//127
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QTextStream&", 54, Smoke::t_class|Smoke::tf_ref },	//129
    { "QTextStream&(*)(QTextStream&)", 54, Smoke::t_class|Smoke::tf_ref },	//130
    { "QTextStream::NumberFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStreamManipulator", 55, Smoke::t_class|Smoke::tf_stack },	//132
    { "QTime&", 56, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTimerEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QUrl&", 58, Smoke::t_class|Smoke::tf_ref },	//135
    { "QUrl::FormattingOption", 58, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QUuid&", 59, Smoke::t_class|Smoke::tf_ref },	//137
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//138
    { "QVariant&", 60, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QVariant::Type&", 60, Smoke::t_enum|Smoke::tf_ref },	//141
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtMsgType", 33, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForActiveQtModule", 33, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForCoreModule", 33, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForDBusModule", 33, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForDeclarativeModule", 33, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForGuiModule", 33, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForHelpModule", 33, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForMultimediaModule", 33, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForNetworkModule", 33, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForOpenGLModule", 33, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForOpenVGModule", 33, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForQt3SupportLightModule", 33, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForQt3SupportModule", 33, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForScriptModule", 33, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForScriptToolsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForSqlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForSvgModule", 33, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForTestModule", 33, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForXmlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForXmlPatternsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//235
    { "_LIB_VERSION_TYPE", 33, Smoke::t_enum|Smoke::tf_stack },	//236
    { "__codecvt_result", 33, Smoke::t_enum|Smoke::tf_stack },	//237
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//238
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//239
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//240
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//241
    { "const DBusError*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//242
    { "const QBitArray&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//244
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDBusContext&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QDBusError&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QDBusMetaType&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDBusUnixFileDescriptor&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDBusVariant&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QDate&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QDateTime&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QDir&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QEasingCurve&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QHashDummyValue&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QLatin1String&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QLine&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QLineF&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QLocale&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QMargins&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QMetaObject&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QMetaObject*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "const QModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QObject*", 43, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//274
    { "const QPersistentModelIndex&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QPoint", 45, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//276
    { "const QPoint&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QPointF", 46, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//278
    { "const QPointF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QRect&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QRectF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QRegExp&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QRegExp*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//283
    { "const QSize", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//284
    { "const QSize&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QSizeF", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//286
    { "const QSizeF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//288
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//291
    { "const QStringRef&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QTime&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QUrl&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QUuid&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//297
    { "const QVariantComparisonHelper&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//299
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//300
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//301
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//302
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//303
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//304
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//305
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//306
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//307
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//308
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//309
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//310
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//311
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//312
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//313
    { "short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//314
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//315
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//316
    { "uint", 0, Smoke::t_uint|Smoke::tf_stack },	//317
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//318
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//319
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//320
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//321
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//322
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//323
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//324
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//325
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//326
    { "unsigned short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//327
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//328
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//329
    { "void(*)(QDBusArgument&,const void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//330
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//331
    { "void(*)(const QDBusArgument&,void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//332
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//333
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//334
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//335
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    299, 0,	//1  const char*
    299, 299, 0,	//3  const char*, const char*
    299, 299, 305, 0,	//6  const char*, const char*, int
    111, 305, 334, 0,	//10  QMetaObject::Call, int, void**
    112, 0,	//14  QObject*
    238, 0,	//16  bool
    305, 0,	//18  int
    289, 296, 296, 296, 296, 296, 296, 296, 296, 0,	//20  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 296, 296, 296, 296, 296, 0,	//30  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 267, 0,	//41  QDBus::CallMode, const QString&, const QList<QVariant>&
    289, 267, 112, 299, 299, 0,	//45  const QString&, const QList<QVariant>&, QObject*, const char*, const char*
    289, 267, 112, 299, 0,	//51  const QString&, const QList<QVariant>&, QObject*, const char*
    289, 267, 0,	//56  const QString&, const QList<QVariant>&
    289, 289, 299, 248, 112, 0,	//59  const QString&, const QString&, const char*, const QDBusConnection&, QObject*
    299, 296, 0,	//65  const char*, const QVariant&
    289, 0,	//68  const QString&
    289, 296, 0,	//70  const QString&, const QVariant&
    289, 296, 296, 0,	//73  const QString&, const QVariant&, const QVariant&
    289, 296, 296, 296, 0,	//77  const QString&, const QVariant&, const QVariant&, const QVariant&
    289, 296, 296, 296, 296, 0,	//82  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    289, 296, 296, 296, 296, 296, 0,	//88  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    289, 296, 296, 296, 296, 296, 296, 0,	//95  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    289, 296, 296, 296, 296, 296, 296, 296, 0,	//103  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 0,	//112  QDBus::CallMode, const QString&
    10, 289, 296, 0,	//115  QDBus::CallMode, const QString&, const QVariant&
    10, 289, 296, 296, 0,	//119  QDBus::CallMode, const QString&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 0,	//124  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 296, 0,	//130  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 296, 296, 0,	//137  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 296, 296, 296, 0,	//145  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 289, 296, 296, 296, 296, 296, 296, 296, 0,	//154  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    247, 0,	//164  const QDBusArgument&
    318, 0,	//166  unsigned char
    313, 0,	//168  short
    326, 0,	//170  unsigned short
    321, 0,	//172  unsigned int
    311, 0,	//174  long long
    324, 0,	//176  unsigned long long
    302, 0,	//178  double
    257, 0,	//180  const QDBusVariant&
    253, 0,	//182  const QDBusObjectPath&
    255, 0,	//184  const QDBusSignature&
    256, 0,	//186  const QDBusUnixFileDescriptor&
    290, 0,	//188  const QStringList&
    245, 0,	//190  const QByteArray&
    305, 305, 0,	//192  int, int
    296, 0,	//195  const QVariant&
    319, 0,	//197  unsigned char&
    239, 0,	//199  bool&
    314, 0,	//201  short&
    327, 0,	//203  unsigned short&
    306, 0,	//205  int&
    322, 0,	//207  unsigned int&
    312, 0,	//209  long long&
    325, 0,	//211  unsigned long long&
    303, 0,	//213  double&
    122, 0,	//215  QString&
    56, 0,	//217  QDBusVariant&
    39, 0,	//219  QDBusObjectPath&
    53, 0,	//221  QDBusSignature&
    54, 0,	//223  QDBusUnixFileDescriptor&
    126, 0,	//225  QStringList&
    6, 0,	//227  QByteArray&
    248, 0,	//229  const QDBusConnection&
    251, 0,	//231  const QDBusMessage&
    251, 112, 299, 299, 305, 0,	//233  const QDBusMessage&, QObject*, const char*, const char*, int
    251, 112, 299, 305, 0,	//239  const QDBusMessage&, QObject*, const char*, int
    251, 10, 305, 0,	//244  const QDBusMessage&, QDBus::CallMode, int
    251, 305, 0,	//248  const QDBusMessage&, int
    289, 289, 289, 289, 112, 299, 0,	//251  const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    289, 289, 289, 289, 289, 112, 299, 0,	//258  const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    289, 289, 289, 289, 290, 289, 112, 299, 0,	//266  const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*
    289, 112, 71, 0,	//275  const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>
    289, 22, 0,	//279  const QString&, QDBusConnection::UnregisterMode
    289, 57, 23, 0,	//282  const QString&, QDBusVirtualObject*, QDBusConnection::VirtualObjectRegisterOption
    19, 289, 0,	//286  QDBusConnection::BusType, const QString&
    289, 289, 0,	//289  const QString&, const QString&
    251, 112, 299, 299, 0,	//292  const QDBusMessage&, QObject*, const char*, const char*
    251, 112, 299, 0,	//297  const QDBusMessage&, QObject*, const char*
    251, 10, 0,	//301  const QDBusMessage&, QDBus::CallMode
    289, 112, 0,	//304  const QString&, QObject*
    289, 57, 0,	//307  const QString&, QDBusVirtualObject*
    289, 26, 27, 0,	//310  const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions
    289, 289, 289, 0,	//314  const QString&, const QString&, const QString&
    250, 251, 0,	//318  const QDBusError&, const QDBusMessage&
    289, 26, 0,	//321  const QString&, QDBusConnectionInterface::ServiceQueueOptions
    32, 289, 0,	//324  QDBusError::ErrorType, const QString&
    249, 0,	//327  const QDBusContext&
    32, 0,	//329  QDBusError::ErrorType
    242, 0,	//331  const DBusError*
    250, 0,	//333  const QDBusError&
    289, 289, 289, 248, 112, 0,	//335  const QString&, const QString&, const QString&, const QDBusConnection&, QObject*
    289, 289, 289, 248, 0,	//341  const QString&, const QString&, const QString&, const QDBusConnection&
    289, 289, 289, 289, 0,	//346  const QString&, const QString&, const QString&, const QString&
    267, 0,	//351  const QList<QVariant>&
    288, 289, 0,	//353  const QString, const QString&
    305, 330, 332, 0,	//356  int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*)
    13, 305, 301, 0,	//360  QDBusArgument&, int, const void*
    247, 305, 333, 0,	//364  const QDBusArgument&, int, void*
    252, 0,	//368  const QDBusMetaType&
    254, 0,	//370  const QDBusPendingCall&
    254, 112, 0,	//372  const QDBusPendingCall&, QObject*
    43, 0,	//375  QDBusPendingCallWatcher*
    289, 248, 73, 112, 0,	//377  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*
    73, 0,	//382  QFlags<QDBusServiceWatcher::WatchModeFlag>
    289, 248, 0,	//384  const QString&, const QDBusConnection&
    289, 248, 73, 0,	//387  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>
    251, 248, 0,	//391  const QDBusMessage&, const QDBusConnection&
    292, 292, 0,	//394  const QStringRef&, const QStringRef&
    128, 305, 0,	//397  QTextCodec::ConversionFlag, int
    173, 305, 0,	//400  Qt::ImageConversionFlag, int
    299, 321, 0,	//403  const char*, unsigned int
    333, 301, 316, 0,	//406  void*, const void*, size_t
    23, 72, 0,	//410  QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>
    61, 79, 0,	//413  QDebug, QFlags<QIODevice::OpenModeFlag>
    292, 289, 0,	//416  const QStringRef&, const QString&
    285, 285, 0,	//419  const QSize&, const QSize&
    299, 245, 0,	//422  const char*, const QByteArray&
    68, 78, 0,	//425  QFile::Permission, QFlags<QFile::Permission>
    279, 279, 0,	//428  const QPointF&, const QPointF&
    58, 120, 0,	//431  QDataStream&, QSizeF&
    245, 299, 0,	//434  const QByteArray&, const char*
    304, 0,	//437  float
    315, 0,	//439  signed char
    289, 292, 0,	//441  const QString&, const QStringRef&
    304, 285, 0,	//444  float, const QSize&
    7, 0,	//447  QChar
    292, 264, 0,	//449  const QStringRef&, const QLatin1String&
    7, 7, 0,	//452  QChar, QChar
    257, 257, 0,	//455  const QDBusVariant&, const QDBusVariant&
    206, 206, 0,	//458  Qt::TouchPointState, Qt::TouchPointState
    294, 0,	//461  const QUrl&
    13, 266, 0,	//463  QDBusArgument&, const QLineF&
    13, 279, 0,	//466  QDBusArgument&, const QPointF&
    61, 294, 0,	//469  QDebug, const QUrl&
    123, 289, 0,	//472  QString::Null, const QString&
    13, 267, 0,	//475  QDBusArgument&, const QList<QVariant>&
    203, 203, 0,	//478  Qt::ToolBarArea, Qt::ToolBarArea
    110, 110, 0,	//481  QLocale::NumberOption, QLocale::NumberOption
    13, 281, 0,	//484  QDBusArgument&, const QRectF&
    213, 213, 0,	//487  Qt::WindowType, Qt::WindowType
    62, 305, 0,	//490  QDir::Filter, int
    277, 277, 0,	//493  const QPoint&, const QPoint&
    247, 106, 0,	//496  const QDBusArgument&, QLineF&
    58, 281, 0,	//499  QDataStream&, const QRectF&
    181, 305, 0,	//502  Qt::KeyboardModifier, int
    200, 97, 0,	//505  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    13, 259, 0,	//508  QDBusArgument&, const QDateTime&
    240, 0,	//511  char
    131, 84, 0,	//513  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    61, 270, 0,	//516  QDebug, const QMargins&
    136, 305, 0,	//519  QUrl::FormattingOption, int
    68, 305, 0,	//522  QFile::Permission, int
    64, 76, 0,	//525  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    287, 287, 0,	//528  const QSizeF&, const QSizeF&
    61, 279, 0,	//531  QDebug, const QPointF&
    310, 305, 308, 308, 0,	//534  long double, int, int*, int*
    181, 93, 0,	//539  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    61, 266, 0,	//542  QDebug, const QLineF&
    61, 259, 0,	//545  QDebug, const QDateTime&
    136, 136, 0,	//548  QUrl::FormattingOption, QUrl::FormattingOption
    206, 99, 0,	//551  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    173, 173, 0,	//554  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    110, 305, 0,	//557  QLocale::NumberOption, int
    300, 305, 0,	//560  const unsigned char*, int
    299, 299, 321, 0,	//563  const char*, const char*, unsigned int
    264, 292, 0,	//567  const QLatin1String&, const QStringRef&
    255, 255, 0,	//570  const QDBusSignature&, const QDBusSignature&
    164, 164, 0,	//573  Qt::DropAction, Qt::DropAction
    61, 277, 0,	//576  QDebug, const QPoint&
    58, 109, 0,	//579  QDataStream&, QLocale&
    289, 7, 0,	//582  const QString&, QChar
    123, 123, 0,	//585  QString::Null, QString::Null
    300, 320, 305, 0,	//588  const unsigned char*, unsigned char*, int
    128, 128, 0,	//592  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    188, 188, 0,	//595  Qt::Orientation, Qt::Orientation
    333, 316, 316, 316, 0,	//598  void*, size_t, size_t, size_t
    203, 98, 0,	//603  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    280, 280, 0,	//606  const QRect&, const QRect&
    67, 77, 0,	//609  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    243, 243, 0,	//612  const QBitArray&, const QBitArray&
    245, 245, 0,	//615  const QByteArray&, const QByteArray&
    333, 316, 0,	//618  void*, size_t
    58, 268, 0,	//621  QDataStream&, const QLocale&
    61, 261, 0,	//624  QDebug, const QEasingCurve&
    331, 0,	//627  void(*)(QtMsgType,const char*)
    273, 0,	//629  const QModelIndex&
    58, 60, 0,	//631  QDataStream&, QDateTime&
    4, 4, 0,	//634  QBool, QBool
    299, 292, 0,	//637  const char*, const QStringRef&
    203, 305, 0,	//640  Qt::ToolBarArea, int
    61, 251, 0,	//643  QDebug, const QDBusMessage&
    175, 305, 0,	//646  Qt::InputMethodHint, int
    7, 289, 0,	//649  QChar, const QString&
    124, 305, 0,	//652  QString::SectionFlag, int
    104, 305, 0,	//655  QLibrary::LoadHint, int
    58, 135, 0,	//658  QDataStream&, QUrl&
    13, 262, 0,	//661  QDBusArgument&, const QHash<QString,QVariant>&
    289, 123, 0,	//664  const QString&, QString::Null
    1, 305, 0,	//667  QAbstractFileEngine::FileFlag, int
    128, 83, 0,	//670  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    247, 59, 0,	//673  const QDBusArgument&, QDate&
    175, 91, 0,	//676  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    213, 101, 0,	//679  Qt::WindowType, QFlags<Qt::WindowType>
    304, 304, 0,	//682  float, float
    13, 293, 0,	//685  QDBusArgument&, const QTime&
    13, 265, 0,	//688  QDBusArgument&, const QLine&
    186, 186, 0,	//691  Qt::MouseButton, Qt::MouseButton
    241, 299, 0,	//694  char*, const char*
    142, 142, 0,	//697  Qt::AlignmentFlag, Qt::AlignmentFlag
    277, 0,	//700  const QPoint&
    164, 305, 0,	//702  Qt::DropAction, int
    58, 293, 0,	//705  QDataStream&, const QTime&
    63, 305, 0,	//708  QDir::SortFlag, int
    270, 270, 0,	//711  const QMargins&, const QMargins&
    52, 73, 0,	//714  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    113, 0,	//717  QObject*(*)()
    184, 184, 0,	//719  Qt::MatchFlag, Qt::MatchFlag
    316, 0,	//722  size_t
    162, 87, 0,	//724  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    58, 126, 0,	//727  QDataStream&, QStringList&
    61, 297, 0,	//730  QDebug, const QVariant::Type
    162, 305, 0,	//733  Qt::DockWidgetArea, int
    309, 0,	//736  long
    305, 277, 0,	//738  int, const QPoint&
    13, 280, 0,	//741  QDBusArgument&, const QRect&
    58, 106, 0,	//744  QDataStream&, QLineF&
    68, 68, 0,	//747  QFile::Permission, QFile::Permission
    253, 253, 0,	//750  const QDBusObjectPath&, const QDBusObjectPath&
    58, 119, 0,	//753  QDataStream&, QSize&
    275, 0,	//756  const QPersistentModelIndex&
    58, 289, 0,	//758  QDataStream&, const QString&
    58, 259, 0,	//761  QDataStream&, const QDateTime&
    285, 304, 0,	//764  const QSize&, float
    274, 289, 271, 0,	//767  const QObject*, const QString&, const QMetaObject&
    124, 124, 0,	//771  QString::SectionFlag, QString::SectionFlag
    52, 52, 0,	//774  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    304, 279, 0,	//777  float, const QPointF&
    238, 4, 0,	//780  bool, QBool
    241, 299, 321, 0,	//783  char*, const char*, unsigned int
    247, 115, 0,	//787  const QDBusArgument&, QPointF&
    58, 277, 0,	//790  QDataStream&, const QPoint&
    58, 139, 0,	//793  QDataStream&, QVariant&
    186, 305, 0,	//796  Qt::MouseButton, int
    279, 0,	//799  const QPointF&
    21, 71, 0,	//801  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    61, 275, 0,	//804  QDebug, const QPersistentModelIndex&
    299, 299, 299, 305, 0,	//807  const char*, const char*, const char*, int
    251, 30, 139, 0,	//812  const QDBusMessage&, QDBusError&, QVariant&
    304, 277, 0,	//816  float, const QPoint&
    188, 96, 0,	//819  Qt::Orientation, QFlags<Qt::Orientation>
    67, 305, 0,	//822  QEventLoop::ProcessEventsFlag, int
    281, 281, 0,	//825  const QRectF&, const QRectF&
    13, 285, 0,	//828  QDBusArgument&, const QSize&
    173, 90, 0,	//831  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    58, 290, 0,	//834  QDataStream&, const QStringList&
    245, 240, 0,	//837  const QByteArray&, char
    64, 64, 0,	//840  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    62, 74, 0,	//843  QDir::Filter, QFlags<QDir::Filter>
    58, 114, 0,	//846  QDataStream&, QPoint&
    61, 250, 0,	//849  QDebug, const QDBusError&
    58, 258, 0,	//852  QDataStream&, const QDate&
    329, 0,	//855  void(*)()
    300, 305, 305, 0,	//857  const unsigned char*, int, int
    58, 265, 0,	//861  QDataStream&, const QLine&
    58, 122, 0,	//864  QDataStream&, QString&
    247, 60, 0,	//867  const QDBusArgument&, QDateTime&
    247, 117, 0,	//870  const QDBusArgument&, QRectF&
    333, 0,	//873  void*
    178, 305, 0,	//875  Qt::ItemFlag, int
    61, 260, 0,	//878  QDebug, const QDir&
    129, 130, 0,	//881  QTextStream&, QTextStream&(*)(QTextStream&)
    61, 273, 0,	//884  QDebug, const QModelIndex&
    247, 133, 0,	//887  const QDBusArgument&, QTime&
    67, 67, 0,	//890  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    243, 0,	//893  const QBitArray&
    61, 293, 0,	//895  QDebug, const QTime&
    129, 132, 0,	//898  QTextStream&, QTextStreamManipulator
    169, 89, 0,	//901  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    292, 299, 0,	//904  const QStringRef&, const char*
    21, 21, 0,	//907  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    58, 3, 0,	//910  QDataStream&, QBitArray&
    13, 269, 0,	//913  QDBusArgument&, const QMap<QString,QVariant>&
    316, 316, 0,	//916  size_t, size_t
    287, 304, 0,	//919  const QSizeF&, float
    310, 305, 308, 308, 241, 316, 0,	//922  long double, int, int*, int*, char*, size_t
    247, 114, 0,	//929  const QDBusArgument&, QPoint&
    61, 287, 0,	//932  QDebug, const QSizeF&
    169, 305, 0,	//935  Qt::GestureFlag, int
    240, 245, 0,	//938  char, const QByteArray&
    58, 296, 0,	//941  QDataStream&, const QVariant&
    247, 120, 0,	//944  const QDBusArgument&, QSizeF&
    247, 119, 0,	//947  const QDBusArgument&, QSize&
    61, 296, 0,	//950  QDebug, const QVariant&
    212, 305, 0,	//953  Qt::WindowState, int
    58, 133, 0,	//956  QDataStream&, QTime&
    61, 74, 0,	//959  QDebug, QFlags<QDir::Filter>
    181, 181, 0,	//962  Qt::KeyboardModifier, Qt::KeyboardModifier
    58, 65, 0,	//965  QDataStream&, QEasingCurve&
    164, 88, 0,	//968  Qt::DropAction, QFlags<Qt::DropAction>
    61, 258, 0,	//971  QDebug, const QDate&
    23, 305, 0,	//974  QDBusConnection::VirtualObjectRegisterOption, int
    62, 62, 0,	//977  QDir::Filter, QDir::Filter
    241, 316, 299, 328, 0,	//980  char*, size_t, const char*, va_list
    302, 277, 0,	//985  double, const QPoint&
    333, 305, 316, 0,	//988  void*, int, size_t
    58, 266, 0,	//992  QDataStream&, const QLineF&
    299, 305, 0,	//995  const char*, int
    102, 102, 0,	//998  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    162, 162, 0,	//1001  Qt::DockWidgetArea, Qt::DockWidgetArea
    63, 75, 0,	//1004  QDir::SortFlag, QFlags<QDir::SortFlag>
    296, 298, 0,	//1007  const QVariant&, const QVariantComparisonHelper&
    104, 104, 0,	//1010  QLibrary::LoadHint, QLibrary::LoadHint
    310, 305, 241, 0,	//1013  long double, int, char*
    333, 316, 316, 307, 0,	//1017  void*, size_t, size_t, int(*)(const void*,const void*)
    64, 305, 0,	//1022  QDirIterator::IteratorFlag, int
    175, 175, 0,	//1025  Qt::InputMethodHint, Qt::InputMethodHint
    247, 116, 0,	//1028  const QDBusArgument&, QRect&
    61, 265, 0,	//1031  QDebug, const QLine&
    200, 200, 0,	//1034  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    206, 305, 0,	//1037  Qt::TouchPointState, int
    245, 305, 0,	//1040  const QByteArray&, int
    136, 85, 0,	//1043  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    200, 305, 0,	//1046  Qt::TextInteractionFlag, int
    212, 212, 0,	//1049  Qt::WindowState, Qt::WindowState
    1, 69, 0,	//1052  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    58, 245, 0,	//1055  QDataStream&, const QByteArray&
    58, 261, 0,	//1058  QDataStream&, const QEasingCurve&
    58, 294, 0,	//1061  QDataStream&, const QUrl&
    61, 280, 0,	//1064  QDebug, const QRect&
    247, 139, 0,	//1067  const QDBusArgument&, QVariant&
    63, 63, 0,	//1070  QDir::SortFlag, QDir::SortFlag
    131, 305, 0,	//1073  QTextStream::NumberFlag, int
    58, 116, 0,	//1076  QDataStream&, QRect&
    58, 285, 0,	//1079  QDataStream&, const QSize&
    58, 246, 0,	//1082  QDataStream&, const QChar&
    279, 304, 0,	//1085  const QPointF&, float
    142, 305, 0,	//1088  Qt::AlignmentFlag, int
    58, 282, 0,	//1091  QDataStream&, const QRegExp&
    61, 281, 0,	//1094  QDebug, const QRectF&
    247, 105, 0,	//1097  const QDBusArgument&, QLine&
    212, 100, 0,	//1100  Qt::WindowState, QFlags<Qt::WindowState>
    178, 178, 0,	//1103  Qt::ItemFlag, Qt::ItemFlag
    58, 137, 0,	//1106  QDataStream&, QUuid&
    277, 305, 0,	//1109  const QPoint&, int
    58, 141, 0,	//1112  QDataStream&, QVariant::Type&
    304, 287, 0,	//1115  float, const QSizeF&
    296, 140, 333, 0,	//1118  const QVariant&, QVariant::Type, void*
    23, 23, 0,	//1122  QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption
    13, 258, 0,	//1125  QDBusArgument&, const QDate&
    274, 289, 283, 271, 108, 0,	//1128  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    263, 263, 0,	//1134  const QHashDummyValue&, const QHashDummyValue&
    58, 115, 0,	//1137  QDataStream&, QPointF&
    188, 305, 0,	//1140  Qt::Orientation, int
    302, 302, 0,	//1143  double, double
    277, 302, 0,	//1146  const QPoint&, double
    169, 169, 0,	//1149  Qt::GestureFlag, Qt::GestureFlag
    102, 79, 0,	//1152  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    21, 305, 0,	//1155  QDBusConnection::RegisterOption, int
    277, 304, 0,	//1158  const QPoint&, float
    13, 287, 0,	//1161  QDBusArgument&, const QSizeF&
    4, 238, 0,	//1164  QBool, bool
    58, 105, 0,	//1167  QDataStream&, QLine&
    61, 285, 0,	//1170  QDebug, const QSize&
    131, 131, 0,	//1173  QTextStream::NumberFlag, QTextStream::NumberFlag
    186, 95, 0,	//1176  Qt::MouseButton, QFlags<Qt::MouseButton>
    58, 297, 0,	//1179  QDataStream&, const QVariant::Type
    178, 92, 0,	//1182  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    58, 295, 0,	//1185  QDataStream&, const QUuid&
    104, 80, 0,	//1188  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    213, 305, 0,	//1191  Qt::WindowType, int
    58, 117, 0,	//1194  QDataStream&, QRectF&
    58, 280, 0,	//1197  QDataStream&, const QRect&
    184, 94, 0,	//1200  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    52, 305, 0,	//1203  QDBusServiceWatcher::WatchModeFlag, int
    142, 86, 0,	//1206  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    58, 8, 0,	//1209  QDataStream&, QChar&
    58, 118, 0,	//1212  QDataStream&, QRegExp&
    323, 0,	//1215  unsigned long
    58, 279, 0,	//1217  QDataStream&, const QPointF&
    58, 287, 0,	//1220  QDataStream&, const QSizeF&
    110, 81, 0,	//1223  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    124, 82, 0,	//1226  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//1229  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    216, 299, 0,	//1232  QtMsgType, const char*
    292, 0,	//1235  const QStringRef&
    102, 305, 0,	//1237  QIODevice::OpenModeFlag, int
    58, 6, 0,	//1240  QDataStream&, QByteArray&
    61, 274, 0,	//1243  QDebug, const QObject*
    184, 305, 0,	//1246  Qt::MatchFlag, int
    13, 277, 0,	//1249  QDBusArgument&, const QPoint&
    58, 59, 0,	//1252  QDataStream&, QDate&
    58, 243, 0,	//1255  QDataStream&, const QBitArray&
    66, 0,	//1258  QEvent*
    112, 66, 0,	//1260  QObject*, QEvent*
    134, 0,	//1263  QTimerEvent*
    9, 0,	//1265  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessDenied",	//1
    "ActivationBus",	//2
    "AddressInUse",	//3
    "AllowReplacement",	//4
    "ArrayType",	//5
    "AutoDetect",	//6
    "BadAddress",	//7
    "BasicType",	//8
    "Block",	//9
    "BlockWithGui",	//10
    "Disconnected",	//11
    "DontAllowReplacement",	//12
    "DontQueueService",	//13
    "ErrorMessage",	//14
    "ExportAdaptors",	//15
    "ExportAllContents",	//16
    "ExportAllInvokables",	//17
    "ExportAllProperties",	//18
    "ExportAllSignal",	//19
    "ExportAllSignals",	//20
    "ExportAllSlots",	//21
    "ExportChildObjects",	//22
    "ExportNonScriptableContents",	//23
    "ExportNonScriptableInvokables",	//24
    "ExportNonScriptableProperties",	//25
    "ExportNonScriptableSignals",	//26
    "ExportNonScriptableSlots",	//27
    "ExportScriptableContents",	//28
    "ExportScriptableInvokables",	//29
    "ExportScriptableProperties",	//30
    "ExportScriptableSignals",	//31
    "ExportScriptableSlots",	//32
    "Failed",	//33
    "InternalError",	//34
    "InvalidArgs",	//35
    "InvalidInterface",	//36
    "InvalidMember",	//37
    "InvalidMessage",	//38
    "InvalidObjectPath",	//39
    "InvalidService",	//40
    "InvalidSignature",	//41
    "LastErrorType",	//42
    "LicensedActiveQt",	//43
    "LicensedCore",	//44
    "LicensedDBus",	//45
    "LicensedDeclarative",	//46
    "LicensedGui",	//47
    "LicensedHelp",	//48
    "LicensedMultimedia",	//49
    "LicensedNetwork",	//50
    "LicensedOpenGL",	//51
    "LicensedOpenVG",	//52
    "LicensedQt3Support",	//53
    "LicensedQt3SupportLight",	//54
    "LicensedScript",	//55
    "LicensedScriptTools",	//56
    "LicensedSql",	//57
    "LicensedSvg",	//58
    "LicensedTest",	//59
    "LicensedXml",	//60
    "LicensedXmlPatterns",	//61
    "LimitsExceeded",	//62
    "MapEntryType",	//63
    "MapType",	//64
    "MethodCallMessage",	//65
    "NameAcquired",	//66
    "NameAcquired$",	//67
    "NameLost",	//68
    "NameLost$",	//69
    "NameOwnerChanged",	//70
    "NameOwnerChanged$$$",	//71
    "NoBlock",	//72
    "NoError",	//73
    "NoMemory",	//74
    "NoNetwork",	//75
    "NoReply",	//76
    "NoServer",	//77
    "NotSupported",	//78
    "Other",	//79
    "QDBusAbstractAdaptor",	//80
    "QDBusAbstractAdaptor#",	//81
    "QDBusAbstractInterface",	//82
    "QDBusAbstractInterface$$$##",	//83
    "QDBusArgument",	//84
    "QDBusArgument#",	//85
    "QDBusConnection",	//86
    "QDBusConnection#",	//87
    "QDBusConnection$",	//88
    "QDBusContext",	//89
    "QDBusContext#",	//90
    "QDBusError",	//91
    "QDBusError#",	//92
    "QDBusError$$",	//93
    "QDBusInterface",	//94
    "QDBusInterface$$",	//95
    "QDBusInterface$$$",	//96
    "QDBusInterface$$$#",	//97
    "QDBusInterface$$$##",	//98
    "QDBusMessage",	//99
    "QDBusMessage#",	//100
    "QDBusMetaType",	//101
    "QDBusMetaType#",	//102
    "QDBusPendingCall",	//103
    "QDBusPendingCall#",	//104
    "QDBusPendingCallWatcher",	//105
    "QDBusPendingCallWatcher#",	//106
    "QDBusPendingCallWatcher##",	//107
    "QDBusServer",	//108
    "QDBusServer$",	//109
    "QDBusServer$#",	//110
    "QDBusServiceWatcher",	//111
    "QDBusServiceWatcher#",	//112
    "QDBusServiceWatcher$#",	//113
    "QDBusServiceWatcher$#$",	//114
    "QDBusServiceWatcher$#$#",	//115
    "QDBusUnixFileDescriptor",	//116
    "QDBusUnixFileDescriptor#",	//117
    "QDBusUnixFileDescriptor$",	//118
    "QDBusVirtualObject",	//119
    "QDBusVirtualObject#",	//120
    "QtCriticalMsg",	//121
    "QtDebugMsg",	//122
    "QtFatalMsg",	//123
    "QtSystemMsg",	//124
    "QtWarningMsg",	//125
    "QueueService",	//126
    "ReplaceExistingService",	//127
    "ReplyMessage",	//128
    "ServiceNotRegistered",	//129
    "ServiceQueued",	//130
    "ServiceRegistered",	//131
    "ServiceUnknown",	//132
    "SessionBus",	//133
    "SignalMessage",	//134
    "SingleNode",	//135
    "StructureType",	//136
    "SubPath",	//137
    "SystemBus",	//138
    "TimedOut",	//139
    "Timeout",	//140
    "UnixFileDescriptorPassing",	//141
    "UnknownInterface",	//142
    "UnknownMethod",	//143
    "UnknownObject",	//144
    "UnknownType",	//145
    "UnregisterNode",	//146
    "UnregisterTree",	//147
    "VariantType",	//148
    "WatchForOwnerChange",	//149
    "WatchForRegistration",	//150
    "WatchForUnregistration",	//151
    "_IEEE_",	//152
    "_ISOC_",	//153
    "_POSIX_",	//154
    "_SVID_",	//155
    "_XOPEN_",	//156
    "__codecvt_error",	//157
    "__codecvt_noconv",	//158
    "__codecvt_ok",	//159
    "__codecvt_partial",	//160
    "addWatchedService",	//161
    "addWatchedService$",	//162
    "address",	//163
    "appendVariant",	//164
    "appendVariant#",	//165
    "arguments",	//166
    "asVariant",	//167
    "asyncCall",	//168
    "asyncCall#",	//169
    "asyncCall#$",	//170
    "asyncCall$",	//171
    "asyncCall$#",	//172
    "asyncCall$##",	//173
    "asyncCall$###",	//174
    "asyncCall$####",	//175
    "asyncCall$#####",	//176
    "asyncCall$######",	//177
    "asyncCall$#######",	//178
    "asyncCall$########",	//179
    "asyncCallWithArgumentList",	//180
    "asyncCallWithArgumentList$?",	//181
    "atEnd",	//182
    "autoRelaySignals",	//183
    "autoStartService",	//184
    "baseService",	//185
    "beginArray",	//186
    "beginArray$",	//187
    "beginMap",	//188
    "beginMap$$",	//189
    "beginMapEntry",	//190
    "beginStructure",	//191
    "call",	//192
    "call#",	//193
    "call#$",	//194
    "call#$$",	//195
    "call$",	//196
    "call$#",	//197
    "call$##",	//198
    "call$###",	//199
    "call$####",	//200
    "call$#####",	//201
    "call$######",	//202
    "call$#######",	//203
    "call$########",	//204
    "call$$",	//205
    "call$$#",	//206
    "call$$##",	//207
    "call$$###",	//208
    "call$$####",	//209
    "call$$#####",	//210
    "call$$######",	//211
    "call$$#######",	//212
    "call$$########",	//213
    "callWithArgumentList",	//214
    "callWithArgumentList$$?",	//215
    "callWithCallback",	//216
    "callWithCallback##$",	//217
    "callWithCallback##$$",	//218
    "callWithCallback##$$$",	//219
    "callWithCallback$?#$",	//220
    "callWithCallback$?#$$",	//221
    "callWithCallbackFailed",	//222
    "callWithCallbackFailed##",	//223
    "calledFromDBus",	//224
    "childEvent",	//225
    "connect",	//226
    "connect$$$$#$",	//227
    "connect$$$$$#$",	//228
    "connect$$$$?$#$",	//229
    "connectNotify",	//230
    "connectNotify$",	//231
    "connectToBus",	//232
    "connectToBus$$",	//233
    "connectToPeer",	//234
    "connectToPeer$$",	//235
    "connection",	//236
    "connectionCapabilities",	//237
    "createError",	//238
    "createError#",	//239
    "createError$$",	//240
    "createErrorReply",	//241
    "createErrorReply#",	//242
    "createErrorReply$$",	//243
    "createMethodCall",	//244
    "createMethodCall$$$$",	//245
    "createReply",	//246
    "createReply#",	//247
    "createReply?",	//248
    "createSignal",	//249
    "createSignal$$$",	//250
    "currentSignature",	//251
    "currentType",	//252
    "customEvent",	//253
    "demarshall",	//254
    "demarshall#$$",	//255
    "disconnect",	//256
    "disconnect$$$$#$",	//257
    "disconnect$$$$$#$",	//258
    "disconnect$$$$?$#$",	//259
    "disconnectFromBus",	//260
    "disconnectFromBus$",	//261
    "disconnectFromPeer",	//262
    "disconnectFromPeer$",	//263
    "disconnectNotify",	//264
    "disconnectNotify$",	//265
    "endArray",	//266
    "endMap",	//267
    "endMapEntry",	//268
    "endStructure",	//269
    "error",	//270
    "errorMessage",	//271
    "errorName",	//272
    "errorString",	//273
    "errorString$",	//274
    "event",	//275
    "eventFilter",	//276
    "fileDescriptor",	//277
    "finished",	//278
    "finished#",	//279
    "fromCompletedCall",	//280
    "fromCompletedCall#",	//281
    "fromError",	//282
    "fromError#",	//283
    "giveFileDescriptor",	//284
    "giveFileDescriptor$",	//285
    "handleMessage",	//286
    "handleMessage##",	//287
    "interface",	//288
    "internalConstCall",	//289
    "internalConstCall$$",	//290
    "internalConstCall$$?",	//291
    "internalPointer",	//292
    "internalPropGet",	//293
    "internalPropGet$",	//294
    "internalPropSet",	//295
    "internalPropSet$#",	//296
    "introspect",	//297
    "introspect$",	//298
    "isConnected",	//299
    "isDelayedReply",	//300
    "isError",	//301
    "isFinished",	//302
    "isReplyRequired",	//303
    "isServiceRegistered",	//304
    "isServiceRegistered$",	//305
    "isSupported",	//306
    "isValid",	//307
    "lastError",	//308
    "localMachineId",	//309
    "marshall",	//310
    "marshall#$$",	//311
    "member",	//312
    "message",	//313
    "metaObject",	//314
    "name",	//315
    "newConnection",	//316
    "newConnection#",	//317
    "objectRegisteredAt",	//318
    "objectRegisteredAt$",	//319
    "operator!=",	//320
    "operator!=##",	//321
    "operator!=#$",	//322
    "operator!=$#",	//323
    "operator!=$$",	//324
    "operator&",	//325
    "operator&##",	//326
    "operator*",	//327
    "operator*#$",	//328
    "operator*$#",	//329
    "operator+",	//330
    "operator+##",	//331
    "operator+#$",	//332
    "operator+$#",	//333
    "operator+$$",	//334
    "operator-",	//335
    "operator-#",	//336
    "operator-##",	//337
    "operator/",	//338
    "operator/#$",	//339
    "operator<",	//340
    "operator<##",	//341
    "operator<#$",	//342
    "operator<$#",	//343
    "operator<$$",	//344
    "operator<<",	//345
    "operator<<#",	//346
    "operator<<##",	//347
    "operator<<#$",	//348
    "operator<<#?",	//349
    "operator<<$",	//350
    "operator<<?",	//351
    "operator<=",	//352
    "operator<=##",	//353
    "operator<=#$",	//354
    "operator<=$#",	//355
    "operator=",	//356
    "operator=#",	//357
    "operator==",	//358
    "operator==##",	//359
    "operator==#$",	//360
    "operator==$#",	//361
    "operator==$$",	//362
    "operator>",	//363
    "operator>##",	//364
    "operator>#$",	//365
    "operator>$#",	//366
    "operator>=",	//367
    "operator>=##",	//368
    "operator>=#$",	//369
    "operator>=$#",	//370
    "operator>>",	//371
    "operator>>#",	//372
    "operator>>##",	//373
    "operator>>#$",	//374
    "operator>>#?",	//375
    "operator>>$",	//376
    "operator>>?",	//377
    "operator^",	//378
    "operator^##",	//379
    "operator|",	//380
    "operator|##",	//381
    "operator|$$",	//382
    "path",	//383
    "qAcos",	//384
    "qAcos$",	//385
    "qAddPostRoutine",	//386
    "qAddPostRoutine$",	//387
    "qAppName",	//388
    "qAsin",	//389
    "qAsin$",	//390
    "qAtan",	//391
    "qAtan$",	//392
    "qAtan2",	//393
    "qAtan2$$",	//394
    "qBadAlloc",	//395
    "qCeil",	//396
    "qCeil$",	//397
    "qChecksum",	//398
    "qChecksum$$",	//399
    "qCompress",	//400
    "qCompress#",	//401
    "qCompress#$",	//402
    "qCompress$$",	//403
    "qCompress$$$",	//404
    "qCos",	//405
    "qCos$",	//406
    "qCritical",	//407
    "qDBusReplyFill",	//408
    "qDBusReplyFill###",	//409
    "qDebug",	//410
    "qExp",	//411
    "qExp$",	//412
    "qFabs",	//413
    "qFabs$",	//414
    "qFastCos",	//415
    "qFastCos$",	//416
    "qFastSin",	//417
    "qFastSin$",	//418
    "qFlagLocation",	//419
    "qFlagLocation$",	//420
    "qFloor",	//421
    "qFloor$",	//422
    "qFree",	//423
    "qFree$",	//424
    "qFreeAligned",	//425
    "qFreeAligned$",	//426
    "qFuzzyCompare",	//427
    "qFuzzyCompare$$",	//428
    "qFuzzyIsNull",	//429
    "qFuzzyIsNull$",	//430
    "qHash",	//431
    "qHash#",	//432
    "qHash$",	//433
    "qInf",	//434
    "qInstallMsgHandler",	//435
    "qInstallMsgHandler$",	//436
    "qIntCast",	//437
    "qIntCast$",	//438
    "qIsFinite",	//439
    "qIsFinite$",	//440
    "qIsInf",	//441
    "qIsInf$",	//442
    "qIsNaN",	//443
    "qIsNaN$",	//444
    "qIsNull",	//445
    "qIsNull$",	//446
    "qLn",	//447
    "qLn$",	//448
    "qMalloc",	//449
    "qMalloc$",	//450
    "qMallocAligned",	//451
    "qMallocAligned$$",	//452
    "qMemCopy",	//453
    "qMemCopy$$$",	//454
    "qMemSet",	//455
    "qMemSet$$$",	//456
    "qPow",	//457
    "qPow$$",	//458
    "qQNaN",	//459
    "qRealloc",	//460
    "qRealloc$$",	//461
    "qReallocAligned",	//462
    "qReallocAligned$$$$",	//463
    "qRegisterStaticPluginInstanceFunction",	//464
    "qRegisterStaticPluginInstanceFunction#",	//465
    "qRemovePostRoutine",	//466
    "qRemovePostRoutine$",	//467
    "qRound",	//468
    "qRound$",	//469
    "qRound64",	//470
    "qRound64$",	//471
    "qSNaN",	//472
    "qSetFieldWidth",	//473
    "qSetFieldWidth$",	//474
    "qSetPadChar",	//475
    "qSetPadChar#",	//476
    "qSetRealNumberPrecision",	//477
    "qSetRealNumberPrecision$",	//478
    "qSharedBuild",	//479
    "qSin",	//480
    "qSin$",	//481
    "qSqrt",	//482
    "qSqrt$",	//483
    "qStringComparisonHelper",	//484
    "qStringComparisonHelper#$",	//485
    "qTan",	//486
    "qTan$",	//487
    "qUncompress",	//488
    "qUncompress#",	//489
    "qUncompress$$",	//490
    "qVersion",	//491
    "qWarning",	//492
    "qbswap_helper",	//493
    "qbswap_helper$$$",	//494
    "qecvt",	//495
    "qecvt$$$$",	//496
    "qecvt_r",	//497
    "qecvt_r$$$$$$",	//498
    "qfcvt",	//499
    "qfcvt$$$$",	//500
    "qfcvt_r",	//501
    "qfcvt_r$$$$$$",	//502
    "qgcvt",	//503
    "qgcvt$$$",	//504
    "qgetenv",	//505
    "qgetenv$",	//506
    "qputenv",	//507
    "qputenv$#",	//508
    "qrand",	//509
    "qsort",	//510
    "qsort$$$$",	//511
    "qsrand",	//512
    "qsrand$",	//513
    "qstrcmp",	//514
    "qstrcmp##",	//515
    "qstrcmp#$",	//516
    "qstrcmp$#",	//517
    "qstrcmp$$",	//518
    "qstrcpy",	//519
    "qstrcpy$$",	//520
    "qstrdup",	//521
    "qstrdup$",	//522
    "qstricmp",	//523
    "qstricmp$$",	//524
    "qstrlen",	//525
    "qstrlen$",	//526
    "qstrncmp",	//527
    "qstrncmp$$$",	//528
    "qstrncpy",	//529
    "qstrncpy$$$",	//530
    "qstrnicmp",	//531
    "qstrnicmp$$$",	//532
    "qstrnlen",	//533
    "qstrnlen$$",	//534
    "qtTrId",	//535
    "qtTrId$",	//536
    "qtTrId$$",	//537
    "qt_assert",	//538
    "qt_assert$$$",	//539
    "qt_assert_x",	//540
    "qt_assert_x$$$$",	//541
    "qt_check_pointer",	//542
    "qt_check_pointer$$",	//543
    "qt_error_string",	//544
    "qt_error_string$",	//545
    "qt_message_output",	//546
    "qt_message_output$$",	//547
    "qt_metacall",	//548
    "qt_metacall$$?",	//549
    "qt_metacast",	//550
    "qt_metacast$",	//551
    "qt_noop",	//552
    "qt_qFindChild_helper",	//553
    "qt_qFindChild_helper#$#",	//554
    "qt_qFindChildren_helper",	//555
    "qt_qFindChildren_helper#$##?",	//556
    "quick_exit",	//557
    "quick_exit$",	//558
    "qvariant_cast_helper",	//559
    "qvariant_cast_helper#$$",	//560
    "qvsnprintf",	//561
    "qvsnprintf$$$?",	//562
    "registerMarshallOperators",	//563
    "registerMarshallOperators$$$",	//564
    "registerObject",	//565
    "registerObject$#",	//566
    "registerObject$#$",	//567
    "registerService",	//568
    "registerService$",	//569
    "registerService$$",	//570
    "registerService$$$",	//571
    "registerVirtualObject",	//572
    "registerVirtualObject$#",	//573
    "registerVirtualObject$#$",	//574
    "registeredServiceNames",	//575
    "removeWatchedService",	//576
    "removeWatchedService$",	//577
    "reply",	//578
    "send",	//579
    "send#",	//580
    "sendErrorReply",	//581
    "sendErrorReply$",	//582
    "sendErrorReply$$",	//583
    "sender",	//584
    "service",	//585
    "serviceOwner",	//586
    "serviceOwner$",	//587
    "serviceOwnerChanged",	//588
    "serviceOwnerChanged$$$",	//589
    "servicePid",	//590
    "servicePid$",	//591
    "serviceRegistered",	//592
    "serviceRegistered$",	//593
    "serviceUid",	//594
    "serviceUid$",	//595
    "serviceUnregistered",	//596
    "serviceUnregistered$",	//597
    "sessionBus",	//598
    "setArguments",	//599
    "setArguments?",	//600
    "setAutoRelaySignals",	//601
    "setAutoRelaySignals$",	//602
    "setAutoStartService",	//603
    "setAutoStartService$",	//604
    "setConnection",	//605
    "setConnection#",	//606
    "setDelayedReply",	//607
    "setDelayedReply$",	//608
    "setFileDescriptor",	//609
    "setFileDescriptor$",	//610
    "setTimeout",	//611
    "setTimeout$",	//612
    "setWatchMode",	//613
    "setWatchMode$",	//614
    "setWatchedServices",	//615
    "setWatchedServices?",	//616
    "signature",	//617
    "signatureToType",	//618
    "signatureToType$",	//619
    "startService",	//620
    "startService$",	//621
    "staticMetaObject",	//622
    "systemBus",	//623
    "takeFileDescriptor",	//624
    "timeout",	//625
    "timerEvent",	//626
    "tr",	//627
    "tr$",	//628
    "tr$$",	//629
    "tr$$$",	//630
    "trUtf8",	//631
    "trUtf8$",	//632
    "trUtf8$$",	//633
    "trUtf8$$$",	//634
    "type",	//635
    "typeToSignature",	//636
    "typeToSignature$",	//637
    "unregisterObject",	//638
    "unregisterObject$",	//639
    "unregisterObject$$",	//640
    "unregisterService",	//641
    "unregisterService$",	//642
    "waitForFinished",	//643
    "watchMode",	//644
    "watchedServices",	//645
    "~QDBusAbstractAdaptor",	//646
    "~QDBusAbstractInterface",	//647
    "~QDBusAbstractInterfaceBase",	//648
    "~QDBusArgument",	//649
    "~QDBusConnection",	//650
    "~QDBusContext",	//651
    "~QDBusError",	//652
    "~QDBusInterface",	//653
    "~QDBusMessage",	//654
    "~QDBusMetaType",	//655
    "~QDBusPendingCall",	//656
    "~QDBusPendingCallWatcher",	//657
    "~QDBusServer",	//658
    "~QDBusServiceWatcher",	//659
    "~QDBusUnixFileDescriptor",	//660
    "~QDBusVirtualObject",	//661
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 1},	//1 QDBus::NoBlock (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 2},	//2 QDBus::Block (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 3},	//3 QDBus::BlockWithGui (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 4},	//4 QDBus::AutoDetect (enum)
    {8, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//5 QDBusAbstractAdaptor::metaObject() const
    {8, 550, 1, 1, Smoke::mf_virtual, 333, 2},	//6 QDBusAbstractAdaptor::qt_metacast(const char*)
    {8, 627, 3, 2, Smoke::mf_static, 121, 3},	//7 QDBusAbstractAdaptor::tr(const char*, const char*)
    {8, 631, 3, 2, Smoke::mf_static, 121, 4},	//8 QDBusAbstractAdaptor::trUtf8(const char*, const char*)
    {8, 627, 6, 3, Smoke::mf_static, 121, 5},	//9 QDBusAbstractAdaptor::tr(const char*, const char*, int)
    {8, 631, 6, 3, Smoke::mf_static, 121, 6},	//10 QDBusAbstractAdaptor::trUtf8(const char*, const char*, int)
    {8, 548, 10, 3, Smoke::mf_virtual, 305, 7},	//11 QDBusAbstractAdaptor::qt_metacall(QMetaObject::Call, int, void**)
    {8, 80, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 8},	//12 QDBusAbstractAdaptor::QDBusAbstractAdaptor(QObject*)
    {8, 601, 16, 1, Smoke::mf_protected, 0, 9},	//13 QDBusAbstractAdaptor::setAutoRelaySignals(bool)
    {8, 183, 0, 0, Smoke::mf_const|Smoke::mf_protected, 238, 10},	//14 QDBusAbstractAdaptor::autoRelaySignals() const
    {8, 627, 1, 1, Smoke::mf_static, 121, 11},	//15 QDBusAbstractAdaptor::tr(const char*)
    {8, 631, 1, 1, Smoke::mf_static, 121, 12},	//16 QDBusAbstractAdaptor::trUtf8(const char*)
    {8, 622, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 13},	//17 QDBusAbstractAdaptor::staticMetaObject() const
    {8, 646, 0, 0, Smoke::mf_dtor, 0, 14 },	//18 QDBusAbstractAdaptor::~QDBusAbstractAdaptor()
    {9, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//19 QDBusAbstractInterface::metaObject() const
    {9, 550, 1, 1, Smoke::mf_virtual, 333, 2},	//20 QDBusAbstractInterface::qt_metacast(const char*)
    {9, 627, 3, 2, Smoke::mf_static, 121, 3},	//21 QDBusAbstractInterface::tr(const char*, const char*)
    {9, 631, 3, 2, Smoke::mf_static, 121, 4},	//22 QDBusAbstractInterface::trUtf8(const char*, const char*)
    {9, 627, 6, 3, Smoke::mf_static, 121, 5},	//23 QDBusAbstractInterface::tr(const char*, const char*, int)
    {9, 631, 6, 3, Smoke::mf_static, 121, 6},	//24 QDBusAbstractInterface::trUtf8(const char*, const char*, int)
    {9, 548, 10, 3, Smoke::mf_virtual, 305, 7},	//25 QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**)
    {9, 307, 0, 0, Smoke::mf_const, 238, 8},	//26 QDBusAbstractInterface::isValid() const
    {9, 236, 0, 0, Smoke::mf_const, 16, 9},	//27 QDBusAbstractInterface::connection() const
    {9, 585, 0, 0, Smoke::mf_const, 121, 10},	//28 QDBusAbstractInterface::service() const
    {9, 383, 0, 0, Smoke::mf_const, 121, 11},	//29 QDBusAbstractInterface::path() const
    {9, 288, 0, 0, Smoke::mf_const, 121, 12},	//30 QDBusAbstractInterface::interface() const
    {9, 308, 0, 0, Smoke::mf_const, 29, 13},	//31 QDBusAbstractInterface::lastError() const
    {9, 611, 18, 1, 0, 0, 14},	//32 QDBusAbstractInterface::setTimeout(int)
    {9, 625, 0, 0, Smoke::mf_const, 305, 15},	//33 QDBusAbstractInterface::timeout() const
    {9, 192, 20, 9, 0, 34, 16},	//34 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 30, 10, 0, 34, 17},	//35 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 214, 41, 3, 0, 34, 18},	//36 QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, const QString&, const QList<QVariant>&)
    {9, 216, 45, 5, 0, 238, 19},	//37 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*, const char*)
    {9, 216, 51, 4, 0, 238, 20},	//38 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*)
    {9, 168, 20, 9, 0, 40, 21},	//39 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 180, 56, 2, 0, 40, 22},	//40 QDBusAbstractInterface::asyncCallWithArgumentList(const QString&, const QList<QVariant>&)
    {9, 82, 59, 5, Smoke::mf_ctor|Smoke::mf_protected, 12, 23},	//41 QDBusAbstractInterface::QDBusAbstractInterface(const QString&, const QString&, const char*, const QDBusConnection&, QObject*)
    {9, 230, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//42 QDBusAbstractInterface::connectNotify(const char*)
    {9, 264, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//43 QDBusAbstractInterface::disconnectNotify(const char*)
    {9, 293, 1, 1, Smoke::mf_const|Smoke::mf_protected, 138, 26},	//44 QDBusAbstractInterface::internalPropGet(const char*) const
    {9, 295, 65, 2, Smoke::mf_protected, 0, 27},	//45 QDBusAbstractInterface::internalPropSet(const char*, const QVariant&)
    {9, 289, 41, 3, Smoke::mf_const|Smoke::mf_protected, 34, 28},	//46 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&, const QList<QVariant>&) const
    {9, 627, 1, 1, Smoke::mf_static, 121, 29},	//47 QDBusAbstractInterface::tr(const char*)
    {9, 631, 1, 1, Smoke::mf_static, 121, 30},	//48 QDBusAbstractInterface::trUtf8(const char*)
    {9, 192, 68, 1, 0, 34, 31},	//49 QDBusAbstractInterface::call(const QString&)
    {9, 192, 70, 2, 0, 34, 32},	//50 QDBusAbstractInterface::call(const QString&, const QVariant&)
    {9, 192, 73, 3, 0, 34, 33},	//51 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&)
    {9, 192, 77, 4, 0, 34, 34},	//52 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 82, 5, 0, 34, 35},	//53 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 88, 6, 0, 34, 36},	//54 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 95, 7, 0, 34, 37},	//55 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 103, 8, 0, 34, 38},	//56 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 112, 2, 0, 34, 39},	//57 QDBusAbstractInterface::call(QDBus::CallMode, const QString&)
    {9, 192, 115, 3, 0, 34, 40},	//58 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&)
    {9, 192, 119, 4, 0, 34, 41},	//59 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&)
    {9, 192, 124, 5, 0, 34, 42},	//60 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 130, 6, 0, 34, 43},	//61 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 137, 7, 0, 34, 44},	//62 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 145, 8, 0, 34, 45},	//63 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 192, 154, 9, 0, 34, 46},	//64 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 68, 1, 0, 40, 47},	//65 QDBusAbstractInterface::asyncCall(const QString&)
    {9, 168, 70, 2, 0, 40, 48},	//66 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&)
    {9, 168, 73, 3, 0, 40, 49},	//67 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&)
    {9, 168, 77, 4, 0, 40, 50},	//68 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 82, 5, 0, 40, 51},	//69 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 88, 6, 0, 40, 52},	//70 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 95, 7, 0, 40, 53},	//71 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 103, 8, 0, 40, 54},	//72 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 289, 112, 2, Smoke::mf_const|Smoke::mf_protected, 34, 55},	//73 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&) const
    {9, 622, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 56},	//74 QDBusAbstractInterface::staticMetaObject() const
    {9, 647, 0, 0, Smoke::mf_dtor, 0, 57 },	//75 QDBusAbstractInterface::~QDBusAbstractInterface()
    {10, 548, 10, 3, Smoke::mf_virtual, 305, 1},	//76 QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**)
    {10, 648, 0, 0, Smoke::mf_dtor, 0, 2 },	//77 QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase()
    {11, 84, 0, 0, Smoke::mf_ctor, 14, 1},	//78 QDBusArgument::QDBusArgument()
    {11, 84, 164, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//79 QDBusArgument::QDBusArgument(const QDBusArgument&)
    {11, 356, 164, 1, 0, 13, 3},	//80 QDBusArgument::operator=(const QDBusArgument&)
    {11, 345, 166, 1, 0, 13, 4},	//81 QDBusArgument::operator<<(unsigned char)
    {11, 345, 16, 1, 0, 13, 5},	//82 QDBusArgument::operator<<(bool)
    {11, 345, 168, 1, 0, 13, 6},	//83 QDBusArgument::operator<<(short)
    {11, 345, 170, 1, 0, 13, 7},	//84 QDBusArgument::operator<<(unsigned short)
    {11, 345, 18, 1, 0, 13, 8},	//85 QDBusArgument::operator<<(int)
    {11, 345, 172, 1, 0, 13, 9},	//86 QDBusArgument::operator<<(unsigned int)
    {11, 345, 174, 1, 0, 13, 10},	//87 QDBusArgument::operator<<(long long)
    {11, 345, 176, 1, 0, 13, 11},	//88 QDBusArgument::operator<<(unsigned long long)
    {11, 345, 178, 1, 0, 13, 12},	//89 QDBusArgument::operator<<(double)
    {11, 345, 68, 1, 0, 13, 13},	//90 QDBusArgument::operator<<(const QString&)
    {11, 345, 180, 1, 0, 13, 14},	//91 QDBusArgument::operator<<(const QDBusVariant&)
    {11, 345, 182, 1, 0, 13, 15},	//92 QDBusArgument::operator<<(const QDBusObjectPath&)
    {11, 345, 184, 1, 0, 13, 16},	//93 QDBusArgument::operator<<(const QDBusSignature&)
    {11, 345, 186, 1, 0, 13, 17},	//94 QDBusArgument::operator<<(const QDBusUnixFileDescriptor&)
    {11, 345, 188, 1, 0, 13, 18},	//95 QDBusArgument::operator<<(const QStringList&)
    {11, 345, 190, 1, 0, 13, 19},	//96 QDBusArgument::operator<<(const QByteArray&)
    {11, 191, 0, 0, 0, 0, 20},	//97 QDBusArgument::beginStructure()
    {11, 269, 0, 0, 0, 0, 21},	//98 QDBusArgument::endStructure()
    {11, 186, 18, 1, 0, 0, 22},	//99 QDBusArgument::beginArray(int)
    {11, 266, 0, 0, 0, 0, 23},	//100 QDBusArgument::endArray()
    {11, 188, 192, 2, 0, 0, 24},	//101 QDBusArgument::beginMap(int, int)
    {11, 267, 0, 0, 0, 0, 25},	//102 QDBusArgument::endMap()
    {11, 190, 0, 0, 0, 0, 26},	//103 QDBusArgument::beginMapEntry()
    {11, 268, 0, 0, 0, 0, 27},	//104 QDBusArgument::endMapEntry()
    {11, 164, 195, 1, 0, 0, 28},	//105 QDBusArgument::appendVariant(const QVariant&)
    {11, 251, 0, 0, Smoke::mf_const, 121, 29},	//106 QDBusArgument::currentSignature() const
    {11, 252, 0, 0, Smoke::mf_const, 15, 30},	//107 QDBusArgument::currentType() const
    {11, 371, 197, 1, Smoke::mf_const, 247, 31},	//108 QDBusArgument::operator>>(unsigned char&) const
    {11, 371, 199, 1, Smoke::mf_const, 247, 32},	//109 QDBusArgument::operator>>(bool&) const
    {11, 371, 201, 1, Smoke::mf_const, 247, 33},	//110 QDBusArgument::operator>>(short&) const
    {11, 371, 203, 1, Smoke::mf_const, 247, 34},	//111 QDBusArgument::operator>>(unsigned short&) const
    {11, 371, 205, 1, Smoke::mf_const, 247, 35},	//112 QDBusArgument::operator>>(int&) const
    {11, 371, 207, 1, Smoke::mf_const, 247, 36},	//113 QDBusArgument::operator>>(unsigned int&) const
    {11, 371, 209, 1, Smoke::mf_const, 247, 37},	//114 QDBusArgument::operator>>(long long&) const
    {11, 371, 211, 1, Smoke::mf_const, 247, 38},	//115 QDBusArgument::operator>>(unsigned long long&) const
    {11, 371, 213, 1, Smoke::mf_const, 247, 39},	//116 QDBusArgument::operator>>(double&) const
    {11, 371, 215, 1, Smoke::mf_const, 247, 40},	//117 QDBusArgument::operator>>(QString&) const
    {11, 371, 217, 1, Smoke::mf_const, 247, 41},	//118 QDBusArgument::operator>>(QDBusVariant&) const
    {11, 371, 219, 1, Smoke::mf_const, 247, 42},	//119 QDBusArgument::operator>>(QDBusObjectPath&) const
    {11, 371, 221, 1, Smoke::mf_const, 247, 43},	//120 QDBusArgument::operator>>(QDBusSignature&) const
    {11, 371, 223, 1, Smoke::mf_const, 247, 44},	//121 QDBusArgument::operator>>(QDBusUnixFileDescriptor&) const
    {11, 371, 225, 1, Smoke::mf_const, 247, 45},	//122 QDBusArgument::operator>>(QStringList&) const
    {11, 371, 227, 1, Smoke::mf_const, 247, 46},	//123 QDBusArgument::operator>>(QByteArray&) const
    {11, 191, 0, 0, Smoke::mf_const, 0, 47},	//124 QDBusArgument::beginStructure() const
    {11, 269, 0, 0, Smoke::mf_const, 0, 48},	//125 QDBusArgument::endStructure() const
    {11, 186, 0, 0, Smoke::mf_const, 0, 49},	//126 QDBusArgument::beginArray() const
    {11, 266, 0, 0, Smoke::mf_const, 0, 50},	//127 QDBusArgument::endArray() const
    {11, 188, 0, 0, Smoke::mf_const, 0, 51},	//128 QDBusArgument::beginMap() const
    {11, 267, 0, 0, Smoke::mf_const, 0, 52},	//129 QDBusArgument::endMap() const
    {11, 190, 0, 0, Smoke::mf_const, 0, 53},	//130 QDBusArgument::beginMapEntry() const
    {11, 268, 0, 0, Smoke::mf_const, 0, 54},	//131 QDBusArgument::endMapEntry() const
    {11, 182, 0, 0, Smoke::mf_const, 238, 55},	//132 QDBusArgument::atEnd() const
    {11, 167, 0, 0, Smoke::mf_const, 138, 56},	//133 QDBusArgument::asVariant() const
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 57},	//134 QDBusArgument::BasicType (enum)
    {11, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 58},	//135 QDBusArgument::VariantType (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 59},	//136 QDBusArgument::ArrayType (enum)
    {11, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 60},	//137 QDBusArgument::StructureType (enum)
    {11, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 61},	//138 QDBusArgument::MapType (enum)
    {11, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 62},	//139 QDBusArgument::MapEntryType (enum)
    {11, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 63},	//140 QDBusArgument::UnknownType (enum)
    {11, 649, 0, 0, Smoke::mf_dtor, 0, 64 },	//141 QDBusArgument::~QDBusArgument()
    {12, 86, 68, 1, Smoke::mf_ctor, 18, 1},	//142 QDBusConnection::QDBusConnection(const QString&)
    {12, 86, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//143 QDBusConnection::QDBusConnection(const QDBusConnection&)
    {12, 356, 229, 1, 0, 17, 3},	//144 QDBusConnection::operator=(const QDBusConnection&)
    {12, 299, 0, 0, Smoke::mf_const, 238, 4},	//145 QDBusConnection::isConnected() const
    {12, 185, 0, 0, Smoke::mf_const, 121, 5},	//146 QDBusConnection::baseService() const
    {12, 308, 0, 0, Smoke::mf_const, 29, 6},	//147 QDBusConnection::lastError() const
    {12, 315, 0, 0, Smoke::mf_const, 121, 7},	//148 QDBusConnection::name() const
    {12, 237, 0, 0, Smoke::mf_const, 70, 8},	//149 QDBusConnection::connectionCapabilities() const
    {12, 579, 231, 1, Smoke::mf_const, 238, 9},	//150 QDBusConnection::send(const QDBusMessage&) const
    {12, 216, 233, 5, Smoke::mf_const, 238, 10},	//151 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*, int) const
    {12, 216, 239, 4, Smoke::mf_const, 238, 11},	//152 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    {12, 192, 244, 3, Smoke::mf_const, 34, 12},	//153 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode, int) const
    {12, 168, 248, 2, Smoke::mf_const, 40, 13},	//154 QDBusConnection::asyncCall(const QDBusMessage&, int) const
    {12, 226, 251, 6, 0, 238, 14},	//155 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 226, 258, 7, 0, 238, 15},	//156 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 226, 266, 8, 0, 238, 16},	//157 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 256, 251, 6, 0, 238, 17},	//158 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 256, 258, 7, 0, 238, 18},	//159 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 256, 266, 8, 0, 238, 19},	//160 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 565, 275, 3, 0, 238, 20},	//161 QDBusConnection::registerObject(const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>)
    {12, 638, 279, 2, 0, 0, 21},	//162 QDBusConnection::unregisterObject(const QString&, QDBusConnection::UnregisterMode)
    {12, 318, 68, 1, Smoke::mf_const, 112, 22},	//163 QDBusConnection::objectRegisteredAt(const QString&) const
    {12, 572, 282, 3, 0, 238, 23},	//164 QDBusConnection::registerVirtualObject(const QString&, QDBusVirtualObject*, QDBusConnection::VirtualObjectRegisterOption)
    {12, 568, 68, 1, 0, 238, 24},	//165 QDBusConnection::registerService(const QString&)
    {12, 641, 68, 1, 0, 238, 25},	//166 QDBusConnection::unregisterService(const QString&)
    {12, 288, 0, 0, Smoke::mf_const, 24, 26},	//167 QDBusConnection::interface() const
    {12, 292, 0, 0, Smoke::mf_const, 333, 27},	//168 QDBusConnection::internalPointer() const
    {12, 232, 286, 2, Smoke::mf_static, 16, 28},	//169 QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    {12, 232, 289, 2, Smoke::mf_static, 16, 29},	//170 QDBusConnection::connectToBus(const QString&, const QString&)
    {12, 234, 289, 2, Smoke::mf_static, 16, 30},	//171 QDBusConnection::connectToPeer(const QString&, const QString&)
    {12, 260, 68, 1, Smoke::mf_static, 0, 31},	//172 QDBusConnection::disconnectFromBus(const QString&)
    {12, 262, 68, 1, Smoke::mf_static, 0, 32},	//173 QDBusConnection::disconnectFromPeer(const QString&)
    {12, 309, 0, 0, Smoke::mf_static, 5, 33},	//174 QDBusConnection::localMachineId()
    {12, 598, 0, 0, Smoke::mf_static, 16, 34},	//175 QDBusConnection::sessionBus()
    {12, 623, 0, 0, Smoke::mf_static, 16, 35},	//176 QDBusConnection::systemBus()
    {12, 584, 0, 0, Smoke::mf_static, 16, 36},	//177 QDBusConnection::sender()
    {12, 216, 292, 4, Smoke::mf_const, 238, 37},	//178 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    {12, 216, 297, 3, Smoke::mf_const, 238, 38},	//179 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*) const
    {12, 192, 231, 1, Smoke::mf_const, 34, 39},	//180 QDBusConnection::call(const QDBusMessage&) const
    {12, 192, 301, 2, Smoke::mf_const, 34, 40},	//181 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode) const
    {12, 168, 231, 1, Smoke::mf_const, 40, 41},	//182 QDBusConnection::asyncCall(const QDBusMessage&) const
    {12, 565, 304, 2, 0, 238, 42},	//183 QDBusConnection::registerObject(const QString&, QObject*)
    {12, 638, 68, 1, 0, 0, 43},	//184 QDBusConnection::unregisterObject(const QString&)
    {12, 572, 307, 2, 0, 238, 44},	//185 QDBusConnection::registerVirtualObject(const QString&, QDBusVirtualObject*)
    {12, 622, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 45},	//186 QDBusConnection::staticMetaObject() const
    {12, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 46},	//187 QDBusConnection::SessionBus (enum)
    {12, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 47},	//188 QDBusConnection::SystemBus (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 48},	//189 QDBusConnection::ActivationBus (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 49},	//190 QDBusConnection::ExportAdaptors (enum)
    {12, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 50},	//191 QDBusConnection::ExportScriptableSlots (enum)
    {12, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 51},	//192 QDBusConnection::ExportScriptableSignals (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 52},	//193 QDBusConnection::ExportScriptableProperties (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 53},	//194 QDBusConnection::ExportScriptableInvokables (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 54},	//195 QDBusConnection::ExportScriptableContents (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 55},	//196 QDBusConnection::ExportNonScriptableSlots (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 56},	//197 QDBusConnection::ExportNonScriptableSignals (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 57},	//198 QDBusConnection::ExportNonScriptableProperties (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 58},	//199 QDBusConnection::ExportNonScriptableInvokables (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 59},	//200 QDBusConnection::ExportNonScriptableContents (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 60},	//201 QDBusConnection::ExportAllSlots (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 61},	//202 QDBusConnection::ExportAllSignals (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 62},	//203 QDBusConnection::ExportAllProperties (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 63},	//204 QDBusConnection::ExportAllInvokables (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 64},	//205 QDBusConnection::ExportAllContents (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 65},	//206 QDBusConnection::ExportAllSignal (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 66},	//207 QDBusConnection::ExportChildObjects (enum)
    {12, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 67},	//208 QDBusConnection::UnregisterNode (enum)
    {12, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 68},	//209 QDBusConnection::UnregisterTree (enum)
    {12, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 69},	//210 QDBusConnection::SingleNode (enum)
    {12, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 70},	//211 QDBusConnection::SubPath (enum)
    {12, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 71},	//212 QDBusConnection::UnixFileDescriptorPassing (enum)
    {12, 650, 0, 0, Smoke::mf_dtor, 0, 72 },	//213 QDBusConnection::~QDBusConnection()
    {13, 314, 0, 0, Smoke::mf_const, 272, 1},	//214 QDBusConnectionInterface::metaObject() const
    {13, 550, 1, 1, 0, 333, 2},	//215 QDBusConnectionInterface::qt_metacast(const char*)
    {13, 627, 3, 2, Smoke::mf_static, 121, 3},	//216 QDBusConnectionInterface::tr(const char*, const char*)
    {13, 631, 3, 2, Smoke::mf_static, 121, 4},	//217 QDBusConnectionInterface::trUtf8(const char*, const char*)
    {13, 627, 6, 3, Smoke::mf_static, 121, 5},	//218 QDBusConnectionInterface::tr(const char*, const char*, int)
    {13, 631, 6, 3, Smoke::mf_static, 121, 6},	//219 QDBusConnectionInterface::trUtf8(const char*, const char*, int)
    {13, 548, 10, 3, 0, 305, 7},	//220 QDBusConnectionInterface::qt_metacall(QMetaObject::Call, int, void**)
    {13, 575, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 46, 8},	//221 QDBusConnectionInterface::registeredServiceNames() const
    {13, 304, 68, 1, Smoke::mf_const|Smoke::mf_slot, 47, 9},	//222 QDBusConnectionInterface::isServiceRegistered(const QString&) const
    {13, 586, 68, 1, Smoke::mf_const|Smoke::mf_slot, 45, 10},	//223 QDBusConnectionInterface::serviceOwner(const QString&) const
    {13, 641, 68, 1, Smoke::mf_slot, 47, 11},	//224 QDBusConnectionInterface::unregisterService(const QString&)
    {13, 568, 310, 3, Smoke::mf_slot, 44, 12},	//225 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions)
    {13, 590, 68, 1, Smoke::mf_const|Smoke::mf_slot, 48, 13},	//226 QDBusConnectionInterface::servicePid(const QString&) const
    {13, 594, 68, 1, Smoke::mf_const|Smoke::mf_slot, 48, 14},	//227 QDBusConnectionInterface::serviceUid(const QString&) const
    {13, 620, 68, 1, Smoke::mf_slot, 49, 15},	//228 QDBusConnectionInterface::startService(const QString&)
    {13, 592, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//229 QDBusConnectionInterface::serviceRegistered(const QString&)
    {13, 596, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//230 QDBusConnectionInterface::serviceUnregistered(const QString&)
    {13, 588, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//231 QDBusConnectionInterface::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {13, 222, 318, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//232 QDBusConnectionInterface::callWithCallbackFailed(const QDBusError&, const QDBusMessage&)
    {13, 66, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//233 QDBusConnectionInterface::NameAcquired(const QString&)
    {13, 68, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//234 QDBusConnectionInterface::NameLost(const QString&)
    {13, 70, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//235 QDBusConnectionInterface::NameOwnerChanged(const QString&, const QString&, const QString&)
    {13, 230, 1, 1, Smoke::mf_protected, 0, 23},	//236 QDBusConnectionInterface::connectNotify(const char*)
    {13, 264, 1, 1, Smoke::mf_protected, 0, 24},	//237 QDBusConnectionInterface::disconnectNotify(const char*)
    {13, 627, 1, 1, Smoke::mf_static, 121, 25},	//238 QDBusConnectionInterface::tr(const char*)
    {13, 631, 1, 1, Smoke::mf_static, 121, 26},	//239 QDBusConnectionInterface::trUtf8(const char*)
    {13, 568, 68, 1, Smoke::mf_slot, 44, 27},	//240 QDBusConnectionInterface::registerService(const QString&)
    {13, 568, 321, 2, Smoke::mf_slot, 44, 28},	//241 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions)
    {13, 622, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 29},	//242 QDBusConnectionInterface::staticMetaObject() const
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 30},	//243 QDBusConnectionInterface::DontQueueService (enum)
    {13, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 31},	//244 QDBusConnectionInterface::QueueService (enum)
    {13, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//245 QDBusConnectionInterface::ReplaceExistingService (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 33},	//246 QDBusConnectionInterface::DontAllowReplacement (enum)
    {13, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 34},	//247 QDBusConnectionInterface::AllowReplacement (enum)
    {13, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 35},	//248 QDBusConnectionInterface::ServiceNotRegistered (enum)
    {13, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 36},	//249 QDBusConnectionInterface::ServiceRegistered (enum)
    {13, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 37},	//250 QDBusConnectionInterface::ServiceQueued (enum)
    {14, 89, 0, 0, Smoke::mf_ctor, 28, 1},	//251 QDBusContext::QDBusContext()
    {14, 224, 0, 0, Smoke::mf_const, 238, 2},	//252 QDBusContext::calledFromDBus() const
    {14, 236, 0, 0, Smoke::mf_const, 16, 3},	//253 QDBusContext::connection() const
    {14, 313, 0, 0, Smoke::mf_const, 251, 4},	//254 QDBusContext::message() const
    {14, 300, 0, 0, Smoke::mf_const, 238, 5},	//255 QDBusContext::isDelayedReply() const
    {14, 607, 16, 1, Smoke::mf_const, 0, 6},	//256 QDBusContext::setDelayedReply(bool) const
    {14, 581, 289, 2, Smoke::mf_const, 0, 7},	//257 QDBusContext::sendErrorReply(const QString&, const QString&) const
    {14, 581, 324, 2, Smoke::mf_const, 0, 8},	//258 QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    {14, 89, 327, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 9},	//259 QDBusContext::QDBusContext(const QDBusContext&)
    {14, 581, 68, 1, Smoke::mf_const, 0, 10},	//260 QDBusContext::sendErrorReply(const QString&) const
    {14, 581, 329, 1, Smoke::mf_const, 0, 11},	//261 QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    {14, 651, 0, 0, Smoke::mf_dtor, 0, 12 },	//262 QDBusContext::~QDBusContext()
    {15, 91, 331, 1, Smoke::mf_ctor, 31, 1},	//263 QDBusError::QDBusError(const DBusError*)
    {15, 91, 231, 1, Smoke::mf_ctor, 31, 2},	//264 QDBusError::QDBusError(const QDBusMessage&)
    {15, 91, 324, 2, Smoke::mf_ctor, 31, 3},	//265 QDBusError::QDBusError(QDBusError::ErrorType, const QString&)
    {15, 91, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//266 QDBusError::QDBusError(const QDBusError&)
    {15, 356, 333, 1, 0, 30, 5},	//267 QDBusError::operator=(const QDBusError&)
    {15, 635, 0, 0, Smoke::mf_const, 32, 6},	//268 QDBusError::type() const
    {15, 315, 0, 0, Smoke::mf_const, 121, 7},	//269 QDBusError::name() const
    {15, 313, 0, 0, Smoke::mf_const, 121, 8},	//270 QDBusError::message() const
    {15, 307, 0, 0, Smoke::mf_const, 238, 9},	//271 QDBusError::isValid() const
    {15, 273, 329, 1, Smoke::mf_static, 121, 10},	//272 QDBusError::errorString(QDBusError::ErrorType)
    {15, 91, 0, 0, Smoke::mf_ctor, 31, 11},	//273 QDBusError::QDBusError()
    {15, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 12},	//274 QDBusError::NoError (enum)
    {15, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 13},	//275 QDBusError::Other (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 14},	//276 QDBusError::Failed (enum)
    {15, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 15},	//277 QDBusError::NoMemory (enum)
    {15, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 16},	//278 QDBusError::ServiceUnknown (enum)
    {15, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 17},	//279 QDBusError::NoReply (enum)
    {15, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 18},	//280 QDBusError::BadAddress (enum)
    {15, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 19},	//281 QDBusError::NotSupported (enum)
    {15, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 20},	//282 QDBusError::LimitsExceeded (enum)
    {15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 21},	//283 QDBusError::AccessDenied (enum)
    {15, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 22},	//284 QDBusError::NoServer (enum)
    {15, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 23},	//285 QDBusError::Timeout (enum)
    {15, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 24},	//286 QDBusError::NoNetwork (enum)
    {15, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 25},	//287 QDBusError::AddressInUse (enum)
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//288 QDBusError::Disconnected (enum)
    {15, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//289 QDBusError::InvalidArgs (enum)
    {15, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//290 QDBusError::UnknownMethod (enum)
    {15, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//291 QDBusError::TimedOut (enum)
    {15, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//292 QDBusError::InvalidSignature (enum)
    {15, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//293 QDBusError::UnknownInterface (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//294 QDBusError::InternalError (enum)
    {15, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//295 QDBusError::UnknownObject (enum)
    {15, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//296 QDBusError::InvalidService (enum)
    {15, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 35},	//297 QDBusError::InvalidObjectPath (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 36},	//298 QDBusError::InvalidInterface (enum)
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 37},	//299 QDBusError::InvalidMember (enum)
    {15, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 38},	//300 QDBusError::LastErrorType (enum)
    {15, 652, 0, 0, Smoke::mf_dtor, 0, 39 },	//301 QDBusError::~QDBusError()
    {16, 94, 335, 5, Smoke::mf_ctor, 33, 1},	//302 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&, QObject*)
    {16, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 2},	//303 QDBusInterface::metaObject() const
    {16, 550, 1, 1, Smoke::mf_virtual, 333, 3},	//304 QDBusInterface::qt_metacast(const char*)
    {16, 548, 10, 3, Smoke::mf_virtual, 305, 4},	//305 QDBusInterface::qt_metacall(QMetaObject::Call, int, void**)
    {16, 94, 289, 2, Smoke::mf_ctor, 33, 5},	//306 QDBusInterface::QDBusInterface(const QString&, const QString&)
    {16, 94, 314, 3, Smoke::mf_ctor, 33, 6},	//307 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&)
    {16, 94, 341, 4, Smoke::mf_ctor, 33, 7},	//308 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&)
    {16, 653, 0, 0, Smoke::mf_dtor, 0, 8 },	//309 QDBusInterface::~QDBusInterface()
    {17, 99, 0, 0, Smoke::mf_ctor, 36, 1},	//310 QDBusMessage::QDBusMessage()
    {17, 99, 231, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 2},	//311 QDBusMessage::QDBusMessage(const QDBusMessage&)
    {17, 356, 231, 1, 0, 35, 3},	//312 QDBusMessage::operator=(const QDBusMessage&)
    {17, 249, 314, 3, Smoke::mf_static, 34, 4},	//313 QDBusMessage::createSignal(const QString&, const QString&, const QString&)
    {17, 244, 346, 4, Smoke::mf_static, 34, 5},	//314 QDBusMessage::createMethodCall(const QString&, const QString&, const QString&, const QString&)
    {17, 238, 289, 2, Smoke::mf_static, 34, 6},	//315 QDBusMessage::createError(const QString&, const QString&)
    {17, 238, 333, 1, Smoke::mf_static, 34, 7},	//316 QDBusMessage::createError(const QDBusError&)
    {17, 238, 324, 2, Smoke::mf_static, 34, 8},	//317 QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    {17, 246, 351, 1, Smoke::mf_const, 34, 9},	//318 QDBusMessage::createReply(const QList<QVariant>&) const
    {17, 246, 195, 1, Smoke::mf_const, 34, 10},	//319 QDBusMessage::createReply(const QVariant&) const
    {17, 241, 353, 2, Smoke::mf_const, 34, 11},	//320 QDBusMessage::createErrorReply(const QString, const QString&) const
    {17, 241, 333, 1, Smoke::mf_const, 34, 12},	//321 QDBusMessage::createErrorReply(const QDBusError&) const
    {17, 241, 324, 2, Smoke::mf_const, 34, 13},	//322 QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    {17, 585, 0, 0, Smoke::mf_const, 121, 14},	//323 QDBusMessage::service() const
    {17, 383, 0, 0, Smoke::mf_const, 121, 15},	//324 QDBusMessage::path() const
    {17, 288, 0, 0, Smoke::mf_const, 121, 16},	//325 QDBusMessage::interface() const
    {17, 312, 0, 0, Smoke::mf_const, 121, 17},	//326 QDBusMessage::member() const
    {17, 272, 0, 0, Smoke::mf_const, 121, 18},	//327 QDBusMessage::errorName() const
    {17, 271, 0, 0, Smoke::mf_const, 121, 19},	//328 QDBusMessage::errorMessage() const
    {17, 635, 0, 0, Smoke::mf_const, 37, 20},	//329 QDBusMessage::type() const
    {17, 617, 0, 0, Smoke::mf_const, 121, 21},	//330 QDBusMessage::signature() const
    {17, 303, 0, 0, Smoke::mf_const, 238, 22},	//331 QDBusMessage::isReplyRequired() const
    {17, 607, 16, 1, Smoke::mf_const, 0, 23},	//332 QDBusMessage::setDelayedReply(bool) const
    {17, 300, 0, 0, Smoke::mf_const, 238, 24},	//333 QDBusMessage::isDelayedReply() const
    {17, 603, 16, 1, 0, 0, 25},	//334 QDBusMessage::setAutoStartService(bool)
    {17, 184, 0, 0, Smoke::mf_const, 238, 26},	//335 QDBusMessage::autoStartService() const
    {17, 599, 351, 1, 0, 0, 27},	//336 QDBusMessage::setArguments(const QList<QVariant>&)
    {17, 166, 0, 0, Smoke::mf_const, 107, 28},	//337 QDBusMessage::arguments() const
    {17, 345, 195, 1, 0, 35, 29},	//338 QDBusMessage::operator<<(const QVariant&)
    {17, 246, 0, 0, Smoke::mf_const, 34, 30},	//339 QDBusMessage::createReply() const
    {17, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 31},	//340 QDBusMessage::InvalidMessage (enum)
    {17, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 32},	//341 QDBusMessage::MethodCallMessage (enum)
    {17, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 33},	//342 QDBusMessage::ReplyMessage (enum)
    {17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 34},	//343 QDBusMessage::ErrorMessage (enum)
    {17, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 35},	//344 QDBusMessage::SignalMessage (enum)
    {17, 654, 0, 0, Smoke::mf_dtor, 0, 36 },	//345 QDBusMessage::~QDBusMessage()
    {18, 563, 356, 3, Smoke::mf_static, 0, 1},	//346 QDBusMetaType::registerMarshallOperators(int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*))
    {18, 310, 360, 3, Smoke::mf_static, 238, 2},	//347 QDBusMetaType::marshall(QDBusArgument&, int, const void*)
    {18, 254, 364, 3, Smoke::mf_static, 238, 3},	//348 QDBusMetaType::demarshall(const QDBusArgument&, int, void*)
    {18, 618, 1, 1, Smoke::mf_static, 305, 4},	//349 QDBusMetaType::signatureToType(const char*)
    {18, 636, 18, 1, Smoke::mf_static, 299, 5},	//350 QDBusMetaType::typeToSignature(int)
    {18, 101, 0, 0, Smoke::mf_ctor, 38, 6},	//351 QDBusMetaType::QDBusMetaType()
    {18, 101, 368, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 7},	//352 QDBusMetaType::QDBusMetaType(const QDBusMetaType&)
    {18, 655, 0, 0, Smoke::mf_dtor, 0, 8 },	//353 QDBusMetaType::~QDBusMetaType()
    {19, 103, 370, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 1},	//354 QDBusPendingCall::QDBusPendingCall(const QDBusPendingCall&)
    {19, 356, 370, 1, 0, 41, 2},	//355 QDBusPendingCall::operator=(const QDBusPendingCall&)
    {19, 302, 0, 0, Smoke::mf_const, 238, 3},	//356 QDBusPendingCall::isFinished() const
    {19, 643, 0, 0, 0, 0, 4},	//357 QDBusPendingCall::waitForFinished()
    {19, 301, 0, 0, Smoke::mf_const, 238, 5},	//358 QDBusPendingCall::isError() const
    {19, 307, 0, 0, Smoke::mf_const, 238, 6},	//359 QDBusPendingCall::isValid() const
    {19, 270, 0, 0, Smoke::mf_const, 29, 7},	//360 QDBusPendingCall::error() const
    {19, 578, 0, 0, Smoke::mf_const, 34, 8},	//361 QDBusPendingCall::reply() const
    {19, 282, 333, 1, Smoke::mf_static, 40, 9},	//362 QDBusPendingCall::fromError(const QDBusError&)
    {19, 280, 231, 1, Smoke::mf_static, 40, 10},	//363 QDBusPendingCall::fromCompletedCall(const QDBusMessage&)
    {19, 656, 0, 0, Smoke::mf_dtor, 0, 11 },	//364 QDBusPendingCall::~QDBusPendingCall()
    {20, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//365 QDBusPendingCallWatcher::metaObject() const
    {20, 550, 1, 1, Smoke::mf_virtual, 333, 2},	//366 QDBusPendingCallWatcher::qt_metacast(const char*)
    {20, 627, 3, 2, Smoke::mf_static, 121, 3},	//367 QDBusPendingCallWatcher::tr(const char*, const char*)
    {20, 631, 3, 2, Smoke::mf_static, 121, 4},	//368 QDBusPendingCallWatcher::trUtf8(const char*, const char*)
    {20, 627, 6, 3, Smoke::mf_static, 121, 5},	//369 QDBusPendingCallWatcher::tr(const char*, const char*, int)
    {20, 631, 6, 3, Smoke::mf_static, 121, 6},	//370 QDBusPendingCallWatcher::trUtf8(const char*, const char*, int)
    {20, 548, 10, 3, Smoke::mf_virtual, 305, 7},	//371 QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {20, 105, 372, 2, Smoke::mf_ctor, 43, 8},	//372 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&, QObject*)
    {20, 643, 0, 0, 0, 0, 9},	//373 QDBusPendingCallWatcher::waitForFinished()
    {20, 278, 375, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//374 QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*)
    {20, 627, 1, 1, Smoke::mf_static, 121, 11},	//375 QDBusPendingCallWatcher::tr(const char*)
    {20, 631, 1, 1, Smoke::mf_static, 121, 12},	//376 QDBusPendingCallWatcher::trUtf8(const char*)
    {20, 105, 370, 1, Smoke::mf_ctor, 43, 13},	//377 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&)
    {20, 622, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 14},	//378 QDBusPendingCallWatcher::staticMetaObject() const
    {20, 657, 0, 0, Smoke::mf_dtor, 0, 15 },	//379 QDBusPendingCallWatcher::~QDBusPendingCallWatcher()
    {21, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//380 QDBusServer::metaObject() const
    {21, 550, 1, 1, Smoke::mf_virtual, 333, 2},	//381 QDBusServer::qt_metacast(const char*)
    {21, 627, 3, 2, Smoke::mf_static, 121, 3},	//382 QDBusServer::tr(const char*, const char*)
    {21, 631, 3, 2, Smoke::mf_static, 121, 4},	//383 QDBusServer::trUtf8(const char*, const char*)
    {21, 627, 6, 3, Smoke::mf_static, 121, 5},	//384 QDBusServer::tr(const char*, const char*, int)
    {21, 631, 6, 3, Smoke::mf_static, 121, 6},	//385 QDBusServer::trUtf8(const char*, const char*, int)
    {21, 548, 10, 3, Smoke::mf_virtual, 305, 7},	//386 QDBusServer::qt_metacall(QMetaObject::Call, int, void**)
    {21, 108, 304, 2, Smoke::mf_ctor, 50, 8},	//387 QDBusServer::QDBusServer(const QString&, QObject*)
    {21, 299, 0, 0, Smoke::mf_const, 238, 9},	//388 QDBusServer::isConnected() const
    {21, 308, 0, 0, Smoke::mf_const, 29, 10},	//389 QDBusServer::lastError() const
    {21, 163, 0, 0, Smoke::mf_const, 121, 11},	//390 QDBusServer::address() const
    {21, 316, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//391 QDBusServer::newConnection(const QDBusConnection&)
    {21, 627, 1, 1, Smoke::mf_static, 121, 13},	//392 QDBusServer::tr(const char*)
    {21, 631, 1, 1, Smoke::mf_static, 121, 14},	//393 QDBusServer::trUtf8(const char*)
    {21, 108, 0, 0, Smoke::mf_ctor, 50, 15},	//394 QDBusServer::QDBusServer()
    {21, 108, 68, 1, Smoke::mf_ctor, 50, 16},	//395 QDBusServer::QDBusServer(const QString&)
    {21, 622, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 17},	//396 QDBusServer::staticMetaObject() const
    {21, 658, 0, 0, Smoke::mf_dtor, 0, 18 },	//397 QDBusServer::~QDBusServer()
    {22, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//398 QDBusServiceWatcher::metaObject() const
    {22, 550, 1, 1, Smoke::mf_virtual, 333, 2},	//399 QDBusServiceWatcher::qt_metacast(const char*)
    {22, 627, 3, 2, Smoke::mf_static, 121, 3},	//400 QDBusServiceWatcher::tr(const char*, const char*)
    {22, 631, 3, 2, Smoke::mf_static, 121, 4},	//401 QDBusServiceWatcher::trUtf8(const char*, const char*)
    {22, 627, 6, 3, Smoke::mf_static, 121, 5},	//402 QDBusServiceWatcher::tr(const char*, const char*, int)
    {22, 631, 6, 3, Smoke::mf_static, 121, 6},	//403 QDBusServiceWatcher::trUtf8(const char*, const char*, int)
    {22, 548, 10, 3, Smoke::mf_virtual, 305, 7},	//404 QDBusServiceWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {22, 111, 14, 1, Smoke::mf_ctor, 51, 8},	//405 QDBusServiceWatcher::QDBusServiceWatcher(QObject*)
    {22, 111, 377, 4, Smoke::mf_ctor, 51, 9},	//406 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*)
    {22, 645, 0, 0, Smoke::mf_const|Smoke::mf_property, 125, 10},	//407 QDBusServiceWatcher::watchedServices() const
    {22, 615, 188, 1, Smoke::mf_property, 0, 11},	//408 QDBusServiceWatcher::setWatchedServices(const QStringList&)
    {22, 161, 68, 1, 0, 0, 12},	//409 QDBusServiceWatcher::addWatchedService(const QString&)
    {22, 576, 68, 1, 0, 238, 13},	//410 QDBusServiceWatcher::removeWatchedService(const QString&)
    {22, 644, 0, 0, Smoke::mf_const, 73, 14},	//411 QDBusServiceWatcher::watchMode() const
    {22, 613, 382, 1, 0, 0, 15},	//412 QDBusServiceWatcher::setWatchMode(QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 236, 0, 0, Smoke::mf_const, 16, 16},	//413 QDBusServiceWatcher::connection() const
    {22, 605, 229, 1, 0, 0, 17},	//414 QDBusServiceWatcher::setConnection(const QDBusConnection&)
    {22, 592, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//415 QDBusServiceWatcher::serviceRegistered(const QString&)
    {22, 596, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//416 QDBusServiceWatcher::serviceUnregistered(const QString&)
    {22, 588, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//417 QDBusServiceWatcher::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {22, 627, 1, 1, Smoke::mf_static, 121, 21},	//418 QDBusServiceWatcher::tr(const char*)
    {22, 631, 1, 1, Smoke::mf_static, 121, 22},	//419 QDBusServiceWatcher::trUtf8(const char*)
    {22, 111, 0, 0, Smoke::mf_ctor, 51, 23},	//420 QDBusServiceWatcher::QDBusServiceWatcher()
    {22, 111, 384, 2, Smoke::mf_ctor, 51, 24},	//421 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&)
    {22, 111, 387, 3, Smoke::mf_ctor, 51, 25},	//422 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 622, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 26},	//423 QDBusServiceWatcher::staticMetaObject() const
    {22, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 27},	//424 QDBusServiceWatcher::WatchForRegistration (enum)
    {22, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 28},	//425 QDBusServiceWatcher::WatchForUnregistration (enum)
    {22, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 29},	//426 QDBusServiceWatcher::WatchForOwnerChange (enum)
    {22, 659, 0, 0, Smoke::mf_dtor, 0, 30 },	//427 QDBusServiceWatcher::~QDBusServiceWatcher()
    {23, 116, 0, 0, Smoke::mf_ctor, 55, 1},	//428 QDBusUnixFileDescriptor::QDBusUnixFileDescriptor()
    {23, 116, 18, 1, Smoke::mf_ctor, 55, 2},	//429 QDBusUnixFileDescriptor::QDBusUnixFileDescriptor(int)
    {23, 116, 186, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 3},	//430 QDBusUnixFileDescriptor::QDBusUnixFileDescriptor(const QDBusUnixFileDescriptor&)
    {23, 356, 186, 1, 0, 54, 4},	//431 QDBusUnixFileDescriptor::operator=(const QDBusUnixFileDescriptor&)
    {23, 307, 0, 0, Smoke::mf_const, 238, 5},	//432 QDBusUnixFileDescriptor::isValid() const
    {23, 277, 0, 0, Smoke::mf_const, 305, 6},	//433 QDBusUnixFileDescriptor::fileDescriptor() const
    {23, 609, 18, 1, 0, 0, 7},	//434 QDBusUnixFileDescriptor::setFileDescriptor(int)
    {23, 284, 18, 1, 0, 0, 8},	//435 QDBusUnixFileDescriptor::giveFileDescriptor(int)
    {23, 624, 0, 0, 0, 305, 9},	//436 QDBusUnixFileDescriptor::takeFileDescriptor()
    {23, 306, 0, 0, Smoke::mf_static, 238, 10},	//437 QDBusUnixFileDescriptor::isSupported()
    {23, 660, 0, 0, Smoke::mf_dtor, 0, 11 },	//438 QDBusUnixFileDescriptor::~QDBusUnixFileDescriptor()
    {25, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//439 QDBusVirtualObject::metaObject() const
    {25, 550, 1, 1, Smoke::mf_virtual, 333, 2},	//440 QDBusVirtualObject::qt_metacast(const char*)
    {25, 627, 3, 2, Smoke::mf_static, 121, 3},	//441 QDBusVirtualObject::tr(const char*, const char*)
    {25, 631, 3, 2, Smoke::mf_static, 121, 4},	//442 QDBusVirtualObject::trUtf8(const char*, const char*)
    {25, 627, 6, 3, Smoke::mf_static, 121, 5},	//443 QDBusVirtualObject::tr(const char*, const char*, int)
    {25, 631, 6, 3, Smoke::mf_static, 121, 6},	//444 QDBusVirtualObject::trUtf8(const char*, const char*, int)
    {25, 548, 10, 3, Smoke::mf_virtual, 305, 7},	//445 QDBusVirtualObject::qt_metacall(QMetaObject::Call, int, void**)
    {25, 119, 14, 1, Smoke::mf_ctor, 57, 8},	//446 QDBusVirtualObject::QDBusVirtualObject(QObject*)
    {25, 297, 68, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 9},	//447 QDBusVirtualObject::introspect(const QString&) const [pure virtual]
    {25, 286, 391, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 238, 10},	//448 QDBusVirtualObject::handleMessage(const QDBusMessage&, const QDBusConnection&) [pure virtual]
    {25, 627, 1, 1, Smoke::mf_static, 121, 11},	//449 QDBusVirtualObject::tr(const char*)
    {25, 631, 1, 1, Smoke::mf_static, 121, 12},	//450 QDBusVirtualObject::trUtf8(const char*)
    {25, 119, 0, 0, Smoke::mf_ctor, 57, 13},	//451 QDBusVirtualObject::QDBusVirtualObject()
    {25, 622, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 14},	//452 QDBusVirtualObject::staticMetaObject() const
    {25, 661, 0, 0, Smoke::mf_dtor, 0, 15 },	//453 QDBusVirtualObject::~QDBusVirtualObject()
    {33, 367, 394, 2, Smoke::mf_static, 238, 1},	//454 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {33, 431, 176, 1, Smoke::mf_static, 321, 2},	//455 QGlobalSpace::qHash(unsigned long long)
    {33, 441, 178, 1, Smoke::mf_static, 238, 3},	//456 QGlobalSpace::qIsInf(double)
    {33, 380, 397, 2, Smoke::mf_static, 103, 4},	//457 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {33, 380, 400, 2, Smoke::mf_static, 103, 5},	//458 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {33, 533, 403, 2, Smoke::mf_static, 321, 6},	//459 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {33, 453, 406, 3, Smoke::mf_static, 333, 7},	//460 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {33, 380, 410, 2, Smoke::mf_static, 72, 8},	//461 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    {33, 552, 0, 0, Smoke::mf_static, 0, 9},	//462 QGlobalSpace::qt_noop()
    {33, 345, 413, 2, Smoke::mf_static, 61, 10},	//463 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {33, 358, 416, 2, Smoke::mf_static, 238, 11},	//464 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {33, 358, 419, 2, Smoke::mf_static, 238, 12},	//465 QGlobalSpace::operator==(const QSize&, const QSize&)
    {33, 330, 422, 2, Smoke::mf_static, 244, 13},	//466 QGlobalSpace::operator+(const char*, const QByteArray&)
    {33, 380, 425, 2, Smoke::mf_static, 78, 14},	//467 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {33, 514, 422, 2, Smoke::mf_static, 305, 15},	//468 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {33, 358, 428, 2, Smoke::mf_static, 238, 16},	//469 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {33, 371, 431, 2, Smoke::mf_static, 58, 17},	//470 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {33, 367, 434, 2, Smoke::mf_static, 238, 18},	//471 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {33, 441, 437, 1, Smoke::mf_static, 238, 19},	//472 QGlobalSpace::qIsInf(float)
    {33, 505, 1, 1, Smoke::mf_static, 5, 20},	//473 QGlobalSpace::qgetenv(const char*)
    {33, 431, 439, 1, Smoke::mf_static, 321, 21},	//474 QGlobalSpace::qHash(signed char)
    {33, 358, 441, 2, Smoke::mf_static, 238, 22},	//475 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {33, 363, 422, 2, Smoke::mf_static, 238, 23},	//476 QGlobalSpace::operator>(const char*, const QByteArray&)
    {33, 327, 444, 2, Smoke::mf_static, 284, 24},	//477 QGlobalSpace::operator*(float, const QSize&)
    {33, 437, 178, 1, Smoke::mf_static, 305, 25},	//478 QGlobalSpace::qIntCast(double)
    {33, 475, 447, 1, Smoke::mf_static, 132, 26},	//479 QGlobalSpace::qSetPadChar(QChar)
    {33, 482, 437, 1, Smoke::mf_static, 304, 27},	//480 QGlobalSpace::qSqrt(float)
    {33, 391, 437, 1, Smoke::mf_static, 304, 28},	//481 QGlobalSpace::qAtan(float)
    {33, 358, 449, 2, Smoke::mf_static, 238, 29},	//482 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {33, 358, 452, 2, Smoke::mf_static, 238, 30},	//483 QGlobalSpace::operator==(QChar, QChar)
    {33, 358, 455, 2, Smoke::mf_static, 238, 31},	//484 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {33, 380, 458, 2, Smoke::mf_static, 99, 32},	//485 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {33, 431, 461, 1, Smoke::mf_static, 321, 33},	//486 QGlobalSpace::qHash(const QUrl&)
    {33, 345, 463, 2, Smoke::mf_static, 13, 34},	//487 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {33, 431, 190, 1, Smoke::mf_static, 321, 35},	//488 QGlobalSpace::qHash(const QByteArray&)
    {33, 345, 466, 2, Smoke::mf_static, 13, 36},	//489 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {33, 389, 437, 1, Smoke::mf_static, 304, 37},	//490 QGlobalSpace::qAsin(float)
    {33, 345, 469, 2, Smoke::mf_static, 61, 38},	//491 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {33, 340, 452, 2, Smoke::mf_static, 238, 39},	//492 QGlobalSpace::operator<(QChar, QChar)
    {33, 367, 452, 2, Smoke::mf_static, 238, 40},	//493 QGlobalSpace::operator>=(QChar, QChar)
    {33, 320, 472, 2, Smoke::mf_static, 238, 41},	//494 QGlobalSpace::operator!=(QString::Null, const QString&)
    {33, 345, 475, 2, Smoke::mf_static, 13, 42},	//495 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {33, 340, 422, 2, Smoke::mf_static, 238, 43},	//496 QGlobalSpace::operator<(const char*, const QByteArray&)
    {33, 380, 478, 2, Smoke::mf_static, 98, 44},	//497 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {33, 514, 3, 2, Smoke::mf_static, 305, 45},	//498 QGlobalSpace::qstrcmp(const char*, const char*)
    {33, 380, 481, 2, Smoke::mf_static, 81, 46},	//499 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {33, 363, 452, 2, Smoke::mf_static, 238, 47},	//500 QGlobalSpace::operator>(QChar, QChar)
    {33, 345, 484, 2, Smoke::mf_static, 13, 48},	//501 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {33, 380, 487, 2, Smoke::mf_static, 101, 49},	//502 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {33, 479, 0, 0, Smoke::mf_static, 238, 50},	//503 QGlobalSpace::qSharedBuild()
    {33, 380, 490, 2, Smoke::mf_static, 103, 51},	//504 QGlobalSpace::operator|(QDir::Filter, int)
    {33, 320, 394, 2, Smoke::mf_static, 238, 52},	//505 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {33, 335, 493, 2, Smoke::mf_static, 276, 53},	//506 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {33, 371, 496, 2, Smoke::mf_static, 247, 54},	//507 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {33, 345, 499, 2, Smoke::mf_static, 58, 55},	//508 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {33, 380, 502, 2, Smoke::mf_static, 103, 56},	//509 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {33, 380, 505, 2, Smoke::mf_static, 97, 57},	//510 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {33, 345, 508, 2, Smoke::mf_static, 13, 58},	//511 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {33, 431, 511, 1, Smoke::mf_static, 321, 59},	//512 QGlobalSpace::qHash(char)
    {33, 320, 416, 2, Smoke::mf_static, 238, 60},	//513 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {33, 380, 513, 2, Smoke::mf_static, 84, 61},	//514 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {33, 345, 516, 2, Smoke::mf_static, 61, 62},	//515 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {33, 486, 437, 1, Smoke::mf_static, 304, 63},	//516 QGlobalSpace::qTan(float)
    {33, 380, 519, 2, Smoke::mf_static, 103, 64},	//517 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {33, 380, 522, 2, Smoke::mf_static, 103, 65},	//518 QGlobalSpace::operator|(QFile::Permission, int)
    {33, 480, 437, 1, Smoke::mf_static, 304, 66},	//519 QGlobalSpace::qSin(float)
    {33, 330, 493, 2, Smoke::mf_static, 276, 67},	//520 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {33, 380, 525, 2, Smoke::mf_static, 76, 68},	//521 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {33, 335, 528, 2, Smoke::mf_static, 286, 69},	//522 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {33, 345, 531, 2, Smoke::mf_static, 61, 70},	//523 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {33, 439, 178, 1, Smoke::mf_static, 238, 71},	//524 QGlobalSpace::qIsFinite(double)
    {33, 495, 534, 4, Smoke::mf_static, 241, 72},	//525 QGlobalSpace::qecvt(long double, int, int*, int*)
    {33, 320, 434, 2, Smoke::mf_static, 238, 73},	//526 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {33, 380, 539, 2, Smoke::mf_static, 93, 74},	//527 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {33, 345, 542, 2, Smoke::mf_static, 61, 75},	//528 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {33, 345, 545, 2, Smoke::mf_static, 61, 76},	//529 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {33, 380, 548, 2, Smoke::mf_static, 85, 77},	//530 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {33, 330, 419, 2, Smoke::mf_static, 284, 78},	//531 QGlobalSpace::operator+(const QSize&, const QSize&)
    {33, 380, 551, 2, Smoke::mf_static, 99, 79},	//532 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {33, 380, 554, 2, Smoke::mf_static, 90, 80},	//533 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {33, 544, 18, 1, Smoke::mf_static, 121, 81},	//534 QGlobalSpace::qt_error_string(int)
    {33, 544, 0, 0, Smoke::mf_static, 121, 82},	//535 QGlobalSpace::qt_error_string()
    {33, 330, 528, 2, Smoke::mf_static, 286, 83},	//536 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {33, 380, 557, 2, Smoke::mf_static, 103, 84},	//537 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {33, 488, 560, 2, Smoke::mf_static, 5, 85},	//538 QGlobalSpace::qUncompress(const unsigned char*, int)
    {33, 527, 563, 3, Smoke::mf_static, 305, 86},	//539 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {33, 320, 567, 2, Smoke::mf_static, 238, 87},	//540 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {33, 473, 18, 1, Smoke::mf_static, 132, 88},	//541 QGlobalSpace::qSetFieldWidth(int)
    {33, 320, 570, 2, Smoke::mf_static, 238, 89},	//542 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {33, 380, 573, 2, Smoke::mf_static, 88, 90},	//543 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {33, 340, 570, 2, Smoke::mf_static, 238, 91},	//544 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {33, 345, 576, 2, Smoke::mf_static, 61, 92},	//545 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {33, 371, 579, 2, Smoke::mf_static, 58, 93},	//546 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {33, 439, 437, 1, Smoke::mf_static, 238, 94},	//547 QGlobalSpace::qIsFinite(float)
    {33, 330, 582, 2, Smoke::mf_static, 288, 95},	//548 QGlobalSpace::operator+(const QString&, QChar)
    {33, 320, 585, 2, Smoke::mf_static, 238, 96},	//549 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {33, 493, 588, 3, Smoke::mf_static, 0, 97},	//550 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {33, 330, 434, 2, Smoke::mf_static, 244, 98},	//551 QGlobalSpace::operator+(const QByteArray&, const char*)
    {33, 380, 592, 2, Smoke::mf_static, 83, 99},	//552 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {33, 380, 595, 2, Smoke::mf_static, 96, 100},	//553 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {33, 462, 598, 4, Smoke::mf_static, 333, 101},	//554 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {33, 417, 437, 1, Smoke::mf_static, 304, 102},	//555 QGlobalSpace::qFastSin(float)
    {33, 431, 172, 1, Smoke::mf_static, 321, 103},	//556 QGlobalSpace::qHash(unsigned int)
    {33, 380, 603, 2, Smoke::mf_static, 98, 104},	//557 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {33, 431, 447, 1, Smoke::mf_static, 321, 105},	//558 QGlobalSpace::qHash(QChar)
    {33, 352, 434, 2, Smoke::mf_static, 238, 106},	//559 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {33, 421, 437, 1, Smoke::mf_static, 305, 107},	//560 QGlobalSpace::qFloor(float)
    {33, 437, 437, 1, Smoke::mf_static, 305, 108},	//561 QGlobalSpace::qIntCast(float)
    {33, 358, 606, 2, Smoke::mf_static, 238, 109},	//562 QGlobalSpace::operator==(const QRect&, const QRect&)
    {33, 380, 609, 2, Smoke::mf_static, 77, 110},	//563 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {33, 378, 612, 2, Smoke::mf_static, 2, 111},	//564 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {33, 363, 615, 2, Smoke::mf_static, 238, 112},	//565 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {33, 460, 618, 2, Smoke::mf_static, 333, 113},	//566 QGlobalSpace::qRealloc(void*, size_t)
    {33, 431, 68, 1, Smoke::mf_static, 321, 114},	//567 QGlobalSpace::qHash(const QString&)
    {33, 411, 437, 1, Smoke::mf_static, 304, 115},	//568 QGlobalSpace::qExp(float)
    {33, 345, 621, 2, Smoke::mf_static, 58, 116},	//569 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {33, 345, 624, 2, Smoke::mf_static, 61, 117},	//570 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {33, 470, 178, 1, Smoke::mf_static, 311, 118},	//571 QGlobalSpace::qRound64(double)
    {33, 435, 627, 1, Smoke::mf_static, 331, 119},	//572 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {33, 431, 629, 1, Smoke::mf_static, 321, 120},	//573 QGlobalSpace::qHash(const QModelIndex&)
    {33, 371, 631, 2, Smoke::mf_static, 58, 121},	//574 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {33, 358, 634, 2, Smoke::mf_static, 238, 122},	//575 QGlobalSpace::operator==(QBool, QBool)
    {33, 358, 637, 2, Smoke::mf_static, 238, 123},	//576 QGlobalSpace::operator==(const char*, const QStringRef&)
    {33, 380, 640, 2, Smoke::mf_static, 103, 124},	//577 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {33, 443, 437, 1, Smoke::mf_static, 238, 125},	//578 QGlobalSpace::qIsNaN(float)
    {33, 431, 184, 1, Smoke::mf_static, 321, 126},	//579 QGlobalSpace::qHash(const QDBusSignature&)
    {33, 352, 615, 2, Smoke::mf_static, 238, 127},	//580 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {33, 419, 1, 1, Smoke::mf_static, 299, 128},	//581 QGlobalSpace::qFlagLocation(const char*)
    {33, 345, 643, 2, Smoke::mf_static, 61, 129},	//582 QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    {33, 380, 646, 2, Smoke::mf_static, 103, 130},	//583 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {33, 443, 178, 1, Smoke::mf_static, 238, 131},	//584 QGlobalSpace::qIsNaN(double)
    {33, 330, 649, 2, Smoke::mf_static, 288, 132},	//585 QGlobalSpace::operator+(QChar, const QString&)
    {33, 380, 652, 2, Smoke::mf_static, 103, 133},	//586 QGlobalSpace::operator|(QString::SectionFlag, int)
    {33, 380, 655, 2, Smoke::mf_static, 103, 134},	//587 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {33, 371, 658, 2, Smoke::mf_static, 58, 135},	//588 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {33, 538, 6, 3, Smoke::mf_static, 0, 136},	//589 QGlobalSpace::qt_assert(const char*, const char*, int)
    {33, 345, 661, 2, Smoke::mf_static, 13, 137},	//590 QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    {33, 431, 174, 1, Smoke::mf_static, 321, 138},	//591 QGlobalSpace::qHash(long long)
    {33, 320, 664, 2, Smoke::mf_static, 238, 139},	//592 QGlobalSpace::operator!=(const QString&, QString::Null)
    {33, 499, 534, 4, Smoke::mf_static, 241, 140},	//593 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {33, 384, 437, 1, Smoke::mf_static, 304, 141},	//594 QGlobalSpace::qAcos(float)
    {33, 380, 667, 2, Smoke::mf_static, 103, 142},	//595 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {33, 380, 670, 2, Smoke::mf_static, 83, 143},	//596 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {33, 371, 673, 2, Smoke::mf_static, 247, 144},	//597 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {33, 320, 449, 2, Smoke::mf_static, 238, 145},	//598 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {33, 335, 428, 2, Smoke::mf_static, 278, 146},	//599 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {33, 358, 585, 2, Smoke::mf_static, 238, 147},	//600 QGlobalSpace::operator==(QString::Null, QString::Null)
    {33, 380, 676, 2, Smoke::mf_static, 91, 148},	//601 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {33, 340, 615, 2, Smoke::mf_static, 238, 149},	//602 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {33, 380, 679, 2, Smoke::mf_static, 101, 150},	//603 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {33, 393, 682, 2, Smoke::mf_static, 304, 151},	//604 QGlobalSpace::qAtan2(float, float)
    {33, 429, 437, 1, Smoke::mf_static, 238, 152},	//605 QGlobalSpace::qFuzzyIsNull(float)
    {33, 345, 685, 2, Smoke::mf_static, 13, 153},	//606 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {33, 345, 688, 2, Smoke::mf_static, 13, 154},	//607 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {33, 380, 691, 2, Smoke::mf_static, 95, 155},	//608 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {33, 519, 694, 2, Smoke::mf_static, 241, 156},	//609 QGlobalSpace::qstrcpy(char*, const char*)
    {33, 431, 18, 1, Smoke::mf_static, 321, 157},	//610 QGlobalSpace::qHash(int)
    {33, 330, 428, 2, Smoke::mf_static, 278, 158},	//611 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {33, 380, 697, 2, Smoke::mf_static, 86, 159},	//612 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {33, 358, 528, 2, Smoke::mf_static, 238, 160},	//613 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {33, 335, 700, 1, Smoke::mf_static, 276, 161},	//614 QGlobalSpace::operator-(const QPoint&)
    {33, 380, 702, 2, Smoke::mf_static, 103, 162},	//615 QGlobalSpace::operator|(Qt::DropAction, int)
    {33, 345, 705, 2, Smoke::mf_static, 58, 163},	//616 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {33, 380, 708, 2, Smoke::mf_static, 103, 164},	//617 QGlobalSpace::operator|(QDir::SortFlag, int)
    {33, 477, 18, 1, Smoke::mf_static, 132, 165},	//618 QGlobalSpace::qSetRealNumberPrecision(int)
    {33, 358, 711, 2, Smoke::mf_static, 238, 166},	//619 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {33, 468, 437, 1, Smoke::mf_static, 305, 167},	//620 QGlobalSpace::qRound(float)
    {33, 380, 714, 2, Smoke::mf_static, 73, 168},	//621 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {33, 557, 18, 1, Smoke::mf_static, 0, 169},	//622 QGlobalSpace::quick_exit(int)
    {33, 320, 528, 2, Smoke::mf_static, 238, 170},	//623 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {33, 464, 717, 1, Smoke::mf_static, 0, 171},	//624 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {33, 398, 403, 2, Smoke::mf_static, 326, 172},	//625 QGlobalSpace::qChecksum(const char*, unsigned int)
    {33, 380, 719, 2, Smoke::mf_static, 94, 173},	//626 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {33, 449, 722, 1, Smoke::mf_static, 333, 174},	//627 QGlobalSpace::qMalloc(size_t)
    {33, 459, 0, 0, Smoke::mf_static, 302, 175},	//628 QGlobalSpace::qQNaN()
    {33, 380, 724, 2, Smoke::mf_static, 87, 176},	//629 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {33, 371, 727, 2, Smoke::mf_static, 58, 177},	//630 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {33, 507, 422, 2, Smoke::mf_static, 238, 178},	//631 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {33, 345, 730, 2, Smoke::mf_static, 61, 179},	//632 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {33, 380, 733, 2, Smoke::mf_static, 103, 180},	//633 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {33, 512, 172, 1, Smoke::mf_static, 0, 181},	//634 QGlobalSpace::qsrand(unsigned int)
    {33, 431, 736, 1, Smoke::mf_static, 321, 182},	//635 QGlobalSpace::qHash(long)
    {33, 327, 738, 2, Smoke::mf_static, 276, 183},	//636 QGlobalSpace::operator*(int, const QPoint&)
    {33, 345, 741, 2, Smoke::mf_static, 13, 184},	//637 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {33, 358, 570, 2, Smoke::mf_static, 238, 185},	//638 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {33, 363, 394, 2, Smoke::mf_static, 238, 186},	//639 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {33, 431, 170, 1, Smoke::mf_static, 321, 187},	//640 QGlobalSpace::qHash(unsigned short)
    {33, 371, 744, 2, Smoke::mf_static, 58, 188},	//641 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {33, 320, 428, 2, Smoke::mf_static, 238, 189},	//642 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {33, 380, 747, 2, Smoke::mf_static, 78, 190},	//643 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {33, 531, 563, 3, Smoke::mf_static, 305, 191},	//644 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {33, 320, 750, 2, Smoke::mf_static, 238, 192},	//645 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 371, 753, 2, Smoke::mf_static, 58, 193},	//646 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {33, 358, 472, 2, Smoke::mf_static, 238, 194},	//647 QGlobalSpace::operator==(QString::Null, const QString&)
    {33, 358, 567, 2, Smoke::mf_static, 238, 195},	//648 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {33, 330, 615, 2, Smoke::mf_static, 244, 196},	//649 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {33, 431, 756, 1, Smoke::mf_static, 321, 197},	//650 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {33, 345, 758, 2, Smoke::mf_static, 58, 198},	//651 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {33, 345, 761, 2, Smoke::mf_static, 58, 199},	//652 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {33, 327, 764, 2, Smoke::mf_static, 284, 200},	//653 QGlobalSpace::operator*(const QSize&, float)
    {33, 553, 767, 3, Smoke::mf_static, 112, 201},	//654 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {33, 380, 771, 2, Smoke::mf_static, 82, 202},	//655 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {33, 380, 774, 2, Smoke::mf_static, 73, 203},	//656 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {33, 327, 777, 2, Smoke::mf_static, 278, 204},	//657 QGlobalSpace::operator*(float, const QPointF&)
    {33, 320, 780, 2, Smoke::mf_static, 238, 205},	//658 QGlobalSpace::operator!=(bool, QBool)
    {33, 529, 783, 3, Smoke::mf_static, 241, 206},	//659 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {33, 371, 787, 2, Smoke::mf_static, 247, 207},	//660 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {33, 488, 190, 1, Smoke::mf_static, 5, 208},	//661 QGlobalSpace::qUncompress(const QByteArray&)
    {33, 345, 790, 2, Smoke::mf_static, 58, 209},	//662 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {33, 371, 793, 2, Smoke::mf_static, 58, 210},	//663 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {33, 380, 796, 2, Smoke::mf_static, 103, 211},	//664 QGlobalSpace::operator|(Qt::MouseButton, int)
    {33, 335, 799, 1, Smoke::mf_static, 278, 212},	//665 QGlobalSpace::operator-(const QPointF&)
    {33, 358, 780, 2, Smoke::mf_static, 238, 213},	//666 QGlobalSpace::operator==(bool, QBool)
    {33, 509, 0, 0, Smoke::mf_static, 305, 214},	//667 QGlobalSpace::qrand()
    {33, 380, 801, 2, Smoke::mf_static, 71, 215},	//668 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {33, 345, 804, 2, Smoke::mf_static, 61, 216},	//669 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {33, 540, 807, 4, Smoke::mf_static, 0, 217},	//670 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {33, 408, 812, 3, Smoke::mf_static, 0, 218},	//671 QGlobalSpace::qDBusReplyFill(const QDBusMessage&, QDBusError&, QVariant&)
    {33, 327, 816, 2, Smoke::mf_static, 276, 219},	//672 QGlobalSpace::operator*(float, const QPoint&)
    {33, 325, 612, 2, Smoke::mf_static, 2, 220},	//673 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {33, 367, 422, 2, Smoke::mf_static, 238, 221},	//674 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {33, 380, 819, 2, Smoke::mf_static, 96, 222},	//675 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {33, 380, 822, 2, Smoke::mf_static, 103, 223},	//676 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {33, 320, 825, 2, Smoke::mf_static, 238, 224},	//677 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {33, 407, 0, 0, Smoke::mf_static, 61, 225},	//678 QGlobalSpace::qCritical()
    {33, 345, 828, 2, Smoke::mf_static, 13, 226},	//679 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {33, 380, 831, 2, Smoke::mf_static, 90, 227},	//680 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {33, 405, 437, 1, Smoke::mf_static, 304, 228},	//681 QGlobalSpace::qCos(float)
    {33, 320, 422, 2, Smoke::mf_static, 238, 229},	//682 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {33, 320, 493, 2, Smoke::mf_static, 238, 230},	//683 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {33, 358, 825, 2, Smoke::mf_static, 238, 231},	//684 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {33, 345, 834, 2, Smoke::mf_static, 58, 232},	//685 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {33, 330, 837, 2, Smoke::mf_static, 244, 233},	//686 QGlobalSpace::operator+(const QByteArray&, char)
    {33, 380, 840, 2, Smoke::mf_static, 76, 234},	//687 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {33, 380, 843, 2, Smoke::mf_static, 74, 235},	//688 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {33, 371, 846, 2, Smoke::mf_static, 58, 236},	//689 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {33, 345, 849, 2, Smoke::mf_static, 61, 237},	//690 QGlobalSpace::operator<<(QDebug, const QDBusError&)
    {33, 345, 852, 2, Smoke::mf_static, 58, 238},	//691 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {33, 358, 493, 2, Smoke::mf_static, 238, 239},	//692 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {33, 386, 855, 1, Smoke::mf_static, 0, 240},	//693 QGlobalSpace::qAddPostRoutine(void(*)())
    {33, 400, 857, 3, Smoke::mf_static, 5, 241},	//694 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {33, 400, 560, 2, Smoke::mf_static, 5, 242},	//695 QGlobalSpace::qCompress(const unsigned char*, int)
    {33, 352, 422, 2, Smoke::mf_static, 238, 243},	//696 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {33, 352, 394, 2, Smoke::mf_static, 238, 244},	//697 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {33, 345, 861, 2, Smoke::mf_static, 58, 245},	//698 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {33, 371, 864, 2, Smoke::mf_static, 58, 246},	//699 QGlobalSpace::operator>>(QDataStream&, QString&)
    {33, 388, 0, 0, Smoke::mf_static, 121, 247},	//700 QGlobalSpace::qAppName()
    {33, 491, 0, 0, Smoke::mf_static, 299, 248},	//701 QGlobalSpace::qVersion()
    {33, 371, 867, 2, Smoke::mf_static, 247, 249},	//702 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {33, 371, 870, 2, Smoke::mf_static, 247, 250},	//703 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {33, 423, 873, 1, Smoke::mf_static, 0, 251},	//704 QGlobalSpace::qFree(void*)
    {33, 380, 875, 2, Smoke::mf_static, 103, 252},	//705 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {33, 425, 873, 1, Smoke::mf_static, 0, 253},	//706 QGlobalSpace::qFreeAligned(void*)
    {33, 358, 664, 2, Smoke::mf_static, 238, 254},	//707 QGlobalSpace::operator==(const QString&, QString::Null)
    {33, 345, 878, 2, Smoke::mf_static, 61, 255},	//708 QGlobalSpace::operator<<(QDebug, const QDir&)
    {33, 345, 881, 2, Smoke::mf_static, 129, 256},	//709 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {33, 340, 434, 2, Smoke::mf_static, 238, 257},	//710 QGlobalSpace::operator<(const QByteArray&, const char*)
    {33, 345, 884, 2, Smoke::mf_static, 61, 258},	//711 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {33, 396, 437, 1, Smoke::mf_static, 305, 259},	//712 QGlobalSpace::qCeil(float)
    {33, 371, 887, 2, Smoke::mf_static, 247, 260},	//713 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {33, 380, 890, 2, Smoke::mf_static, 77, 261},	//714 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {33, 431, 893, 1, Smoke::mf_static, 321, 262},	//715 QGlobalSpace::qHash(const QBitArray&)
    {33, 457, 682, 2, Smoke::mf_static, 304, 263},	//716 QGlobalSpace::qPow(float, float)
    {33, 345, 895, 2, Smoke::mf_static, 61, 264},	//717 QGlobalSpace::operator<<(QDebug, const QTime&)
    {33, 345, 898, 2, Smoke::mf_static, 129, 265},	//718 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {33, 320, 452, 2, Smoke::mf_static, 238, 266},	//719 QGlobalSpace::operator!=(QChar, QChar)
    {33, 380, 901, 2, Smoke::mf_static, 89, 267},	//720 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {33, 484, 904, 2, Smoke::mf_static, 238, 268},	//721 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {33, 521, 1, 1, Smoke::mf_static, 241, 269},	//722 QGlobalSpace::qstrdup(const char*)
    {33, 380, 907, 2, Smoke::mf_static, 71, 270},	//723 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {33, 371, 910, 2, Smoke::mf_static, 58, 271},	//724 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {33, 320, 637, 2, Smoke::mf_static, 238, 272},	//725 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {33, 410, 0, 0, Smoke::mf_static, 61, 273},	//726 QGlobalSpace::qDebug()
    {33, 345, 913, 2, Smoke::mf_static, 13, 274},	//727 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {33, 451, 916, 2, Smoke::mf_static, 333, 275},	//728 QGlobalSpace::qMallocAligned(size_t, size_t)
    {33, 327, 919, 2, Smoke::mf_static, 286, 276},	//729 QGlobalSpace::operator*(const QSizeF&, float)
    {33, 320, 904, 2, Smoke::mf_static, 238, 277},	//730 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {33, 447, 437, 1, Smoke::mf_static, 304, 278},	//731 QGlobalSpace::qLn(float)
    {33, 497, 922, 6, Smoke::mf_static, 305, 279},	//732 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {33, 431, 182, 1, Smoke::mf_static, 321, 280},	//733 QGlobalSpace::qHash(const QDBusObjectPath&)
    {33, 371, 929, 2, Smoke::mf_static, 247, 281},	//734 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {33, 345, 932, 2, Smoke::mf_static, 61, 282},	//735 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {33, 380, 935, 2, Smoke::mf_static, 103, 283},	//736 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {33, 371, 881, 2, Smoke::mf_static, 129, 284},	//737 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {33, 330, 938, 2, Smoke::mf_static, 244, 285},	//738 QGlobalSpace::operator+(char, const QByteArray&)
    {33, 358, 422, 2, Smoke::mf_static, 238, 286},	//739 QGlobalSpace::operator==(const char*, const QByteArray&)
    {33, 345, 941, 2, Smoke::mf_static, 58, 287},	//740 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {33, 371, 944, 2, Smoke::mf_static, 247, 288},	//741 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {33, 335, 419, 2, Smoke::mf_static, 284, 289},	//742 QGlobalSpace::operator-(const QSize&, const QSize&)
    {33, 371, 947, 2, Smoke::mf_static, 247, 290},	//743 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {33, 345, 950, 2, Smoke::mf_static, 61, 291},	//744 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {33, 380, 953, 2, Smoke::mf_static, 103, 292},	//745 QGlobalSpace::operator|(Qt::WindowState, int)
    {33, 371, 956, 2, Smoke::mf_static, 58, 293},	//746 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {33, 320, 711, 2, Smoke::mf_static, 238, 294},	//747 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {33, 345, 959, 2, Smoke::mf_static, 61, 295},	//748 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {33, 380, 962, 2, Smoke::mf_static, 93, 296},	//749 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {33, 371, 965, 2, Smoke::mf_static, 58, 297},	//750 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {33, 380, 968, 2, Smoke::mf_static, 88, 298},	//751 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {33, 358, 394, 2, Smoke::mf_static, 238, 299},	//752 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {33, 345, 971, 2, Smoke::mf_static, 61, 300},	//753 QGlobalSpace::operator<<(QDebug, const QDate&)
    {33, 380, 974, 2, Smoke::mf_static, 103, 301},	//754 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    {33, 380, 977, 2, Smoke::mf_static, 74, 302},	//755 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {33, 561, 980, 4, Smoke::mf_static, 305, 303},	//756 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {33, 327, 985, 2, Smoke::mf_static, 276, 304},	//757 QGlobalSpace::operator*(double, const QPoint&)
    {33, 455, 988, 3, Smoke::mf_static, 333, 305},	//758 QGlobalSpace::qMemSet(void*, int, size_t)
    {33, 345, 992, 2, Smoke::mf_static, 58, 306},	//759 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {33, 542, 995, 2, Smoke::mf_static, 0, 307},	//760 QGlobalSpace::qt_check_pointer(const char*, int)
    {33, 431, 168, 1, Smoke::mf_static, 321, 308},	//761 QGlobalSpace::qHash(short)
    {33, 380, 998, 2, Smoke::mf_static, 79, 309},	//762 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {33, 380, 1001, 2, Smoke::mf_static, 87, 310},	//763 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {33, 380, 1004, 2, Smoke::mf_static, 75, 311},	//764 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {33, 514, 615, 2, Smoke::mf_static, 305, 312},	//765 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {33, 427, 682, 2, Smoke::mf_static, 238, 313},	//766 QGlobalSpace::qFuzzyCompare(float, float)
    {33, 358, 1007, 2, Smoke::mf_static, 238, 314},	//767 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {33, 380, 1010, 2, Smoke::mf_static, 80, 315},	//768 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {33, 501, 922, 6, Smoke::mf_static, 305, 316},	//769 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {33, 503, 1013, 3, Smoke::mf_static, 241, 317},	//770 QGlobalSpace::qgcvt(long double, int, char*)
    {33, 510, 1017, 4, Smoke::mf_static, 0, 318},	//771 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {33, 380, 1022, 2, Smoke::mf_static, 103, 319},	//772 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {33, 380, 1025, 2, Smoke::mf_static, 91, 320},	//773 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {33, 371, 1028, 2, Smoke::mf_static, 247, 321},	//774 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {33, 367, 615, 2, Smoke::mf_static, 238, 322},	//775 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {33, 395, 0, 0, Smoke::mf_static, 0, 323},	//776 QGlobalSpace::qBadAlloc()
    {33, 345, 1031, 2, Smoke::mf_static, 61, 324},	//777 QGlobalSpace::operator<<(QDebug, const QLine&)
    {33, 380, 1034, 2, Smoke::mf_static, 97, 325},	//778 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {33, 380, 1037, 2, Smoke::mf_static, 103, 326},	//779 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {33, 429, 178, 1, Smoke::mf_static, 238, 327},	//780 QGlobalSpace::qFuzzyIsNull(double)
    {33, 400, 1040, 2, Smoke::mf_static, 5, 328},	//781 QGlobalSpace::qCompress(const QByteArray&, int)
    {33, 400, 190, 1, Smoke::mf_static, 5, 329},	//782 QGlobalSpace::qCompress(const QByteArray&)
    {33, 380, 1043, 2, Smoke::mf_static, 85, 330},	//783 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {33, 380, 1046, 2, Smoke::mf_static, 103, 331},	//784 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {33, 380, 1049, 2, Smoke::mf_static, 100, 332},	//785 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {33, 338, 919, 2, Smoke::mf_static, 286, 333},	//786 QGlobalSpace::operator/(const QSizeF&, float)
    {33, 380, 1052, 2, Smoke::mf_static, 69, 334},	//787 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {33, 345, 1055, 2, Smoke::mf_static, 58, 335},	//788 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {33, 345, 1058, 2, Smoke::mf_static, 58, 336},	//789 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {33, 345, 1061, 2, Smoke::mf_static, 58, 337},	//790 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {33, 345, 1064, 2, Smoke::mf_static, 61, 338},	//791 QGlobalSpace::operator<<(QDebug, const QRect&)
    {33, 371, 1067, 2, Smoke::mf_static, 247, 339},	//792 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {33, 380, 1070, 2, Smoke::mf_static, 75, 340},	//793 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {33, 320, 606, 2, Smoke::mf_static, 238, 341},	//794 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {33, 380, 1073, 2, Smoke::mf_static, 103, 342},	//795 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {33, 358, 615, 2, Smoke::mf_static, 238, 343},	//796 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {33, 371, 1076, 2, Smoke::mf_static, 58, 344},	//797 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {33, 380, 612, 2, Smoke::mf_static, 2, 345},	//798 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {33, 345, 1079, 2, Smoke::mf_static, 58, 346},	//799 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {33, 345, 1082, 2, Smoke::mf_static, 58, 347},	//800 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {33, 338, 1085, 2, Smoke::mf_static, 278, 348},	//801 QGlobalSpace::operator/(const QPointF&, float)
    {33, 380, 1088, 2, Smoke::mf_static, 103, 349},	//802 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {33, 345, 1091, 2, Smoke::mf_static, 58, 350},	//803 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {33, 535, 995, 2, Smoke::mf_static, 121, 351},	//804 QGlobalSpace::qtTrId(const char*, int)
    {33, 535, 1, 1, Smoke::mf_static, 121, 352},	//805 QGlobalSpace::qtTrId(const char*)
    {33, 345, 1094, 2, Smoke::mf_static, 61, 353},	//806 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {33, 352, 452, 2, Smoke::mf_static, 238, 354},	//807 QGlobalSpace::operator<=(QChar, QChar)
    {33, 415, 437, 1, Smoke::mf_static, 304, 355},	//808 QGlobalSpace::qFastCos(float)
    {33, 371, 1097, 2, Smoke::mf_static, 247, 356},	//809 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {33, 380, 1100, 2, Smoke::mf_static, 100, 357},	//810 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {33, 320, 1007, 2, Smoke::mf_static, 238, 358},	//811 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {33, 380, 1103, 2, Smoke::mf_static, 92, 359},	//812 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {33, 371, 1106, 2, Smoke::mf_static, 58, 360},	//813 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {33, 327, 1109, 2, Smoke::mf_static, 276, 361},	//814 QGlobalSpace::operator*(const QPoint&, int)
    {33, 371, 1112, 2, Smoke::mf_static, 58, 362},	//815 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {33, 327, 1115, 2, Smoke::mf_static, 286, 363},	//816 QGlobalSpace::operator*(float, const QSizeF&)
    {33, 559, 1118, 3, Smoke::mf_static, 238, 364},	//817 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {33, 445, 437, 1, Smoke::mf_static, 238, 365},	//818 QGlobalSpace::qIsNull(float)
    {33, 380, 1122, 2, Smoke::mf_static, 72, 366},	//819 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    {33, 345, 1125, 2, Smoke::mf_static, 13, 367},	//820 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {33, 327, 1085, 2, Smoke::mf_static, 278, 368},	//821 QGlobalSpace::operator*(const QPointF&, float)
    {33, 555, 1128, 5, Smoke::mf_static, 0, 369},	//822 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {33, 358, 1134, 2, Smoke::mf_static, 238, 370},	//823 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {33, 371, 1137, 2, Smoke::mf_static, 58, 371},	//824 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {33, 380, 1140, 2, Smoke::mf_static, 103, 372},	//825 QGlobalSpace::operator|(Qt::Orientation, int)
    {33, 427, 1143, 2, Smoke::mf_static, 238, 373},	//826 QGlobalSpace::qFuzzyCompare(double, double)
    {33, 327, 1146, 2, Smoke::mf_static, 276, 374},	//827 QGlobalSpace::operator*(const QPoint&, double)
    {33, 380, 1149, 2, Smoke::mf_static, 89, 375},	//828 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {33, 380, 1152, 2, Smoke::mf_static, 79, 376},	//829 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {33, 472, 0, 0, Smoke::mf_static, 302, 377},	//830 QGlobalSpace::qSNaN()
    {33, 358, 750, 2, Smoke::mf_static, 238, 378},	//831 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 358, 434, 2, Smoke::mf_static, 238, 379},	//832 QGlobalSpace::operator==(const QByteArray&, const char*)
    {33, 358, 904, 2, Smoke::mf_static, 238, 380},	//833 QGlobalSpace::operator==(const QStringRef&, const char*)
    {33, 380, 1155, 2, Smoke::mf_static, 103, 381},	//834 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {33, 327, 1158, 2, Smoke::mf_static, 276, 382},	//835 QGlobalSpace::operator*(const QPoint&, float)
    {33, 345, 1161, 2, Smoke::mf_static, 13, 383},	//836 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {33, 340, 394, 2, Smoke::mf_static, 238, 384},	//837 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {33, 320, 1164, 2, Smoke::mf_static, 238, 385},	//838 QGlobalSpace::operator!=(QBool, bool)
    {33, 320, 419, 2, Smoke::mf_static, 238, 386},	//839 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {33, 371, 1167, 2, Smoke::mf_static, 58, 387},	//840 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {33, 345, 1170, 2, Smoke::mf_static, 61, 388},	//841 QGlobalSpace::operator<<(QDebug, const QSize&)
    {33, 380, 1173, 2, Smoke::mf_static, 84, 389},	//842 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {33, 523, 3, 2, Smoke::mf_static, 305, 390},	//843 QGlobalSpace::qstricmp(const char*, const char*)
    {33, 380, 1176, 2, Smoke::mf_static, 95, 391},	//844 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {33, 340, 750, 2, Smoke::mf_static, 238, 392},	//845 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 320, 441, 2, Smoke::mf_static, 238, 393},	//846 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {33, 434, 0, 0, Smoke::mf_static, 302, 394},	//847 QGlobalSpace::qInf()
    {33, 345, 1179, 2, Smoke::mf_static, 58, 395},	//848 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {33, 380, 1182, 2, Smoke::mf_static, 92, 396},	//849 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {33, 345, 1185, 2, Smoke::mf_static, 58, 397},	//850 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {33, 380, 1188, 2, Smoke::mf_static, 80, 398},	//851 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {33, 380, 1191, 2, Smoke::mf_static, 103, 399},	//852 QGlobalSpace::operator|(Qt::WindowType, int)
    {33, 514, 434, 2, Smoke::mf_static, 305, 400},	//853 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {33, 466, 855, 1, Smoke::mf_static, 0, 401},	//854 QGlobalSpace::qRemovePostRoutine(void(*)())
    {33, 371, 1194, 2, Smoke::mf_static, 58, 402},	//855 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {33, 413, 437, 1, Smoke::mf_static, 304, 403},	//856 QGlobalSpace::qFabs(float)
    {33, 345, 1197, 2, Smoke::mf_static, 58, 404},	//857 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {33, 380, 1200, 2, Smoke::mf_static, 94, 405},	//858 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {33, 380, 1203, 2, Smoke::mf_static, 103, 406},	//859 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {33, 338, 764, 2, Smoke::mf_static, 284, 407},	//860 QGlobalSpace::operator/(const QSize&, float)
    {33, 380, 1206, 2, Smoke::mf_static, 86, 408},	//861 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {33, 492, 0, 0, Smoke::mf_static, 61, 409},	//862 QGlobalSpace::qWarning()
    {33, 525, 1, 1, Smoke::mf_static, 321, 410},	//863 QGlobalSpace::qstrlen(const char*)
    {33, 358, 1164, 2, Smoke::mf_static, 238, 411},	//864 QGlobalSpace::operator==(QBool, bool)
    {33, 371, 1209, 2, Smoke::mf_static, 58, 412},	//865 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {33, 371, 1212, 2, Smoke::mf_static, 58, 413},	//866 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {33, 431, 1215, 1, Smoke::mf_static, 321, 414},	//867 QGlobalSpace::qHash(unsigned long)
    {33, 345, 1217, 2, Smoke::mf_static, 58, 415},	//868 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {33, 345, 1220, 2, Smoke::mf_static, 58, 416},	//869 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {33, 380, 1223, 2, Smoke::mf_static, 81, 417},	//870 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {33, 380, 1226, 2, Smoke::mf_static, 82, 418},	//871 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {33, 330, 289, 2, Smoke::mf_static, 288, 419},	//872 QGlobalSpace::operator+(const QString&, const QString&)
    {33, 320, 634, 2, Smoke::mf_static, 238, 420},	//873 QGlobalSpace::operator!=(QBool, QBool)
    {33, 380, 1229, 2, Smoke::mf_static, 69, 421},	//874 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {33, 546, 1232, 2, Smoke::mf_static, 0, 422},	//875 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {33, 431, 1235, 1, Smoke::mf_static, 321, 423},	//876 QGlobalSpace::qHash(const QStringRef&)
    {33, 445, 178, 1, Smoke::mf_static, 238, 424},	//877 QGlobalSpace::qIsNull(double)
    {33, 380, 1237, 2, Smoke::mf_static, 103, 425},	//878 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {33, 363, 434, 2, Smoke::mf_static, 238, 426},	//879 QGlobalSpace::operator>(const QByteArray&, const char*)
    {33, 431, 166, 1, Smoke::mf_static, 321, 427},	//880 QGlobalSpace::qHash(unsigned char)
    {33, 371, 1240, 2, Smoke::mf_static, 58, 428},	//881 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {33, 345, 1243, 2, Smoke::mf_static, 61, 429},	//882 QGlobalSpace::operator<<(QDebug, const QObject*)
    {33, 380, 1246, 2, Smoke::mf_static, 103, 430},	//883 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {33, 320, 615, 2, Smoke::mf_static, 238, 431},	//884 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {33, 345, 1249, 2, Smoke::mf_static, 13, 432},	//885 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {33, 338, 1158, 2, Smoke::mf_static, 276, 433},	//886 QGlobalSpace::operator/(const QPoint&, float)
    {33, 371, 1252, 2, Smoke::mf_static, 58, 434},	//887 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {33, 345, 1255, 2, Smoke::mf_static, 58, 435},	//888 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {33, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 436},	//889 QGlobalSpace::_IEEE_ (enum)
    {33, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 437},	//890 QGlobalSpace::_SVID_ (enum)
    {33, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 438},	//891 QGlobalSpace::_XOPEN_ (enum)
    {33, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 439},	//892 QGlobalSpace::_POSIX_ (enum)
    {33, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 440},	//893 QGlobalSpace::_ISOC_ (enum)
    {33, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 441},	//894 QGlobalSpace::LicensedGui (enum)
    {33, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 442},	//895 QGlobalSpace::LicensedXml (enum)
    {33, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 443},	//896 QGlobalSpace::LicensedQt3SupportLight (enum)
    {33, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 444},	//897 QGlobalSpace::LicensedScript (enum)
    {33, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 445},	//898 QGlobalSpace::LicensedOpenVG (enum)
    {33, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 446},	//899 QGlobalSpace::LicensedDBus (enum)
    {33, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 447},	//900 QGlobalSpace::LicensedTest (enum)
    {33, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 448},	//901 QGlobalSpace::LicensedActiveQt (enum)
    {33, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 449},	//902 QGlobalSpace::LicensedScriptTools (enum)
    {33, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 450},	//903 QGlobalSpace::LicensedSvg (enum)
    {33, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 451},	//904 QGlobalSpace::LicensedDeclarative (enum)
    {33, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 452},	//905 QGlobalSpace::LicensedSql (enum)
    {33, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 453},	//906 QGlobalSpace::LicensedOpenGL (enum)
    {33, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 454},	//907 QGlobalSpace::LicensedCore (enum)
    {33, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 455},	//908 QGlobalSpace::QtDebugMsg (enum)
    {33, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 456},	//909 QGlobalSpace::QtWarningMsg (enum)
    {33, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 457},	//910 QGlobalSpace::QtCriticalMsg (enum)
    {33, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 458},	//911 QGlobalSpace::QtFatalMsg (enum)
    {33, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 459},	//912 QGlobalSpace::QtSystemMsg (enum)
    {33, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 460},	//913 QGlobalSpace::LicensedHelp (enum)
    {33, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 461},	//914 QGlobalSpace::LicensedMultimedia (enum)
    {33, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 462},	//915 QGlobalSpace::LicensedQt3Support (enum)
    {33, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 463},	//916 QGlobalSpace::LicensedXmlPatterns (enum)
    {33, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 464},	//917 QGlobalSpace::LicensedNetwork (enum)
    {33, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 465},	//918 QGlobalSpace::__codecvt_ok (enum)
    {33, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 466},	//919 QGlobalSpace::__codecvt_partial (enum)
    {33, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 467},	//920 QGlobalSpace::__codecvt_error (enum)
    {33, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 468},	//921 QGlobalSpace::__codecvt_noconv (enum)
    {43, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 0},	//922 QObject::metaObject() const
    {43, 550, 1, 1, Smoke::mf_virtual, 333, 0},	//923 QObject::qt_metacast(const char*)
    {43, 275, 1258, 1, Smoke::mf_virtual, 238, 0},	//924 QObject::event(QEvent*)
    {43, 276, 1260, 2, Smoke::mf_virtual, 238, 0},	//925 QObject::eventFilter(QObject*, QEvent*)
    {43, 626, 1263, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//926 QObject::timerEvent(QTimerEvent*)
    {43, 225, 1265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//927 QObject::childEvent(QChildEvent*)
    {43, 253, 1258, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//928 QObject::customEvent(QEvent*)
    {43, 230, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//929 QObject::connectNotify(const char*)
    {43, 264, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//930 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    260,  // QDBusContext::sendErrorReply(const QString&) const
    261,  // QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    0,
    257,  // QDBusContext::sendErrorReply(const QString&, const QString&) const
    258,  // QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    152,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    178,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    0,
    169,  // QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    170,  // QDBusConnection::connectToBus(const QString&, const QString&)
    0,
    315,  // QDBusMessage::createError(const QString&, const QString&)
    317,  // QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    0,
    320,  // QDBusMessage::createErrorReply(const QString, const QString&) const
    322,  // QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    263,  // QDBusError::QDBusError(const DBusError*)
    264,  // QDBusError::QDBusError(const QDBusMessage&)
    266,  // QDBusError::QDBusError(const QDBusError&)
    0,
    505,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    540,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    549,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    598,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    623,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    642,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    677,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    683,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    719,  // QGlobalSpace::operator!=(QChar, QChar)
    747,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    794,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    811,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    839,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    873,  // QGlobalSpace::operator!=(QBool, QBool)
    884,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    494,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    513,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    526,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    730,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    838,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    592,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    658,  // QGlobalSpace::operator!=(bool, QBool)
    682,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    725,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    846,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    542,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    645,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    653,  // QGlobalSpace::operator*(const QSize&, float)
    729,  // QGlobalSpace::operator*(const QSizeF&, float)
    814,  // QGlobalSpace::operator*(const QPoint&, int)
    821,  // QGlobalSpace::operator*(const QPointF&, float)
    827,  // QGlobalSpace::operator*(const QPoint&, double)
    835,  // QGlobalSpace::operator*(const QPoint&, float)
    0,
    477,  // QGlobalSpace::operator*(float, const QSize&)
    636,  // QGlobalSpace::operator*(int, const QPoint&)
    657,  // QGlobalSpace::operator*(float, const QPointF&)
    672,  // QGlobalSpace::operator*(float, const QPoint&)
    757,  // QGlobalSpace::operator*(double, const QPoint&)
    816,  // QGlobalSpace::operator*(float, const QSizeF&)
    0,
    520,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    531,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    536,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    611,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    649,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    551,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    585,  // QGlobalSpace::operator+(QChar, const QString&)
    686,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    466,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    548,  // QGlobalSpace::operator+(const QString&, QChar)
    738,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    614,  // QGlobalSpace::operator-(const QPoint&)
    665,  // QGlobalSpace::operator-(const QPointF&)
    0,
    506,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    522,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    599,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    742,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    786,  // QGlobalSpace::operator/(const QSizeF&, float)
    801,  // QGlobalSpace::operator/(const QPointF&, float)
    860,  // QGlobalSpace::operator/(const QSize&, float)
    886,  // QGlobalSpace::operator/(const QPoint&, float)
    0,
    492,  // QGlobalSpace::operator<(QChar, QChar)
    602,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    837,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    544,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    845,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    487,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    489,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    491,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    501,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    508,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    511,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    515,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    523,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    528,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    529,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    545,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    569,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    570,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    582,  // QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    606,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    607,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    616,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    637,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    652,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    662,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    669,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    679,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    690,  // QGlobalSpace::operator<<(QDebug, const QDBusError&)
    691,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    698,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    708,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    709,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    711,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    717,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    718,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    735,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    740,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    744,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    753,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    759,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    777,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    788,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    789,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    790,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    791,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    799,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    800,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    803,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    806,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    820,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    836,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    841,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    850,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    857,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    868,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    869,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    882,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    885,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    888,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    463,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    632,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    651,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    748,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    848,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    495,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    590,  // QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    685,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    727,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    580,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    697,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    807,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    465,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    469,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    482,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    483,  // QGlobalSpace::operator==(QChar, QChar)
    484,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    562,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    575,  // QGlobalSpace::operator==(QBool, QBool)
    600,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    613,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    619,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    648,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    684,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    692,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    752,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    767,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    796,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    823,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    464,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    647,  // QGlobalSpace::operator==(QString::Null, const QString&)
    832,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    833,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    864,  // QGlobalSpace::operator==(QBool, bool)
    0,
    475,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    576,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    666,  // QGlobalSpace::operator==(bool, QBool)
    707,  // QGlobalSpace::operator==(const QString&, QString::Null)
    739,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    638,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    831,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    500,  // QGlobalSpace::operator>(QChar, QChar)
    565,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    639,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    454,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    493,  // QGlobalSpace::operator>=(QChar, QChar)
    775,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    470,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    507,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    546,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    574,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    588,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    597,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    641,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    646,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    660,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    663,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    689,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    702,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    703,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    713,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    724,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    734,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    737,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    741,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    743,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    746,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    750,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    774,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    792,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    797,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    809,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    813,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    824,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    840,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    855,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    865,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    866,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    881,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    887,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    699,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    815,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    457,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    458,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    461,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    467,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    485,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    497,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    499,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    502,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    504,  // QGlobalSpace::operator|(QDir::Filter, int)
    509,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    510,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    514,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    517,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    518,  // QGlobalSpace::operator|(QFile::Permission, int)
    521,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    527,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    530,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    532,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    533,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    537,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    543,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    552,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    553,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    557,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    563,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    577,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    583,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    586,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    587,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    595,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    596,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    601,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    603,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    608,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    612,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    615,  // QGlobalSpace::operator|(Qt::DropAction, int)
    617,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    621,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    626,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    629,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    633,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    643,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    655,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    656,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    664,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    668,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    675,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    676,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    680,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    687,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    688,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    705,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    714,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    720,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    723,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    736,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    745,  // QGlobalSpace::operator|(Qt::WindowState, int)
    749,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    751,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    754,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    755,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    762,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    763,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    764,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    768,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    772,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    773,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    778,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    779,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    783,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    784,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    785,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    787,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    793,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    795,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    802,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    810,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    812,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    819,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    825,  // QGlobalSpace::operator|(Qt::Orientation, int)
    828,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    829,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    834,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    842,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    844,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    849,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    851,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    852,  // QGlobalSpace::operator|(Qt::WindowType, int)
    858,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    859,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    861,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    870,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    871,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    874,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    878,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    883,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    766,  // QGlobalSpace::qFuzzyCompare(float, float)
    826,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    605,  // QGlobalSpace::qFuzzyIsNull(float)
    780,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    486,  // QGlobalSpace::qHash(const QUrl&)
    488,  // QGlobalSpace::qHash(const QByteArray&)
    558,  // QGlobalSpace::qHash(QChar)
    573,  // QGlobalSpace::qHash(const QModelIndex&)
    650,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    715,  // QGlobalSpace::qHash(const QBitArray&)
    876,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    455,  // QGlobalSpace::qHash(unsigned long long)
    474,  // QGlobalSpace::qHash(signed char)
    512,  // QGlobalSpace::qHash(char)
    556,  // QGlobalSpace::qHash(unsigned int)
    567,  // QGlobalSpace::qHash(const QString&)
    579,  // QGlobalSpace::qHash(const QDBusSignature&)
    591,  // QGlobalSpace::qHash(long long)
    610,  // QGlobalSpace::qHash(int)
    635,  // QGlobalSpace::qHash(long)
    640,  // QGlobalSpace::qHash(unsigned short)
    733,  // QGlobalSpace::qHash(const QDBusObjectPath&)
    761,  // QGlobalSpace::qHash(short)
    867,  // QGlobalSpace::qHash(unsigned long)
    880,  // QGlobalSpace::qHash(unsigned char)
    0,
    478,  // QGlobalSpace::qIntCast(double)
    561,  // QGlobalSpace::qIntCast(float)
    0,
    524,  // QGlobalSpace::qIsFinite(double)
    547,  // QGlobalSpace::qIsFinite(float)
    0,
    456,  // QGlobalSpace::qIsInf(double)
    472,  // QGlobalSpace::qIsInf(float)
    0,
    578,  // QGlobalSpace::qIsNaN(float)
    584,  // QGlobalSpace::qIsNaN(double)
    0,
    818,  // QGlobalSpace::qIsNull(float)
    877,  // QGlobalSpace::qIsNull(double)
    0,
    103,  // QDBusArgument::beginMapEntry()
    130,  // QDBusArgument::beginMapEntry() const
    0,
    97,  // QDBusArgument::beginStructure()
    124,  // QDBusArgument::beginStructure() const
    0,
    100,  // QDBusArgument::endArray()
    127,  // QDBusArgument::endArray() const
    0,
    102,  // QDBusArgument::endMap()
    129,  // QDBusArgument::endMap() const
    0,
    104,  // QDBusArgument::endMapEntry()
    131,  // QDBusArgument::endMapEntry() const
    0,
    98,  // QDBusArgument::endStructure()
    125,  // QDBusArgument::endStructure() const
    0,
    91,  // QDBusArgument::operator<<(const QDBusVariant&)
    94,  // QDBusArgument::operator<<(const QDBusUnixFileDescriptor&)
    96,  // QDBusArgument::operator<<(const QByteArray&)
    0,
    81,  // QDBusArgument::operator<<(unsigned char)
    82,  // QDBusArgument::operator<<(bool)
    83,  // QDBusArgument::operator<<(short)
    84,  // QDBusArgument::operator<<(unsigned short)
    85,  // QDBusArgument::operator<<(int)
    86,  // QDBusArgument::operator<<(unsigned int)
    87,  // QDBusArgument::operator<<(long long)
    88,  // QDBusArgument::operator<<(unsigned long long)
    89,  // QDBusArgument::operator<<(double)
    90,  // QDBusArgument::operator<<(const QString&)
    92,  // QDBusArgument::operator<<(const QDBusObjectPath&)
    93,  // QDBusArgument::operator<<(const QDBusSignature&)
    0,
    118,  // QDBusArgument::operator>>(QDBusVariant&) const
    121,  // QDBusArgument::operator>>(QDBusUnixFileDescriptor&) const
    123,  // QDBusArgument::operator>>(QByteArray&) const
    0,
    108,  // QDBusArgument::operator>>(unsigned char&) const
    109,  // QDBusArgument::operator>>(bool&) const
    110,  // QDBusArgument::operator>>(short&) const
    111,  // QDBusArgument::operator>>(unsigned short&) const
    112,  // QDBusArgument::operator>>(int&) const
    113,  // QDBusArgument::operator>>(unsigned int&) const
    114,  // QDBusArgument::operator>>(long long&) const
    115,  // QDBusArgument::operator>>(unsigned long long&) const
    116,  // QDBusArgument::operator>>(double&) const
    117,  // QDBusArgument::operator>>(QString&) const
    119,  // QDBusArgument::operator>>(QDBusObjectPath&) const
    120,  // QDBusArgument::operator>>(QDBusSignature&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 6, 4},	// QDBus::AutoDetect
    {7, 9, 2},	// QDBus::Block
    {7, 10, 3},	// QDBus::BlockWithGui
    {7, 72, 1},	// QDBus::NoBlock
    {8, 81, 12},	// QDBusAbstractAdaptor::QDBusAbstractAdaptor#
    {8, 183, 14},	// QDBusAbstractAdaptor::autoRelaySignals
    {8, 314, 5},	// QDBusAbstractAdaptor::metaObject
    {8, 549, 11},	// QDBusAbstractAdaptor::qt_metacall$$?
    {8, 551, 6},	// QDBusAbstractAdaptor::qt_metacast$
    {8, 602, 13},	// QDBusAbstractAdaptor::setAutoRelaySignals$
    {8, 622, 17},	// QDBusAbstractAdaptor::staticMetaObject
    {8, 628, 15},	// QDBusAbstractAdaptor::tr$
    {8, 629, 7},	// QDBusAbstractAdaptor::tr$$
    {8, 630, 9},	// QDBusAbstractAdaptor::tr$$$
    {8, 632, 16},	// QDBusAbstractAdaptor::trUtf8$
    {8, 633, 8},	// QDBusAbstractAdaptor::trUtf8$$
    {8, 634, 10},	// QDBusAbstractAdaptor::trUtf8$$$
    {8, 646, 18},	// QDBusAbstractAdaptor::~QDBusAbstractAdaptor
    {9, 83, 41},	// QDBusAbstractInterface::QDBusAbstractInterface$$$##
    {9, 171, 65},	// QDBusAbstractInterface::asyncCall$
    {9, 172, 66},	// QDBusAbstractInterface::asyncCall$#
    {9, 173, 67},	// QDBusAbstractInterface::asyncCall$##
    {9, 174, 68},	// QDBusAbstractInterface::asyncCall$###
    {9, 175, 69},	// QDBusAbstractInterface::asyncCall$####
    {9, 176, 70},	// QDBusAbstractInterface::asyncCall$#####
    {9, 177, 71},	// QDBusAbstractInterface::asyncCall$######
    {9, 178, 72},	// QDBusAbstractInterface::asyncCall$#######
    {9, 179, 39},	// QDBusAbstractInterface::asyncCall$########
    {9, 181, 40},	// QDBusAbstractInterface::asyncCallWithArgumentList$?
    {9, 196, 49},	// QDBusAbstractInterface::call$
    {9, 197, 50},	// QDBusAbstractInterface::call$#
    {9, 198, 51},	// QDBusAbstractInterface::call$##
    {9, 199, 52},	// QDBusAbstractInterface::call$###
    {9, 200, 53},	// QDBusAbstractInterface::call$####
    {9, 201, 54},	// QDBusAbstractInterface::call$#####
    {9, 202, 55},	// QDBusAbstractInterface::call$######
    {9, 203, 56},	// QDBusAbstractInterface::call$#######
    {9, 204, 34},	// QDBusAbstractInterface::call$########
    {9, 205, 57},	// QDBusAbstractInterface::call$$
    {9, 206, 58},	// QDBusAbstractInterface::call$$#
    {9, 207, 59},	// QDBusAbstractInterface::call$$##
    {9, 208, 60},	// QDBusAbstractInterface::call$$###
    {9, 209, 61},	// QDBusAbstractInterface::call$$####
    {9, 210, 62},	// QDBusAbstractInterface::call$$#####
    {9, 211, 63},	// QDBusAbstractInterface::call$$######
    {9, 212, 64},	// QDBusAbstractInterface::call$$#######
    {9, 213, 35},	// QDBusAbstractInterface::call$$########
    {9, 215, 36},	// QDBusAbstractInterface::callWithArgumentList$$?
    {9, 220, 38},	// QDBusAbstractInterface::callWithCallback$?#$
    {9, 221, 37},	// QDBusAbstractInterface::callWithCallback$?#$$
    {9, 231, 42},	// QDBusAbstractInterface::connectNotify$
    {9, 236, 27},	// QDBusAbstractInterface::connection
    {9, 265, 43},	// QDBusAbstractInterface::disconnectNotify$
    {9, 288, 30},	// QDBusAbstractInterface::interface
    {9, 290, 73},	// QDBusAbstractInterface::internalConstCall$$
    {9, 291, 46},	// QDBusAbstractInterface::internalConstCall$$?
    {9, 294, 44},	// QDBusAbstractInterface::internalPropGet$
    {9, 296, 45},	// QDBusAbstractInterface::internalPropSet$#
    {9, 307, 26},	// QDBusAbstractInterface::isValid
    {9, 308, 31},	// QDBusAbstractInterface::lastError
    {9, 314, 19},	// QDBusAbstractInterface::metaObject
    {9, 383, 29},	// QDBusAbstractInterface::path
    {9, 549, 25},	// QDBusAbstractInterface::qt_metacall$$?
    {9, 551, 20},	// QDBusAbstractInterface::qt_metacast$
    {9, 585, 28},	// QDBusAbstractInterface::service
    {9, 612, 32},	// QDBusAbstractInterface::setTimeout$
    {9, 622, 74},	// QDBusAbstractInterface::staticMetaObject
    {9, 625, 33},	// QDBusAbstractInterface::timeout
    {9, 628, 47},	// QDBusAbstractInterface::tr$
    {9, 629, 21},	// QDBusAbstractInterface::tr$$
    {9, 630, 23},	// QDBusAbstractInterface::tr$$$
    {9, 632, 48},	// QDBusAbstractInterface::trUtf8$
    {9, 633, 22},	// QDBusAbstractInterface::trUtf8$$
    {9, 634, 24},	// QDBusAbstractInterface::trUtf8$$$
    {9, 647, 75},	// QDBusAbstractInterface::~QDBusAbstractInterface
    {10, 549, 76},	// QDBusAbstractInterfaceBase::qt_metacall$$?
    {10, 648, 77},	// QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase
    {11, 5, 136},	// QDBusArgument::ArrayType
    {11, 8, 134},	// QDBusArgument::BasicType
    {11, 63, 139},	// QDBusArgument::MapEntryType
    {11, 64, 138},	// QDBusArgument::MapType
    {11, 84, 78},	// QDBusArgument::QDBusArgument
    {11, 85, 79},	// QDBusArgument::QDBusArgument#
    {11, 136, 137},	// QDBusArgument::StructureType
    {11, 145, 140},	// QDBusArgument::UnknownType
    {11, 148, 135},	// QDBusArgument::VariantType
    {11, 165, 105},	// QDBusArgument::appendVariant#
    {11, 167, 133},	// QDBusArgument::asVariant
    {11, 182, 132},	// QDBusArgument::atEnd
    {11, 186, 126},	// QDBusArgument::beginArray
    {11, 187, 99},	// QDBusArgument::beginArray$
    {11, 188, 128},	// QDBusArgument::beginMap
    {11, 189, 101},	// QDBusArgument::beginMap$$
    {11, 190, -391},	// QDBusArgument::beginMapEntry
    {11, 191, -394},	// QDBusArgument::beginStructure
    {11, 251, 106},	// QDBusArgument::currentSignature
    {11, 252, 107},	// QDBusArgument::currentType
    {11, 266, -397},	// QDBusArgument::endArray
    {11, 267, -400},	// QDBusArgument::endMap
    {11, 268, -403},	// QDBusArgument::endMapEntry
    {11, 269, -406},	// QDBusArgument::endStructure
    {11, 346, -409},	// QDBusArgument::operator<<#
    {11, 350, -413},	// QDBusArgument::operator<<$
    {11, 351, 95},	// QDBusArgument::operator<<?
    {11, 357, 80},	// QDBusArgument::operator=#
    {11, 372, -426},	// QDBusArgument::operator>>#
    {11, 376, -430},	// QDBusArgument::operator>>$
    {11, 377, 122},	// QDBusArgument::operator>>?
    {11, 649, 141},	// QDBusArgument::~QDBusArgument
    {12, 2, 189},	// QDBusConnection::ActivationBus
    {12, 15, 190},	// QDBusConnection::ExportAdaptors
    {12, 16, 205},	// QDBusConnection::ExportAllContents
    {12, 17, 204},	// QDBusConnection::ExportAllInvokables
    {12, 18, 203},	// QDBusConnection::ExportAllProperties
    {12, 19, 206},	// QDBusConnection::ExportAllSignal
    {12, 20, 202},	// QDBusConnection::ExportAllSignals
    {12, 21, 201},	// QDBusConnection::ExportAllSlots
    {12, 22, 207},	// QDBusConnection::ExportChildObjects
    {12, 23, 200},	// QDBusConnection::ExportNonScriptableContents
    {12, 24, 199},	// QDBusConnection::ExportNonScriptableInvokables
    {12, 25, 198},	// QDBusConnection::ExportNonScriptableProperties
    {12, 26, 197},	// QDBusConnection::ExportNonScriptableSignals
    {12, 27, 196},	// QDBusConnection::ExportNonScriptableSlots
    {12, 28, 195},	// QDBusConnection::ExportScriptableContents
    {12, 29, 194},	// QDBusConnection::ExportScriptableInvokables
    {12, 30, 193},	// QDBusConnection::ExportScriptableProperties
    {12, 31, 192},	// QDBusConnection::ExportScriptableSignals
    {12, 32, 191},	// QDBusConnection::ExportScriptableSlots
    {12, 87, 143},	// QDBusConnection::QDBusConnection#
    {12, 88, 142},	// QDBusConnection::QDBusConnection$
    {12, 133, 187},	// QDBusConnection::SessionBus
    {12, 135, 210},	// QDBusConnection::SingleNode
    {12, 137, 211},	// QDBusConnection::SubPath
    {12, 138, 188},	// QDBusConnection::SystemBus
    {12, 141, 212},	// QDBusConnection::UnixFileDescriptorPassing
    {12, 146, 208},	// QDBusConnection::UnregisterNode
    {12, 147, 209},	// QDBusConnection::UnregisterTree
    {12, 169, 182},	// QDBusConnection::asyncCall#
    {12, 170, 154},	// QDBusConnection::asyncCall#$
    {12, 185, 146},	// QDBusConnection::baseService
    {12, 193, 180},	// QDBusConnection::call#
    {12, 194, 181},	// QDBusConnection::call#$
    {12, 195, 153},	// QDBusConnection::call#$$
    {12, 217, 179},	// QDBusConnection::callWithCallback##$
    {12, 218, -7},	// QDBusConnection::callWithCallback##$$
    {12, 219, 151},	// QDBusConnection::callWithCallback##$$$
    {12, 227, 155},	// QDBusConnection::connect$$$$#$
    {12, 228, 156},	// QDBusConnection::connect$$$$$#$
    {12, 229, 157},	// QDBusConnection::connect$$$$?$#$
    {12, 233, -10},	// QDBusConnection::connectToBus$$
    {12, 235, 171},	// QDBusConnection::connectToPeer$$
    {12, 237, 149},	// QDBusConnection::connectionCapabilities
    {12, 257, 158},	// QDBusConnection::disconnect$$$$#$
    {12, 258, 159},	// QDBusConnection::disconnect$$$$$#$
    {12, 259, 160},	// QDBusConnection::disconnect$$$$?$#$
    {12, 261, 172},	// QDBusConnection::disconnectFromBus$
    {12, 263, 173},	// QDBusConnection::disconnectFromPeer$
    {12, 288, 167},	// QDBusConnection::interface
    {12, 292, 168},	// QDBusConnection::internalPointer
    {12, 299, 145},	// QDBusConnection::isConnected
    {12, 308, 147},	// QDBusConnection::lastError
    {12, 309, 174},	// QDBusConnection::localMachineId
    {12, 315, 148},	// QDBusConnection::name
    {12, 319, 163},	// QDBusConnection::objectRegisteredAt$
    {12, 357, 144},	// QDBusConnection::operator=#
    {12, 566, 183},	// QDBusConnection::registerObject$#
    {12, 567, 161},	// QDBusConnection::registerObject$#$
    {12, 569, 165},	// QDBusConnection::registerService$
    {12, 573, 185},	// QDBusConnection::registerVirtualObject$#
    {12, 574, 164},	// QDBusConnection::registerVirtualObject$#$
    {12, 580, 150},	// QDBusConnection::send#
    {12, 584, 177},	// QDBusConnection::sender
    {12, 598, 175},	// QDBusConnection::sessionBus
    {12, 622, 186},	// QDBusConnection::staticMetaObject
    {12, 623, 176},	// QDBusConnection::systemBus
    {12, 639, 184},	// QDBusConnection::unregisterObject$
    {12, 640, 162},	// QDBusConnection::unregisterObject$$
    {12, 642, 166},	// QDBusConnection::unregisterService$
    {12, 650, 213},	// QDBusConnection::~QDBusConnection
    {13, 4, 247},	// QDBusConnectionInterface::AllowReplacement
    {13, 12, 246},	// QDBusConnectionInterface::DontAllowReplacement
    {13, 13, 243},	// QDBusConnectionInterface::DontQueueService
    {13, 67, 233},	// QDBusConnectionInterface::NameAcquired$
    {13, 69, 234},	// QDBusConnectionInterface::NameLost$
    {13, 71, 235},	// QDBusConnectionInterface::NameOwnerChanged$$$
    {13, 126, 244},	// QDBusConnectionInterface::QueueService
    {13, 127, 245},	// QDBusConnectionInterface::ReplaceExistingService
    {13, 129, 248},	// QDBusConnectionInterface::ServiceNotRegistered
    {13, 130, 250},	// QDBusConnectionInterface::ServiceQueued
    {13, 131, 249},	// QDBusConnectionInterface::ServiceRegistered
    {13, 223, 232},	// QDBusConnectionInterface::callWithCallbackFailed##
    {13, 231, 236},	// QDBusConnectionInterface::connectNotify$
    {13, 265, 237},	// QDBusConnectionInterface::disconnectNotify$
    {13, 305, 222},	// QDBusConnectionInterface::isServiceRegistered$
    {13, 314, 214},	// QDBusConnectionInterface::metaObject
    {13, 549, 220},	// QDBusConnectionInterface::qt_metacall$$?
    {13, 551, 215},	// QDBusConnectionInterface::qt_metacast$
    {13, 569, 240},	// QDBusConnectionInterface::registerService$
    {13, 570, 241},	// QDBusConnectionInterface::registerService$$
    {13, 571, 225},	// QDBusConnectionInterface::registerService$$$
    {13, 575, 221},	// QDBusConnectionInterface::registeredServiceNames
    {13, 587, 223},	// QDBusConnectionInterface::serviceOwner$
    {13, 589, 231},	// QDBusConnectionInterface::serviceOwnerChanged$$$
    {13, 591, 226},	// QDBusConnectionInterface::servicePid$
    {13, 593, 229},	// QDBusConnectionInterface::serviceRegistered$
    {13, 595, 227},	// QDBusConnectionInterface::serviceUid$
    {13, 597, 230},	// QDBusConnectionInterface::serviceUnregistered$
    {13, 621, 228},	// QDBusConnectionInterface::startService$
    {13, 622, 242},	// QDBusConnectionInterface::staticMetaObject
    {13, 628, 238},	// QDBusConnectionInterface::tr$
    {13, 629, 216},	// QDBusConnectionInterface::tr$$
    {13, 630, 218},	// QDBusConnectionInterface::tr$$$
    {13, 632, 239},	// QDBusConnectionInterface::trUtf8$
    {13, 633, 217},	// QDBusConnectionInterface::trUtf8$$
    {13, 634, 219},	// QDBusConnectionInterface::trUtf8$$$
    {13, 642, 224},	// QDBusConnectionInterface::unregisterService$
    {14, 89, 251},	// QDBusContext::QDBusContext
    {14, 90, 259},	// QDBusContext::QDBusContext#
    {14, 224, 252},	// QDBusContext::calledFromDBus
    {14, 236, 253},	// QDBusContext::connection
    {14, 300, 255},	// QDBusContext::isDelayedReply
    {14, 313, 254},	// QDBusContext::message
    {14, 582, -1},	// QDBusContext::sendErrorReply$
    {14, 583, -4},	// QDBusContext::sendErrorReply$$
    {14, 608, 256},	// QDBusContext::setDelayedReply$
    {14, 651, 262},	// QDBusContext::~QDBusContext
    {15, 1, 283},	// QDBusError::AccessDenied
    {15, 3, 287},	// QDBusError::AddressInUse
    {15, 7, 280},	// QDBusError::BadAddress
    {15, 11, 288},	// QDBusError::Disconnected
    {15, 33, 276},	// QDBusError::Failed
    {15, 34, 294},	// QDBusError::InternalError
    {15, 35, 289},	// QDBusError::InvalidArgs
    {15, 36, 298},	// QDBusError::InvalidInterface
    {15, 37, 299},	// QDBusError::InvalidMember
    {15, 39, 297},	// QDBusError::InvalidObjectPath
    {15, 40, 296},	// QDBusError::InvalidService
    {15, 41, 292},	// QDBusError::InvalidSignature
    {15, 42, 300},	// QDBusError::LastErrorType
    {15, 62, 282},	// QDBusError::LimitsExceeded
    {15, 73, 274},	// QDBusError::NoError
    {15, 74, 277},	// QDBusError::NoMemory
    {15, 75, 286},	// QDBusError::NoNetwork
    {15, 76, 279},	// QDBusError::NoReply
    {15, 77, 284},	// QDBusError::NoServer
    {15, 78, 281},	// QDBusError::NotSupported
    {15, 79, 275},	// QDBusError::Other
    {15, 91, 273},	// QDBusError::QDBusError
    {15, 92, -19},	// QDBusError::QDBusError#
    {15, 93, 265},	// QDBusError::QDBusError$$
    {15, 132, 278},	// QDBusError::ServiceUnknown
    {15, 139, 291},	// QDBusError::TimedOut
    {15, 140, 285},	// QDBusError::Timeout
    {15, 142, 293},	// QDBusError::UnknownInterface
    {15, 143, 290},	// QDBusError::UnknownMethod
    {15, 144, 295},	// QDBusError::UnknownObject
    {15, 274, 272},	// QDBusError::errorString$
    {15, 307, 271},	// QDBusError::isValid
    {15, 313, 270},	// QDBusError::message
    {15, 315, 269},	// QDBusError::name
    {15, 357, 267},	// QDBusError::operator=#
    {15, 635, 268},	// QDBusError::type
    {15, 652, 301},	// QDBusError::~QDBusError
    {16, 95, 306},	// QDBusInterface::QDBusInterface$$
    {16, 96, 307},	// QDBusInterface::QDBusInterface$$$
    {16, 97, 308},	// QDBusInterface::QDBusInterface$$$#
    {16, 98, 302},	// QDBusInterface::QDBusInterface$$$##
    {16, 314, 303},	// QDBusInterface::metaObject
    {16, 549, 305},	// QDBusInterface::qt_metacall$$?
    {16, 551, 304},	// QDBusInterface::qt_metacast$
    {16, 653, 309},	// QDBusInterface::~QDBusInterface
    {17, 14, 343},	// QDBusMessage::ErrorMessage
    {17, 38, 340},	// QDBusMessage::InvalidMessage
    {17, 65, 341},	// QDBusMessage::MethodCallMessage
    {17, 99, 310},	// QDBusMessage::QDBusMessage
    {17, 100, 311},	// QDBusMessage::QDBusMessage#
    {17, 128, 342},	// QDBusMessage::ReplyMessage
    {17, 134, 344},	// QDBusMessage::SignalMessage
    {17, 166, 337},	// QDBusMessage::arguments
    {17, 184, 335},	// QDBusMessage::autoStartService
    {17, 239, 316},	// QDBusMessage::createError#
    {17, 240, -13},	// QDBusMessage::createError$$
    {17, 242, 321},	// QDBusMessage::createErrorReply#
    {17, 243, -16},	// QDBusMessage::createErrorReply$$
    {17, 245, 314},	// QDBusMessage::createMethodCall$$$$
    {17, 246, 339},	// QDBusMessage::createReply
    {17, 247, 319},	// QDBusMessage::createReply#
    {17, 248, 318},	// QDBusMessage::createReply?
    {17, 250, 313},	// QDBusMessage::createSignal$$$
    {17, 271, 328},	// QDBusMessage::errorMessage
    {17, 272, 327},	// QDBusMessage::errorName
    {17, 288, 325},	// QDBusMessage::interface
    {17, 300, 333},	// QDBusMessage::isDelayedReply
    {17, 303, 331},	// QDBusMessage::isReplyRequired
    {17, 312, 326},	// QDBusMessage::member
    {17, 346, 338},	// QDBusMessage::operator<<#
    {17, 357, 312},	// QDBusMessage::operator=#
    {17, 383, 324},	// QDBusMessage::path
    {17, 585, 323},	// QDBusMessage::service
    {17, 600, 336},	// QDBusMessage::setArguments?
    {17, 604, 334},	// QDBusMessage::setAutoStartService$
    {17, 608, 332},	// QDBusMessage::setDelayedReply$
    {17, 617, 330},	// QDBusMessage::signature
    {17, 635, 329},	// QDBusMessage::type
    {17, 654, 345},	// QDBusMessage::~QDBusMessage
    {18, 101, 351},	// QDBusMetaType::QDBusMetaType
    {18, 102, 352},	// QDBusMetaType::QDBusMetaType#
    {18, 255, 348},	// QDBusMetaType::demarshall#$$
    {18, 311, 347},	// QDBusMetaType::marshall#$$
    {18, 564, 346},	// QDBusMetaType::registerMarshallOperators$$$
    {18, 619, 349},	// QDBusMetaType::signatureToType$
    {18, 637, 350},	// QDBusMetaType::typeToSignature$
    {18, 655, 353},	// QDBusMetaType::~QDBusMetaType
    {19, 104, 354},	// QDBusPendingCall::QDBusPendingCall#
    {19, 270, 360},	// QDBusPendingCall::error
    {19, 281, 363},	// QDBusPendingCall::fromCompletedCall#
    {19, 283, 362},	// QDBusPendingCall::fromError#
    {19, 301, 358},	// QDBusPendingCall::isError
    {19, 302, 356},	// QDBusPendingCall::isFinished
    {19, 307, 359},	// QDBusPendingCall::isValid
    {19, 357, 355},	// QDBusPendingCall::operator=#
    {19, 578, 361},	// QDBusPendingCall::reply
    {19, 643, 357},	// QDBusPendingCall::waitForFinished
    {19, 656, 364},	// QDBusPendingCall::~QDBusPendingCall
    {20, 106, 377},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher#
    {20, 107, 372},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher##
    {20, 279, 374},	// QDBusPendingCallWatcher::finished#
    {20, 314, 365},	// QDBusPendingCallWatcher::metaObject
    {20, 549, 371},	// QDBusPendingCallWatcher::qt_metacall$$?
    {20, 551, 366},	// QDBusPendingCallWatcher::qt_metacast$
    {20, 622, 378},	// QDBusPendingCallWatcher::staticMetaObject
    {20, 628, 375},	// QDBusPendingCallWatcher::tr$
    {20, 629, 367},	// QDBusPendingCallWatcher::tr$$
    {20, 630, 369},	// QDBusPendingCallWatcher::tr$$$
    {20, 632, 376},	// QDBusPendingCallWatcher::trUtf8$
    {20, 633, 368},	// QDBusPendingCallWatcher::trUtf8$$
    {20, 634, 370},	// QDBusPendingCallWatcher::trUtf8$$$
    {20, 643, 373},	// QDBusPendingCallWatcher::waitForFinished
    {20, 657, 379},	// QDBusPendingCallWatcher::~QDBusPendingCallWatcher
    {21, 108, 394},	// QDBusServer::QDBusServer
    {21, 109, 395},	// QDBusServer::QDBusServer$
    {21, 110, 387},	// QDBusServer::QDBusServer$#
    {21, 163, 390},	// QDBusServer::address
    {21, 299, 388},	// QDBusServer::isConnected
    {21, 308, 389},	// QDBusServer::lastError
    {21, 314, 380},	// QDBusServer::metaObject
    {21, 317, 391},	// QDBusServer::newConnection#
    {21, 549, 386},	// QDBusServer::qt_metacall$$?
    {21, 551, 381},	// QDBusServer::qt_metacast$
    {21, 622, 396},	// QDBusServer::staticMetaObject
    {21, 628, 392},	// QDBusServer::tr$
    {21, 629, 382},	// QDBusServer::tr$$
    {21, 630, 384},	// QDBusServer::tr$$$
    {21, 632, 393},	// QDBusServer::trUtf8$
    {21, 633, 383},	// QDBusServer::trUtf8$$
    {21, 634, 385},	// QDBusServer::trUtf8$$$
    {21, 658, 397},	// QDBusServer::~QDBusServer
    {22, 111, 420},	// QDBusServiceWatcher::QDBusServiceWatcher
    {22, 112, 405},	// QDBusServiceWatcher::QDBusServiceWatcher#
    {22, 113, 421},	// QDBusServiceWatcher::QDBusServiceWatcher$#
    {22, 114, 422},	// QDBusServiceWatcher::QDBusServiceWatcher$#$
    {22, 115, 406},	// QDBusServiceWatcher::QDBusServiceWatcher$#$#
    {22, 149, 426},	// QDBusServiceWatcher::WatchForOwnerChange
    {22, 150, 424},	// QDBusServiceWatcher::WatchForRegistration
    {22, 151, 425},	// QDBusServiceWatcher::WatchForUnregistration
    {22, 162, 409},	// QDBusServiceWatcher::addWatchedService$
    {22, 236, 413},	// QDBusServiceWatcher::connection
    {22, 314, 398},	// QDBusServiceWatcher::metaObject
    {22, 549, 404},	// QDBusServiceWatcher::qt_metacall$$?
    {22, 551, 399},	// QDBusServiceWatcher::qt_metacast$
    {22, 577, 410},	// QDBusServiceWatcher::removeWatchedService$
    {22, 589, 417},	// QDBusServiceWatcher::serviceOwnerChanged$$$
    {22, 593, 415},	// QDBusServiceWatcher::serviceRegistered$
    {22, 597, 416},	// QDBusServiceWatcher::serviceUnregistered$
    {22, 606, 414},	// QDBusServiceWatcher::setConnection#
    {22, 614, 412},	// QDBusServiceWatcher::setWatchMode$
    {22, 616, 408},	// QDBusServiceWatcher::setWatchedServices?
    {22, 622, 423},	// QDBusServiceWatcher::staticMetaObject
    {22, 628, 418},	// QDBusServiceWatcher::tr$
    {22, 629, 400},	// QDBusServiceWatcher::tr$$
    {22, 630, 402},	// QDBusServiceWatcher::tr$$$
    {22, 632, 419},	// QDBusServiceWatcher::trUtf8$
    {22, 633, 401},	// QDBusServiceWatcher::trUtf8$$
    {22, 634, 403},	// QDBusServiceWatcher::trUtf8$$$
    {22, 644, 411},	// QDBusServiceWatcher::watchMode
    {22, 645, 407},	// QDBusServiceWatcher::watchedServices
    {22, 659, 427},	// QDBusServiceWatcher::~QDBusServiceWatcher
    {23, 116, 428},	// QDBusUnixFileDescriptor::QDBusUnixFileDescriptor
    {23, 117, 430},	// QDBusUnixFileDescriptor::QDBusUnixFileDescriptor#
    {23, 118, 429},	// QDBusUnixFileDescriptor::QDBusUnixFileDescriptor$
    {23, 277, 433},	// QDBusUnixFileDescriptor::fileDescriptor
    {23, 285, 435},	// QDBusUnixFileDescriptor::giveFileDescriptor$
    {23, 306, 437},	// QDBusUnixFileDescriptor::isSupported
    {23, 307, 432},	// QDBusUnixFileDescriptor::isValid
    {23, 357, 431},	// QDBusUnixFileDescriptor::operator=#
    {23, 610, 434},	// QDBusUnixFileDescriptor::setFileDescriptor$
    {23, 624, 436},	// QDBusUnixFileDescriptor::takeFileDescriptor
    {23, 660, 438},	// QDBusUnixFileDescriptor::~QDBusUnixFileDescriptor
    {25, 119, 451},	// QDBusVirtualObject::QDBusVirtualObject
    {25, 120, 446},	// QDBusVirtualObject::QDBusVirtualObject#
    {25, 287, 448},	// QDBusVirtualObject::handleMessage##
    {25, 298, 447},	// QDBusVirtualObject::introspect$
    {25, 314, 439},	// QDBusVirtualObject::metaObject
    {25, 549, 445},	// QDBusVirtualObject::qt_metacall$$?
    {25, 551, 440},	// QDBusVirtualObject::qt_metacast$
    {25, 622, 452},	// QDBusVirtualObject::staticMetaObject
    {25, 628, 449},	// QDBusVirtualObject::tr$
    {25, 629, 441},	// QDBusVirtualObject::tr$$
    {25, 630, 443},	// QDBusVirtualObject::tr$$$
    {25, 632, 450},	// QDBusVirtualObject::trUtf8$
    {25, 633, 442},	// QDBusVirtualObject::trUtf8$$
    {25, 634, 444},	// QDBusVirtualObject::trUtf8$$$
    {25, 661, 453},	// QDBusVirtualObject::~QDBusVirtualObject
    {33, 43, 901},	// QGlobalSpace::LicensedActiveQt
    {33, 44, 907},	// QGlobalSpace::LicensedCore
    {33, 45, 899},	// QGlobalSpace::LicensedDBus
    {33, 46, 904},	// QGlobalSpace::LicensedDeclarative
    {33, 47, 894},	// QGlobalSpace::LicensedGui
    {33, 48, 913},	// QGlobalSpace::LicensedHelp
    {33, 49, 914},	// QGlobalSpace::LicensedMultimedia
    {33, 50, 917},	// QGlobalSpace::LicensedNetwork
    {33, 51, 906},	// QGlobalSpace::LicensedOpenGL
    {33, 52, 898},	// QGlobalSpace::LicensedOpenVG
    {33, 53, 915},	// QGlobalSpace::LicensedQt3Support
    {33, 54, 896},	// QGlobalSpace::LicensedQt3SupportLight
    {33, 55, 897},	// QGlobalSpace::LicensedScript
    {33, 56, 902},	// QGlobalSpace::LicensedScriptTools
    {33, 57, 905},	// QGlobalSpace::LicensedSql
    {33, 58, 903},	// QGlobalSpace::LicensedSvg
    {33, 59, 900},	// QGlobalSpace::LicensedTest
    {33, 60, 895},	// QGlobalSpace::LicensedXml
    {33, 61, 916},	// QGlobalSpace::LicensedXmlPatterns
    {33, 121, 910},	// QGlobalSpace::QtCriticalMsg
    {33, 122, 908},	// QGlobalSpace::QtDebugMsg
    {33, 123, 911},	// QGlobalSpace::QtFatalMsg
    {33, 124, 912},	// QGlobalSpace::QtSystemMsg
    {33, 125, 909},	// QGlobalSpace::QtWarningMsg
    {33, 152, 889},	// QGlobalSpace::_IEEE_
    {33, 153, 893},	// QGlobalSpace::_ISOC_
    {33, 154, 892},	// QGlobalSpace::_POSIX_
    {33, 155, 890},	// QGlobalSpace::_SVID_
    {33, 156, 891},	// QGlobalSpace::_XOPEN_
    {33, 157, 920},	// QGlobalSpace::__codecvt_error
    {33, 158, 921},	// QGlobalSpace::__codecvt_noconv
    {33, 159, 918},	// QGlobalSpace::__codecvt_ok
    {33, 160, 919},	// QGlobalSpace::__codecvt_partial
    {33, 321, -23},	// QGlobalSpace::operator!=##
    {33, 322, -39},	// QGlobalSpace::operator!=#$
    {33, 323, -45},	// QGlobalSpace::operator!=$#
    {33, 324, -51},	// QGlobalSpace::operator!=$$
    {33, 326, 673},	// QGlobalSpace::operator&##
    {33, 328, -54},	// QGlobalSpace::operator*#$
    {33, 329, -61},	// QGlobalSpace::operator*$#
    {33, 331, -68},	// QGlobalSpace::operator+##
    {33, 332, -74},	// QGlobalSpace::operator+#$
    {33, 333, -78},	// QGlobalSpace::operator+$#
    {33, 334, 872},	// QGlobalSpace::operator+$$
    {33, 336, -82},	// QGlobalSpace::operator-#
    {33, 337, -85},	// QGlobalSpace::operator-##
    {33, 339, -90},	// QGlobalSpace::operator/#$
    {33, 341, -95},	// QGlobalSpace::operator<##
    {33, 342, 710},	// QGlobalSpace::operator<#$
    {33, 343, 496},	// QGlobalSpace::operator<$#
    {33, 344, -99},	// QGlobalSpace::operator<$$
    {33, 347, -102},	// QGlobalSpace::operator<<##
    {33, 348, -157},	// QGlobalSpace::operator<<#$
    {33, 349, -163},	// QGlobalSpace::operator<<#?
    {33, 353, -168},	// QGlobalSpace::operator<=##
    {33, 354, 559},	// QGlobalSpace::operator<=#$
    {33, 355, 696},	// QGlobalSpace::operator<=$#
    {33, 359, -172},	// QGlobalSpace::operator==##
    {33, 360, -190},	// QGlobalSpace::operator==#$
    {33, 361, -196},	// QGlobalSpace::operator==$#
    {33, 362, -202},	// QGlobalSpace::operator==$$
    {33, 364, -205},	// QGlobalSpace::operator>##
    {33, 365, 879},	// QGlobalSpace::operator>#$
    {33, 366, 476},	// QGlobalSpace::operator>$#
    {33, 368, -209},	// QGlobalSpace::operator>=##
    {33, 369, 471},	// QGlobalSpace::operator>=#$
    {33, 370, 674},	// QGlobalSpace::operator>=$#
    {33, 373, -213},	// QGlobalSpace::operator>>##
    {33, 374, -247},	// QGlobalSpace::operator>>#$
    {33, 375, 630},	// QGlobalSpace::operator>>#?
    {33, 379, 564},	// QGlobalSpace::operator^##
    {33, 381, 798},	// QGlobalSpace::operator|##
    {33, 382, -250},	// QGlobalSpace::operator|$$
    {33, 385, 594},	// QGlobalSpace::qAcos$
    {33, 387, 693},	// QGlobalSpace::qAddPostRoutine$
    {33, 388, 700},	// QGlobalSpace::qAppName
    {33, 390, 490},	// QGlobalSpace::qAsin$
    {33, 392, 481},	// QGlobalSpace::qAtan$
    {33, 394, 604},	// QGlobalSpace::qAtan2$$
    {33, 395, 776},	// QGlobalSpace::qBadAlloc
    {33, 397, 712},	// QGlobalSpace::qCeil$
    {33, 399, 625},	// QGlobalSpace::qChecksum$$
    {33, 401, 782},	// QGlobalSpace::qCompress#
    {33, 402, 781},	// QGlobalSpace::qCompress#$
    {33, 403, 695},	// QGlobalSpace::qCompress$$
    {33, 404, 694},	// QGlobalSpace::qCompress$$$
    {33, 406, 681},	// QGlobalSpace::qCos$
    {33, 407, 678},	// QGlobalSpace::qCritical
    {33, 409, 671},	// QGlobalSpace::qDBusReplyFill###
    {33, 410, 726},	// QGlobalSpace::qDebug
    {33, 412, 568},	// QGlobalSpace::qExp$
    {33, 414, 856},	// QGlobalSpace::qFabs$
    {33, 416, 808},	// QGlobalSpace::qFastCos$
    {33, 418, 555},	// QGlobalSpace::qFastSin$
    {33, 420, 581},	// QGlobalSpace::qFlagLocation$
    {33, 422, 560},	// QGlobalSpace::qFloor$
    {33, 424, 704},	// QGlobalSpace::qFree$
    {33, 426, 706},	// QGlobalSpace::qFreeAligned$
    {33, 428, -347},	// QGlobalSpace::qFuzzyCompare$$
    {33, 430, -350},	// QGlobalSpace::qFuzzyIsNull$
    {33, 432, -353},	// QGlobalSpace::qHash#
    {33, 433, -361},	// QGlobalSpace::qHash$
    {33, 434, 847},	// QGlobalSpace::qInf
    {33, 436, 572},	// QGlobalSpace::qInstallMsgHandler$
    {33, 438, -376},	// QGlobalSpace::qIntCast$
    {33, 440, -379},	// QGlobalSpace::qIsFinite$
    {33, 442, -382},	// QGlobalSpace::qIsInf$
    {33, 444, -385},	// QGlobalSpace::qIsNaN$
    {33, 446, -388},	// QGlobalSpace::qIsNull$
    {33, 448, 731},	// QGlobalSpace::qLn$
    {33, 450, 627},	// QGlobalSpace::qMalloc$
    {33, 452, 728},	// QGlobalSpace::qMallocAligned$$
    {33, 454, 460},	// QGlobalSpace::qMemCopy$$$
    {33, 456, 758},	// QGlobalSpace::qMemSet$$$
    {33, 458, 716},	// QGlobalSpace::qPow$$
    {33, 459, 628},	// QGlobalSpace::qQNaN
    {33, 461, 566},	// QGlobalSpace::qRealloc$$
    {33, 463, 554},	// QGlobalSpace::qReallocAligned$$$$
    {33, 465, 624},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {33, 467, 854},	// QGlobalSpace::qRemovePostRoutine$
    {33, 469, 620},	// QGlobalSpace::qRound$
    {33, 471, 571},	// QGlobalSpace::qRound64$
    {33, 472, 830},	// QGlobalSpace::qSNaN
    {33, 474, 541},	// QGlobalSpace::qSetFieldWidth$
    {33, 476, 479},	// QGlobalSpace::qSetPadChar#
    {33, 478, 618},	// QGlobalSpace::qSetRealNumberPrecision$
    {33, 479, 503},	// QGlobalSpace::qSharedBuild
    {33, 481, 519},	// QGlobalSpace::qSin$
    {33, 483, 480},	// QGlobalSpace::qSqrt$
    {33, 485, 721},	// QGlobalSpace::qStringComparisonHelper#$
    {33, 487, 516},	// QGlobalSpace::qTan$
    {33, 489, 661},	// QGlobalSpace::qUncompress#
    {33, 490, 538},	// QGlobalSpace::qUncompress$$
    {33, 491, 701},	// QGlobalSpace::qVersion
    {33, 492, 862},	// QGlobalSpace::qWarning
    {33, 494, 550},	// QGlobalSpace::qbswap_helper$$$
    {33, 496, 525},	// QGlobalSpace::qecvt$$$$
    {33, 498, 732},	// QGlobalSpace::qecvt_r$$$$$$
    {33, 500, 593},	// QGlobalSpace::qfcvt$$$$
    {33, 502, 769},	// QGlobalSpace::qfcvt_r$$$$$$
    {33, 504, 770},	// QGlobalSpace::qgcvt$$$
    {33, 506, 473},	// QGlobalSpace::qgetenv$
    {33, 508, 631},	// QGlobalSpace::qputenv$#
    {33, 509, 667},	// QGlobalSpace::qrand
    {33, 511, 771},	// QGlobalSpace::qsort$$$$
    {33, 513, 634},	// QGlobalSpace::qsrand$
    {33, 515, 765},	// QGlobalSpace::qstrcmp##
    {33, 516, 853},	// QGlobalSpace::qstrcmp#$
    {33, 517, 468},	// QGlobalSpace::qstrcmp$#
    {33, 518, 498},	// QGlobalSpace::qstrcmp$$
    {33, 520, 609},	// QGlobalSpace::qstrcpy$$
    {33, 522, 722},	// QGlobalSpace::qstrdup$
    {33, 524, 843},	// QGlobalSpace::qstricmp$$
    {33, 526, 863},	// QGlobalSpace::qstrlen$
    {33, 528, 539},	// QGlobalSpace::qstrncmp$$$
    {33, 530, 659},	// QGlobalSpace::qstrncpy$$$
    {33, 532, 644},	// QGlobalSpace::qstrnicmp$$$
    {33, 534, 459},	// QGlobalSpace::qstrnlen$$
    {33, 536, 805},	// QGlobalSpace::qtTrId$
    {33, 537, 804},	// QGlobalSpace::qtTrId$$
    {33, 539, 589},	// QGlobalSpace::qt_assert$$$
    {33, 541, 670},	// QGlobalSpace::qt_assert_x$$$$
    {33, 543, 760},	// QGlobalSpace::qt_check_pointer$$
    {33, 544, 535},	// QGlobalSpace::qt_error_string
    {33, 545, 534},	// QGlobalSpace::qt_error_string$
    {33, 547, 875},	// QGlobalSpace::qt_message_output$$
    {33, 552, 462},	// QGlobalSpace::qt_noop
    {33, 554, 654},	// QGlobalSpace::qt_qFindChild_helper#$#
    {33, 556, 822},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {33, 558, 622},	// QGlobalSpace::quick_exit$
    {33, 560, 817},	// QGlobalSpace::qvariant_cast_helper#$$
    {33, 562, 756},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtdbus_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtdbus_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtdbus_Smoke = new Smoke(
        "qtdbus",
        __smokeqtdbus::classes, 61,
        __smokeqtdbus::methods, 931,
        __smokeqtdbus::methodMaps, 586,
        __smokeqtdbus::methodNames, 661,
        __smokeqtdbus::types, 335,
        __smokeqtdbus::inheritanceList,
        __smokeqtdbus::argumentList,
        __smokeqtdbus::ambiguousMethodList,
        __smokeqtdbus::cast );
    initialized = true;
}

void delete_qtdbus_Smoke() { delete qtdbus_Smoke; }

}
