#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 19: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 20: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QMenu
      switch(to) {
        case 21: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 22:   //QMetaObject
      switch(to) {
        case 22: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 23:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 23: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 24: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QNetworkAccessManager
      switch(to) {
        case 28: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 25: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkReply
      switch(to) {
        case 26: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkRequest
      switch(to) {
        case 27: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 28:   //QObject
      switch(to) {
        case 28: return (void*)(QObject*)xptr;
        case 55: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebPage*)(QObject*)xptr;
        case 68: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 76: return (void*)(QWebView*)(QObject*)xptr;
        case 58: return (void*)(QWebInspector*)(QObject*)xptr;
        case 53: return (void*)(QWebFrame*)(QObject*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEngine
      switch(to) {
        case 29: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 30: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QPainter
      switch(to) {
        case 31: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 32:   //QPalette
      switch(to) {
        case 32: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 33:   //QPixmap
      switch(to) {
        case 33: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 34:   //QPoint
      switch(to) {
        case 34: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 35:   //QPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 36:   //QRect
      switch(to) {
        case 36: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 37:   //QRegExp
      switch(to) {
        case 37: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 38:   //QRegion
      switch(to) {
        case 38: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 39:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 39: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 40: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QSize
      switch(to) {
        case 41: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 42:   //QStyle
      switch(to) {
        case 42: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 43:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 43: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 44: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QUndoStack
      switch(to) {
        case 45: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 46:   //QUrl
      switch(to) {
        case 46: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 47:   //QVariant
      switch(to) {
        case 47: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 48:   //QWebDatabase
      switch(to) {
        case 48: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 49:   //QWebElement
      switch(to) {
        case 49: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElementCollection
      switch(to) {
        case 50: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection::const_iterator
      switch(to) {
        case 51: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebFrame
      switch(to) {
        case 28: return (void*)(QObject*)(QWebFrame*)xptr;
        case 53: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 54:   //QWebHistory
      switch(to) {
        case 54: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistoryInterface
      switch(to) {
        case 28: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 55: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryItem
      switch(to) {
        case 56: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHitTestResult
      switch(to) {
        case 57: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 58:   //QWebInspector
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 28: return (void*)(QObject*)(QWebInspector*)xptr;
        case 58: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 59:   //QWebPage
      switch(to) {
        case 28: return (void*)(QObject*)(QWebPage*)xptr;
        case 59: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 60: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 62: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ExtensionOption
      switch(to) {
        case 64: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 62: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 60: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionReturn
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ViewportAttributes
      switch(to) {
        case 66: return (void*)(QWebPage::ViewportAttributes*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPagePrivate
      switch(to) {
        case 67: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPluginFactory
      switch(to) {
        case 28: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 68: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 69: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::MimeType
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::Plugin
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 73:   //QWebSecurityOrigin
      switch(to) {
        case 73: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSettings
      switch(to) {
        case 74: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettingsPrivate
      switch(to) {
        case 75: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 76:   //QWebView
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebView*)xptr;
        case 28: return (void*)(QObject*)(QWebView*)xptr;
        case 76: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 77:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 77: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QWidget
      switch(to) {
        case 28: return (void*)(QObject*)(QWidget*)xptr;
        case 78: return (void*)(QWidget*)xptr;
        case 76: return (void*)(QWebView*)(QWidget*)xptr;
        case 58: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QObject
    78, 0,	// 3: QWidget
    64, 0,	// 5: QWebPage::ExtensionOption
    65, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ViewportAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QMenu", true, 0, 0, 0, 0, 0 },	//21
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//22
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//27
    { "QObject", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QPainter", true, 0, 0, 0, 0, 0 },	//31
    { "QPalette", true, 0, 0, 0, 0, 0 },	//32
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//33
    { "QPoint", true, 0, 0, 0, 0, 0 },	//34
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//35
    { "QRect", true, 0, 0, 0, 0, 0 },	//36
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//37
    { "QRegion", true, 0, 0, 0, 0, 0 },	//38
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QSize", true, 0, 0, 0, 0, 0 },	//41
    { "QStyle", true, 0, 0, 0, 0, 0 },	//42
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//45
    { "QUrl", true, 0, 0, 0, 0, 0 },	//46
    { "QVariant", true, 0, 0, 0, 0, 0 },	//47
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//48
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//49
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//50
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//51
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//52
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//53
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//54
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//55
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//56
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//57
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//58
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//59
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//61
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//62
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//63
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//64
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//65
    { "QWebPage::ViewportAttributes", false, 0, xcall_QWebPage__ViewportAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ViewportAttributes) },	//66
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//67
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//68
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//69
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//70
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//71
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//72
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//73
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//74
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//75
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//76
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QWidget", true, 0, 0, 0, 0, 0 },	//78
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//19
    { "QInputMethodEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//22
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//23
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//26
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//28
    { "QMenu*", 21, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QMetaObject::Call", 22, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QMouseEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMoveEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//33
    { "QNetworkAccessManager*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QNetworkAccessManager::Operation", 25, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QNetworkReply*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkRequest", 27, Smoke::t_class|Smoke::tf_stack },	//37
    { "QObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QPaintEngine*", 29, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QPaintEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QPainter*", 31, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPainter::RenderHint", 31, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QPalette", 32, Smoke::t_class|Smoke::tf_stack },	//44
    { "QPixmap", 33, Smoke::t_class|Smoke::tf_stack },	//45
    { "QPoint", 34, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPrinter*", 35, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QRect", 36, Smoke::t_class|Smoke::tf_stack },	//48
    { "QRegExp&", 37, Smoke::t_class|Smoke::tf_ref },	//49
    { "QResizeEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QShowEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QSize", 41, Smoke::t_class|Smoke::tf_stack },	//53
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//55
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//56
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//58
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//59
    { "QStyle&", 42, Smoke::t_class|Smoke::tf_ref },	//60
    { "QTabletEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QTimerEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QUndoStack*", 45, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QUrl", 46, Smoke::t_class|Smoke::tf_stack },	//64
    { "QUrl&", 46, Smoke::t_class|Smoke::tf_ref },	//65
    { "QVariant", 47, Smoke::t_class|Smoke::tf_stack },	//66
    { "QWebDatabase", 48, Smoke::t_class|Smoke::tf_stack },	//67
    { "QWebDatabase&", 48, Smoke::t_class|Smoke::tf_ref },	//68
    { "QWebDatabase*", 48, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QWebElement", 49, Smoke::t_class|Smoke::tf_stack },	//70
    { "QWebElement&", 49, Smoke::t_class|Smoke::tf_ref },	//71
    { "QWebElement*", 49, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QWebElement::StyleResolveStrategy", 49, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QWebElementCollection", 50, Smoke::t_class|Smoke::tf_stack },	//74
    { "QWebElementCollection&", 50, Smoke::t_class|Smoke::tf_ref },	//75
    { "QWebElementCollection*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QWebElementCollection::const_iterator", 51, Smoke::t_class|Smoke::tf_stack },	//77
    { "QWebElementCollection::const_iterator&", 51, Smoke::t_class|Smoke::tf_ref },	//78
    { "QWebElementCollection::const_iterator*", 51, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QWebElementCollection::iterator", 52, Smoke::t_class|Smoke::tf_stack },	//80
    { "QWebElementCollection::iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//81
    { "QWebElementCollection::iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QWebFrame*", 53, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QWebFrame::RenderLayer", 53, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QWebHistory*", 54, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QWebHistoryInterface*", 55, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QWebHistoryItem", 56, Smoke::t_class|Smoke::tf_stack },	//87
    { "QWebHistoryItem&", 56, Smoke::t_class|Smoke::tf_ref },	//88
    { "QWebHistoryItem*", 56, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QWebHitTestResult", 57, Smoke::t_class|Smoke::tf_stack },	//90
    { "QWebHitTestResult&", 57, Smoke::t_class|Smoke::tf_ref },	//91
    { "QWebHitTestResult*", 57, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QWebInspector*", 58, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QWebPage*", 59, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 60, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 61, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QWebPage::ErrorDomain", 59, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QWebPage::ErrorPageExtensionOption*", 62, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWebPage::ErrorPageExtensionReturn*", 63, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebPage::Extension", 59, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QWebPage::ExtensionOption*", 64, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ExtensionReturn*", 65, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QWebPage::Feature", 59, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QWebPage::FindFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QWebPage::LinkDelegationPolicy", 59, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QWebPage::NavigationType", 59, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QWebPage::PermissionPolicy", 59, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QWebPage::ViewportAttributes", 66, Smoke::t_class|Smoke::tf_stack },	//108
    { "QWebPage::ViewportAttributes&", 66, Smoke::t_class|Smoke::tf_ref },	//109
    { "QWebPage::ViewportAttributes*", 66, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QWebPage::WebAction", 59, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::WebWindowType", 59, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPagePrivate*", 67, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QWebPluginFactory*", 68, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QWebPluginFactory::Extension", 68, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QWebPluginFactory::ExtensionReturn*", 70, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPluginFactory::MimeType", 71, Smoke::t_class|Smoke::tf_stack },	//118
    { "QWebPluginFactory::MimeType*", 71, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QWebPluginFactory::Plugin", 72, Smoke::t_class|Smoke::tf_stack },	//120
    { "QWebPluginFactory::Plugin*", 72, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QWebSecurityOrigin", 73, Smoke::t_class|Smoke::tf_stack },	//122
    { "QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref },	//123
    { "QWebSecurityOrigin*", 73, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QWebSettings*", 74, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QWebSettings::FontFamily", 74, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QWebSettings::FontSize", 74, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWebSettings::ThirdPartyCookiePolicy", 74, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QWebSettings::WebAttribute", 74, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QWebSettings::WebGraphic", 74, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QWebSettingsPrivate*", 75, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QWebView*", 76, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QWheelEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QWidget*", 78, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//226
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//227
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//228
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//229
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QMetaObject&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QMetaObject*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//234
    { "const QNetworkRequest&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QPalette&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QPixmap&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QPoint&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QRect&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QRegExp&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QRegion&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QSize&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//245
    { "const QUrl&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QVariant&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QWebDatabase&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QWebElement", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//249
    { "const QWebElement&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QWebElementCollection&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QWebElementCollection*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//252
    { "const QWebElementCollection::const_iterator&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QWebElementCollection::iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QWebHistoryItem&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QWebHitTestResult&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QWebPage::ErrorPageExtensionOption&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QWebPage::ErrorPageExtensionReturn&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QWebPage::ExtensionOption&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QWebPage::ExtensionOption*", 64, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//262
    { "const QWebPage::ExtensionReturn&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QWebPage::ViewportAttributes&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QWebPluginFactory::ExtensionOption&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//266
    { "const QWebPluginFactory::ExtensionReturn&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QWebPluginFactory::MimeType&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QWebPluginFactory::Plugin&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//273
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//274
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//275
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//276
    { "quint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//277
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//278
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//279
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//280
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//281
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    38, 14, 0,	//3  QObject*, QEvent*
    62, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    271, 0,	//10  const char*
    248, 0,	//12  const QWebDatabase&
    250, 0,	//14  const QWebElement&
    243, 0,	//16  const QString&
    243, 243, 0,	//18  const QString&, const QString&
    243, 243, 243, 0,	//21  const QString&, const QString&, const QString&
    243, 73, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    42, 0,	//28  QPainter*
    42, 239, 0,	//30  QPainter*, const QRect&
    250, 243, 0,	//33  const QWebElement&, const QString&
    251, 0,	//36  const QWebElementCollection&
    274, 0,	//38  int
    252, 274, 0,	//40  const QWebElementCollection*, int
    253, 0,	//43  const QWebElementCollection::const_iterator&
    77, 0,	//45  QWebElementCollection::const_iterator
    254, 0,	//47  const QWebElementCollection::iterator&
    80, 0,	//49  QWebElementCollection::iterator
    271, 271, 0,	//51  const char*, const char*
    271, 271, 274, 0,	//54  const char*, const char*, int
    30, 274, 280, 0,	//58  QMetaObject::Call, int, void**
    246, 0,	//62  const QUrl&
    235, 35, 230, 0,	//64  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    243, 246, 0,	//68  const QString&, const QUrl&
    230, 243, 246, 0,	//71  const QByteArray&, const QString&, const QUrl&
    243, 38, 0,	//75  const QString&, QObject*
    243, 38, 51, 0,	//78  const QString&, QObject*, QScriptEngine::ValueOwnership
    181, 0,	//82  Qt::Orientation
    181, 185, 0,	//84  Qt::Orientation, Qt::ScrollBarPolicy
    181, 274, 0,	//87  Qt::Orientation, int
    274, 274, 0,	//90  int, int
    238, 0,	//93  const QPoint&
    42, 241, 0,	//95  QPainter*, const QRegion&
    42, 84, 241, 0,	//98  QPainter*, QWebFrame::RenderLayer, const QRegion&
    273, 0,	//102  float
    47, 0,	//104  QPrinter*
    242, 0,	//106  const QSize&
    229, 0,	//108  bool
    235, 0,	//110  const QNetworkRequest&
    235, 35, 0,	//112  const QNetworkRequest&, QNetworkAccessManager::Operation
    230, 0,	//115  const QByteArray&
    230, 243, 0,	//117  const QByteArray&, const QString&
    42, 84, 0,	//120  QPainter*, QWebFrame::RenderLayer
    255, 0,	//123  const QWebHistoryItem&
    38, 0,	//125  QObject*
    86, 0,	//127  QWebHistoryInterface*
    247, 0,	//129  const QVariant&
    256, 0,	//131  const QWebHitTestResult&
    134, 0,	//133  QWidget*
    94, 0,	//135  QWebPage*
    50, 0,	//137  QResizeEvent*
    52, 0,	//139  QShowEvent*
    18, 0,	//141  QHideEvent*
    6, 0,	//143  QCloseEvent*
    34, 0,	//145  QNetworkAccessManager*
    114, 0,	//147  QWebPluginFactory*
    111, 0,	//149  QWebPage::WebAction
    111, 229, 0,	//151  QWebPage::WebAction, bool
    239, 0,	//154  const QRect&
    169, 0,	//156  Qt::InputMethodQuery
    243, 16, 0,	//158  const QString&, QFlags<QWebPage::FindFlag>
    105, 0,	//161  QWebPage::LinkDelegationPolicy
    236, 0,	//163  const QPalette&
    7, 0,	//165  QContextMenuEvent*
    83, 103, 107, 0,	//167  QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy
    100, 262, 102, 0,	//171  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    100, 0,	//175  QWebPage::Extension
    83, 0,	//177  QWebFrame*
    274, 274, 239, 0,	//179  int, int, const QRect&
    36, 0,	//183  QNetworkReply*
    83, 54, 0,	//185  QWebFrame*, QString
    124, 277, 0,	//188  QWebSecurityOrigin*, quint64
    124, 277, 277, 0,	//191  QWebSecurityOrigin*, quint64, quint64
    83, 89, 0,	//195  QWebFrame*, QWebHistoryItem*
    83, 103, 0,	//198  QWebFrame*, QWebPage::Feature
    112, 0,	//201  QWebPage::WebWindowType
    243, 246, 244, 244, 0,	//203  const QString&, const QUrl&, const QStringList&, const QStringList&
    83, 235, 106, 0,	//208  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    83, 243, 0,	//212  QWebFrame*, const QString&
    83, 243, 243, 56, 0,	//215  QWebFrame*, const QString&, const QString&, QString*
    243, 274, 243, 0,	//220  const QString&, int, const QString&
    100, 262, 0,	//224  QWebPage::Extension, const QWebPage::ExtensionOption*
    257, 0,	//227  const QWebPage::ChooseMultipleFilesExtensionOption&
    244, 0,	//229  const QStringList&
    258, 0,	//231  const QWebPage::ChooseMultipleFilesExtensionReturn&
    259, 0,	//233  const QWebPage::ErrorPageExtensionOption&
    97, 0,	//235  QWebPage::ErrorDomain
    260, 0,	//237  const QWebPage::ErrorPageExtensionReturn&
    261, 0,	//239  const QWebPage::ExtensionOption&
    263, 0,	//241  const QWebPage::ExtensionReturn&
    264, 0,	//243  const QWebPage::ViewportAttributes&
    115, 266, 117, 0,	//245  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    115, 0,	//249  QWebPluginFactory::Extension
    115, 266, 0,	//251  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    265, 0,	//254  const QWebPluginFactory::ExtensionOption&
    267, 0,	//256  const QWebPluginFactory::ExtensionReturn&
    268, 0,	//258  const QWebPluginFactory::MimeType&
    269, 0,	//260  const QWebPluginFactory::Plugin&
    232, 0,	//262  const QList<QWebPluginFactory::MimeType>&
    276, 0,	//264  long long
    270, 0,	//266  const QWebSecurityOrigin&
    126, 243, 0,	//268  QWebSettings::FontFamily, const QString&
    126, 0,	//271  QWebSettings::FontFamily
    127, 274, 0,	//273  QWebSettings::FontSize, int
    127, 0,	//276  QWebSettings::FontSize
    129, 229, 0,	//278  QWebSettings::WebAttribute, bool
    129, 0,	//281  QWebSettings::WebAttribute
    130, 237, 0,	//283  QWebSettings::WebGraphic, const QPixmap&
    130, 0,	//286  QWebSettings::WebGraphic
    274, 274, 274, 0,	//288  int, int, int
    128, 0,	//292  QWebSettings::ThirdPartyCookiePolicy
    15, 0,	//294  QFlags<QPainter::RenderHint>
    43, 229, 0,	//296  QPainter::RenderHint, bool
    41, 0,	//299  QPaintEvent*
    31, 0,	//301  QMouseEvent*
    133, 0,	//303  QWheelEvent*
    21, 0,	//305  QKeyEvent*
    9, 0,	//307  QDragEnterEvent*
    10, 0,	//309  QDragLeaveEvent*
    11, 0,	//311  QDragMoveEvent*
    13, 0,	//313  QDropEvent*
    17, 0,	//315  QFocusEvent*
    20, 0,	//317  QInputMethodEvent*
    43, 0,	//319  QPainter::RenderHint
    32, 0,	//321  QMoveEvent*
    61, 0,	//323  QTabletEvent*
    2, 0,	//325  QActionEvent*
    227, 0,	//327  _XEvent*
    39, 0,	//329  QPaintDevice::PaintDeviceMetric
    60, 0,	//331  QStyle&
    231, 0,	//333  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AllowThirdPartyWithExistingCookies",	//7
    "AlwaysAllowThirdPartyCookies",	//8
    "AlwaysBlockThirdPartyCookies",	//9
    "AutoLoadImages",	//10
    "Back",	//11
    "CSSGridLayoutEnabled",	//12
    "CSSRegionsEnabled",	//13
    "CaretBrowsingEnabled",	//14
    "CascadedStyle",	//15
    "ChooseMultipleFilesExtension",	//16
    "ChooseMultipleFilesExtensionOption",	//17
    "ChooseMultipleFilesExtensionOption#",	//18
    "ChooseMultipleFilesExtensionReturn",	//19
    "ChooseMultipleFilesExtensionReturn#",	//20
    "ComputedStyle",	//21
    "ContentsLayer",	//22
    "Copy",	//23
    "CopyImageToClipboard",	//24
    "CopyImageUrlToClipboard",	//25
    "CopyLinkToClipboard",	//26
    "CursiveFont",	//27
    "Cut",	//28
    "DefaultFixedFontSize",	//29
    "DefaultFontSize",	//30
    "DefaultFrameIconGraphic",	//31
    "DelegateAllLinks",	//32
    "DelegateExternalLinks",	//33
    "DeleteButtonGraphic",	//34
    "DeleteEndOfWord",	//35
    "DeleteStartOfWord",	//36
    "DeveloperExtrasEnabled",	//37
    "DnsPrefetchEnabled",	//38
    "DontDelegateLinks",	//39
    "DownloadImageToDisk",	//40
    "DownloadLinkToDisk",	//41
    "DrawChildren",	//42
    "DrawWindowBackground",	//43
    "ErrorPageExtension",	//44
    "ErrorPageExtensionOption",	//45
    "ErrorPageExtensionOption#",	//46
    "ErrorPageExtensionReturn",	//47
    "ErrorPageExtensionReturn#",	//48
    "ExtensionOption",	//49
    "ExtensionOption#",	//50
    "ExtensionReturn",	//51
    "ExtensionReturn#",	//52
    "FantasyFont",	//53
    "FindBackward",	//54
    "FindCaseSensitively",	//55
    "FindWrapsAroundDocument",	//56
    "FixedFont",	//57
    "Forward",	//58
    "FrameFlatteningEnabled",	//59
    "Geolocation",	//60
    "HighlightAllOccurrences",	//61
    "Http",	//62
    "HyperlinkAuditingEnabled",	//63
    "IgnoreMask",	//64
    "Indent",	//65
    "InlineStyle",	//66
    "InputSpeechButtonGraphic",	//67
    "InsertLineSeparator",	//68
    "InsertOrderedList",	//69
    "InsertParagraphSeparator",	//70
    "InsertUnorderedList",	//71
    "InspectElement",	//72
    "JavaEnabled",	//73
    "JavascriptCanAccessClipboard",	//74
    "JavascriptCanCloseWindows",	//75
    "JavascriptCanOpenWindows",	//76
    "JavascriptEnabled",	//77
    "LicensedActiveQt",	//78
    "LicensedCore",	//79
    "LicensedDBus",	//80
    "LicensedDeclarative",	//81
    "LicensedGui",	//82
    "LicensedHelp",	//83
    "LicensedMultimedia",	//84
    "LicensedNetwork",	//85
    "LicensedOpenGL",	//86
    "LicensedOpenVG",	//87
    "LicensedQt3Support",	//88
    "LicensedQt3SupportLight",	//89
    "LicensedScript",	//90
    "LicensedScriptTools",	//91
    "LicensedSql",	//92
    "LicensedSvg",	//93
    "LicensedTest",	//94
    "LicensedXml",	//95
    "LicensedXmlPatterns",	//96
    "LinksIncludedInFocusChain",	//97
    "LocalContentCanAccessFileUrls",	//98
    "LocalContentCanAccessRemoteUrls",	//99
    "LocalStorageDatabaseEnabled",	//100
    "LocalStorageEnabled",	//101
    "MimeType",	//102
    "MimeType#",	//103
    "MinimumFontSize",	//104
    "MinimumLogicalFontSize",	//105
    "MissingImageGraphic",	//106
    "MissingPluginGraphic",	//107
    "MoveToEndOfBlock",	//108
    "MoveToEndOfDocument",	//109
    "MoveToEndOfLine",	//110
    "MoveToNextChar",	//111
    "MoveToNextLine",	//112
    "MoveToNextWord",	//113
    "MoveToPreviousChar",	//114
    "MoveToPreviousLine",	//115
    "MoveToPreviousWord",	//116
    "MoveToStartOfBlock",	//117
    "MoveToStartOfDocument",	//118
    "MoveToStartOfLine",	//119
    "NavigationTypeBackOrForward",	//120
    "NavigationTypeFormResubmitted",	//121
    "NavigationTypeFormSubmitted",	//122
    "NavigationTypeLinkClicked",	//123
    "NavigationTypeOther",	//124
    "NavigationTypeReload",	//125
    "NoWebAction",	//126
    "Notifications",	//127
    "NotificationsEnabled",	//128
    "OfflineStorageDatabaseEnabled",	//129
    "OfflineWebApplicationCacheEnabled",	//130
    "OpenFrameInNewWindow",	//131
    "OpenImageInNewWindow",	//132
    "OpenLink",	//133
    "OpenLinkInNewWindow",	//134
    "OpenLinkInThisWindow",	//135
    "Outdent",	//136
    "PanIconLayer",	//137
    "Paste",	//138
    "PasteAndMatchStyle",	//139
    "PermissionDeniedByUser",	//140
    "PermissionGrantedByUser",	//141
    "PermissionUnknown",	//142
    "Plugin",	//143
    "Plugin#",	//144
    "PluginsEnabled",	//145
    "PrintElementBackgrounds",	//146
    "PrivateBrowsingEnabled",	//147
    "QWebDatabase",	//148
    "QWebDatabase#",	//149
    "QWebElement",	//150
    "QWebElement#",	//151
    "QWebElementCollection",	//152
    "QWebElementCollection#",	//153
    "QWebElementCollection#$",	//154
    "QWebHistoryInterface",	//155
    "QWebHistoryInterface#",	//156
    "QWebHistoryItem",	//157
    "QWebHistoryItem#",	//158
    "QWebHitTestResult",	//159
    "QWebHitTestResult#",	//160
    "QWebInspector",	//161
    "QWebInspector#",	//162
    "QWebPage",	//163
    "QWebPage#",	//164
    "QWebPluginFactory",	//165
    "QWebPluginFactory#",	//166
    "QWebSecurityOrigin",	//167
    "QWebSecurityOrigin#",	//168
    "QWebView",	//169
    "QWebView#",	//170
    "Q_COMPLEX_TYPE",	//171
    "Q_DUMMY_TYPE",	//172
    "Q_MOVABLE_TYPE",	//173
    "Q_PRIMITIVE_TYPE",	//174
    "Q_STATIC_TYPE",	//175
    "QtCriticalMsg",	//176
    "QtDebugMsg",	//177
    "QtFatalMsg",	//178
    "QtNetwork",	//179
    "QtSystemMsg",	//180
    "QtWarningMsg",	//181
    "Redo",	//182
    "Reload",	//183
    "ReloadAndBypassCache",	//184
    "RemoveFormat",	//185
    "SansSerifFont",	//186
    "ScrollAnimatorEnabled",	//187
    "ScrollBarLayer",	//188
    "SearchCancelButtonGraphic",	//189
    "SearchCancelButtonPressedGraphic",	//190
    "SelectAll",	//191
    "SelectEndOfBlock",	//192
    "SelectEndOfDocument",	//193
    "SelectEndOfLine",	//194
    "SelectNextChar",	//195
    "SelectNextLine",	//196
    "SelectNextWord",	//197
    "SelectPreviousChar",	//198
    "SelectPreviousLine",	//199
    "SelectPreviousWord",	//200
    "SelectStartOfBlock",	//201
    "SelectStartOfDocument",	//202
    "SelectStartOfLine",	//203
    "SerifFont",	//204
    "SetTextDirectionDefault",	//205
    "SetTextDirectionLeftToRight",	//206
    "SetTextDirectionRightToLeft",	//207
    "SiteSpecificQuirksEnabled",	//208
    "SpatialNavigationEnabled",	//209
    "StandardFont",	//210
    "Stop",	//211
    "StopScheduledPageRefresh",	//212
    "TextAreaSizeGripCornerGraphic",	//213
    "TiledBackingStoreEnabled",	//214
    "ToggleBold",	//215
    "ToggleItalic",	//216
    "ToggleStrikethrough",	//217
    "ToggleSubscript",	//218
    "ToggleSuperscript",	//219
    "ToggleUnderline",	//220
    "Undo",	//221
    "ViewportAttributes",	//222
    "ViewportAttributes#",	//223
    "WebActionCount",	//224
    "WebBrowserWindow",	//225
    "WebGLEnabled",	//226
    "WebKit",	//227
    "WebModalDialog",	//228
    "XSSAuditingEnabled",	//229
    "ZoomTextOnly",	//230
    "__codecvt_error",	//231
    "__codecvt_noconv",	//232
    "__codecvt_ok",	//233
    "__codecvt_partial",	//234
    "acceptNavigationRequest",	//235
    "acceptNavigationRequest##$",	//236
    "action",	//237
    "action$",	//238
    "actionEvent",	//239
    "addClass",	//240
    "addClass$",	//241
    "addHistoryEntry",	//242
    "addHistoryEntry$",	//243
    "addLocalScheme",	//244
    "addLocalScheme$",	//245
    "addToJavaScriptWindowObject",	//246
    "addToJavaScriptWindowObject$#",	//247
    "addToJavaScriptWindowObject$#$",	//248
    "allOrigins",	//249
    "alternateText",	//250
    "append",	//251
    "append#",	//252
    "appendInside",	//253
    "appendInside#",	//254
    "appendInside$",	//255
    "appendOutside",	//256
    "appendOutside#",	//257
    "appendOutside$",	//258
    "applicationCacheQuotaExceeded",	//259
    "applicationCacheQuotaExceeded#$",	//260
    "applicationCacheQuotaExceeded#$$",	//261
    "at",	//262
    "at$",	//263
    "attribute",	//264
    "attribute$",	//265
    "attribute$$",	//266
    "attributeNS",	//267
    "attributeNS$$",	//268
    "attributeNS$$$",	//269
    "attributeNames",	//270
    "attributeNames$",	//271
    "back",	//272
    "backItem",	//273
    "backItems",	//274
    "backItems$",	//275
    "baseUrl",	//276
    "begin",	//277
    "boundingRect",	//278
    "bytesReceived",	//279
    "canGoBack",	//280
    "canGoForward",	//281
    "changeEvent",	//282
    "changeEvent#",	//283
    "childEvent",	//284
    "childFrames",	//285
    "chooseFile",	//286
    "chooseFile#$",	//287
    "classes",	//288
    "clear",	//289
    "clearIconDatabase",	//290
    "clearMemoryCaches",	//291
    "clone",	//292
    "closeEvent",	//293
    "closeEvent#",	//294
    "connectNotify",	//295
    "constBegin",	//296
    "constEnd",	//297
    "const_iterator",	//298
    "const_iterator#",	//299
    "const_iterator#$",	//300
    "content",	//301
    "contentType",	//302
    "contentsChanged",	//303
    "contentsSize",	//304
    "contentsSizeChanged",	//305
    "contentsSizeChanged#",	//306
    "contextMenuEvent",	//307
    "contextMenuEvent#",	//308
    "count",	//309
    "create",	//310
    "create$#??",	//311
    "createPlugin",	//312
    "createPlugin$#??",	//313
    "createStandardContextMenu",	//314
    "createWindow",	//315
    "createWindow$",	//316
    "currentFrame",	//317
    "currentItem",	//318
    "currentItemIndex",	//319
    "customEvent",	//320
    "databaseQuota",	//321
    "databaseQuotaExceeded",	//322
    "databaseQuotaExceeded#$",	//323
    "databaseUsage",	//324
    "databases",	//325
    "defaultInterface",	//326
    "defaultTextEncoding",	//327
    "description",	//328
    "devType",	//329
    "devicePixelRatio",	//330
    "disconnectNotify",	//331
    "displayName",	//332
    "document",	//333
    "documentElement",	//334
    "domain",	//335
    "downloadRequested",	//336
    "downloadRequested#",	//337
    "dragEnterEvent",	//338
    "dragEnterEvent#",	//339
    "dragLeaveEvent",	//340
    "dragLeaveEvent#",	//341
    "dragMoveEvent",	//342
    "dragMoveEvent#",	//343
    "dropEvent",	//344
    "dropEvent#",	//345
    "element",	//346
    "enablePersistentStorage",	//347
    "enablePersistentStorage$",	//348
    "enabledChange",	//349
    "encloseContentsWith",	//350
    "encloseContentsWith#",	//351
    "encloseContentsWith$",	//352
    "encloseWith",	//353
    "encloseWith#",	//354
    "encloseWith$",	//355
    "enclosingBlockElement",	//356
    "encoding",	//357
    "end",	//358
    "enterEvent",	//359
    "error",	//360
    "errorString",	//361
    "evaluateJavaScript",	//362
    "evaluateJavaScript$",	//363
    "event",	//364
    "event#",	//365
    "eventFilter",	//366
    "expectedSize",	//367
    "extension",	//368
    "extension$",	//369
    "extension$#",	//370
    "extension$##",	//371
    "featurePermissionRequestCanceled",	//372
    "featurePermissionRequestCanceled#$",	//373
    "featurePermissionRequested",	//374
    "featurePermissionRequested#$",	//375
    "fileExtensions",	//376
    "fileName",	//377
    "fileNames",	//378
    "findAll",	//379
    "findAll$",	//380
    "findAllElements",	//381
    "findAllElements$",	//382
    "findFirst",	//383
    "findFirst$",	//384
    "findFirstElement",	//385
    "findFirstElement$",	//386
    "findText",	//387
    "findText$",	//388
    "findText$$",	//389
    "first",	//390
    "firstChild",	//391
    "focusInEvent",	//392
    "focusInEvent#",	//393
    "focusNextPrevChild",	//394
    "focusNextPrevChild$",	//395
    "focusOutEvent",	//396
    "focusOutEvent#",	//397
    "fontChange",	//398
    "fontFamily",	//399
    "fontFamily$",	//400
    "fontSize",	//401
    "fontSize$",	//402
    "forward",	//403
    "forwardItem",	//404
    "forwardItems",	//405
    "forwardItems$",	//406
    "forwardUnsupportedContent",	//407
    "frame",	//408
    "frameAt",	//409
    "frameAt#",	//410
    "frameCreated",	//411
    "frameCreated#",	//412
    "frameName",	//413
    "geometry",	//414
    "geometryChangeRequested",	//415
    "geometryChangeRequested#",	//416
    "globalSettings",	//417
    "goToItem",	//418
    "goToItem#",	//419
    "handle",	//420
    "hasAttribute",	//421
    "hasAttribute$",	//422
    "hasAttributeNS",	//423
    "hasAttributeNS$$",	//424
    "hasAttributes",	//425
    "hasClass",	//426
    "hasClass$",	//427
    "hasFocus",	//428
    "hasSelection",	//429
    "heightForWidth",	//430
    "hideEvent",	//431
    "hideEvent#",	//432
    "history",	//433
    "historyContains",	//434
    "historyContains$",	//435
    "hitTestContent",	//436
    "hitTestContent#",	//437
    "host",	//438
    "icon",	//439
    "iconChanged",	//440
    "iconDatabasePath",	//441
    "iconForUrl",	//442
    "iconForUrl#",	//443
    "imageUrl",	//444
    "initialLayoutCompleted",	//445
    "initialScaleFactor",	//446
    "inputMethodEvent",	//447
    "inputMethodEvent#",	//448
    "inputMethodQuery",	//449
    "inputMethodQuery$",	//450
    "isContentEditable",	//451
    "isContentSelected",	//452
    "isModified",	//453
    "isNull",	//454
    "isUserScalable",	//455
    "isValid",	//456
    "itemAt",	//457
    "itemAt$",	//458
    "items",	//459
    "iterator",	//460
    "iterator#",	//461
    "iterator#$",	//462
    "javaScriptAlert",	//463
    "javaScriptAlert#$",	//464
    "javaScriptConfirm",	//465
    "javaScriptConfirm#$",	//466
    "javaScriptConsoleMessage",	//467
    "javaScriptConsoleMessage$$$",	//468
    "javaScriptPrompt",	//469
    "javaScriptPrompt#$$$",	//470
    "javaScriptWindowObjectCleared",	//471
    "keyPressEvent",	//472
    "keyPressEvent#",	//473
    "keyReleaseEvent",	//474
    "keyReleaseEvent#",	//475
    "languageChange",	//476
    "last",	//477
    "lastChild",	//478
    "lastVisited",	//479
    "leaveEvent",	//480
    "linkClicked",	//481
    "linkClicked#",	//482
    "linkDelegationPolicy",	//483
    "linkElement",	//484
    "linkHovered",	//485
    "linkHovered$$$",	//486
    "linkTargetFrame",	//487
    "linkText",	//488
    "linkTitle",	//489
    "linkUrl",	//490
    "load",	//491
    "load#",	//492
    "load#$",	//493
    "load#$#",	//494
    "loadFinished",	//495
    "loadFinished$",	//496
    "loadProgress",	//497
    "loadProgress$",	//498
    "loadStarted",	//499
    "localName",	//500
    "localSchemes",	//501
    "localStoragePath",	//502
    "mainFrame",	//503
    "maximumItemCount",	//504
    "maximumPagesInCache",	//505
    "maximumScaleFactor",	//506
    "menuBarVisibilityChangeRequested",	//507
    "menuBarVisibilityChangeRequested$",	//508
    "metaData",	//509
    "metaObject",	//510
    "metric",	//511
    "microFocusChanged",	//512
    "mimeTypes",	//513
    "minimumScaleFactor",	//514
    "minimumSizeHint",	//515
    "mouseDoubleClickEvent",	//516
    "mouseDoubleClickEvent#",	//517
    "mouseMoveEvent",	//518
    "mouseMoveEvent#",	//519
    "mousePressEvent",	//520
    "mousePressEvent#",	//521
    "mouseReleaseEvent",	//522
    "mouseReleaseEvent#",	//523
    "moveEvent",	//524
    "name",	//525
    "namespaceUri",	//526
    "networkAccessManager",	//527
    "nextSibling",	//528
    "offlineStorageDefaultQuota",	//529
    "offlineStoragePath",	//530
    "offlineWebApplicationCachePath",	//531
    "offlineWebApplicationCacheQuota",	//532
    "operator!=",	//533
    "operator!=#",	//534
    "operator*",	//535
    "operator+",	//536
    "operator+#",	//537
    "operator+$",	//538
    "operator++",	//539
    "operator++$",	//540
    "operator+=",	//541
    "operator+=#",	//542
    "operator+=$",	//543
    "operator-",	//544
    "operator-#",	//545
    "operator-$",	//546
    "operator--",	//547
    "operator--$",	//548
    "operator-=",	//549
    "operator-=$",	//550
    "operator<",	//551
    "operator<#",	//552
    "operator<=",	//553
    "operator<=#",	//554
    "operator=",	//555
    "operator=#",	//556
    "operator==",	//557
    "operator==#",	//558
    "operator>",	//559
    "operator>#",	//560
    "operator>=",	//561
    "operator>=#",	//562
    "operator[]",	//563
    "operator[]$",	//564
    "origin",	//565
    "originalUrl",	//566
    "page",	//567
    "pageAction",	//568
    "pageAction$",	//569
    "pageChanged",	//570
    "paintEngine",	//571
    "paintEvent",	//572
    "paintEvent#",	//573
    "palette",	//574
    "paletteChange",	//575
    "parent",	//576
    "parentFrame",	//577
    "pixmap",	//578
    "pluginFactory",	//579
    "plugins",	//580
    "port",	//581
    "pos",	//582
    "preferredContentsSize",	//583
    "prefix",	//584
    "prependInside",	//585
    "prependInside#",	//586
    "prependInside$",	//587
    "prependOutside",	//588
    "prependOutside#",	//589
    "prependOutside$",	//590
    "previousSibling",	//591
    "print",	//592
    "print#",	//593
    "printRequested",	//594
    "printRequested#",	//595
    "provisionalLoad",	//596
    "qt_metacall",	//597
    "qt_metacall$$?",	//598
    "qt_metacast",	//599
    "qt_metacast$",	//600
    "refreshPlugins",	//601
    "reload",	//602
    "removeAllChildren",	//603
    "removeAllDatabases",	//604
    "removeAttribute",	//605
    "removeAttribute$",	//606
    "removeAttributeNS",	//607
    "removeAttributeNS$$",	//608
    "removeClass",	//609
    "removeClass$",	//610
    "removeDatabase",	//611
    "removeDatabase#",	//612
    "removeFromDocument",	//613
    "removeLocalScheme",	//614
    "removeLocalScheme$",	//615
    "render",	//616
    "render#",	//617
    "render##",	//618
    "render#$",	//619
    "render#$#",	//620
    "renderHints",	//621
    "renderTreeDump",	//622
    "repaintRequested",	//623
    "repaintRequested#",	//624
    "replace",	//625
    "replace#",	//626
    "replace$",	//627
    "requestedUrl",	//628
    "resetAttribute",	//629
    "resetAttribute$",	//630
    "resetFontFamily",	//631
    "resetFontFamily$",	//632
    "resetFontSize",	//633
    "resetFontSize$",	//634
    "resizeEvent",	//635
    "resizeEvent#",	//636
    "restoreFrameStateRequested",	//637
    "restoreFrameStateRequested#",	//638
    "saveFrameStateRequested",	//639
    "saveFrameStateRequested##",	//640
    "scheme",	//641
    "scroll",	//642
    "scroll$$",	//643
    "scrollBarGeometry",	//644
    "scrollBarGeometry$",	//645
    "scrollBarMaximum",	//646
    "scrollBarMaximum$",	//647
    "scrollBarMinimum",	//648
    "scrollBarMinimum$",	//649
    "scrollBarPolicy",	//650
    "scrollBarPolicy$",	//651
    "scrollBarValue",	//652
    "scrollBarValue$",	//653
    "scrollPosition",	//654
    "scrollRequested",	//655
    "scrollRequested$$#",	//656
    "scrollToAnchor",	//657
    "scrollToAnchor$",	//658
    "securityOrigin",	//659
    "selectedHtml",	//660
    "selectedText",	//661
    "selectionChanged",	//662
    "setActualVisibleContentRect",	//663
    "setActualVisibleContentRect#",	//664
    "setApplicationCacheQuota",	//665
    "setApplicationCacheQuota$",	//666
    "setAttribute",	//667
    "setAttribute$$",	//668
    "setAttributeNS",	//669
    "setAttributeNS$$$",	//670
    "setBaseUrl",	//671
    "setBaseUrl#",	//672
    "setContent",	//673
    "setContent#",	//674
    "setContent#$",	//675
    "setContent#$#",	//676
    "setContentEditable",	//677
    "setContentEditable$",	//678
    "setContentType",	//679
    "setContentType$",	//680
    "setDatabaseQuota",	//681
    "setDatabaseQuota$",	//682
    "setDefaultInterface",	//683
    "setDefaultInterface#",	//684
    "setDefaultTextEncoding",	//685
    "setDefaultTextEncoding$",	//686
    "setDescription",	//687
    "setDescription$",	//688
    "setDomain",	//689
    "setDomain$",	//690
    "setEncoding",	//691
    "setEncoding$",	//692
    "setError",	//693
    "setError$",	//694
    "setErrorString",	//695
    "setErrorString$",	//696
    "setFeaturePermission",	//697
    "setFeaturePermission#$$",	//698
    "setFileExtensions",	//699
    "setFileExtensions?",	//700
    "setFileNames",	//701
    "setFileNames?",	//702
    "setFocus",	//703
    "setFontFamily",	//704
    "setFontFamily$$",	//705
    "setFontSize",	//706
    "setFontSize$$",	//707
    "setForwardUnsupportedContent",	//708
    "setForwardUnsupportedContent$",	//709
    "setFrame",	//710
    "setFrame#",	//711
    "setHtml",	//712
    "setHtml$",	//713
    "setHtml$#",	//714
    "setIconDatabasePath",	//715
    "setIconDatabasePath$",	//716
    "setInnerXml",	//717
    "setInnerXml$",	//718
    "setLinkDelegationPolicy",	//719
    "setLinkDelegationPolicy$",	//720
    "setLocalStoragePath",	//721
    "setLocalStoragePath$",	//722
    "setMaximumItemCount",	//723
    "setMaximumItemCount$",	//724
    "setMaximumPagesInCache",	//725
    "setMaximumPagesInCache$",	//726
    "setMimeTypes",	//727
    "setMimeTypes?",	//728
    "setName",	//729
    "setName$",	//730
    "setNetworkAccessManager",	//731
    "setNetworkAccessManager#",	//732
    "setObjectCacheCapacities",	//733
    "setObjectCacheCapacities$$$",	//734
    "setOfflineStorageDefaultQuota",	//735
    "setOfflineStorageDefaultQuota$",	//736
    "setOfflineStoragePath",	//737
    "setOfflineStoragePath$",	//738
    "setOfflineWebApplicationCachePath",	//739
    "setOfflineWebApplicationCachePath$",	//740
    "setOfflineWebApplicationCacheQuota",	//741
    "setOfflineWebApplicationCacheQuota$",	//742
    "setOuterXml",	//743
    "setOuterXml$",	//744
    "setPage",	//745
    "setPage#",	//746
    "setPalette",	//747
    "setPalette#",	//748
    "setParentFrame",	//749
    "setParentFrame#",	//750
    "setPlainText",	//751
    "setPlainText$",	//752
    "setPluginFactory",	//753
    "setPluginFactory#",	//754
    "setPreferredContentsSize",	//755
    "setPreferredContentsSize#",	//756
    "setRenderHint",	//757
    "setRenderHint$",	//758
    "setRenderHint$$",	//759
    "setRenderHints",	//760
    "setRenderHints$",	//761
    "setScrollBarPolicy",	//762
    "setScrollBarPolicy$$",	//763
    "setScrollBarValue",	//764
    "setScrollBarValue$$",	//765
    "setScrollPosition",	//766
    "setScrollPosition#",	//767
    "setStyleProperty",	//768
    "setStyleProperty$$",	//769
    "setSuggestedFileNames",	//770
    "setSuggestedFileNames?",	//771
    "setTextSizeMultiplier",	//772
    "setTextSizeMultiplier$",	//773
    "setThirdPartyCookiePolicy",	//774
    "setThirdPartyCookiePolicy$",	//775
    "setUrl",	//776
    "setUrl#",	//777
    "setUserData",	//778
    "setUserData#",	//779
    "setUserStyleSheetUrl",	//780
    "setUserStyleSheetUrl#",	//781
    "setView",	//782
    "setView#",	//783
    "setViewportSize",	//784
    "setViewportSize#",	//785
    "setVisible",	//786
    "setWebGraphic",	//787
    "setWebGraphic$#",	//788
    "setZoomFactor",	//789
    "setZoomFactor$",	//790
    "settings",	//791
    "shouldInterruptJavaScript",	//792
    "showEvent",	//793
    "showEvent#",	//794
    "size",	//795
    "sizeHint",	//796
    "staticMetaObject",	//797
    "statusBarMessage",	//798
    "statusBarMessage$",	//799
    "statusBarVisibilityChangeRequested",	//800
    "statusBarVisibilityChangeRequested$",	//801
    "stop",	//802
    "styleChange",	//803
    "styleProperty",	//804
    "styleProperty$$",	//805
    "suggestedFileNames",	//806
    "supportedContentTypes",	//807
    "supportsContentType",	//808
    "supportsContentType$",	//809
    "supportsExtension",	//810
    "supportsExtension$",	//811
    "swallowContextMenuEvent",	//812
    "swallowContextMenuEvent#",	//813
    "tabletEvent",	//814
    "tagName",	//815
    "takeFromDocument",	//816
    "testAttribute",	//817
    "testAttribute$",	//818
    "textSizeMultiplier",	//819
    "thirdPartyCookiePolicy",	//820
    "timerEvent",	//821
    "title",	//822
    "titleChanged",	//823
    "titleChanged$",	//824
    "toHtml",	//825
    "toInnerXml",	//826
    "toList",	//827
    "toOuterXml",	//828
    "toPlainText",	//829
    "toggleClass",	//830
    "toggleClass$",	//831
    "toolBarVisibilityChangeRequested",	//832
    "toolBarVisibilityChangeRequested$",	//833
    "totalBytes",	//834
    "tr",	//835
    "tr$",	//836
    "tr$$",	//837
    "tr$$$",	//838
    "trUtf8",	//839
    "trUtf8$",	//840
    "trUtf8$$",	//841
    "trUtf8$$$",	//842
    "triggerAction",	//843
    "triggerAction$",	//844
    "triggerAction$$",	//845
    "triggerPageAction",	//846
    "triggerPageAction$",	//847
    "triggerPageAction$$",	//848
    "undoStack",	//849
    "unsupportedContent",	//850
    "unsupportedContent#",	//851
    "updatePositionDependentActions",	//852
    "updatePositionDependentActions#",	//853
    "url",	//854
    "urlChanged",	//855
    "urlChanged#",	//856
    "userAgentForUrl",	//857
    "userAgentForUrl#",	//858
    "userData",	//859
    "userStyleSheetUrl",	//860
    "view",	//861
    "viewportAttributesForSize",	//862
    "viewportAttributesForSize#",	//863
    "viewportChangeRequested",	//864
    "viewportSize",	//865
    "webFrame",	//866
    "webGraphic",	//867
    "webGraphic$",	//868
    "wheelEvent",	//869
    "wheelEvent#",	//870
    "windowActivationChange",	//871
    "windowCloseRequested",	//872
    "x11Event",	//873
    "zoomFactor",	//874
    "~ChooseMultipleFilesExtensionOption",	//875
    "~ChooseMultipleFilesExtensionReturn",	//876
    "~ErrorPageExtensionOption",	//877
    "~ErrorPageExtensionReturn",	//878
    "~ExtensionOption",	//879
    "~ExtensionReturn",	//880
    "~MimeType",	//881
    "~Plugin",	//882
    "~QWebDatabase",	//883
    "~QWebElement",	//884
    "~QWebElementCollection",	//885
    "~QWebHistoryInterface",	//886
    "~QWebHistoryItem",	//887
    "~QWebHitTestResult",	//888
    "~QWebInspector",	//889
    "~QWebPage",	//890
    "~QWebPluginFactory",	//891
    "~QWebSecurityOrigin",	//892
    "~QWebView",	//893
    "~ViewportAttributes",	//894
    "~const_iterator",	//895
    "~iterator",	//896
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {16, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {16, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {16, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {16, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {16, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {16, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {16, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {16, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {16, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {16, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {16, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {16, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {16, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {16, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {16, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {16, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {16, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {16, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {16, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {16, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {16, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {16, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 30},	//30 QGlobalSpace::__codecvt_ok (enum)
    {16, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 31},	//31 QGlobalSpace::__codecvt_partial (enum)
    {16, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 32},	//32 QGlobalSpace::__codecvt_error (enum)
    {16, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 33},	//33 QGlobalSpace::__codecvt_noconv (enum)
    {28, 364, 1, 1, Smoke::mf_virtual, 229, 0},	//34 QObject::event(QEvent*)
    {28, 366, 3, 2, Smoke::mf_virtual, 229, 0},	//35 QObject::eventFilter(QObject*, QEvent*)
    {28, 821, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::timerEvent(QTimerEvent*)
    {28, 284, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::childEvent(QChildEvent*)
    {28, 320, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::customEvent(QEvent*)
    {28, 295, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::connectNotify(const char*)
    {28, 331, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::disconnectNotify(const char*)
    {48, 148, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 1},	//41 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {48, 555, 12, 1, 0, 68, 2},	//42 QWebDatabase::operator=(const QWebDatabase&)
    {48, 525, 0, 0, Smoke::mf_const, 54, 3},	//43 QWebDatabase::name() const
    {48, 332, 0, 0, Smoke::mf_const, 54, 4},	//44 QWebDatabase::displayName() const
    {48, 367, 0, 0, Smoke::mf_const, 276, 5},	//45 QWebDatabase::expectedSize() const
    {48, 795, 0, 0, Smoke::mf_const, 276, 6},	//46 QWebDatabase::size() const
    {48, 377, 0, 0, Smoke::mf_const, 54, 7},	//47 QWebDatabase::fileName() const
    {48, 565, 0, 0, Smoke::mf_const, 122, 8},	//48 QWebDatabase::origin() const
    {48, 611, 12, 1, Smoke::mf_static, 0, 9},	//49 QWebDatabase::removeDatabase(const QWebDatabase&)
    {48, 604, 0, 0, Smoke::mf_static, 0, 10},	//50 QWebDatabase::removeAllDatabases()
    {48, 883, 0, 0, Smoke::mf_dtor, 0, 11 },	//51 QWebDatabase::~QWebDatabase()
    {49, 150, 0, 0, Smoke::mf_ctor, 72, 1},	//52 QWebElement::QWebElement()
    {49, 150, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//53 QWebElement::QWebElement(const QWebElement&)
    {49, 555, 14, 1, 0, 71, 3},	//54 QWebElement::operator=(const QWebElement&)
    {49, 557, 14, 1, Smoke::mf_const, 229, 4},	//55 QWebElement::operator==(const QWebElement&) const
    {49, 533, 14, 1, Smoke::mf_const, 229, 5},	//56 QWebElement::operator!=(const QWebElement&) const
    {49, 454, 0, 0, Smoke::mf_const, 229, 6},	//57 QWebElement::isNull() const
    {49, 379, 16, 1, Smoke::mf_const, 74, 7},	//58 QWebElement::findAll(const QString&) const
    {49, 383, 16, 1, Smoke::mf_const, 70, 8},	//59 QWebElement::findFirst(const QString&) const
    {49, 751, 16, 1, 0, 0, 9},	//60 QWebElement::setPlainText(const QString&)
    {49, 829, 0, 0, Smoke::mf_const, 54, 10},	//61 QWebElement::toPlainText() const
    {49, 743, 16, 1, 0, 0, 11},	//62 QWebElement::setOuterXml(const QString&)
    {49, 828, 0, 0, Smoke::mf_const, 54, 12},	//63 QWebElement::toOuterXml() const
    {49, 717, 16, 1, 0, 0, 13},	//64 QWebElement::setInnerXml(const QString&)
    {49, 826, 0, 0, Smoke::mf_const, 54, 14},	//65 QWebElement::toInnerXml() const
    {49, 667, 18, 2, 0, 0, 15},	//66 QWebElement::setAttribute(const QString&, const QString&)
    {49, 669, 21, 3, 0, 0, 16},	//67 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {49, 264, 18, 2, Smoke::mf_const, 54, 17},	//68 QWebElement::attribute(const QString&, const QString&) const
    {49, 267, 21, 3, Smoke::mf_const, 54, 18},	//69 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {49, 421, 16, 1, Smoke::mf_const, 229, 19},	//70 QWebElement::hasAttribute(const QString&) const
    {49, 423, 18, 2, Smoke::mf_const, 229, 20},	//71 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {49, 605, 16, 1, 0, 0, 21},	//72 QWebElement::removeAttribute(const QString&)
    {49, 607, 18, 2, 0, 0, 22},	//73 QWebElement::removeAttributeNS(const QString&, const QString&)
    {49, 425, 0, 0, Smoke::mf_const, 229, 23},	//74 QWebElement::hasAttributes() const
    {49, 270, 16, 1, Smoke::mf_const, 57, 24},	//75 QWebElement::attributeNames(const QString&) const
    {49, 288, 0, 0, Smoke::mf_const, 57, 25},	//76 QWebElement::classes() const
    {49, 426, 16, 1, Smoke::mf_const, 229, 26},	//77 QWebElement::hasClass(const QString&) const
    {49, 240, 16, 1, 0, 0, 27},	//78 QWebElement::addClass(const QString&)
    {49, 609, 16, 1, 0, 0, 28},	//79 QWebElement::removeClass(const QString&)
    {49, 830, 16, 1, 0, 0, 29},	//80 QWebElement::toggleClass(const QString&)
    {49, 428, 0, 0, Smoke::mf_const, 229, 30},	//81 QWebElement::hasFocus() const
    {49, 703, 0, 0, 0, 0, 31},	//82 QWebElement::setFocus()
    {49, 414, 0, 0, Smoke::mf_const, 48, 32},	//83 QWebElement::geometry() const
    {49, 815, 0, 0, Smoke::mf_const, 54, 33},	//84 QWebElement::tagName() const
    {49, 584, 0, 0, Smoke::mf_const, 54, 34},	//85 QWebElement::prefix() const
    {49, 500, 0, 0, Smoke::mf_const, 54, 35},	//86 QWebElement::localName() const
    {49, 526, 0, 0, Smoke::mf_const, 54, 36},	//87 QWebElement::namespaceUri() const
    {49, 576, 0, 0, Smoke::mf_const, 70, 37},	//88 QWebElement::parent() const
    {49, 391, 0, 0, Smoke::mf_const, 70, 38},	//89 QWebElement::firstChild() const
    {49, 478, 0, 0, Smoke::mf_const, 70, 39},	//90 QWebElement::lastChild() const
    {49, 528, 0, 0, Smoke::mf_const, 70, 40},	//91 QWebElement::nextSibling() const
    {49, 591, 0, 0, Smoke::mf_const, 70, 41},	//92 QWebElement::previousSibling() const
    {49, 333, 0, 0, Smoke::mf_const, 70, 42},	//93 QWebElement::document() const
    {49, 866, 0, 0, Smoke::mf_const, 83, 43},	//94 QWebElement::webFrame() const
    {49, 253, 16, 1, 0, 0, 44},	//95 QWebElement::appendInside(const QString&)
    {49, 253, 14, 1, 0, 0, 45},	//96 QWebElement::appendInside(const QWebElement&)
    {49, 585, 16, 1, 0, 0, 46},	//97 QWebElement::prependInside(const QString&)
    {49, 585, 14, 1, 0, 0, 47},	//98 QWebElement::prependInside(const QWebElement&)
    {49, 256, 16, 1, 0, 0, 48},	//99 QWebElement::appendOutside(const QString&)
    {49, 256, 14, 1, 0, 0, 49},	//100 QWebElement::appendOutside(const QWebElement&)
    {49, 588, 16, 1, 0, 0, 50},	//101 QWebElement::prependOutside(const QString&)
    {49, 588, 14, 1, 0, 0, 51},	//102 QWebElement::prependOutside(const QWebElement&)
    {49, 350, 14, 1, 0, 0, 52},	//103 QWebElement::encloseContentsWith(const QWebElement&)
    {49, 350, 16, 1, 0, 0, 53},	//104 QWebElement::encloseContentsWith(const QString&)
    {49, 353, 16, 1, 0, 0, 54},	//105 QWebElement::encloseWith(const QString&)
    {49, 353, 14, 1, 0, 0, 55},	//106 QWebElement::encloseWith(const QWebElement&)
    {49, 625, 16, 1, 0, 0, 56},	//107 QWebElement::replace(const QString&)
    {49, 625, 14, 1, 0, 0, 57},	//108 QWebElement::replace(const QWebElement&)
    {49, 292, 0, 0, Smoke::mf_const, 70, 58},	//109 QWebElement::clone() const
    {49, 816, 0, 0, 0, 71, 59},	//110 QWebElement::takeFromDocument()
    {49, 613, 0, 0, 0, 0, 60},	//111 QWebElement::removeFromDocument()
    {49, 603, 0, 0, 0, 0, 61},	//112 QWebElement::removeAllChildren()
    {49, 362, 16, 1, 0, 66, 62},	//113 QWebElement::evaluateJavaScript(const QString&)
    {49, 804, 25, 2, Smoke::mf_const, 54, 63},	//114 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {49, 768, 18, 2, 0, 0, 64},	//115 QWebElement::setStyleProperty(const QString&, const QString&)
    {49, 616, 28, 1, 0, 0, 65},	//116 QWebElement::render(QPainter*)
    {49, 616, 30, 2, 0, 0, 66},	//117 QWebElement::render(QPainter*, const QRect&)
    {49, 264, 16, 1, Smoke::mf_const, 54, 67},	//118 QWebElement::attribute(const QString&) const
    {49, 267, 18, 2, Smoke::mf_const, 54, 68},	//119 QWebElement::attributeNS(const QString&, const QString&) const
    {49, 270, 0, 0, Smoke::mf_const, 57, 69},	//120 QWebElement::attributeNames() const
    {49, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 70},	//121 QWebElement::InlineStyle (enum)
    {49, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 71},	//122 QWebElement::CascadedStyle (enum)
    {49, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 72},	//123 QWebElement::ComputedStyle (enum)
    {49, 884, 0, 0, Smoke::mf_dtor, 0, 73 },	//124 QWebElement::~QWebElement()
    {50, 152, 0, 0, Smoke::mf_ctor, 76, 1},	//125 QWebElementCollection::QWebElementCollection()
    {50, 152, 33, 2, Smoke::mf_ctor, 76, 2},	//126 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {50, 152, 36, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 3},	//127 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {50, 555, 36, 1, 0, 75, 4},	//128 QWebElementCollection::operator=(const QWebElementCollection&)
    {50, 536, 36, 1, Smoke::mf_const, 74, 5},	//129 QWebElementCollection::operator+(const QWebElementCollection&) const
    {50, 541, 36, 1, 0, 75, 6},	//130 QWebElementCollection::operator+=(const QWebElementCollection&)
    {50, 251, 36, 1, 0, 0, 7},	//131 QWebElementCollection::append(const QWebElementCollection&)
    {50, 309, 0, 0, Smoke::mf_const, 274, 8},	//132 QWebElementCollection::count() const
    {50, 262, 38, 1, Smoke::mf_const, 70, 9},	//133 QWebElementCollection::at(int) const
    {50, 563, 38, 1, Smoke::mf_const, 70, 10},	//134 QWebElementCollection::operator[](int) const
    {50, 390, 0, 0, Smoke::mf_const, 70, 11},	//135 QWebElementCollection::first() const
    {50, 477, 0, 0, Smoke::mf_const, 70, 12},	//136 QWebElementCollection::last() const
    {50, 827, 0, 0, Smoke::mf_const, 23, 13},	//137 QWebElementCollection::toList() const
    {50, 277, 0, 0, Smoke::mf_const, 77, 14},	//138 QWebElementCollection::begin() const
    {50, 358, 0, 0, Smoke::mf_const, 77, 15},	//139 QWebElementCollection::end() const
    {50, 296, 0, 0, Smoke::mf_const, 77, 16},	//140 QWebElementCollection::constBegin() const
    {50, 297, 0, 0, Smoke::mf_const, 77, 17},	//141 QWebElementCollection::constEnd() const
    {50, 277, 0, 0, 0, 80, 18},	//142 QWebElementCollection::begin()
    {50, 358, 0, 0, 0, 80, 19},	//143 QWebElementCollection::end()
    {50, 885, 0, 0, Smoke::mf_dtor, 0, 20 },	//144 QWebElementCollection::~QWebElementCollection()
    {51, 298, 40, 2, Smoke::mf_ctor, 79, 1},	//145 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {51, 298, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//146 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {51, 535, 0, 0, Smoke::mf_const, 249, 3},	//147 QWebElementCollection::const_iterator::operator*() const
    {51, 557, 43, 1, Smoke::mf_const, 229, 4},	//148 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {51, 533, 43, 1, Smoke::mf_const, 229, 5},	//149 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {51, 551, 43, 1, Smoke::mf_const, 229, 6},	//150 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {51, 553, 43, 1, Smoke::mf_const, 229, 7},	//151 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {51, 559, 43, 1, Smoke::mf_const, 229, 8},	//152 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {51, 561, 43, 1, Smoke::mf_const, 229, 9},	//153 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {51, 539, 0, 0, 0, 78, 10},	//154 QWebElementCollection::const_iterator::operator++()
    {51, 539, 38, 1, 0, 77, 11},	//155 QWebElementCollection::const_iterator::operator++(int)
    {51, 547, 0, 0, 0, 78, 12},	//156 QWebElementCollection::const_iterator::operator--()
    {51, 547, 38, 1, 0, 77, 13},	//157 QWebElementCollection::const_iterator::operator--(int)
    {51, 541, 38, 1, 0, 78, 14},	//158 QWebElementCollection::const_iterator::operator+=(int)
    {51, 549, 38, 1, 0, 78, 15},	//159 QWebElementCollection::const_iterator::operator-=(int)
    {51, 536, 38, 1, Smoke::mf_const, 77, 16},	//160 QWebElementCollection::const_iterator::operator+(int) const
    {51, 544, 38, 1, Smoke::mf_const, 77, 17},	//161 QWebElementCollection::const_iterator::operator-(int) const
    {51, 544, 45, 1, Smoke::mf_const, 274, 18},	//162 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {51, 895, 0, 0, Smoke::mf_dtor, 0, 19 },	//163 QWebElementCollection::const_iterator::~const_iterator()
    {52, 460, 40, 2, Smoke::mf_ctor, 82, 1},	//164 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {52, 460, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 82, 2},	//165 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {52, 535, 0, 0, Smoke::mf_const, 70, 3},	//166 QWebElementCollection::iterator::operator*() const
    {52, 557, 47, 1, Smoke::mf_const, 229, 4},	//167 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {52, 533, 47, 1, Smoke::mf_const, 229, 5},	//168 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {52, 551, 47, 1, Smoke::mf_const, 229, 6},	//169 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {52, 553, 47, 1, Smoke::mf_const, 229, 7},	//170 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {52, 559, 47, 1, Smoke::mf_const, 229, 8},	//171 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {52, 561, 47, 1, Smoke::mf_const, 229, 9},	//172 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {52, 539, 0, 0, 0, 81, 10},	//173 QWebElementCollection::iterator::operator++()
    {52, 539, 38, 1, 0, 80, 11},	//174 QWebElementCollection::iterator::operator++(int)
    {52, 547, 0, 0, 0, 81, 12},	//175 QWebElementCollection::iterator::operator--()
    {52, 547, 38, 1, 0, 80, 13},	//176 QWebElementCollection::iterator::operator--(int)
    {52, 541, 38, 1, 0, 81, 14},	//177 QWebElementCollection::iterator::operator+=(int)
    {52, 549, 38, 1, 0, 81, 15},	//178 QWebElementCollection::iterator::operator-=(int)
    {52, 536, 38, 1, Smoke::mf_const, 80, 16},	//179 QWebElementCollection::iterator::operator+(int) const
    {52, 544, 38, 1, Smoke::mf_const, 80, 17},	//180 QWebElementCollection::iterator::operator-(int) const
    {52, 544, 49, 1, Smoke::mf_const, 274, 18},	//181 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {52, 896, 0, 0, Smoke::mf_dtor, 0, 19 },	//182 QWebElementCollection::iterator::~iterator()
    {53, 510, 0, 0, Smoke::mf_const, 234, 1},	//183 QWebFrame::metaObject() const
    {53, 599, 10, 1, 0, 279, 2},	//184 QWebFrame::qt_metacast(const char*)
    {53, 835, 51, 2, Smoke::mf_static, 54, 3},	//185 QWebFrame::tr(const char*, const char*)
    {53, 839, 51, 2, Smoke::mf_static, 54, 4},	//186 QWebFrame::trUtf8(const char*, const char*)
    {53, 835, 54, 3, Smoke::mf_static, 54, 5},	//187 QWebFrame::tr(const char*, const char*, int)
    {53, 839, 54, 3, Smoke::mf_static, 54, 6},	//188 QWebFrame::trUtf8(const char*, const char*, int)
    {53, 597, 58, 3, 0, 274, 7},	//189 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {53, 567, 0, 0, Smoke::mf_const, 94, 8},	//190 QWebFrame::page() const
    {53, 491, 62, 1, 0, 0, 9},	//191 QWebFrame::load(const QUrl&)
    {53, 491, 64, 3, 0, 0, 10},	//192 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {53, 712, 68, 2, 0, 0, 11},	//193 QWebFrame::setHtml(const QString&, const QUrl&)
    {53, 673, 71, 3, 0, 0, 12},	//194 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {53, 246, 75, 2, 0, 0, 13},	//195 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {53, 246, 78, 3, 0, 0, 14},	//196 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {53, 825, 0, 0, Smoke::mf_const, 54, 15},	//197 QWebFrame::toHtml() const
    {53, 829, 0, 0, Smoke::mf_const, 54, 16},	//198 QWebFrame::toPlainText() const
    {53, 622, 0, 0, Smoke::mf_const, 54, 17},	//199 QWebFrame::renderTreeDump() const
    {53, 822, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 18},	//200 QWebFrame::title() const
    {53, 776, 62, 1, Smoke::mf_property, 0, 19},	//201 QWebFrame::setUrl(const QUrl&)
    {53, 854, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 20},	//202 QWebFrame::url() const
    {53, 628, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 21},	//203 QWebFrame::requestedUrl() const
    {53, 276, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 22},	//204 QWebFrame::baseUrl() const
    {53, 439, 0, 0, Smoke::mf_const|Smoke::mf_property, 19, 23},	//205 QWebFrame::icon() const
    {53, 509, 0, 0, Smoke::mf_const, 33, 24},	//206 QWebFrame::metaData() const
    {53, 413, 0, 0, Smoke::mf_const, 54, 25},	//207 QWebFrame::frameName() const
    {53, 577, 0, 0, Smoke::mf_const, 83, 26},	//208 QWebFrame::parentFrame() const
    {53, 285, 0, 0, Smoke::mf_const, 24, 27},	//209 QWebFrame::childFrames() const
    {53, 650, 82, 1, Smoke::mf_const, 185, 28},	//210 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {53, 762, 84, 2, 0, 0, 29},	//211 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {53, 764, 87, 2, 0, 0, 30},	//212 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {53, 652, 82, 1, Smoke::mf_const, 274, 31},	//213 QWebFrame::scrollBarValue(Qt::Orientation) const
    {53, 648, 82, 1, Smoke::mf_const, 274, 32},	//214 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {53, 646, 82, 1, Smoke::mf_const, 274, 33},	//215 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {53, 644, 82, 1, Smoke::mf_const, 48, 34},	//216 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {53, 642, 90, 2, 0, 0, 35},	//217 QWebFrame::scroll(int, int)
    {53, 654, 0, 0, Smoke::mf_const|Smoke::mf_property, 46, 36},	//218 QWebFrame::scrollPosition() const
    {53, 766, 93, 1, Smoke::mf_property, 0, 37},	//219 QWebFrame::setScrollPosition(const QPoint&)
    {53, 657, 16, 1, 0, 0, 38},	//220 QWebFrame::scrollToAnchor(const QString&)
    {53, 616, 28, 1, 0, 0, 39},	//221 QWebFrame::render(QPainter*)
    {53, 616, 95, 2, 0, 0, 40},	//222 QWebFrame::render(QPainter*, const QRegion&)
    {53, 616, 98, 3, 0, 0, 41},	//223 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {53, 772, 102, 1, 0, 0, 42},	//224 QWebFrame::setTextSizeMultiplier(float)
    {53, 819, 0, 0, Smoke::mf_const, 273, 43},	//225 QWebFrame::textSizeMultiplier() const
    {53, 874, 0, 0, Smoke::mf_const, 273, 44},	//226 QWebFrame::zoomFactor() const
    {53, 789, 102, 1, 0, 0, 45},	//227 QWebFrame::setZoomFactor(float)
    {53, 428, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 46},	//228 QWebFrame::hasFocus() const
    {53, 703, 0, 0, 0, 0, 47},	//229 QWebFrame::setFocus()
    {53, 582, 0, 0, Smoke::mf_const, 46, 48},	//230 QWebFrame::pos() const
    {53, 414, 0, 0, Smoke::mf_const, 48, 49},	//231 QWebFrame::geometry() const
    {53, 304, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 50},	//232 QWebFrame::contentsSize() const
    {53, 334, 0, 0, Smoke::mf_const, 70, 51},	//233 QWebFrame::documentElement() const
    {53, 381, 16, 1, Smoke::mf_const, 74, 52},	//234 QWebFrame::findAllElements(const QString&) const
    {53, 385, 16, 1, Smoke::mf_const, 70, 53},	//235 QWebFrame::findFirstElement(const QString&) const
    {53, 436, 93, 1, Smoke::mf_const, 90, 54},	//236 QWebFrame::hitTestContent(const QPoint&) const
    {53, 364, 1, 1, 0, 229, 55},	//237 QWebFrame::event(QEvent*)
    {53, 659, 0, 0, Smoke::mf_const, 122, 56},	//238 QWebFrame::securityOrigin() const
    {53, 362, 16, 1, Smoke::mf_slot, 66, 57},	//239 QWebFrame::evaluateJavaScript(const QString&)
    {53, 592, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//240 QWebFrame::print(QPrinter*) const
    {53, 471, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//241 QWebFrame::javaScriptWindowObjectCleared()
    {53, 596, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//242 QWebFrame::provisionalLoad()
    {53, 823, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//243 QWebFrame::titleChanged(const QString&)
    {53, 855, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//244 QWebFrame::urlChanged(const QUrl&)
    {53, 445, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//245 QWebFrame::initialLayoutCompleted()
    {53, 440, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//246 QWebFrame::iconChanged()
    {53, 305, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//247 QWebFrame::contentsSizeChanged(const QSize&)
    {53, 499, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//248 QWebFrame::loadStarted()
    {53, 495, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//249 QWebFrame::loadFinished(bool)
    {53, 570, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//250 QWebFrame::pageChanged()
    {53, 835, 10, 1, Smoke::mf_static, 54, 69},	//251 QWebFrame::tr(const char*)
    {53, 839, 10, 1, Smoke::mf_static, 54, 70},	//252 QWebFrame::trUtf8(const char*)
    {53, 491, 110, 1, 0, 0, 71},	//253 QWebFrame::load(const QNetworkRequest&)
    {53, 491, 112, 2, 0, 0, 72},	//254 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {53, 712, 16, 1, 0, 0, 73},	//255 QWebFrame::setHtml(const QString&)
    {53, 673, 115, 1, 0, 0, 74},	//256 QWebFrame::setContent(const QByteArray&)
    {53, 673, 117, 2, 0, 0, 75},	//257 QWebFrame::setContent(const QByteArray&, const QString&)
    {53, 616, 120, 2, 0, 0, 76},	//258 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {53, 797, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 77},	//259 QWebFrame::staticMetaObject() const
    {53, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 78},	//260 QWebFrame::ContentsLayer (enum)
    {53, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 79},	//261 QWebFrame::ScrollBarLayer (enum)
    {53, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 80},	//262 QWebFrame::PanIconLayer (enum)
    {53, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 81},	//263 QWebFrame::AllLayers (enum)
    {54, 289, 0, 0, 0, 0, 1},	//264 QWebHistory::clear()
    {54, 459, 0, 0, Smoke::mf_const, 25, 2},	//265 QWebHistory::items() const
    {54, 274, 38, 1, Smoke::mf_const, 25, 3},	//266 QWebHistory::backItems(int) const
    {54, 405, 38, 1, Smoke::mf_const, 25, 4},	//267 QWebHistory::forwardItems(int) const
    {54, 280, 0, 0, Smoke::mf_const, 229, 5},	//268 QWebHistory::canGoBack() const
    {54, 281, 0, 0, Smoke::mf_const, 229, 6},	//269 QWebHistory::canGoForward() const
    {54, 272, 0, 0, 0, 0, 7},	//270 QWebHistory::back()
    {54, 403, 0, 0, 0, 0, 8},	//271 QWebHistory::forward()
    {54, 418, 123, 1, 0, 0, 9},	//272 QWebHistory::goToItem(const QWebHistoryItem&)
    {54, 273, 0, 0, Smoke::mf_const, 87, 10},	//273 QWebHistory::backItem() const
    {54, 318, 0, 0, Smoke::mf_const, 87, 11},	//274 QWebHistory::currentItem() const
    {54, 404, 0, 0, Smoke::mf_const, 87, 12},	//275 QWebHistory::forwardItem() const
    {54, 457, 38, 1, Smoke::mf_const, 87, 13},	//276 QWebHistory::itemAt(int) const
    {54, 319, 0, 0, Smoke::mf_const, 274, 14},	//277 QWebHistory::currentItemIndex() const
    {54, 309, 0, 0, Smoke::mf_const, 274, 15},	//278 QWebHistory::count() const
    {54, 504, 0, 0, Smoke::mf_const, 274, 16},	//279 QWebHistory::maximumItemCount() const
    {54, 723, 38, 1, 0, 0, 17},	//280 QWebHistory::setMaximumItemCount(int)
    {55, 510, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//281 QWebHistoryInterface::metaObject() const
    {55, 599, 10, 1, Smoke::mf_virtual, 279, 2},	//282 QWebHistoryInterface::qt_metacast(const char*)
    {55, 835, 51, 2, Smoke::mf_static, 54, 3},	//283 QWebHistoryInterface::tr(const char*, const char*)
    {55, 839, 51, 2, Smoke::mf_static, 54, 4},	//284 QWebHistoryInterface::trUtf8(const char*, const char*)
    {55, 835, 54, 3, Smoke::mf_static, 54, 5},	//285 QWebHistoryInterface::tr(const char*, const char*, int)
    {55, 839, 54, 3, Smoke::mf_static, 54, 6},	//286 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {55, 597, 58, 3, Smoke::mf_virtual, 274, 7},	//287 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {55, 155, 125, 1, Smoke::mf_ctor, 86, 8},	//288 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {55, 683, 127, 1, Smoke::mf_static, 0, 9},	//289 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {55, 326, 0, 0, Smoke::mf_static, 86, 10},	//290 QWebHistoryInterface::defaultInterface()
    {55, 434, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 229, 11},	//291 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {55, 242, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//292 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {55, 835, 10, 1, Smoke::mf_static, 54, 13},	//293 QWebHistoryInterface::tr(const char*)
    {55, 839, 10, 1, Smoke::mf_static, 54, 14},	//294 QWebHistoryInterface::trUtf8(const char*)
    {55, 155, 0, 0, Smoke::mf_ctor, 86, 15},	//295 QWebHistoryInterface::QWebHistoryInterface()
    {55, 797, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 16},	//296 QWebHistoryInterface::staticMetaObject() const
    {55, 886, 0, 0, Smoke::mf_dtor, 0, 17 },	//297 QWebHistoryInterface::~QWebHistoryInterface()
    {56, 157, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 1},	//298 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {56, 555, 123, 1, 0, 88, 2},	//299 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {56, 566, 0, 0, Smoke::mf_const, 64, 3},	//300 QWebHistoryItem::originalUrl() const
    {56, 854, 0, 0, Smoke::mf_const, 64, 4},	//301 QWebHistoryItem::url() const
    {56, 822, 0, 0, Smoke::mf_const, 54, 5},	//302 QWebHistoryItem::title() const
    {56, 479, 0, 0, Smoke::mf_const, 8, 6},	//303 QWebHistoryItem::lastVisited() const
    {56, 439, 0, 0, Smoke::mf_const, 19, 7},	//304 QWebHistoryItem::icon() const
    {56, 859, 0, 0, Smoke::mf_const, 66, 8},	//305 QWebHistoryItem::userData() const
    {56, 778, 129, 1, 0, 0, 9},	//306 QWebHistoryItem::setUserData(const QVariant&)
    {56, 456, 0, 0, Smoke::mf_const, 229, 10},	//307 QWebHistoryItem::isValid() const
    {56, 887, 0, 0, Smoke::mf_dtor, 0, 11 },	//308 QWebHistoryItem::~QWebHistoryItem()
    {57, 159, 0, 0, Smoke::mf_ctor, 92, 1},	//309 QWebHitTestResult::QWebHitTestResult()
    {57, 159, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 92, 2},	//310 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {57, 555, 131, 1, 0, 91, 3},	//311 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {57, 454, 0, 0, Smoke::mf_const, 229, 4},	//312 QWebHitTestResult::isNull() const
    {57, 582, 0, 0, Smoke::mf_const, 46, 5},	//313 QWebHitTestResult::pos() const
    {57, 278, 0, 0, Smoke::mf_const, 48, 6},	//314 QWebHitTestResult::boundingRect() const
    {57, 356, 0, 0, Smoke::mf_const, 70, 7},	//315 QWebHitTestResult::enclosingBlockElement() const
    {57, 822, 0, 0, Smoke::mf_const, 54, 8},	//316 QWebHitTestResult::title() const
    {57, 488, 0, 0, Smoke::mf_const, 54, 9},	//317 QWebHitTestResult::linkText() const
    {57, 490, 0, 0, Smoke::mf_const, 64, 10},	//318 QWebHitTestResult::linkUrl() const
    {57, 489, 0, 0, Smoke::mf_const, 64, 11},	//319 QWebHitTestResult::linkTitle() const
    {57, 487, 0, 0, Smoke::mf_const, 83, 12},	//320 QWebHitTestResult::linkTargetFrame() const
    {57, 484, 0, 0, Smoke::mf_const, 70, 13},	//321 QWebHitTestResult::linkElement() const
    {57, 250, 0, 0, Smoke::mf_const, 54, 14},	//322 QWebHitTestResult::alternateText() const
    {57, 444, 0, 0, Smoke::mf_const, 64, 15},	//323 QWebHitTestResult::imageUrl() const
    {57, 578, 0, 0, Smoke::mf_const, 45, 16},	//324 QWebHitTestResult::pixmap() const
    {57, 451, 0, 0, Smoke::mf_const, 229, 17},	//325 QWebHitTestResult::isContentEditable() const
    {57, 452, 0, 0, Smoke::mf_const, 229, 18},	//326 QWebHitTestResult::isContentSelected() const
    {57, 346, 0, 0, Smoke::mf_const, 70, 19},	//327 QWebHitTestResult::element() const
    {57, 408, 0, 0, Smoke::mf_const, 83, 20},	//328 QWebHitTestResult::frame() const
    {57, 888, 0, 0, Smoke::mf_dtor, 0, 21 },	//329 QWebHitTestResult::~QWebHitTestResult()
    {58, 510, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//330 QWebInspector::metaObject() const
    {58, 599, 10, 1, Smoke::mf_virtual, 279, 2},	//331 QWebInspector::qt_metacast(const char*)
    {58, 835, 51, 2, Smoke::mf_static, 54, 3},	//332 QWebInspector::tr(const char*, const char*)
    {58, 839, 51, 2, Smoke::mf_static, 54, 4},	//333 QWebInspector::trUtf8(const char*, const char*)
    {58, 835, 54, 3, Smoke::mf_static, 54, 5},	//334 QWebInspector::tr(const char*, const char*, int)
    {58, 839, 54, 3, Smoke::mf_static, 54, 6},	//335 QWebInspector::trUtf8(const char*, const char*, int)
    {58, 597, 58, 3, Smoke::mf_virtual, 274, 7},	//336 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {58, 161, 133, 1, Smoke::mf_ctor, 93, 8},	//337 QWebInspector::QWebInspector(QWidget*)
    {58, 745, 135, 1, 0, 0, 9},	//338 QWebInspector::setPage(QWebPage*)
    {58, 567, 0, 0, Smoke::mf_const, 94, 10},	//339 QWebInspector::page() const
    {58, 796, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 53, 11},	//340 QWebInspector::sizeHint() const
    {58, 364, 1, 1, Smoke::mf_virtual, 229, 12},	//341 QWebInspector::event(QEvent*)
    {58, 635, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//342 QWebInspector::resizeEvent(QResizeEvent*)
    {58, 793, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//343 QWebInspector::showEvent(QShowEvent*)
    {58, 431, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//344 QWebInspector::hideEvent(QHideEvent*)
    {58, 293, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//345 QWebInspector::closeEvent(QCloseEvent*)
    {58, 835, 10, 1, Smoke::mf_static, 54, 17},	//346 QWebInspector::tr(const char*)
    {58, 839, 10, 1, Smoke::mf_static, 54, 18},	//347 QWebInspector::trUtf8(const char*)
    {58, 161, 0, 0, Smoke::mf_ctor, 93, 19},	//348 QWebInspector::QWebInspector()
    {58, 797, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 20},	//349 QWebInspector::staticMetaObject() const
    {58, 889, 0, 0, Smoke::mf_dtor, 0, 21 },	//350 QWebInspector::~QWebInspector()
    {59, 510, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//351 QWebPage::metaObject() const
    {59, 599, 10, 1, Smoke::mf_virtual, 279, 2},	//352 QWebPage::qt_metacast(const char*)
    {59, 835, 51, 2, Smoke::mf_static, 54, 3},	//353 QWebPage::tr(const char*, const char*)
    {59, 839, 51, 2, Smoke::mf_static, 54, 4},	//354 QWebPage::trUtf8(const char*, const char*)
    {59, 835, 54, 3, Smoke::mf_static, 54, 5},	//355 QWebPage::tr(const char*, const char*, int)
    {59, 839, 54, 3, Smoke::mf_static, 54, 6},	//356 QWebPage::trUtf8(const char*, const char*, int)
    {59, 597, 58, 3, Smoke::mf_virtual, 274, 7},	//357 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {59, 163, 125, 1, Smoke::mf_ctor, 94, 8},	//358 QWebPage::QWebPage(QObject*)
    {59, 503, 0, 0, Smoke::mf_const, 83, 9},	//359 QWebPage::mainFrame() const
    {59, 317, 0, 0, Smoke::mf_const, 83, 10},	//360 QWebPage::currentFrame() const
    {59, 409, 93, 1, Smoke::mf_const, 83, 11},	//361 QWebPage::frameAt(const QPoint&) const
    {59, 433, 0, 0, Smoke::mf_const, 85, 12},	//362 QWebPage::history() const
    {59, 791, 0, 0, Smoke::mf_const, 125, 13},	//363 QWebPage::settings() const
    {59, 782, 133, 1, 0, 0, 14},	//364 QWebPage::setView(QWidget*)
    {59, 861, 0, 0, Smoke::mf_const, 134, 15},	//365 QWebPage::view() const
    {59, 453, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 16},	//366 QWebPage::isModified() const
    {59, 849, 0, 0, Smoke::mf_const, 63, 17},	//367 QWebPage::undoStack() const
    {59, 731, 145, 1, 0, 0, 18},	//368 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {59, 527, 0, 0, Smoke::mf_const, 34, 19},	//369 QWebPage::networkAccessManager() const
    {59, 753, 147, 1, 0, 0, 20},	//370 QWebPage::setPluginFactory(QWebPluginFactory*)
    {59, 579, 0, 0, Smoke::mf_const, 114, 21},	//371 QWebPage::pluginFactory() const
    {59, 834, 0, 0, Smoke::mf_const, 278, 22},	//372 QWebPage::totalBytes() const
    {59, 279, 0, 0, Smoke::mf_const, 278, 23},	//373 QWebPage::bytesReceived() const
    {59, 429, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 24},	//374 QWebPage::hasSelection() const
    {59, 661, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 25},	//375 QWebPage::selectedText() const
    {59, 660, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 26},	//376 QWebPage::selectedHtml() const
    {59, 237, 149, 1, Smoke::mf_const, 1, 27},	//377 QWebPage::action(QWebPage::WebAction) const
    {59, 843, 151, 2, Smoke::mf_virtual, 0, 28},	//378 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {59, 865, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 29},	//379 QWebPage::viewportSize() const
    {59, 784, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//380 QWebPage::setViewportSize(const QSize&) const
    {59, 862, 106, 1, Smoke::mf_const, 108, 31},	//381 QWebPage::viewportAttributesForSize(const QSize&) const
    {59, 583, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 32},	//382 QWebPage::preferredContentsSize() const
    {59, 755, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 33},	//383 QWebPage::setPreferredContentsSize(const QSize&) const
    {59, 663, 154, 1, Smoke::mf_const, 0, 34},	//384 QWebPage::setActualVisibleContentRect(const QRect&) const
    {59, 364, 1, 1, Smoke::mf_virtual, 229, 35},	//385 QWebPage::event(QEvent*)
    {59, 394, 108, 1, 0, 229, 36},	//386 QWebPage::focusNextPrevChild(bool)
    {59, 449, 156, 1, Smoke::mf_const, 66, 37},	//387 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {59, 387, 158, 2, 0, 229, 38},	//388 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {59, 708, 108, 1, Smoke::mf_property, 0, 39},	//389 QWebPage::setForwardUnsupportedContent(bool)
    {59, 407, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 40},	//390 QWebPage::forwardUnsupportedContent() const
    {59, 719, 161, 1, Smoke::mf_property, 0, 41},	//391 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {59, 483, 0, 0, Smoke::mf_const|Smoke::mf_property, 105, 42},	//392 QWebPage::linkDelegationPolicy() const
    {59, 747, 163, 1, Smoke::mf_property, 0, 43},	//393 QWebPage::setPalette(const QPalette&)
    {59, 574, 0, 0, Smoke::mf_const|Smoke::mf_property, 44, 44},	//394 QWebPage::palette() const
    {59, 677, 108, 1, Smoke::mf_property, 0, 45},	//395 QWebPage::setContentEditable(bool)
    {59, 451, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 46},	//396 QWebPage::isContentEditable() const
    {59, 812, 165, 1, 0, 229, 47},	//397 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {59, 852, 93, 1, 0, 0, 48},	//398 QWebPage::updatePositionDependentActions(const QPoint&)
    {59, 314, 0, 0, 0, 29, 49},	//399 QWebPage::createStandardContextMenu()
    {59, 697, 167, 3, 0, 0, 50},	//400 QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)
    {59, 807, 0, 0, Smoke::mf_const, 57, 51},	//401 QWebPage::supportedContentTypes() const
    {59, 808, 16, 1, Smoke::mf_const, 229, 52},	//402 QWebPage::supportsContentType(const QString&) const
    {59, 368, 171, 3, Smoke::mf_virtual, 229, 53},	//403 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {59, 810, 175, 1, Smoke::mf_const|Smoke::mf_virtual, 229, 54},	//404 QWebPage::supportsExtension(QWebPage::Extension) const
    {59, 420, 0, 0, Smoke::mf_const, 113, 55},	//405 QWebPage::handle() const
    {59, 792, 0, 0, Smoke::mf_slot, 229, 56},	//406 QWebPage::shouldInterruptJavaScript()
    {59, 499, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//407 QWebPage::loadStarted()
    {59, 497, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//408 QWebPage::loadProgress(int)
    {59, 495, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//409 QWebPage::loadFinished(bool)
    {59, 485, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//410 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {59, 798, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//411 QWebPage::statusBarMessage(const QString&)
    {59, 662, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//412 QWebPage::selectionChanged()
    {59, 411, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//413 QWebPage::frameCreated(QWebFrame*)
    {59, 415, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//414 QWebPage::geometryChangeRequested(const QRect&)
    {59, 623, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//415 QWebPage::repaintRequested(const QRect&)
    {59, 655, 179, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//416 QWebPage::scrollRequested(int, int, const QRect&)
    {59, 872, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//417 QWebPage::windowCloseRequested()
    {59, 594, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//418 QWebPage::printRequested(QWebFrame*)
    {59, 481, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//419 QWebPage::linkClicked(const QUrl&)
    {59, 832, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//420 QWebPage::toolBarVisibilityChangeRequested(bool)
    {59, 800, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//421 QWebPage::statusBarVisibilityChangeRequested(bool)
    {59, 507, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//422 QWebPage::menuBarVisibilityChangeRequested(bool)
    {59, 850, 183, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//423 QWebPage::unsupportedContent(QNetworkReply*)
    {59, 336, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//424 QWebPage::downloadRequested(const QNetworkRequest&)
    {59, 512, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//425 QWebPage::microFocusChanged()
    {59, 303, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//426 QWebPage::contentsChanged()
    {59, 322, 185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//427 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {59, 259, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//428 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64)
    {59, 259, 191, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//429 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64, quint64)
    {59, 639, 195, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//430 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {59, 637, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//431 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {59, 864, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//432 QWebPage::viewportChangeRequested()
    {59, 374, 198, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//433 QWebPage::featurePermissionRequested(QWebFrame*, QWebPage::Feature)
    {59, 372, 198, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 84},	//434 QWebPage::featurePermissionRequestCanceled(QWebFrame*, QWebPage::Feature)
    {59, 315, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 94, 85},	//435 QWebPage::createWindow(QWebPage::WebWindowType)
    {59, 312, 203, 4, Smoke::mf_protected|Smoke::mf_virtual, 38, 86},	//436 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {59, 235, 208, 3, Smoke::mf_protected|Smoke::mf_virtual, 229, 87},	//437 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {59, 286, 212, 2, Smoke::mf_protected|Smoke::mf_virtual, 54, 88},	//438 QWebPage::chooseFile(QWebFrame*, const QString&)
    {59, 463, 212, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 89},	//439 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {59, 465, 212, 2, Smoke::mf_protected|Smoke::mf_virtual, 229, 90},	//440 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {59, 469, 215, 4, Smoke::mf_protected|Smoke::mf_virtual, 229, 91},	//441 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {59, 467, 220, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 92},	//442 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {59, 857, 62, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 54, 93},	//443 QWebPage::userAgentForUrl(const QUrl&) const
    {59, 835, 10, 1, Smoke::mf_static, 54, 94},	//444 QWebPage::tr(const char*)
    {59, 839, 10, 1, Smoke::mf_static, 54, 95},	//445 QWebPage::trUtf8(const char*)
    {59, 163, 0, 0, Smoke::mf_ctor, 94, 96},	//446 QWebPage::QWebPage()
    {59, 843, 149, 1, 0, 0, 97},	//447 QWebPage::triggerAction(QWebPage::WebAction)
    {59, 387, 16, 1, 0, 229, 98},	//448 QWebPage::findText(const QString&)
    {59, 368, 175, 1, 0, 229, 99},	//449 QWebPage::extension(QWebPage::Extension)
    {59, 368, 224, 2, 0, 229, 100},	//450 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {59, 797, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 101},	//451 QWebPage::staticMetaObject() const
    {59, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 102},	//452 QWebPage::NavigationTypeLinkClicked (enum)
    {59, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 103},	//453 QWebPage::NavigationTypeFormSubmitted (enum)
    {59, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 104},	//454 QWebPage::NavigationTypeBackOrForward (enum)
    {59, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 105},	//455 QWebPage::NavigationTypeReload (enum)
    {59, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 106},	//456 QWebPage::NavigationTypeFormResubmitted (enum)
    {59, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 107},	//457 QWebPage::NavigationTypeOther (enum)
    {59, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 108},	//458 QWebPage::NoWebAction (enum)
    {59, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 109},	//459 QWebPage::OpenLink (enum)
    {59, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 110},	//460 QWebPage::OpenLinkInNewWindow (enum)
    {59, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 111},	//461 QWebPage::OpenFrameInNewWindow (enum)
    {59, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 112},	//462 QWebPage::DownloadLinkToDisk (enum)
    {59, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 113},	//463 QWebPage::CopyLinkToClipboard (enum)
    {59, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 114},	//464 QWebPage::OpenImageInNewWindow (enum)
    {59, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 115},	//465 QWebPage::DownloadImageToDisk (enum)
    {59, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 116},	//466 QWebPage::CopyImageToClipboard (enum)
    {59, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 117},	//467 QWebPage::Back (enum)
    {59, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 118},	//468 QWebPage::Forward (enum)
    {59, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 119},	//469 QWebPage::Stop (enum)
    {59, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 120},	//470 QWebPage::Reload (enum)
    {59, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 121},	//471 QWebPage::Cut (enum)
    {59, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 122},	//472 QWebPage::Copy (enum)
    {59, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 123},	//473 QWebPage::Paste (enum)
    {59, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 124},	//474 QWebPage::Undo (enum)
    {59, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 125},	//475 QWebPage::Redo (enum)
    {59, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 126},	//476 QWebPage::MoveToNextChar (enum)
    {59, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 127},	//477 QWebPage::MoveToPreviousChar (enum)
    {59, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 128},	//478 QWebPage::MoveToNextWord (enum)
    {59, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 129},	//479 QWebPage::MoveToPreviousWord (enum)
    {59, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 130},	//480 QWebPage::MoveToNextLine (enum)
    {59, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 131},	//481 QWebPage::MoveToPreviousLine (enum)
    {59, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 132},	//482 QWebPage::MoveToStartOfLine (enum)
    {59, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 133},	//483 QWebPage::MoveToEndOfLine (enum)
    {59, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 134},	//484 QWebPage::MoveToStartOfBlock (enum)
    {59, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 135},	//485 QWebPage::MoveToEndOfBlock (enum)
    {59, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 136},	//486 QWebPage::MoveToStartOfDocument (enum)
    {59, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 137},	//487 QWebPage::MoveToEndOfDocument (enum)
    {59, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 138},	//488 QWebPage::SelectNextChar (enum)
    {59, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 139},	//489 QWebPage::SelectPreviousChar (enum)
    {59, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 140},	//490 QWebPage::SelectNextWord (enum)
    {59, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 141},	//491 QWebPage::SelectPreviousWord (enum)
    {59, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 142},	//492 QWebPage::SelectNextLine (enum)
    {59, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 143},	//493 QWebPage::SelectPreviousLine (enum)
    {59, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 144},	//494 QWebPage::SelectStartOfLine (enum)
    {59, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 145},	//495 QWebPage::SelectEndOfLine (enum)
    {59, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 146},	//496 QWebPage::SelectStartOfBlock (enum)
    {59, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 147},	//497 QWebPage::SelectEndOfBlock (enum)
    {59, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 148},	//498 QWebPage::SelectStartOfDocument (enum)
    {59, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 149},	//499 QWebPage::SelectEndOfDocument (enum)
    {59, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 150},	//500 QWebPage::DeleteStartOfWord (enum)
    {59, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 151},	//501 QWebPage::DeleteEndOfWord (enum)
    {59, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 152},	//502 QWebPage::SetTextDirectionDefault (enum)
    {59, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 153},	//503 QWebPage::SetTextDirectionLeftToRight (enum)
    {59, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 154},	//504 QWebPage::SetTextDirectionRightToLeft (enum)
    {59, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 155},	//505 QWebPage::ToggleBold (enum)
    {59, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 156},	//506 QWebPage::ToggleItalic (enum)
    {59, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 157},	//507 QWebPage::ToggleUnderline (enum)
    {59, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 158},	//508 QWebPage::InspectElement (enum)
    {59, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 159},	//509 QWebPage::InsertParagraphSeparator (enum)
    {59, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 160},	//510 QWebPage::InsertLineSeparator (enum)
    {59, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 161},	//511 QWebPage::SelectAll (enum)
    {59, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 162},	//512 QWebPage::ReloadAndBypassCache (enum)
    {59, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 163},	//513 QWebPage::PasteAndMatchStyle (enum)
    {59, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 164},	//514 QWebPage::RemoveFormat (enum)
    {59, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 165},	//515 QWebPage::ToggleStrikethrough (enum)
    {59, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 166},	//516 QWebPage::ToggleSubscript (enum)
    {59, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 167},	//517 QWebPage::ToggleSuperscript (enum)
    {59, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 168},	//518 QWebPage::InsertUnorderedList (enum)
    {59, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 169},	//519 QWebPage::InsertOrderedList (enum)
    {59, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 170},	//520 QWebPage::Indent (enum)
    {59, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 171},	//521 QWebPage::Outdent (enum)
    {59, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 172},	//522 QWebPage::AlignCenter (enum)
    {59, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 173},	//523 QWebPage::AlignJustified (enum)
    {59, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 174},	//524 QWebPage::AlignLeft (enum)
    {59, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 175},	//525 QWebPage::AlignRight (enum)
    {59, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 176},	//526 QWebPage::StopScheduledPageRefresh (enum)
    {59, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 177},	//527 QWebPage::CopyImageUrlToClipboard (enum)
    {59, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 178},	//528 QWebPage::OpenLinkInThisWindow (enum)
    {59, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 179},	//529 QWebPage::WebActionCount (enum)
    {59, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 180},	//530 QWebPage::FindBackward (enum)
    {59, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 181},	//531 QWebPage::FindCaseSensitively (enum)
    {59, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 182},	//532 QWebPage::FindWrapsAroundDocument (enum)
    {59, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 183},	//533 QWebPage::HighlightAllOccurrences (enum)
    {59, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 184},	//534 QWebPage::DontDelegateLinks (enum)
    {59, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 185},	//535 QWebPage::DelegateExternalLinks (enum)
    {59, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 186},	//536 QWebPage::DelegateAllLinks (enum)
    {59, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 187},	//537 QWebPage::WebBrowserWindow (enum)
    {59, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 188},	//538 QWebPage::WebModalDialog (enum)
    {59, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 189},	//539 QWebPage::PermissionUnknown (enum)
    {59, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 190},	//540 QWebPage::PermissionGrantedByUser (enum)
    {59, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 191},	//541 QWebPage::PermissionDeniedByUser (enum)
    {59, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 192},	//542 QWebPage::Notifications (enum)
    {59, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 193},	//543 QWebPage::Geolocation (enum)
    {59, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 194},	//544 QWebPage::ChooseMultipleFilesExtension (enum)
    {59, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 195},	//545 QWebPage::ErrorPageExtension (enum)
    {59, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 196},	//546 QWebPage::QtNetwork (enum)
    {59, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 197},	//547 QWebPage::Http (enum)
    {59, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 198},	//548 QWebPage::WebKit (enum)
    {59, 890, 0, 0, Smoke::mf_dtor, 0, 199 },	//549 QWebPage::~QWebPage()
    {60, 17, 0, 0, Smoke::mf_ctor, 95, 1},	//550 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {60, 17, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 2},	//551 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {60, 577, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 83, 3},	//552 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {60, 749, 177, 1, Smoke::mf_attribute, 0, 4},	//553 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {60, 806, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 5},	//554 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {60, 770, 229, 1, Smoke::mf_attribute, 0, 6},	//555 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {60, 875, 0, 0, Smoke::mf_dtor, 0, 7 },	//556 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {61, 19, 0, 0, Smoke::mf_ctor, 96, 1},	//557 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {61, 19, 231, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 2},	//558 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {61, 378, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 3},	//559 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {61, 701, 229, 1, Smoke::mf_attribute, 0, 4},	//560 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {61, 876, 0, 0, Smoke::mf_dtor, 0, 5 },	//561 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {62, 45, 0, 0, Smoke::mf_ctor, 98, 1},	//562 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {62, 45, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//563 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {62, 854, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 3},	//564 QWebPage::ErrorPageExtensionOption::url() const
    {62, 776, 62, 1, Smoke::mf_attribute, 0, 4},	//565 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {62, 408, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 83, 5},	//566 QWebPage::ErrorPageExtensionOption::frame() const
    {62, 710, 177, 1, Smoke::mf_attribute, 0, 6},	//567 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {62, 335, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 97, 7},	//568 QWebPage::ErrorPageExtensionOption::domain() const
    {62, 689, 235, 1, Smoke::mf_attribute, 0, 8},	//569 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {62, 360, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 274, 9},	//570 QWebPage::ErrorPageExtensionOption::error() const
    {62, 693, 38, 1, Smoke::mf_attribute, 0, 10},	//571 QWebPage::ErrorPageExtensionOption::setError(int)
    {62, 361, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 11},	//572 QWebPage::ErrorPageExtensionOption::errorString() const
    {62, 695, 16, 1, Smoke::mf_attribute, 0, 12},	//573 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {62, 877, 0, 0, Smoke::mf_dtor, 0, 13 },	//574 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {63, 47, 0, 0, Smoke::mf_ctor, 99, 1},	//575 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {63, 47, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//576 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {63, 302, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 3},	//577 QWebPage::ErrorPageExtensionReturn::contentType() const
    {63, 679, 16, 1, Smoke::mf_attribute, 0, 4},	//578 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {63, 357, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//579 QWebPage::ErrorPageExtensionReturn::encoding() const
    {63, 691, 16, 1, Smoke::mf_attribute, 0, 6},	//580 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {63, 276, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 7},	//581 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {63, 671, 62, 1, Smoke::mf_attribute, 0, 8},	//582 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {63, 301, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//583 QWebPage::ErrorPageExtensionReturn::content() const
    {63, 673, 115, 1, Smoke::mf_attribute, 0, 10},	//584 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {63, 878, 0, 0, Smoke::mf_dtor, 0, 11 },	//585 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {64, 49, 0, 0, Smoke::mf_ctor, 101, 1},	//586 QWebPage::ExtensionOption::ExtensionOption()
    {64, 49, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 2},	//587 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {64, 879, 0, 0, Smoke::mf_dtor, 0, 3 },	//588 QWebPage::ExtensionOption::~ExtensionOption()
    {65, 51, 0, 0, Smoke::mf_ctor, 102, 1},	//589 QWebPage::ExtensionReturn::ExtensionReturn()
    {65, 51, 241, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//590 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {65, 880, 0, 0, Smoke::mf_dtor, 0, 3 },	//591 QWebPage::ExtensionReturn::~ExtensionReturn()
    {66, 222, 0, 0, Smoke::mf_ctor, 110, 1},	//592 QWebPage::ViewportAttributes::ViewportAttributes()
    {66, 222, 243, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 110, 2},	//593 QWebPage::ViewportAttributes::ViewportAttributes(const QWebPage::ViewportAttributes&)
    {66, 555, 243, 1, 0, 109, 3},	//594 QWebPage::ViewportAttributes::operator=(const QWebPage::ViewportAttributes&)
    {66, 446, 0, 0, Smoke::mf_const, 273, 4},	//595 QWebPage::ViewportAttributes::initialScaleFactor() const
    {66, 514, 0, 0, Smoke::mf_const, 273, 5},	//596 QWebPage::ViewportAttributes::minimumScaleFactor() const
    {66, 506, 0, 0, Smoke::mf_const, 273, 6},	//597 QWebPage::ViewportAttributes::maximumScaleFactor() const
    {66, 330, 0, 0, Smoke::mf_const, 273, 7},	//598 QWebPage::ViewportAttributes::devicePixelRatio() const
    {66, 455, 0, 0, Smoke::mf_const, 229, 8},	//599 QWebPage::ViewportAttributes::isUserScalable() const
    {66, 456, 0, 0, Smoke::mf_const, 229, 9},	//600 QWebPage::ViewportAttributes::isValid() const
    {66, 795, 0, 0, Smoke::mf_const, 53, 10},	//601 QWebPage::ViewportAttributes::size() const
    {66, 894, 0, 0, Smoke::mf_dtor, 0, 11 },	//602 QWebPage::ViewportAttributes::~ViewportAttributes()
    {68, 510, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//603 QWebPluginFactory::metaObject() const
    {68, 599, 10, 1, Smoke::mf_virtual, 279, 2},	//604 QWebPluginFactory::qt_metacast(const char*)
    {68, 835, 51, 2, Smoke::mf_static, 54, 3},	//605 QWebPluginFactory::tr(const char*, const char*)
    {68, 839, 51, 2, Smoke::mf_static, 54, 4},	//606 QWebPluginFactory::trUtf8(const char*, const char*)
    {68, 835, 54, 3, Smoke::mf_static, 54, 5},	//607 QWebPluginFactory::tr(const char*, const char*, int)
    {68, 839, 54, 3, Smoke::mf_static, 54, 6},	//608 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {68, 597, 58, 3, Smoke::mf_virtual, 274, 7},	//609 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {68, 165, 125, 1, Smoke::mf_ctor, 114, 8},	//610 QWebPluginFactory::QWebPluginFactory(QObject*)
    {68, 580, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 9},	//611 QWebPluginFactory::plugins() const [pure virtual]
    {68, 601, 0, 0, Smoke::mf_virtual, 0, 10},	//612 QWebPluginFactory::refreshPlugins()
    {68, 310, 203, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 38, 11},	//613 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {68, 368, 245, 3, Smoke::mf_virtual, 229, 12},	//614 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {68, 810, 249, 1, Smoke::mf_const|Smoke::mf_virtual, 229, 13},	//615 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {68, 835, 10, 1, Smoke::mf_static, 54, 14},	//616 QWebPluginFactory::tr(const char*)
    {68, 839, 10, 1, Smoke::mf_static, 54, 15},	//617 QWebPluginFactory::trUtf8(const char*)
    {68, 165, 0, 0, Smoke::mf_ctor, 114, 16},	//618 QWebPluginFactory::QWebPluginFactory()
    {68, 368, 249, 1, 0, 229, 17},	//619 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {68, 368, 251, 2, 0, 229, 18},	//620 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {68, 797, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 19},	//621 QWebPluginFactory::staticMetaObject() const
    {68, 891, 0, 0, Smoke::mf_dtor, 0, 20 },	//622 QWebPluginFactory::~QWebPluginFactory()
    {69, 49, 0, 0, Smoke::mf_ctor, 116, 1},	//623 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {69, 49, 254, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 2},	//624 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {69, 879, 0, 0, Smoke::mf_dtor, 0, 3 },	//625 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {70, 51, 0, 0, Smoke::mf_ctor, 117, 1},	//626 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {70, 51, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//627 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {70, 880, 0, 0, Smoke::mf_dtor, 0, 3 },	//628 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {71, 557, 258, 1, Smoke::mf_const, 229, 1},	//629 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {71, 533, 258, 1, Smoke::mf_const, 229, 2},	//630 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {71, 102, 0, 0, Smoke::mf_ctor, 119, 3},	//631 QWebPluginFactory::MimeType::MimeType()
    {71, 102, 258, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 4},	//632 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {71, 525, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//633 QWebPluginFactory::MimeType::name() const
    {71, 729, 16, 1, Smoke::mf_attribute, 0, 6},	//634 QWebPluginFactory::MimeType::setName(const QString&)
    {71, 328, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 7},	//635 QWebPluginFactory::MimeType::description() const
    {71, 687, 16, 1, Smoke::mf_attribute, 0, 8},	//636 QWebPluginFactory::MimeType::setDescription(const QString&)
    {71, 376, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 58, 9},	//637 QWebPluginFactory::MimeType::fileExtensions() const
    {71, 699, 229, 1, Smoke::mf_attribute, 0, 10},	//638 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {71, 881, 0, 0, Smoke::mf_dtor, 0, 11 },	//639 QWebPluginFactory::MimeType::~MimeType()
    {72, 143, 0, 0, Smoke::mf_ctor, 121, 1},	//640 QWebPluginFactory::Plugin::Plugin()
    {72, 143, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 2},	//641 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {72, 525, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 3},	//642 QWebPluginFactory::Plugin::name() const
    {72, 729, 16, 1, Smoke::mf_attribute, 0, 4},	//643 QWebPluginFactory::Plugin::setName(const QString&)
    {72, 328, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 55, 5},	//644 QWebPluginFactory::Plugin::description() const
    {72, 687, 16, 1, Smoke::mf_attribute, 0, 6},	//645 QWebPluginFactory::Plugin::setDescription(const QString&)
    {72, 513, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 26, 7},	//646 QWebPluginFactory::Plugin::mimeTypes() const
    {72, 727, 262, 1, Smoke::mf_attribute, 0, 8},	//647 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {72, 882, 0, 0, Smoke::mf_dtor, 0, 9 },	//648 QWebPluginFactory::Plugin::~Plugin()
    {73, 249, 0, 0, Smoke::mf_static, 28, 1},	//649 QWebSecurityOrigin::allOrigins()
    {73, 244, 16, 1, Smoke::mf_static, 0, 2},	//650 QWebSecurityOrigin::addLocalScheme(const QString&)
    {73, 614, 16, 1, Smoke::mf_static, 0, 3},	//651 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {73, 501, 0, 0, Smoke::mf_static, 57, 4},	//652 QWebSecurityOrigin::localSchemes()
    {73, 641, 0, 0, Smoke::mf_const, 54, 5},	//653 QWebSecurityOrigin::scheme() const
    {73, 438, 0, 0, Smoke::mf_const, 54, 6},	//654 QWebSecurityOrigin::host() const
    {73, 581, 0, 0, Smoke::mf_const, 274, 7},	//655 QWebSecurityOrigin::port() const
    {73, 324, 0, 0, Smoke::mf_const, 276, 8},	//656 QWebSecurityOrigin::databaseUsage() const
    {73, 321, 0, 0, Smoke::mf_const, 276, 9},	//657 QWebSecurityOrigin::databaseQuota() const
    {73, 681, 264, 1, 0, 0, 10},	//658 QWebSecurityOrigin::setDatabaseQuota(long long)
    {73, 665, 264, 1, 0, 0, 11},	//659 QWebSecurityOrigin::setApplicationCacheQuota(long long)
    {73, 325, 0, 0, Smoke::mf_const, 22, 12},	//660 QWebSecurityOrigin::databases() const
    {73, 167, 266, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 13},	//661 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {73, 555, 266, 1, 0, 123, 14},	//662 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {73, 892, 0, 0, Smoke::mf_dtor, 0, 15 },	//663 QWebSecurityOrigin::~QWebSecurityOrigin()
    {74, 417, 0, 0, Smoke::mf_static, 125, 1},	//664 QWebSettings::globalSettings()
    {74, 704, 268, 2, 0, 0, 2},	//665 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {74, 399, 271, 1, Smoke::mf_const, 54, 3},	//666 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {74, 631, 271, 1, 0, 0, 4},	//667 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {74, 706, 273, 2, 0, 0, 5},	//668 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {74, 401, 276, 1, Smoke::mf_const, 274, 6},	//669 QWebSettings::fontSize(QWebSettings::FontSize) const
    {74, 633, 276, 1, 0, 0, 7},	//670 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {74, 667, 278, 2, 0, 0, 8},	//671 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {74, 817, 281, 1, Smoke::mf_const, 229, 9},	//672 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {74, 629, 281, 1, 0, 0, 10},	//673 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {74, 780, 62, 1, 0, 0, 11},	//674 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {74, 860, 0, 0, Smoke::mf_const, 64, 12},	//675 QWebSettings::userStyleSheetUrl() const
    {74, 685, 16, 1, 0, 0, 13},	//676 QWebSettings::setDefaultTextEncoding(const QString&)
    {74, 327, 0, 0, Smoke::mf_const, 54, 14},	//677 QWebSettings::defaultTextEncoding() const
    {74, 715, 16, 1, Smoke::mf_static, 0, 15},	//678 QWebSettings::setIconDatabasePath(const QString&)
    {74, 441, 0, 0, Smoke::mf_static, 54, 16},	//679 QWebSettings::iconDatabasePath()
    {74, 290, 0, 0, Smoke::mf_static, 0, 17},	//680 QWebSettings::clearIconDatabase()
    {74, 442, 62, 1, Smoke::mf_static, 19, 18},	//681 QWebSettings::iconForUrl(const QUrl&)
    {74, 787, 283, 2, Smoke::mf_static, 0, 19},	//682 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {74, 867, 286, 1, Smoke::mf_static, 45, 20},	//683 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {74, 725, 38, 1, Smoke::mf_static, 0, 21},	//684 QWebSettings::setMaximumPagesInCache(int)
    {74, 505, 0, 0, Smoke::mf_static, 274, 22},	//685 QWebSettings::maximumPagesInCache()
    {74, 733, 288, 3, Smoke::mf_static, 0, 23},	//686 QWebSettings::setObjectCacheCapacities(int, int, int)
    {74, 737, 16, 1, Smoke::mf_static, 0, 24},	//687 QWebSettings::setOfflineStoragePath(const QString&)
    {74, 530, 0, 0, Smoke::mf_static, 54, 25},	//688 QWebSettings::offlineStoragePath()
    {74, 735, 264, 1, Smoke::mf_static, 0, 26},	//689 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {74, 529, 0, 0, Smoke::mf_static, 276, 27},	//690 QWebSettings::offlineStorageDefaultQuota()
    {74, 739, 16, 1, Smoke::mf_static, 0, 28},	//691 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {74, 531, 0, 0, Smoke::mf_static, 54, 29},	//692 QWebSettings::offlineWebApplicationCachePath()
    {74, 741, 264, 1, Smoke::mf_static, 0, 30},	//693 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {74, 532, 0, 0, Smoke::mf_static, 276, 31},	//694 QWebSettings::offlineWebApplicationCacheQuota()
    {74, 721, 16, 1, 0, 0, 32},	//695 QWebSettings::setLocalStoragePath(const QString&)
    {74, 502, 0, 0, Smoke::mf_const, 54, 33},	//696 QWebSettings::localStoragePath() const
    {74, 291, 0, 0, Smoke::mf_static, 0, 34},	//697 QWebSettings::clearMemoryCaches()
    {74, 347, 16, 1, Smoke::mf_static, 0, 35},	//698 QWebSettings::enablePersistentStorage(const QString&)
    {74, 774, 292, 1, 0, 0, 36},	//699 QWebSettings::setThirdPartyCookiePolicy(QWebSettings::ThirdPartyCookiePolicy)
    {74, 820, 0, 0, Smoke::mf_const, 128, 37},	//700 QWebSettings::thirdPartyCookiePolicy() const
    {74, 420, 0, 0, Smoke::mf_const, 131, 38},	//701 QWebSettings::handle() const
    {74, 347, 0, 0, Smoke::mf_static, 0, 39},	//702 QWebSettings::enablePersistentStorage()
    {74, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 40},	//703 QWebSettings::StandardFont (enum)
    {74, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 41},	//704 QWebSettings::FixedFont (enum)
    {74, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 42},	//705 QWebSettings::SerifFont (enum)
    {74, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 43},	//706 QWebSettings::SansSerifFont (enum)
    {74, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 44},	//707 QWebSettings::CursiveFont (enum)
    {74, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 45},	//708 QWebSettings::FantasyFont (enum)
    {74, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 46},	//709 QWebSettings::AutoLoadImages (enum)
    {74, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 47},	//710 QWebSettings::JavascriptEnabled (enum)
    {74, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 48},	//711 QWebSettings::JavaEnabled (enum)
    {74, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 49},	//712 QWebSettings::PluginsEnabled (enum)
    {74, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 50},	//713 QWebSettings::PrivateBrowsingEnabled (enum)
    {74, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 51},	//714 QWebSettings::JavascriptCanOpenWindows (enum)
    {74, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 52},	//715 QWebSettings::JavascriptCanAccessClipboard (enum)
    {74, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 53},	//716 QWebSettings::DeveloperExtrasEnabled (enum)
    {74, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 54},	//717 QWebSettings::LinksIncludedInFocusChain (enum)
    {74, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 55},	//718 QWebSettings::ZoomTextOnly (enum)
    {74, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 56},	//719 QWebSettings::PrintElementBackgrounds (enum)
    {74, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 57},	//720 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {74, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 58},	//721 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {74, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 59},	//722 QWebSettings::LocalStorageEnabled (enum)
    {74, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 60},	//723 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {74, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 61},	//724 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {74, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 62},	//725 QWebSettings::DnsPrefetchEnabled (enum)
    {74, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 63},	//726 QWebSettings::XSSAuditingEnabled (enum)
    {74, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 64},	//727 QWebSettings::AcceleratedCompositingEnabled (enum)
    {74, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 65},	//728 QWebSettings::SpatialNavigationEnabled (enum)
    {74, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 66},	//729 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {74, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 67},	//730 QWebSettings::TiledBackingStoreEnabled (enum)
    {74, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 68},	//731 QWebSettings::FrameFlatteningEnabled (enum)
    {74, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 69},	//732 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {74, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 70},	//733 QWebSettings::JavascriptCanCloseWindows (enum)
    {74, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 71},	//734 QWebSettings::WebGLEnabled (enum)
    {74, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 72},	//735 QWebSettings::CSSRegionsEnabled (enum)
    {74, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 73},	//736 QWebSettings::HyperlinkAuditingEnabled (enum)
    {74, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 74},	//737 QWebSettings::CSSGridLayoutEnabled (enum)
    {74, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 75},	//738 QWebSettings::ScrollAnimatorEnabled (enum)
    {74, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 76},	//739 QWebSettings::CaretBrowsingEnabled (enum)
    {74, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 77},	//740 QWebSettings::NotificationsEnabled (enum)
    {74, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 78},	//741 QWebSettings::MissingImageGraphic (enum)
    {74, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 79},	//742 QWebSettings::MissingPluginGraphic (enum)
    {74, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 80},	//743 QWebSettings::DefaultFrameIconGraphic (enum)
    {74, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 81},	//744 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {74, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 82},	//745 QWebSettings::DeleteButtonGraphic (enum)
    {74, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 83},	//746 QWebSettings::InputSpeechButtonGraphic (enum)
    {74, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 84},	//747 QWebSettings::SearchCancelButtonGraphic (enum)
    {74, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 85},	//748 QWebSettings::SearchCancelButtonPressedGraphic (enum)
    {74, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 86},	//749 QWebSettings::MinimumFontSize (enum)
    {74, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 87},	//750 QWebSettings::MinimumLogicalFontSize (enum)
    {74, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 88},	//751 QWebSettings::DefaultFontSize (enum)
    {74, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 89},	//752 QWebSettings::DefaultFixedFontSize (enum)
    {74, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 90},	//753 QWebSettings::AlwaysAllowThirdPartyCookies (enum)
    {74, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 91},	//754 QWebSettings::AlwaysBlockThirdPartyCookies (enum)
    {74, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 92},	//755 QWebSettings::AllowThirdPartyWithExistingCookies (enum)
    {76, 510, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//756 QWebView::metaObject() const
    {76, 599, 10, 1, Smoke::mf_virtual, 279, 2},	//757 QWebView::qt_metacast(const char*)
    {76, 835, 51, 2, Smoke::mf_static, 54, 3},	//758 QWebView::tr(const char*, const char*)
    {76, 839, 51, 2, Smoke::mf_static, 54, 4},	//759 QWebView::trUtf8(const char*, const char*)
    {76, 835, 54, 3, Smoke::mf_static, 54, 5},	//760 QWebView::tr(const char*, const char*, int)
    {76, 839, 54, 3, Smoke::mf_static, 54, 6},	//761 QWebView::trUtf8(const char*, const char*, int)
    {76, 597, 58, 3, Smoke::mf_virtual, 274, 7},	//762 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {76, 169, 133, 1, Smoke::mf_ctor, 132, 8},	//763 QWebView::QWebView(QWidget*)
    {76, 567, 0, 0, Smoke::mf_const, 94, 9},	//764 QWebView::page() const
    {76, 745, 135, 1, 0, 0, 10},	//765 QWebView::setPage(QWebPage*)
    {76, 491, 62, 1, 0, 0, 11},	//766 QWebView::load(const QUrl&)
    {76, 491, 64, 3, 0, 0, 12},	//767 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {76, 712, 68, 2, 0, 0, 13},	//768 QWebView::setHtml(const QString&, const QUrl&)
    {76, 673, 71, 3, 0, 0, 14},	//769 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {76, 433, 0, 0, Smoke::mf_const, 85, 15},	//770 QWebView::history() const
    {76, 791, 0, 0, Smoke::mf_const, 125, 16},	//771 QWebView::settings() const
    {76, 822, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 17},	//772 QWebView::title() const
    {76, 776, 62, 1, Smoke::mf_property, 0, 18},	//773 QWebView::setUrl(const QUrl&)
    {76, 854, 0, 0, Smoke::mf_const|Smoke::mf_property, 64, 19},	//774 QWebView::url() const
    {76, 439, 0, 0, Smoke::mf_const|Smoke::mf_property, 19, 20},	//775 QWebView::icon() const
    {76, 429, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 21},	//776 QWebView::hasSelection() const
    {76, 661, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 22},	//777 QWebView::selectedText() const
    {76, 660, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 23},	//778 QWebView::selectedHtml() const
    {76, 568, 149, 1, Smoke::mf_const, 1, 24},	//779 QWebView::pageAction(QWebPage::WebAction) const
    {76, 846, 151, 2, 0, 0, 25},	//780 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {76, 453, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 26},	//781 QWebView::isModified() const
    {76, 449, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 66, 27},	//782 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 796, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 53, 28},	//783 QWebView::sizeHint() const
    {76, 874, 0, 0, Smoke::mf_const, 273, 29},	//784 QWebView::zoomFactor() const
    {76, 789, 102, 1, 0, 0, 30},	//785 QWebView::setZoomFactor(float)
    {76, 772, 102, 1, 0, 0, 31},	//786 QWebView::setTextSizeMultiplier(float)
    {76, 819, 0, 0, Smoke::mf_const, 273, 32},	//787 QWebView::textSizeMultiplier() const
    {76, 621, 0, 0, Smoke::mf_const, 15, 33},	//788 QWebView::renderHints() const
    {76, 760, 294, 1, 0, 0, 34},	//789 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {76, 757, 296, 2, 0, 0, 35},	//790 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {76, 387, 158, 2, 0, 229, 36},	//791 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {76, 364, 1, 1, Smoke::mf_virtual, 229, 37},	//792 QWebView::event(QEvent*)
    {76, 802, 0, 0, Smoke::mf_slot, 0, 38},	//793 QWebView::stop()
    {76, 272, 0, 0, Smoke::mf_slot, 0, 39},	//794 QWebView::back()
    {76, 403, 0, 0, Smoke::mf_slot, 0, 40},	//795 QWebView::forward()
    {76, 602, 0, 0, Smoke::mf_slot, 0, 41},	//796 QWebView::reload()
    {76, 592, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 42},	//797 QWebView::print(QPrinter*) const
    {76, 499, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//798 QWebView::loadStarted()
    {76, 497, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//799 QWebView::loadProgress(int)
    {76, 495, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//800 QWebView::loadFinished(bool)
    {76, 823, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//801 QWebView::titleChanged(const QString&)
    {76, 798, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//802 QWebView::statusBarMessage(const QString&)
    {76, 481, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//803 QWebView::linkClicked(const QUrl&)
    {76, 662, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//804 QWebView::selectionChanged()
    {76, 440, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//805 QWebView::iconChanged()
    {76, 855, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//806 QWebView::urlChanged(const QUrl&)
    {76, 635, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//807 QWebView::resizeEvent(QResizeEvent*)
    {76, 572, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//808 QWebView::paintEvent(QPaintEvent*)
    {76, 315, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 132, 54},	//809 QWebView::createWindow(QWebPage::WebWindowType)
    {76, 282, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//810 QWebView::changeEvent(QEvent*)
    {76, 518, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//811 QWebView::mouseMoveEvent(QMouseEvent*)
    {76, 520, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//812 QWebView::mousePressEvent(QMouseEvent*)
    {76, 516, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//813 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {76, 522, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//814 QWebView::mouseReleaseEvent(QMouseEvent*)
    {76, 307, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//815 QWebView::contextMenuEvent(QContextMenuEvent*)
    {76, 869, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//816 QWebView::wheelEvent(QWheelEvent*)
    {76, 472, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//817 QWebView::keyPressEvent(QKeyEvent*)
    {76, 474, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//818 QWebView::keyReleaseEvent(QKeyEvent*)
    {76, 338, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//819 QWebView::dragEnterEvent(QDragEnterEvent*)
    {76, 340, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//820 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {76, 342, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//821 QWebView::dragMoveEvent(QDragMoveEvent*)
    {76, 344, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//822 QWebView::dropEvent(QDropEvent*)
    {76, 392, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//823 QWebView::focusInEvent(QFocusEvent*)
    {76, 396, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//824 QWebView::focusOutEvent(QFocusEvent*)
    {76, 447, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//825 QWebView::inputMethodEvent(QInputMethodEvent*)
    {76, 394, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 229, 71},	//826 QWebView::focusNextPrevChild(bool)
    {76, 835, 10, 1, Smoke::mf_static, 54, 72},	//827 QWebView::tr(const char*)
    {76, 839, 10, 1, Smoke::mf_static, 54, 73},	//828 QWebView::trUtf8(const char*)
    {76, 169, 0, 0, Smoke::mf_ctor, 132, 74},	//829 QWebView::QWebView()
    {76, 491, 110, 1, 0, 0, 75},	//830 QWebView::load(const QNetworkRequest&)
    {76, 491, 112, 2, 0, 0, 76},	//831 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {76, 712, 16, 1, 0, 0, 77},	//832 QWebView::setHtml(const QString&)
    {76, 673, 115, 1, 0, 0, 78},	//833 QWebView::setContent(const QByteArray&)
    {76, 673, 117, 2, 0, 0, 79},	//834 QWebView::setContent(const QByteArray&, const QString&)
    {76, 846, 149, 1, 0, 0, 80},	//835 QWebView::triggerPageAction(QWebPage::WebAction)
    {76, 757, 319, 1, 0, 0, 81},	//836 QWebView::setRenderHint(QPainter::RenderHint)
    {76, 387, 16, 1, 0, 229, 82},	//837 QWebView::findText(const QString&)
    {76, 797, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 83},	//838 QWebView::staticMetaObject() const
    {76, 893, 0, 0, Smoke::mf_dtor, 0, 84 },	//839 QWebView::~QWebView()
    {78, 329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//840 QWidget::devType() const
    {78, 786, 108, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//841 QWidget::setVisible(bool)
    {78, 515, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 53, 0},	//842 QWidget::minimumSizeHint() const
    {78, 430, 38, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//843 QWidget::heightForWidth(int) const
    {78, 571, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 0},	//844 QWidget::paintEngine() const
    {78, 520, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//845 QWidget::mousePressEvent(QMouseEvent*)
    {78, 522, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//846 QWidget::mouseReleaseEvent(QMouseEvent*)
    {78, 516, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//847 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {78, 518, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//848 QWidget::mouseMoveEvent(QMouseEvent*)
    {78, 869, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//849 QWidget::wheelEvent(QWheelEvent*)
    {78, 472, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//850 QWidget::keyPressEvent(QKeyEvent*)
    {78, 474, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//851 QWidget::keyReleaseEvent(QKeyEvent*)
    {78, 392, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//852 QWidget::focusInEvent(QFocusEvent*)
    {78, 396, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//853 QWidget::focusOutEvent(QFocusEvent*)
    {78, 359, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//854 QWidget::enterEvent(QEvent*)
    {78, 480, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//855 QWidget::leaveEvent(QEvent*)
    {78, 572, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//856 QWidget::paintEvent(QPaintEvent*)
    {78, 524, 321, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//857 QWidget::moveEvent(QMoveEvent*)
    {78, 293, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//858 QWidget::closeEvent(QCloseEvent*)
    {78, 307, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//859 QWidget::contextMenuEvent(QContextMenuEvent*)
    {78, 814, 323, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//860 QWidget::tabletEvent(QTabletEvent*)
    {78, 239, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//861 QWidget::actionEvent(QActionEvent*)
    {78, 338, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//862 QWidget::dragEnterEvent(QDragEnterEvent*)
    {78, 342, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//863 QWidget::dragMoveEvent(QDragMoveEvent*)
    {78, 340, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//864 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {78, 344, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//865 QWidget::dropEvent(QDropEvent*)
    {78, 793, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//866 QWidget::showEvent(QShowEvent*)
    {78, 431, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//867 QWidget::hideEvent(QHideEvent*)
    {78, 873, 327, 1, Smoke::mf_protected|Smoke::mf_virtual, 229, 0},	//868 QWidget::x11Event(_XEvent*)
    {78, 282, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//869 QWidget::changeEvent(QEvent*)
    {78, 511, 329, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 274, 0},	//870 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {78, 447, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//871 QWidget::inputMethodEvent(QInputMethodEvent*)
    {78, 449, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 66, 0},	//872 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {78, 394, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 229, 0},	//873 QWidget::focusNextPrevChild(bool)
    {78, 803, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//874 QWidget::styleChange(QStyle&)
    {78, 349, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//875 QWidget::enabledChange(bool)
    {78, 575, 163, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//876 QWidget::paletteChange(const QPalette&)
    {78, 398, 333, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//877 QWidget::fontChange(const QFont&)
    {78, 871, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//878 QWidget::windowActivationChange(bool)
    {78, 476, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//879 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    138,  // QWebElementCollection::begin() const
    142,  // QWebElementCollection::begin()
    0,
    139,  // QWebElementCollection::end() const
    143,  // QWebElementCollection::end()
    0,
    191,  // QWebFrame::load(const QUrl&)
    253,  // QWebFrame::load(const QNetworkRequest&)
    0,
    766,  // QWebView::load(const QUrl&)
    830,  // QWebView::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 78, 13},	// QGlobalSpace::LicensedActiveQt
    {16, 79, 19},	// QGlobalSpace::LicensedCore
    {16, 80, 11},	// QGlobalSpace::LicensedDBus
    {16, 81, 16},	// QGlobalSpace::LicensedDeclarative
    {16, 82, 6},	// QGlobalSpace::LicensedGui
    {16, 83, 25},	// QGlobalSpace::LicensedHelp
    {16, 84, 26},	// QGlobalSpace::LicensedMultimedia
    {16, 85, 29},	// QGlobalSpace::LicensedNetwork
    {16, 86, 18},	// QGlobalSpace::LicensedOpenGL
    {16, 87, 10},	// QGlobalSpace::LicensedOpenVG
    {16, 88, 27},	// QGlobalSpace::LicensedQt3Support
    {16, 89, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 90, 9},	// QGlobalSpace::LicensedScript
    {16, 91, 14},	// QGlobalSpace::LicensedScriptTools
    {16, 92, 17},	// QGlobalSpace::LicensedSql
    {16, 93, 15},	// QGlobalSpace::LicensedSvg
    {16, 94, 12},	// QGlobalSpace::LicensedTest
    {16, 95, 7},	// QGlobalSpace::LicensedXml
    {16, 96, 28},	// QGlobalSpace::LicensedXmlPatterns
    {16, 171, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 172, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 173, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 174, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 175, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 176, 22},	// QGlobalSpace::QtCriticalMsg
    {16, 177, 20},	// QGlobalSpace::QtDebugMsg
    {16, 178, 23},	// QGlobalSpace::QtFatalMsg
    {16, 180, 24},	// QGlobalSpace::QtSystemMsg
    {16, 181, 21},	// QGlobalSpace::QtWarningMsg
    {16, 231, 32},	// QGlobalSpace::__codecvt_error
    {16, 232, 33},	// QGlobalSpace::__codecvt_noconv
    {16, 233, 30},	// QGlobalSpace::__codecvt_ok
    {16, 234, 31},	// QGlobalSpace::__codecvt_partial
    {48, 149, 41},	// QWebDatabase::QWebDatabase#
    {48, 332, 44},	// QWebDatabase::displayName
    {48, 367, 45},	// QWebDatabase::expectedSize
    {48, 377, 47},	// QWebDatabase::fileName
    {48, 525, 43},	// QWebDatabase::name
    {48, 556, 42},	// QWebDatabase::operator=#
    {48, 565, 48},	// QWebDatabase::origin
    {48, 604, 50},	// QWebDatabase::removeAllDatabases
    {48, 612, 49},	// QWebDatabase::removeDatabase#
    {48, 795, 46},	// QWebDatabase::size
    {48, 883, 51},	// QWebDatabase::~QWebDatabase
    {49, 15, 122},	// QWebElement::CascadedStyle
    {49, 21, 123},	// QWebElement::ComputedStyle
    {49, 66, 121},	// QWebElement::InlineStyle
    {49, 150, 52},	// QWebElement::QWebElement
    {49, 151, 53},	// QWebElement::QWebElement#
    {49, 241, 78},	// QWebElement::addClass$
    {49, 254, 96},	// QWebElement::appendInside#
    {49, 255, 95},	// QWebElement::appendInside$
    {49, 257, 100},	// QWebElement::appendOutside#
    {49, 258, 99},	// QWebElement::appendOutside$
    {49, 265, 118},	// QWebElement::attribute$
    {49, 266, 68},	// QWebElement::attribute$$
    {49, 268, 119},	// QWebElement::attributeNS$$
    {49, 269, 69},	// QWebElement::attributeNS$$$
    {49, 270, 120},	// QWebElement::attributeNames
    {49, 271, 75},	// QWebElement::attributeNames$
    {49, 288, 76},	// QWebElement::classes
    {49, 292, 109},	// QWebElement::clone
    {49, 333, 93},	// QWebElement::document
    {49, 351, 103},	// QWebElement::encloseContentsWith#
    {49, 352, 104},	// QWebElement::encloseContentsWith$
    {49, 354, 106},	// QWebElement::encloseWith#
    {49, 355, 105},	// QWebElement::encloseWith$
    {49, 363, 113},	// QWebElement::evaluateJavaScript$
    {49, 380, 58},	// QWebElement::findAll$
    {49, 384, 59},	// QWebElement::findFirst$
    {49, 391, 89},	// QWebElement::firstChild
    {49, 414, 83},	// QWebElement::geometry
    {49, 422, 70},	// QWebElement::hasAttribute$
    {49, 424, 71},	// QWebElement::hasAttributeNS$$
    {49, 425, 74},	// QWebElement::hasAttributes
    {49, 427, 77},	// QWebElement::hasClass$
    {49, 428, 81},	// QWebElement::hasFocus
    {49, 454, 57},	// QWebElement::isNull
    {49, 478, 90},	// QWebElement::lastChild
    {49, 500, 86},	// QWebElement::localName
    {49, 526, 87},	// QWebElement::namespaceUri
    {49, 528, 91},	// QWebElement::nextSibling
    {49, 534, 56},	// QWebElement::operator!=#
    {49, 556, 54},	// QWebElement::operator=#
    {49, 558, 55},	// QWebElement::operator==#
    {49, 576, 88},	// QWebElement::parent
    {49, 584, 85},	// QWebElement::prefix
    {49, 586, 98},	// QWebElement::prependInside#
    {49, 587, 97},	// QWebElement::prependInside$
    {49, 589, 102},	// QWebElement::prependOutside#
    {49, 590, 101},	// QWebElement::prependOutside$
    {49, 591, 92},	// QWebElement::previousSibling
    {49, 603, 112},	// QWebElement::removeAllChildren
    {49, 606, 72},	// QWebElement::removeAttribute$
    {49, 608, 73},	// QWebElement::removeAttributeNS$$
    {49, 610, 79},	// QWebElement::removeClass$
    {49, 613, 111},	// QWebElement::removeFromDocument
    {49, 617, 116},	// QWebElement::render#
    {49, 618, 117},	// QWebElement::render##
    {49, 626, 108},	// QWebElement::replace#
    {49, 627, 107},	// QWebElement::replace$
    {49, 668, 66},	// QWebElement::setAttribute$$
    {49, 670, 67},	// QWebElement::setAttributeNS$$$
    {49, 703, 82},	// QWebElement::setFocus
    {49, 718, 64},	// QWebElement::setInnerXml$
    {49, 744, 62},	// QWebElement::setOuterXml$
    {49, 752, 60},	// QWebElement::setPlainText$
    {49, 769, 115},	// QWebElement::setStyleProperty$$
    {49, 805, 114},	// QWebElement::styleProperty$$
    {49, 815, 84},	// QWebElement::tagName
    {49, 816, 110},	// QWebElement::takeFromDocument
    {49, 826, 65},	// QWebElement::toInnerXml
    {49, 828, 63},	// QWebElement::toOuterXml
    {49, 829, 61},	// QWebElement::toPlainText
    {49, 831, 80},	// QWebElement::toggleClass$
    {49, 866, 94},	// QWebElement::webFrame
    {49, 884, 124},	// QWebElement::~QWebElement
    {50, 152, 125},	// QWebElementCollection::QWebElementCollection
    {50, 153, 127},	// QWebElementCollection::QWebElementCollection#
    {50, 154, 126},	// QWebElementCollection::QWebElementCollection#$
    {50, 252, 131},	// QWebElementCollection::append#
    {50, 263, 133},	// QWebElementCollection::at$
    {50, 277, -1},	// QWebElementCollection::begin
    {50, 296, 140},	// QWebElementCollection::constBegin
    {50, 297, 141},	// QWebElementCollection::constEnd
    {50, 309, 132},	// QWebElementCollection::count
    {50, 358, -4},	// QWebElementCollection::end
    {50, 390, 135},	// QWebElementCollection::first
    {50, 477, 136},	// QWebElementCollection::last
    {50, 537, 129},	// QWebElementCollection::operator+#
    {50, 542, 130},	// QWebElementCollection::operator+=#
    {50, 556, 128},	// QWebElementCollection::operator=#
    {50, 564, 134},	// QWebElementCollection::operator[]$
    {50, 827, 137},	// QWebElementCollection::toList
    {50, 885, 144},	// QWebElementCollection::~QWebElementCollection
    {51, 299, 146},	// QWebElementCollection::const_iterator::const_iterator#
    {51, 300, 145},	// QWebElementCollection::const_iterator::const_iterator#$
    {51, 534, 149},	// QWebElementCollection::const_iterator::operator!=#
    {51, 535, 147},	// QWebElementCollection::const_iterator::operator*
    {51, 538, 160},	// QWebElementCollection::const_iterator::operator+$
    {51, 539, 154},	// QWebElementCollection::const_iterator::operator++
    {51, 540, 155},	// QWebElementCollection::const_iterator::operator++$
    {51, 543, 158},	// QWebElementCollection::const_iterator::operator+=$
    {51, 545, 162},	// QWebElementCollection::const_iterator::operator-#
    {51, 546, 161},	// QWebElementCollection::const_iterator::operator-$
    {51, 547, 156},	// QWebElementCollection::const_iterator::operator--
    {51, 548, 157},	// QWebElementCollection::const_iterator::operator--$
    {51, 550, 159},	// QWebElementCollection::const_iterator::operator-=$
    {51, 552, 150},	// QWebElementCollection::const_iterator::operator<#
    {51, 554, 151},	// QWebElementCollection::const_iterator::operator<=#
    {51, 558, 148},	// QWebElementCollection::const_iterator::operator==#
    {51, 560, 152},	// QWebElementCollection::const_iterator::operator>#
    {51, 562, 153},	// QWebElementCollection::const_iterator::operator>=#
    {51, 895, 163},	// QWebElementCollection::const_iterator::~const_iterator
    {52, 461, 165},	// QWebElementCollection::iterator::iterator#
    {52, 462, 164},	// QWebElementCollection::iterator::iterator#$
    {52, 534, 168},	// QWebElementCollection::iterator::operator!=#
    {52, 535, 166},	// QWebElementCollection::iterator::operator*
    {52, 538, 179},	// QWebElementCollection::iterator::operator+$
    {52, 539, 173},	// QWebElementCollection::iterator::operator++
    {52, 540, 174},	// QWebElementCollection::iterator::operator++$
    {52, 543, 177},	// QWebElementCollection::iterator::operator+=$
    {52, 545, 181},	// QWebElementCollection::iterator::operator-#
    {52, 546, 180},	// QWebElementCollection::iterator::operator-$
    {52, 547, 175},	// QWebElementCollection::iterator::operator--
    {52, 548, 176},	// QWebElementCollection::iterator::operator--$
    {52, 550, 178},	// QWebElementCollection::iterator::operator-=$
    {52, 552, 169},	// QWebElementCollection::iterator::operator<#
    {52, 554, 170},	// QWebElementCollection::iterator::operator<=#
    {52, 558, 167},	// QWebElementCollection::iterator::operator==#
    {52, 560, 171},	// QWebElementCollection::iterator::operator>#
    {52, 562, 172},	// QWebElementCollection::iterator::operator>=#
    {52, 896, 182},	// QWebElementCollection::iterator::~iterator
    {53, 6, 263},	// QWebFrame::AllLayers
    {53, 22, 260},	// QWebFrame::ContentsLayer
    {53, 137, 262},	// QWebFrame::PanIconLayer
    {53, 188, 261},	// QWebFrame::ScrollBarLayer
    {53, 247, 195},	// QWebFrame::addToJavaScriptWindowObject$#
    {53, 248, 196},	// QWebFrame::addToJavaScriptWindowObject$#$
    {53, 276, 204},	// QWebFrame::baseUrl
    {53, 285, 209},	// QWebFrame::childFrames
    {53, 304, 232},	// QWebFrame::contentsSize
    {53, 306, 247},	// QWebFrame::contentsSizeChanged#
    {53, 334, 233},	// QWebFrame::documentElement
    {53, 363, 239},	// QWebFrame::evaluateJavaScript$
    {53, 365, 237},	// QWebFrame::event#
    {53, 382, 234},	// QWebFrame::findAllElements$
    {53, 386, 235},	// QWebFrame::findFirstElement$
    {53, 413, 207},	// QWebFrame::frameName
    {53, 414, 231},	// QWebFrame::geometry
    {53, 428, 228},	// QWebFrame::hasFocus
    {53, 437, 236},	// QWebFrame::hitTestContent#
    {53, 439, 205},	// QWebFrame::icon
    {53, 440, 246},	// QWebFrame::iconChanged
    {53, 445, 245},	// QWebFrame::initialLayoutCompleted
    {53, 471, 241},	// QWebFrame::javaScriptWindowObjectCleared
    {53, 492, -7},	// QWebFrame::load#
    {53, 493, 254},	// QWebFrame::load#$
    {53, 494, 192},	// QWebFrame::load#$#
    {53, 496, 249},	// QWebFrame::loadFinished$
    {53, 499, 248},	// QWebFrame::loadStarted
    {53, 509, 206},	// QWebFrame::metaData
    {53, 510, 183},	// QWebFrame::metaObject
    {53, 567, 190},	// QWebFrame::page
    {53, 570, 250},	// QWebFrame::pageChanged
    {53, 577, 208},	// QWebFrame::parentFrame
    {53, 582, 230},	// QWebFrame::pos
    {53, 593, 240},	// QWebFrame::print#
    {53, 596, 242},	// QWebFrame::provisionalLoad
    {53, 598, 189},	// QWebFrame::qt_metacall$$?
    {53, 600, 184},	// QWebFrame::qt_metacast$
    {53, 617, 221},	// QWebFrame::render#
    {53, 618, 222},	// QWebFrame::render##
    {53, 619, 258},	// QWebFrame::render#$
    {53, 620, 223},	// QWebFrame::render#$#
    {53, 622, 199},	// QWebFrame::renderTreeDump
    {53, 628, 203},	// QWebFrame::requestedUrl
    {53, 643, 217},	// QWebFrame::scroll$$
    {53, 645, 216},	// QWebFrame::scrollBarGeometry$
    {53, 647, 215},	// QWebFrame::scrollBarMaximum$
    {53, 649, 214},	// QWebFrame::scrollBarMinimum$
    {53, 651, 210},	// QWebFrame::scrollBarPolicy$
    {53, 653, 213},	// QWebFrame::scrollBarValue$
    {53, 654, 218},	// QWebFrame::scrollPosition
    {53, 658, 220},	// QWebFrame::scrollToAnchor$
    {53, 659, 238},	// QWebFrame::securityOrigin
    {53, 674, 256},	// QWebFrame::setContent#
    {53, 675, 257},	// QWebFrame::setContent#$
    {53, 676, 194},	// QWebFrame::setContent#$#
    {53, 703, 229},	// QWebFrame::setFocus
    {53, 713, 255},	// QWebFrame::setHtml$
    {53, 714, 193},	// QWebFrame::setHtml$#
    {53, 763, 211},	// QWebFrame::setScrollBarPolicy$$
    {53, 765, 212},	// QWebFrame::setScrollBarValue$$
    {53, 767, 219},	// QWebFrame::setScrollPosition#
    {53, 773, 224},	// QWebFrame::setTextSizeMultiplier$
    {53, 777, 201},	// QWebFrame::setUrl#
    {53, 790, 227},	// QWebFrame::setZoomFactor$
    {53, 797, 259},	// QWebFrame::staticMetaObject
    {53, 819, 225},	// QWebFrame::textSizeMultiplier
    {53, 822, 200},	// QWebFrame::title
    {53, 824, 243},	// QWebFrame::titleChanged$
    {53, 825, 197},	// QWebFrame::toHtml
    {53, 829, 198},	// QWebFrame::toPlainText
    {53, 836, 251},	// QWebFrame::tr$
    {53, 837, 185},	// QWebFrame::tr$$
    {53, 838, 187},	// QWebFrame::tr$$$
    {53, 840, 252},	// QWebFrame::trUtf8$
    {53, 841, 186},	// QWebFrame::trUtf8$$
    {53, 842, 188},	// QWebFrame::trUtf8$$$
    {53, 854, 202},	// QWebFrame::url
    {53, 856, 244},	// QWebFrame::urlChanged#
    {53, 874, 226},	// QWebFrame::zoomFactor
    {54, 272, 270},	// QWebHistory::back
    {54, 273, 273},	// QWebHistory::backItem
    {54, 275, 266},	// QWebHistory::backItems$
    {54, 280, 268},	// QWebHistory::canGoBack
    {54, 281, 269},	// QWebHistory::canGoForward
    {54, 289, 264},	// QWebHistory::clear
    {54, 309, 278},	// QWebHistory::count
    {54, 318, 274},	// QWebHistory::currentItem
    {54, 319, 277},	// QWebHistory::currentItemIndex
    {54, 403, 271},	// QWebHistory::forward
    {54, 404, 275},	// QWebHistory::forwardItem
    {54, 406, 267},	// QWebHistory::forwardItems$
    {54, 419, 272},	// QWebHistory::goToItem#
    {54, 458, 276},	// QWebHistory::itemAt$
    {54, 459, 265},	// QWebHistory::items
    {54, 504, 279},	// QWebHistory::maximumItemCount
    {54, 724, 280},	// QWebHistory::setMaximumItemCount$
    {55, 155, 295},	// QWebHistoryInterface::QWebHistoryInterface
    {55, 156, 288},	// QWebHistoryInterface::QWebHistoryInterface#
    {55, 243, 292},	// QWebHistoryInterface::addHistoryEntry$
    {55, 326, 290},	// QWebHistoryInterface::defaultInterface
    {55, 435, 291},	// QWebHistoryInterface::historyContains$
    {55, 510, 281},	// QWebHistoryInterface::metaObject
    {55, 598, 287},	// QWebHistoryInterface::qt_metacall$$?
    {55, 600, 282},	// QWebHistoryInterface::qt_metacast$
    {55, 684, 289},	// QWebHistoryInterface::setDefaultInterface#
    {55, 797, 296},	// QWebHistoryInterface::staticMetaObject
    {55, 836, 293},	// QWebHistoryInterface::tr$
    {55, 837, 283},	// QWebHistoryInterface::tr$$
    {55, 838, 285},	// QWebHistoryInterface::tr$$$
    {55, 840, 294},	// QWebHistoryInterface::trUtf8$
    {55, 841, 284},	// QWebHistoryInterface::trUtf8$$
    {55, 842, 286},	// QWebHistoryInterface::trUtf8$$$
    {55, 886, 297},	// QWebHistoryInterface::~QWebHistoryInterface
    {56, 158, 298},	// QWebHistoryItem::QWebHistoryItem#
    {56, 439, 304},	// QWebHistoryItem::icon
    {56, 456, 307},	// QWebHistoryItem::isValid
    {56, 479, 303},	// QWebHistoryItem::lastVisited
    {56, 556, 299},	// QWebHistoryItem::operator=#
    {56, 566, 300},	// QWebHistoryItem::originalUrl
    {56, 779, 306},	// QWebHistoryItem::setUserData#
    {56, 822, 302},	// QWebHistoryItem::title
    {56, 854, 301},	// QWebHistoryItem::url
    {56, 859, 305},	// QWebHistoryItem::userData
    {56, 887, 308},	// QWebHistoryItem::~QWebHistoryItem
    {57, 159, 309},	// QWebHitTestResult::QWebHitTestResult
    {57, 160, 310},	// QWebHitTestResult::QWebHitTestResult#
    {57, 250, 322},	// QWebHitTestResult::alternateText
    {57, 278, 314},	// QWebHitTestResult::boundingRect
    {57, 346, 327},	// QWebHitTestResult::element
    {57, 356, 315},	// QWebHitTestResult::enclosingBlockElement
    {57, 408, 328},	// QWebHitTestResult::frame
    {57, 444, 323},	// QWebHitTestResult::imageUrl
    {57, 451, 325},	// QWebHitTestResult::isContentEditable
    {57, 452, 326},	// QWebHitTestResult::isContentSelected
    {57, 454, 312},	// QWebHitTestResult::isNull
    {57, 484, 321},	// QWebHitTestResult::linkElement
    {57, 487, 320},	// QWebHitTestResult::linkTargetFrame
    {57, 488, 317},	// QWebHitTestResult::linkText
    {57, 489, 319},	// QWebHitTestResult::linkTitle
    {57, 490, 318},	// QWebHitTestResult::linkUrl
    {57, 556, 311},	// QWebHitTestResult::operator=#
    {57, 578, 324},	// QWebHitTestResult::pixmap
    {57, 582, 313},	// QWebHitTestResult::pos
    {57, 822, 316},	// QWebHitTestResult::title
    {57, 888, 329},	// QWebHitTestResult::~QWebHitTestResult
    {58, 161, 348},	// QWebInspector::QWebInspector
    {58, 162, 337},	// QWebInspector::QWebInspector#
    {58, 294, 345},	// QWebInspector::closeEvent#
    {58, 365, 341},	// QWebInspector::event#
    {58, 432, 344},	// QWebInspector::hideEvent#
    {58, 510, 330},	// QWebInspector::metaObject
    {58, 567, 339},	// QWebInspector::page
    {58, 598, 336},	// QWebInspector::qt_metacall$$?
    {58, 600, 331},	// QWebInspector::qt_metacast$
    {58, 636, 342},	// QWebInspector::resizeEvent#
    {58, 746, 338},	// QWebInspector::setPage#
    {58, 794, 343},	// QWebInspector::showEvent#
    {58, 796, 340},	// QWebInspector::sizeHint
    {58, 797, 349},	// QWebInspector::staticMetaObject
    {58, 836, 346},	// QWebInspector::tr$
    {58, 837, 332},	// QWebInspector::tr$$
    {58, 838, 334},	// QWebInspector::tr$$$
    {58, 840, 347},	// QWebInspector::trUtf8$
    {58, 841, 333},	// QWebInspector::trUtf8$$
    {58, 842, 335},	// QWebInspector::trUtf8$$$
    {58, 889, 350},	// QWebInspector::~QWebInspector
    {59, 2, 522},	// QWebPage::AlignCenter
    {59, 3, 523},	// QWebPage::AlignJustified
    {59, 4, 524},	// QWebPage::AlignLeft
    {59, 5, 525},	// QWebPage::AlignRight
    {59, 11, 467},	// QWebPage::Back
    {59, 16, 544},	// QWebPage::ChooseMultipleFilesExtension
    {59, 23, 472},	// QWebPage::Copy
    {59, 24, 466},	// QWebPage::CopyImageToClipboard
    {59, 25, 527},	// QWebPage::CopyImageUrlToClipboard
    {59, 26, 463},	// QWebPage::CopyLinkToClipboard
    {59, 28, 471},	// QWebPage::Cut
    {59, 32, 536},	// QWebPage::DelegateAllLinks
    {59, 33, 535},	// QWebPage::DelegateExternalLinks
    {59, 35, 501},	// QWebPage::DeleteEndOfWord
    {59, 36, 500},	// QWebPage::DeleteStartOfWord
    {59, 39, 534},	// QWebPage::DontDelegateLinks
    {59, 40, 465},	// QWebPage::DownloadImageToDisk
    {59, 41, 462},	// QWebPage::DownloadLinkToDisk
    {59, 44, 545},	// QWebPage::ErrorPageExtension
    {59, 54, 530},	// QWebPage::FindBackward
    {59, 55, 531},	// QWebPage::FindCaseSensitively
    {59, 56, 532},	// QWebPage::FindWrapsAroundDocument
    {59, 58, 468},	// QWebPage::Forward
    {59, 60, 543},	// QWebPage::Geolocation
    {59, 61, 533},	// QWebPage::HighlightAllOccurrences
    {59, 62, 547},	// QWebPage::Http
    {59, 65, 520},	// QWebPage::Indent
    {59, 68, 510},	// QWebPage::InsertLineSeparator
    {59, 69, 519},	// QWebPage::InsertOrderedList
    {59, 70, 509},	// QWebPage::InsertParagraphSeparator
    {59, 71, 518},	// QWebPage::InsertUnorderedList
    {59, 72, 508},	// QWebPage::InspectElement
    {59, 108, 485},	// QWebPage::MoveToEndOfBlock
    {59, 109, 487},	// QWebPage::MoveToEndOfDocument
    {59, 110, 483},	// QWebPage::MoveToEndOfLine
    {59, 111, 476},	// QWebPage::MoveToNextChar
    {59, 112, 480},	// QWebPage::MoveToNextLine
    {59, 113, 478},	// QWebPage::MoveToNextWord
    {59, 114, 477},	// QWebPage::MoveToPreviousChar
    {59, 115, 481},	// QWebPage::MoveToPreviousLine
    {59, 116, 479},	// QWebPage::MoveToPreviousWord
    {59, 117, 484},	// QWebPage::MoveToStartOfBlock
    {59, 118, 486},	// QWebPage::MoveToStartOfDocument
    {59, 119, 482},	// QWebPage::MoveToStartOfLine
    {59, 120, 454},	// QWebPage::NavigationTypeBackOrForward
    {59, 121, 456},	// QWebPage::NavigationTypeFormResubmitted
    {59, 122, 453},	// QWebPage::NavigationTypeFormSubmitted
    {59, 123, 452},	// QWebPage::NavigationTypeLinkClicked
    {59, 124, 457},	// QWebPage::NavigationTypeOther
    {59, 125, 455},	// QWebPage::NavigationTypeReload
    {59, 126, 458},	// QWebPage::NoWebAction
    {59, 127, 542},	// QWebPage::Notifications
    {59, 131, 461},	// QWebPage::OpenFrameInNewWindow
    {59, 132, 464},	// QWebPage::OpenImageInNewWindow
    {59, 133, 459},	// QWebPage::OpenLink
    {59, 134, 460},	// QWebPage::OpenLinkInNewWindow
    {59, 135, 528},	// QWebPage::OpenLinkInThisWindow
    {59, 136, 521},	// QWebPage::Outdent
    {59, 138, 473},	// QWebPage::Paste
    {59, 139, 513},	// QWebPage::PasteAndMatchStyle
    {59, 140, 541},	// QWebPage::PermissionDeniedByUser
    {59, 141, 540},	// QWebPage::PermissionGrantedByUser
    {59, 142, 539},	// QWebPage::PermissionUnknown
    {59, 163, 446},	// QWebPage::QWebPage
    {59, 164, 358},	// QWebPage::QWebPage#
    {59, 179, 546},	// QWebPage::QtNetwork
    {59, 182, 475},	// QWebPage::Redo
    {59, 183, 470},	// QWebPage::Reload
    {59, 184, 512},	// QWebPage::ReloadAndBypassCache
    {59, 185, 514},	// QWebPage::RemoveFormat
    {59, 191, 511},	// QWebPage::SelectAll
    {59, 192, 497},	// QWebPage::SelectEndOfBlock
    {59, 193, 499},	// QWebPage::SelectEndOfDocument
    {59, 194, 495},	// QWebPage::SelectEndOfLine
    {59, 195, 488},	// QWebPage::SelectNextChar
    {59, 196, 492},	// QWebPage::SelectNextLine
    {59, 197, 490},	// QWebPage::SelectNextWord
    {59, 198, 489},	// QWebPage::SelectPreviousChar
    {59, 199, 493},	// QWebPage::SelectPreviousLine
    {59, 200, 491},	// QWebPage::SelectPreviousWord
    {59, 201, 496},	// QWebPage::SelectStartOfBlock
    {59, 202, 498},	// QWebPage::SelectStartOfDocument
    {59, 203, 494},	// QWebPage::SelectStartOfLine
    {59, 205, 502},	// QWebPage::SetTextDirectionDefault
    {59, 206, 503},	// QWebPage::SetTextDirectionLeftToRight
    {59, 207, 504},	// QWebPage::SetTextDirectionRightToLeft
    {59, 211, 469},	// QWebPage::Stop
    {59, 212, 526},	// QWebPage::StopScheduledPageRefresh
    {59, 215, 505},	// QWebPage::ToggleBold
    {59, 216, 506},	// QWebPage::ToggleItalic
    {59, 217, 515},	// QWebPage::ToggleStrikethrough
    {59, 218, 516},	// QWebPage::ToggleSubscript
    {59, 219, 517},	// QWebPage::ToggleSuperscript
    {59, 220, 507},	// QWebPage::ToggleUnderline
    {59, 221, 474},	// QWebPage::Undo
    {59, 224, 529},	// QWebPage::WebActionCount
    {59, 225, 537},	// QWebPage::WebBrowserWindow
    {59, 227, 548},	// QWebPage::WebKit
    {59, 228, 538},	// QWebPage::WebModalDialog
    {59, 236, 437},	// QWebPage::acceptNavigationRequest##$
    {59, 238, 377},	// QWebPage::action$
    {59, 260, 428},	// QWebPage::applicationCacheQuotaExceeded#$
    {59, 261, 429},	// QWebPage::applicationCacheQuotaExceeded#$$
    {59, 279, 373},	// QWebPage::bytesReceived
    {59, 287, 438},	// QWebPage::chooseFile#$
    {59, 303, 426},	// QWebPage::contentsChanged
    {59, 313, 436},	// QWebPage::createPlugin$#??
    {59, 314, 399},	// QWebPage::createStandardContextMenu
    {59, 316, 435},	// QWebPage::createWindow$
    {59, 317, 360},	// QWebPage::currentFrame
    {59, 323, 427},	// QWebPage::databaseQuotaExceeded#$
    {59, 337, 424},	// QWebPage::downloadRequested#
    {59, 365, 385},	// QWebPage::event#
    {59, 369, 449},	// QWebPage::extension$
    {59, 370, 450},	// QWebPage::extension$#
    {59, 371, 403},	// QWebPage::extension$##
    {59, 373, 434},	// QWebPage::featurePermissionRequestCanceled#$
    {59, 375, 433},	// QWebPage::featurePermissionRequested#$
    {59, 388, 448},	// QWebPage::findText$
    {59, 389, 388},	// QWebPage::findText$$
    {59, 395, 386},	// QWebPage::focusNextPrevChild$
    {59, 407, 390},	// QWebPage::forwardUnsupportedContent
    {59, 410, 361},	// QWebPage::frameAt#
    {59, 412, 413},	// QWebPage::frameCreated#
    {59, 416, 414},	// QWebPage::geometryChangeRequested#
    {59, 420, 405},	// QWebPage::handle
    {59, 429, 374},	// QWebPage::hasSelection
    {59, 433, 362},	// QWebPage::history
    {59, 450, 387},	// QWebPage::inputMethodQuery$
    {59, 451, 396},	// QWebPage::isContentEditable
    {59, 453, 366},	// QWebPage::isModified
    {59, 464, 439},	// QWebPage::javaScriptAlert#$
    {59, 466, 440},	// QWebPage::javaScriptConfirm#$
    {59, 468, 442},	// QWebPage::javaScriptConsoleMessage$$$
    {59, 470, 441},	// QWebPage::javaScriptPrompt#$$$
    {59, 482, 419},	// QWebPage::linkClicked#
    {59, 483, 392},	// QWebPage::linkDelegationPolicy
    {59, 486, 410},	// QWebPage::linkHovered$$$
    {59, 496, 409},	// QWebPage::loadFinished$
    {59, 498, 408},	// QWebPage::loadProgress$
    {59, 499, 407},	// QWebPage::loadStarted
    {59, 503, 359},	// QWebPage::mainFrame
    {59, 508, 422},	// QWebPage::menuBarVisibilityChangeRequested$
    {59, 510, 351},	// QWebPage::metaObject
    {59, 512, 425},	// QWebPage::microFocusChanged
    {59, 527, 369},	// QWebPage::networkAccessManager
    {59, 574, 394},	// QWebPage::palette
    {59, 579, 371},	// QWebPage::pluginFactory
    {59, 583, 382},	// QWebPage::preferredContentsSize
    {59, 595, 418},	// QWebPage::printRequested#
    {59, 598, 357},	// QWebPage::qt_metacall$$?
    {59, 600, 352},	// QWebPage::qt_metacast$
    {59, 624, 415},	// QWebPage::repaintRequested#
    {59, 638, 431},	// QWebPage::restoreFrameStateRequested#
    {59, 640, 430},	// QWebPage::saveFrameStateRequested##
    {59, 656, 416},	// QWebPage::scrollRequested$$#
    {59, 660, 376},	// QWebPage::selectedHtml
    {59, 661, 375},	// QWebPage::selectedText
    {59, 662, 412},	// QWebPage::selectionChanged
    {59, 664, 384},	// QWebPage::setActualVisibleContentRect#
    {59, 678, 395},	// QWebPage::setContentEditable$
    {59, 698, 400},	// QWebPage::setFeaturePermission#$$
    {59, 709, 389},	// QWebPage::setForwardUnsupportedContent$
    {59, 720, 391},	// QWebPage::setLinkDelegationPolicy$
    {59, 732, 368},	// QWebPage::setNetworkAccessManager#
    {59, 748, 393},	// QWebPage::setPalette#
    {59, 754, 370},	// QWebPage::setPluginFactory#
    {59, 756, 383},	// QWebPage::setPreferredContentsSize#
    {59, 783, 364},	// QWebPage::setView#
    {59, 785, 380},	// QWebPage::setViewportSize#
    {59, 791, 363},	// QWebPage::settings
    {59, 792, 406},	// QWebPage::shouldInterruptJavaScript
    {59, 797, 451},	// QWebPage::staticMetaObject
    {59, 799, 411},	// QWebPage::statusBarMessage$
    {59, 801, 421},	// QWebPage::statusBarVisibilityChangeRequested$
    {59, 807, 401},	// QWebPage::supportedContentTypes
    {59, 809, 402},	// QWebPage::supportsContentType$
    {59, 811, 404},	// QWebPage::supportsExtension$
    {59, 813, 397},	// QWebPage::swallowContextMenuEvent#
    {59, 833, 420},	// QWebPage::toolBarVisibilityChangeRequested$
    {59, 834, 372},	// QWebPage::totalBytes
    {59, 836, 444},	// QWebPage::tr$
    {59, 837, 353},	// QWebPage::tr$$
    {59, 838, 355},	// QWebPage::tr$$$
    {59, 840, 445},	// QWebPage::trUtf8$
    {59, 841, 354},	// QWebPage::trUtf8$$
    {59, 842, 356},	// QWebPage::trUtf8$$$
    {59, 844, 447},	// QWebPage::triggerAction$
    {59, 845, 378},	// QWebPage::triggerAction$$
    {59, 849, 367},	// QWebPage::undoStack
    {59, 851, 423},	// QWebPage::unsupportedContent#
    {59, 853, 398},	// QWebPage::updatePositionDependentActions#
    {59, 858, 443},	// QWebPage::userAgentForUrl#
    {59, 861, 365},	// QWebPage::view
    {59, 863, 381},	// QWebPage::viewportAttributesForSize#
    {59, 864, 432},	// QWebPage::viewportChangeRequested
    {59, 865, 379},	// QWebPage::viewportSize
    {59, 872, 417},	// QWebPage::windowCloseRequested
    {59, 890, 549},	// QWebPage::~QWebPage
    {60, 17, 550},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {60, 18, 551},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {60, 577, 552},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {60, 750, 553},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {60, 771, 555},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {60, 806, 554},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {60, 875, 556},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {61, 19, 557},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {61, 20, 558},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {61, 378, 559},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {61, 702, 560},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {61, 876, 561},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {62, 45, 562},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {62, 46, 563},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {62, 335, 568},	// QWebPage::ErrorPageExtensionOption::domain
    {62, 360, 570},	// QWebPage::ErrorPageExtensionOption::error
    {62, 361, 572},	// QWebPage::ErrorPageExtensionOption::errorString
    {62, 408, 566},	// QWebPage::ErrorPageExtensionOption::frame
    {62, 690, 569},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {62, 694, 571},	// QWebPage::ErrorPageExtensionOption::setError$
    {62, 696, 573},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {62, 711, 567},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {62, 777, 565},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {62, 854, 564},	// QWebPage::ErrorPageExtensionOption::url
    {62, 877, 574},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {63, 47, 575},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {63, 48, 576},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {63, 276, 581},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {63, 301, 583},	// QWebPage::ErrorPageExtensionReturn::content
    {63, 302, 577},	// QWebPage::ErrorPageExtensionReturn::contentType
    {63, 357, 579},	// QWebPage::ErrorPageExtensionReturn::encoding
    {63, 672, 582},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {63, 674, 584},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {63, 680, 578},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {63, 692, 580},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {63, 878, 585},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {64, 49, 586},	// QWebPage::ExtensionOption::ExtensionOption
    {64, 50, 587},	// QWebPage::ExtensionOption::ExtensionOption#
    {64, 879, 588},	// QWebPage::ExtensionOption::~ExtensionOption
    {65, 51, 589},	// QWebPage::ExtensionReturn::ExtensionReturn
    {65, 52, 590},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {65, 880, 591},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {66, 222, 592},	// QWebPage::ViewportAttributes::ViewportAttributes
    {66, 223, 593},	// QWebPage::ViewportAttributes::ViewportAttributes#
    {66, 330, 598},	// QWebPage::ViewportAttributes::devicePixelRatio
    {66, 446, 595},	// QWebPage::ViewportAttributes::initialScaleFactor
    {66, 455, 599},	// QWebPage::ViewportAttributes::isUserScalable
    {66, 456, 600},	// QWebPage::ViewportAttributes::isValid
    {66, 506, 597},	// QWebPage::ViewportAttributes::maximumScaleFactor
    {66, 514, 596},	// QWebPage::ViewportAttributes::minimumScaleFactor
    {66, 556, 594},	// QWebPage::ViewportAttributes::operator=#
    {66, 795, 601},	// QWebPage::ViewportAttributes::size
    {66, 894, 602},	// QWebPage::ViewportAttributes::~ViewportAttributes
    {68, 165, 618},	// QWebPluginFactory::QWebPluginFactory
    {68, 166, 610},	// QWebPluginFactory::QWebPluginFactory#
    {68, 311, 613},	// QWebPluginFactory::create$#??
    {68, 369, 619},	// QWebPluginFactory::extension$
    {68, 370, 620},	// QWebPluginFactory::extension$#
    {68, 371, 614},	// QWebPluginFactory::extension$##
    {68, 510, 603},	// QWebPluginFactory::metaObject
    {68, 580, 611},	// QWebPluginFactory::plugins
    {68, 598, 609},	// QWebPluginFactory::qt_metacall$$?
    {68, 600, 604},	// QWebPluginFactory::qt_metacast$
    {68, 601, 612},	// QWebPluginFactory::refreshPlugins
    {68, 797, 621},	// QWebPluginFactory::staticMetaObject
    {68, 811, 615},	// QWebPluginFactory::supportsExtension$
    {68, 836, 616},	// QWebPluginFactory::tr$
    {68, 837, 605},	// QWebPluginFactory::tr$$
    {68, 838, 607},	// QWebPluginFactory::tr$$$
    {68, 840, 617},	// QWebPluginFactory::trUtf8$
    {68, 841, 606},	// QWebPluginFactory::trUtf8$$
    {68, 842, 608},	// QWebPluginFactory::trUtf8$$$
    {68, 891, 622},	// QWebPluginFactory::~QWebPluginFactory
    {69, 49, 623},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {69, 50, 624},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {69, 879, 625},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {70, 51, 626},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {70, 52, 627},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {70, 880, 628},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {71, 102, 631},	// QWebPluginFactory::MimeType::MimeType
    {71, 103, 632},	// QWebPluginFactory::MimeType::MimeType#
    {71, 328, 635},	// QWebPluginFactory::MimeType::description
    {71, 376, 637},	// QWebPluginFactory::MimeType::fileExtensions
    {71, 525, 633},	// QWebPluginFactory::MimeType::name
    {71, 534, 630},	// QWebPluginFactory::MimeType::operator!=#
    {71, 558, 629},	// QWebPluginFactory::MimeType::operator==#
    {71, 688, 636},	// QWebPluginFactory::MimeType::setDescription$
    {71, 700, 638},	// QWebPluginFactory::MimeType::setFileExtensions?
    {71, 730, 634},	// QWebPluginFactory::MimeType::setName$
    {71, 881, 639},	// QWebPluginFactory::MimeType::~MimeType
    {72, 143, 640},	// QWebPluginFactory::Plugin::Plugin
    {72, 144, 641},	// QWebPluginFactory::Plugin::Plugin#
    {72, 328, 644},	// QWebPluginFactory::Plugin::description
    {72, 513, 646},	// QWebPluginFactory::Plugin::mimeTypes
    {72, 525, 642},	// QWebPluginFactory::Plugin::name
    {72, 688, 645},	// QWebPluginFactory::Plugin::setDescription$
    {72, 728, 647},	// QWebPluginFactory::Plugin::setMimeTypes?
    {72, 730, 643},	// QWebPluginFactory::Plugin::setName$
    {72, 882, 648},	// QWebPluginFactory::Plugin::~Plugin
    {73, 168, 661},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {73, 245, 650},	// QWebSecurityOrigin::addLocalScheme$
    {73, 249, 649},	// QWebSecurityOrigin::allOrigins
    {73, 321, 657},	// QWebSecurityOrigin::databaseQuota
    {73, 324, 656},	// QWebSecurityOrigin::databaseUsage
    {73, 325, 660},	// QWebSecurityOrigin::databases
    {73, 438, 654},	// QWebSecurityOrigin::host
    {73, 501, 652},	// QWebSecurityOrigin::localSchemes
    {73, 556, 662},	// QWebSecurityOrigin::operator=#
    {73, 581, 655},	// QWebSecurityOrigin::port
    {73, 615, 651},	// QWebSecurityOrigin::removeLocalScheme$
    {73, 641, 653},	// QWebSecurityOrigin::scheme
    {73, 666, 659},	// QWebSecurityOrigin::setApplicationCacheQuota$
    {73, 682, 658},	// QWebSecurityOrigin::setDatabaseQuota$
    {73, 892, 663},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {74, 1, 727},	// QWebSettings::AcceleratedCompositingEnabled
    {74, 7, 755},	// QWebSettings::AllowThirdPartyWithExistingCookies
    {74, 8, 753},	// QWebSettings::AlwaysAllowThirdPartyCookies
    {74, 9, 754},	// QWebSettings::AlwaysBlockThirdPartyCookies
    {74, 10, 709},	// QWebSettings::AutoLoadImages
    {74, 12, 737},	// QWebSettings::CSSGridLayoutEnabled
    {74, 13, 735},	// QWebSettings::CSSRegionsEnabled
    {74, 14, 739},	// QWebSettings::CaretBrowsingEnabled
    {74, 27, 707},	// QWebSettings::CursiveFont
    {74, 29, 752},	// QWebSettings::DefaultFixedFontSize
    {74, 30, 751},	// QWebSettings::DefaultFontSize
    {74, 31, 743},	// QWebSettings::DefaultFrameIconGraphic
    {74, 34, 745},	// QWebSettings::DeleteButtonGraphic
    {74, 37, 716},	// QWebSettings::DeveloperExtrasEnabled
    {74, 38, 725},	// QWebSettings::DnsPrefetchEnabled
    {74, 53, 708},	// QWebSettings::FantasyFont
    {74, 57, 704},	// QWebSettings::FixedFont
    {74, 59, 731},	// QWebSettings::FrameFlatteningEnabled
    {74, 63, 736},	// QWebSettings::HyperlinkAuditingEnabled
    {74, 67, 746},	// QWebSettings::InputSpeechButtonGraphic
    {74, 73, 711},	// QWebSettings::JavaEnabled
    {74, 74, 715},	// QWebSettings::JavascriptCanAccessClipboard
    {74, 75, 733},	// QWebSettings::JavascriptCanCloseWindows
    {74, 76, 714},	// QWebSettings::JavascriptCanOpenWindows
    {74, 77, 710},	// QWebSettings::JavascriptEnabled
    {74, 97, 717},	// QWebSettings::LinksIncludedInFocusChain
    {74, 98, 729},	// QWebSettings::LocalContentCanAccessFileUrls
    {74, 99, 724},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {74, 100, 723},	// QWebSettings::LocalStorageDatabaseEnabled
    {74, 101, 722},	// QWebSettings::LocalStorageEnabled
    {74, 104, 749},	// QWebSettings::MinimumFontSize
    {74, 105, 750},	// QWebSettings::MinimumLogicalFontSize
    {74, 106, 741},	// QWebSettings::MissingImageGraphic
    {74, 107, 742},	// QWebSettings::MissingPluginGraphic
    {74, 128, 740},	// QWebSettings::NotificationsEnabled
    {74, 129, 720},	// QWebSettings::OfflineStorageDatabaseEnabled
    {74, 130, 721},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {74, 145, 712},	// QWebSettings::PluginsEnabled
    {74, 146, 719},	// QWebSettings::PrintElementBackgrounds
    {74, 147, 713},	// QWebSettings::PrivateBrowsingEnabled
    {74, 186, 706},	// QWebSettings::SansSerifFont
    {74, 187, 738},	// QWebSettings::ScrollAnimatorEnabled
    {74, 189, 747},	// QWebSettings::SearchCancelButtonGraphic
    {74, 190, 748},	// QWebSettings::SearchCancelButtonPressedGraphic
    {74, 204, 705},	// QWebSettings::SerifFont
    {74, 208, 732},	// QWebSettings::SiteSpecificQuirksEnabled
    {74, 209, 728},	// QWebSettings::SpatialNavigationEnabled
    {74, 210, 703},	// QWebSettings::StandardFont
    {74, 213, 744},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {74, 214, 730},	// QWebSettings::TiledBackingStoreEnabled
    {74, 226, 734},	// QWebSettings::WebGLEnabled
    {74, 229, 726},	// QWebSettings::XSSAuditingEnabled
    {74, 230, 718},	// QWebSettings::ZoomTextOnly
    {74, 290, 680},	// QWebSettings::clearIconDatabase
    {74, 291, 697},	// QWebSettings::clearMemoryCaches
    {74, 327, 677},	// QWebSettings::defaultTextEncoding
    {74, 347, 702},	// QWebSettings::enablePersistentStorage
    {74, 348, 698},	// QWebSettings::enablePersistentStorage$
    {74, 400, 666},	// QWebSettings::fontFamily$
    {74, 402, 669},	// QWebSettings::fontSize$
    {74, 417, 664},	// QWebSettings::globalSettings
    {74, 420, 701},	// QWebSettings::handle
    {74, 441, 679},	// QWebSettings::iconDatabasePath
    {74, 443, 681},	// QWebSettings::iconForUrl#
    {74, 502, 696},	// QWebSettings::localStoragePath
    {74, 505, 685},	// QWebSettings::maximumPagesInCache
    {74, 529, 690},	// QWebSettings::offlineStorageDefaultQuota
    {74, 530, 688},	// QWebSettings::offlineStoragePath
    {74, 531, 692},	// QWebSettings::offlineWebApplicationCachePath
    {74, 532, 694},	// QWebSettings::offlineWebApplicationCacheQuota
    {74, 630, 673},	// QWebSettings::resetAttribute$
    {74, 632, 667},	// QWebSettings::resetFontFamily$
    {74, 634, 670},	// QWebSettings::resetFontSize$
    {74, 668, 671},	// QWebSettings::setAttribute$$
    {74, 686, 676},	// QWebSettings::setDefaultTextEncoding$
    {74, 705, 665},	// QWebSettings::setFontFamily$$
    {74, 707, 668},	// QWebSettings::setFontSize$$
    {74, 716, 678},	// QWebSettings::setIconDatabasePath$
    {74, 722, 695},	// QWebSettings::setLocalStoragePath$
    {74, 726, 684},	// QWebSettings::setMaximumPagesInCache$
    {74, 734, 686},	// QWebSettings::setObjectCacheCapacities$$$
    {74, 736, 689},	// QWebSettings::setOfflineStorageDefaultQuota$
    {74, 738, 687},	// QWebSettings::setOfflineStoragePath$
    {74, 740, 691},	// QWebSettings::setOfflineWebApplicationCachePath$
    {74, 742, 693},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {74, 775, 699},	// QWebSettings::setThirdPartyCookiePolicy$
    {74, 781, 674},	// QWebSettings::setUserStyleSheetUrl#
    {74, 788, 682},	// QWebSettings::setWebGraphic$#
    {74, 818, 672},	// QWebSettings::testAttribute$
    {74, 820, 700},	// QWebSettings::thirdPartyCookiePolicy
    {74, 860, 675},	// QWebSettings::userStyleSheetUrl
    {74, 868, 683},	// QWebSettings::webGraphic$
    {76, 169, 829},	// QWebView::QWebView
    {76, 170, 763},	// QWebView::QWebView#
    {76, 272, 794},	// QWebView::back
    {76, 283, 810},	// QWebView::changeEvent#
    {76, 308, 815},	// QWebView::contextMenuEvent#
    {76, 316, 809},	// QWebView::createWindow$
    {76, 339, 819},	// QWebView::dragEnterEvent#
    {76, 341, 820},	// QWebView::dragLeaveEvent#
    {76, 343, 821},	// QWebView::dragMoveEvent#
    {76, 345, 822},	// QWebView::dropEvent#
    {76, 365, 792},	// QWebView::event#
    {76, 388, 837},	// QWebView::findText$
    {76, 389, 791},	// QWebView::findText$$
    {76, 393, 823},	// QWebView::focusInEvent#
    {76, 395, 826},	// QWebView::focusNextPrevChild$
    {76, 397, 824},	// QWebView::focusOutEvent#
    {76, 403, 795},	// QWebView::forward
    {76, 429, 776},	// QWebView::hasSelection
    {76, 433, 770},	// QWebView::history
    {76, 439, 775},	// QWebView::icon
    {76, 440, 805},	// QWebView::iconChanged
    {76, 448, 825},	// QWebView::inputMethodEvent#
    {76, 450, 782},	// QWebView::inputMethodQuery$
    {76, 453, 781},	// QWebView::isModified
    {76, 473, 817},	// QWebView::keyPressEvent#
    {76, 475, 818},	// QWebView::keyReleaseEvent#
    {76, 482, 803},	// QWebView::linkClicked#
    {76, 492, -10},	// QWebView::load#
    {76, 493, 831},	// QWebView::load#$
    {76, 494, 767},	// QWebView::load#$#
    {76, 496, 800},	// QWebView::loadFinished$
    {76, 498, 799},	// QWebView::loadProgress$
    {76, 499, 798},	// QWebView::loadStarted
    {76, 510, 756},	// QWebView::metaObject
    {76, 517, 813},	// QWebView::mouseDoubleClickEvent#
    {76, 519, 811},	// QWebView::mouseMoveEvent#
    {76, 521, 812},	// QWebView::mousePressEvent#
    {76, 523, 814},	// QWebView::mouseReleaseEvent#
    {76, 567, 764},	// QWebView::page
    {76, 569, 779},	// QWebView::pageAction$
    {76, 573, 808},	// QWebView::paintEvent#
    {76, 593, 797},	// QWebView::print#
    {76, 598, 762},	// QWebView::qt_metacall$$?
    {76, 600, 757},	// QWebView::qt_metacast$
    {76, 602, 796},	// QWebView::reload
    {76, 621, 788},	// QWebView::renderHints
    {76, 636, 807},	// QWebView::resizeEvent#
    {76, 660, 778},	// QWebView::selectedHtml
    {76, 661, 777},	// QWebView::selectedText
    {76, 662, 804},	// QWebView::selectionChanged
    {76, 674, 833},	// QWebView::setContent#
    {76, 675, 834},	// QWebView::setContent#$
    {76, 676, 769},	// QWebView::setContent#$#
    {76, 713, 832},	// QWebView::setHtml$
    {76, 714, 768},	// QWebView::setHtml$#
    {76, 746, 765},	// QWebView::setPage#
    {76, 758, 836},	// QWebView::setRenderHint$
    {76, 759, 790},	// QWebView::setRenderHint$$
    {76, 761, 789},	// QWebView::setRenderHints$
    {76, 773, 786},	// QWebView::setTextSizeMultiplier$
    {76, 777, 773},	// QWebView::setUrl#
    {76, 790, 785},	// QWebView::setZoomFactor$
    {76, 791, 771},	// QWebView::settings
    {76, 796, 783},	// QWebView::sizeHint
    {76, 797, 838},	// QWebView::staticMetaObject
    {76, 799, 802},	// QWebView::statusBarMessage$
    {76, 802, 793},	// QWebView::stop
    {76, 819, 787},	// QWebView::textSizeMultiplier
    {76, 822, 772},	// QWebView::title
    {76, 824, 801},	// QWebView::titleChanged$
    {76, 836, 827},	// QWebView::tr$
    {76, 837, 758},	// QWebView::tr$$
    {76, 838, 760},	// QWebView::tr$$$
    {76, 840, 828},	// QWebView::trUtf8$
    {76, 841, 759},	// QWebView::trUtf8$$
    {76, 842, 761},	// QWebView::trUtf8$$$
    {76, 847, 835},	// QWebView::triggerPageAction$
    {76, 848, 780},	// QWebView::triggerPageAction$$
    {76, 854, 774},	// QWebView::url
    {76, 856, 806},	// QWebView::urlChanged#
    {76, 870, 816},	// QWebView::wheelEvent#
    {76, 874, 784},	// QWebView::zoomFactor
    {76, 893, 839},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 78,
        __smokeqtwebkit::methods, 880,
        __smokeqtwebkit::methodMaps, 829,
        __smokeqtwebkit::methodNames, 896,
        __smokeqtwebkit::types, 281,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
